var info =
{
"pages":
[
["Concepts_Guide\u002FChap_API_Intro.1.1.html","1.1 About this Manual","This document is authored by LSEG Real-Time API architects and programmers who encountered and resolved many of the issues the reader might face. Several of its authors have designed, developed, and maintained LSEG Real-Time API products and other LSEG products which leverage them. This guide docume...","Concepts_Guide\u002Fpairs\u002Fpair1.js","content-page"]
,["Concepts_Guide\u002FChap_API_Intro.1.2.html","1.2 Audience","This manual provides information and examples that aid programmers using a LSEG Real-Time API. The level of material covered assumes that the reader is a user or a member of the programming staff involved in the design, coding, and test phases for applications which will use a LSEG Real-Time API. It...","Concepts_Guide\u002Fpairs\u002Fpair2.js","content-page"]
,["Concepts_Guide\u002FChap_API_Intro.1.3.html","1.3 Programming Languages","This guide discusses concepts and architecture specific to the LSEG Real-Time API suite. Any code examples in this document are either language-neutral or labeled according to the language used in the example. Example applications provided with a specific API product are written in the relevant prod...","Concepts_Guide\u002Fpairs\u002Fpair3.js","content-page"]
,["Concepts_Guide\u002FChap_API_Intro.1.4.html","1.4 Acronyms and Abbreviations","Table 1: Acronyms and Abbreviations ACRONYM \u002F Term Meaning ADH LSEG Real-Time Advanced Distribution Hub is the horizontally scalable service component within the LSEG Real-Time Distribution System providing high availability for publication and contribution messaging, subscription management with op...","Concepts_Guide\u002Fpairs\u002Fpair4.js","content-page"]
,["Concepts_Guide\u002FChap_API_Intro.1.5.html","1.5 References","\u2022 LSEG Real-Time API-Specific LSEG Domain Model Usage Guides \u2022 <a href=..\u002F..\u002Frefman\u002Fema\u002FIndex.html target=_blank>Enterprise Message API C++ Edition Reference Manual<\u002Fa> \u2022 LSEG Real-Time API-Specific ANSI Library Reference Manuals \u2022 LSEG Real-Time API-Specific DACS LOCK Library Reference Manuals \u2022 LS...","Concepts_Guide\u002Fpairs\u002Fpair5.js","content-page"]
,["Concepts_Guide\u002FChap_API_Intro.1.6.html","1.6 Document Conventions","This document uses the following types of conventions: \u2022 Typographic \u2022 Diagrams","Concepts_Guide\u002Fpairs\u002Fpair6.js","content-page"]
,["Concepts_Guide\u002FChap_API_Intro.1.7.html","1.6.1 Typographic","This document uses the following types of conventions: \u2022 Structures, methods, in-line code snippets, and types are shown in Courier New font. \u2022 Parameters, filenames, tools, utilities, and directories are shown in Bold font. \u2022 Document titles and variable values are shown in italics. \u2022 When initiall...","Concepts_Guide\u002Fpairs\u002Fpair7.js","content-page"]
,["Concepts_Guide\u002FChap_API_Intro.1.8.html","1.6.2 Diagrams","Diagrams that depict the interaction between components on a network use the following notation:  Figure 1. Network Diagram Notation  Figure 2. UML Diagram Notation ","Concepts_Guide\u002Fpairs\u002Fpair8.js","content-page"]
,["Concepts_Guide\u002FChap_ProductDescription.2.01.html","2.1 What is an LSEG Real-Time API?","The LSEG Real-Time API consists of any API that can retrieve real-time content from LSEG Real-Time Distribution Systems using the Open Message Model. Several API suites fall into this category: the Real-Time SDK (consisting of several layers of API libraries optimized for highest performance or ease...","Concepts_Guide\u002Fpairs\u002Fpair1_2.js","content-page"]
,["Concepts_Guide\u002FChap_ProductDescription.2.02.html","2.2 API Features","The LSEG Real-Time APIs are: \u2022 Depending on the particular API, available in C++ \u002F C and Java. \u2022 64-bit. \u2022 Thread-safe and thread-aware. \u2022 Capable of handling: \u2022 Any and all Open Message Model primitives and containers. \u2022 All Domain Models, including those defined by LSEG as well as other user-defin...","Concepts_Guide\u002Fpairs\u002Fpair2_2.js","content-page"]
,["Concepts_Guide\u002FChap_ProductDescription.2.03.html","2.2.1 General Capabilities","LSEG Real-Time APIs provide general capabilities independent of the type of application. The LSEG Real-Time APIs: \u2022 Supports fully connected or unified network topologies as well as segmented topologies. \u2022 Supports multiple network session types, including TCP, HTTP, and multicast-based networks. \u2022 ...","Concepts_Guide\u002Fpairs\u002Fpair3_2.js","content-page"]
,["Concepts_Guide\u002FChap_ProductDescription.2.04.html","2.2.2 Consumer Applications","You can use the LSEG Real-Time APIs to create consumer-based applications that can: \u2022 Make streaming and snapshot-based subscription requests to the LSEG Real-Time Advanced Distribution Server. \u2022 Send batch, views, and symbol list requests to the LSEG Real-Time Advanced Distribution Server. \u2022 Suppor...","Concepts_Guide\u002Fpairs\u002Fpair4_2.js","content-page"]
,["Concepts_Guide\u002FChap_ProductDescription.2.05.html","2.2.3 Provider Applications: Interactive","You can use the LSEG Real-Time APIs to create interactive providers that can: \u2022 Receive requests and respond to streaming and snapshot-based requests from an LSEG Real-Time Advanced Distribution Hub. \u2022 Receive and respond to batch, views, and symbol list requests from an LSEG Real-Time Advanced Dist...","Concepts_Guide\u002Fpairs\u002Fpair5_2.js","content-page"]
,["Concepts_Guide\u002FChap_ProductDescription.2.06.html","2.2.4 Provider Applications: Non-Interactive","Using the LSEG Real-Time APIs, you can write non-interactive applications that start up and begin publishing data to an LSEG Real-Time Advanced Distribution Hub. This includes both TCP and UDP multicast-based non-interactive provider applications.","Concepts_Guide\u002Fpairs\u002Fpair6_2.js","content-page"]
,["Concepts_Guide\u002FChap_ProductDescription.2.07.html","2.3 Performance and Feature Comparison","As illustrated in Figure 4, core infrastructure components (as well as their performance test tools, such as testclient and sink_driven_src) are all written to the Enterprise Transport API. An LSEG Real-Time API-based application\u2019s maximum achievable performance (latency, throughput, etc) is determi...","Concepts_Guide\u002Fpairs\u002Fpair7_2.js","content-page"]
,["Concepts_Guide\u002FChap_ProductDescription.2.08.html","2.4 Functionality: Which API to Choose?","To make an informed decision on which API to use, you should balance consider both performance and functionality. For performance comparisons, refer to Section 2.3. The Robust Foundation API uses information provided from the Enterprise Transport API and creates specific implementations of capabilit...","Concepts_Guide\u002Fpairs\u002Fpair8_2.js","content-page"]
,["Concepts_Guide\u002FChap_ProductDescription.2.09.html","2.5 API Models","2.5.1 Open Message Model (OMM) The Open Message Model is a collection of message header and data constructs. Some Open Message Model message header constructs (such as the Update message) have implicit market logic associated with them, while others (such as the Generic message) allow for free-flowi...","Concepts_Guide\u002Fpairs\u002Fpair9.js","content-page"]
,["Concepts_Guide\u002FChap_ProductDescription.2.10.html","2.5.2 Rssl Wire Format (RWF)","Rssl Wire Format is the encoded representation of the Open Message Model; a highly-optimized, binary format designed to reduce the cost of data distribution compared to previous wire formats. Binary encoding represents data in the machine\u2019s native manner, enabling further use in calculations or data...","Concepts_Guide\u002Fpairs\u002Fpair10.js","content-page"]
,["Concepts_Guide\u002FChap_ProductDescription.2.11.html","2.5.3 Domain Message Model","A Domain Message Model describes a specific arrangement of Open Message Model message and data constructs. A Domain Message Model defines any: \u2022 Specialized behavior associated with the domain \u2022 Specific meanings or semantics associated with the message data Unless a Domain Message Model specifies o...","Concepts_Guide\u002Fpairs\u002Fpair11.js","content-page"]
,["Concepts_Guide\u002FChap_ProductDescription.2.12.html","2.5.3.1 Domain Model","A Domain Model is a domain message model typically provided or consumed by an LSEG product (i.e., LSEG Real-Time Distribution System, Data Feed Direct, or DP). Some currently-defined Domain Models allow for authenticating to a provider (e.g., Login), exchanging field or enumeration dictionaries (e.g...","Concepts_Guide\u002Fpairs\u002Fpair12.js","content-page"]
,["Concepts_Guide\u002FChap_ProductDescription.2.13.html","2.5.3.2 User-Defined Domain Model","A User-Defined Domain Model is a Domain Message Model defined by a third party. These might be defined to solve a need specific to a user or system in a particular deployment and which is not resolved through the use of a Domain Model. Any user-defined model must use a domain value between 128 and 2...","Concepts_Guide\u002Fpairs\u002Fpair13.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.01.html","3.1 Overview","For those familiar with LSEG\u2019s API products or concepts from LSEG Real-Time Distribution System, we map how the LSEG Real-Time API implement the same functionality. At a very high level, the LSEG Real-Time Distribution System system facilitates controlled and managed interactions between many differ...","Concepts_Guide\u002Fpairs\u002Fpair1_3.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.02.html","3.2 Consumers","Consumers make use of capabilities offered by providers through access points. To interact with a provider, the consumer must attach to a consumer access point. Access points manifest themselves in two different forms: \u2022 A concrete access point. A concrete access point is implemented by the service-...","Concepts_Guide\u002Fpairs\u002Fpair2_3.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.03.html","3.2.1 Subscriptions: Request\u002FResponse","After a consumer successfully logs into a provider (i.e., LSEG Real-Time Advanced Distribution Server or LSEG) and obtains a list of available sources, the consumer can then subscribe and receive data for various services. A consumer subscribes to a service or service ID that in turn maps to a servi...","Concepts_Guide\u002Fpairs\u002Fpair3_3.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.04.html","3.2.2 Batches","A consumer can request multiple items using a single, client-based, request called a batch request. After the consumer sends an optimized batch request to the LSEG Real-Time Advanced Distribution Server, the LSEG Real-Time Advanced Distribution Server responds by sending the items as if they were op...","Concepts_Guide\u002Fpairs\u002Fpair4_3.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.05.html","3.2.3 Views","The system reduces the amount of data that flows across the network by filtering out content in which the user is not interested. To improve performance and maximize bandwidth, you can configure the LSEG Real-Time Distribution System to filter out certain fields to downstream users. When filtering, ...","Concepts_Guide\u002Fpairs\u002Fpair5_3.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.06.html","3.2.4 Pause and Resume","The Pause\u002FResume feature optimizes network bandwidth. You can use Pause\u002FResume to reduce the amount of data flowing across the network for a single item or for many items that might already be openly streaming data to a client. To pause\u002Fresume data, the client first sends a request to pause an item ...","Concepts_Guide\u002Fpairs\u002Fpair6_3.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.07.html","3.2.4.1 Pause \u002F Resume Use Case 1: Back-end Processing","In this use-case, a client application performs heavy back-end processing and has too many items open, such that the client is at the threshold for lowering the downstream update rate. The client now needs to run a specialized report, or do some other back-end processing. Such an increase in workloa...","Concepts_Guide\u002Fpairs\u002Fpair7_3.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.08.html","3.2.4.2 Pause \u002F Resume Use Case 2: Display Applications","The second use case assumes the application displays a lot of data. In this scenario, the user has two windows open. One window has item \u201CTRI\u201D open and is updating (Window 1). The other has \u201CINTC.O\u201D open and is updating (Window 2). On his screen, the user moves Window 1 to cover Window 2 and the use...","Concepts_Guide\u002Fpairs\u002Fpair8_3.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.09.html","3.2.5 Symbol Lists","If a consumer wants to open multiple items but doesn\u2019t know their names, the consumer can first issue a request using a Symbol List. However, the consumer can issue such a request only if a provider exists that can resolve the symbol list name into a set of item names. This replaces the functionalit...","Concepts_Guide\u002Fpairs\u002Fpair9_2.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.10.html","3.2.6 Posting","Through posting, API consumers can easily push content into any cache within the LSEG Real-Time Distribution System (i.e., an HTTP POST request). Data contributions\u002Finserts into the ATS or publishing into a cache offer similar capabilities today. When posting, API consumer applications reuse their e...","Concepts_Guide\u002Fpairs\u002Fpair10_2.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.11.html","3.2.6.1 Local Publication","The following diagram illustrates the benefits of posting. Green and Red services support internal posting and are fully implemented within the LSEG Real-Time Advanced Distribution Hub. In both cases the LSEG Real-Time Advanced Distribution Hub receives posted messages and then distributes these mes...","Concepts_Guide\u002Fpairs\u002Fpair11_2.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.12.html","3.2.6.2 Contribution\u002FInserts","Posting also allows Open Message Model-based contributions. Through such posting, clients can contribute data to a device on the head end or to a custom-provider. In the following example, the LSEG Real-Time API send an Open Message Model post to a provider application that supports such functionali...","Concepts_Guide\u002Fpairs\u002Fpair12_2.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.13.html","3.2.7 Generic Message","Using a Generic Message, an application can send or receive a bi-directional message. A generic message can contain any Open Message Model primitive type. Whereas the request\u002Fresponse type message flows from LSEG Real-Time Distribution System to a consumer application, a generic message can flow in ...","Concepts_Guide\u002Fpairs\u002Fpair13_2.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.14.html","3.2.8 Private Streams","Using a Private Stream, a consumer application can create a virtual private connection with an interactive provider. This virtual private connection can be either a direct connection, through the LSEG Real-Time Distribution System, or via a cascaded set of platforms. The following diagram illustrate...","Concepts_Guide\u002Fpairs\u002Fpair14.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.15.html","3.2.9 Tunnel Streams (Only Available in the ETA Reactor and in EMA)","The Reactor allows users to create and use special tunnel streams. A tunnel stream is a private stream with additional behaviors, such as end-to-end line of sight for authentication and guaranteed delivery. Tunnel streams are founded on the private streams concept, and the Enterprise Transport API e...","Concepts_Guide\u002Fpairs\u002Fpair15.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.16.html","3.2.10 Building an API Consumer","A consumer application can establish a connection to other interactive provider applications, including the LSEG Real-Time Distribution System, Data Feed Direct, and Delivery Platform. After connecting successfully, a consumer can then consume (i.e., send data requests and receive responses) and pub...","Concepts_Guide\u002Fpairs\u002Fpair16.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.17.html","3.3 Providers","Providers make their services available to consumers through LSEG Real-Time Distribution System infrastructure components. Every provider-based application must attach to a provider access point to inter-operate with consumers. All provider access points are considered concrete and are implemented b...","Concepts_Guide\u002Fpairs\u002Fpair17.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.18.html","3.3.1 Interactive Providers","An interactive provider is one that communicates with the LSEG Real-Time Distribution System, accepting and managing multiple connections with LSEG Real-Time Distribution System components. The following diagram illustrates this concept.  Figure 16. Interactive Providers An interactive provider rece...","Concepts_Guide\u002Fpairs\u002Fpair18.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.19.html","3.3.1.1 Request \u002FResponse","In a standard request\u002Fresponse scenario, the interactive provider receives requests from consumers on LSEG Real-Time Distribution System (e.g., \u201CProvide data for item AAPL\u201D). The consumer then expects the interactive provider to provide a response, status, and possible updates whenever the informati...","Concepts_Guide\u002Fpairs\u002Fpair19.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.20.html","3.3.1.2 Posts","The interactive provider can receive post messages via LSEG Real-Time Distribution System. Post messages will state whether an acknowledgment is required. If required, LSEG Real-Time Distribution System will expect the interactive provider to provide a response, in the form of a positive or negative...","Concepts_Guide\u002Fpairs\u002Fpair20.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.21.html","3.3.1.3 Generic Messages","Using generic messages, an application can send or receive bi-directional messages. Whereas a request\u002Fresponse type message flows from LSEG Real-Time Distribution System to an interactive provider, generic messages can flow in any direction and do not expect a response. When using generic messages, ...","Concepts_Guide\u002Fpairs\u002Fpair21.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.22.html","3.3.1.4 Private Streams","In a typical private stream scenario, the interactive provider can receive requests for a private stream. Once established, interactive providers can receive any consumer-style request via a private stream, described in the consumer section of this document, including Batch requests, Views, Symbol L...","Concepts_Guide\u002Fpairs\u002Fpair22.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.23.html","3.3.1.5 Tunnel Streams (Available Only in ETA Reactor and EMA)","An interactive provider can receive requests for a tunnel stream when using the ETA Reactor or EMA. When creating a tunnel stream, the consumer indicates any additional behaviors to enforce, which is exchanged with the provider application end point. The provider end-point acknowledges creation of t...","Concepts_Guide\u002Fpairs\u002Fpair23.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.24.html","3.3.1.6 Building an Interactive Provider","An OMM interactive provider application opens a listening socket on a well-known port allowing consumer applications to connect. After connecting, consumers can request data from the interactive provider. The following steps summarize this process: \u2022 Establish network communication \u2022 Accept incoming...","Concepts_Guide\u002Fpairs\u002Fpair24.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.25.html","3.3.2 Non-Interactive Providers","3.3.2.1 Overview A non-interactive provider writes a provider application that connects to LSEG Real-Time Distribution System and sends a specific set of non-interactive data (services, domains, and capabilities).  Figure 17. Non-Interactive Provider: Point-To-Point  Figure 18. Non-Interactive Provi...","Concepts_Guide\u002Fpairs\u002Fpair25.js","content-page"]
,["Concepts_Guide\u002FChap_Consumers_Providers.3.26.html","3.3.2.2 Building a Non-Interactive Provider","A non-interactive provider can publish information into the LSEG Real-Time Advanced Distribution Hub cache without needing to handle requests for the information. The LSEG Real-Time Advanced Distribution Hub can cache the information and along with other LSEG Real-Time Distribution System components...","Concepts_Guide\u002Fpairs\u002Fpair26.js","content-page"]
,["Concepts_Guide\u002FChap_SystemView.4.1.html","4.1 System Architecture Overview","An LSEG Real-Time Distribution System network typically hosts the following: \u2022 Core Infrastructure: LSEG Real-Time Advanced Distribution Server (ADS), LSEG Real-Time Advanced Distribution Hub (ADH), etc. \u2022 Consumer applications that typically request and receive information from the network \u2022 Provid...","Concepts_Guide\u002Fpairs\u002Fpair1_4.js","content-page"]
,["Concepts_Guide\u002FChap_SystemView.4.2.html","4.2 LSEG Real-Time Advanced Distribution Server","The LSEG Real-Time Advanced Distribution Server provides a consolidated distribution solution for LSEG, value-added, and third-party data for trading-room systems. It distributes information using the same Open Message Model and Rssl Wire Format protocols exposed by the LSEG Real-Time API.  Figure 2...","Concepts_Guide\u002Fpairs\u002Fpair2_4.js","content-page"]
,["Concepts_Guide\u002FChap_SystemView.4.3.html","4.3 LSEG Real-Time Advanced Distribution Hub","The LSEG Real-Time Advanced Distribution Hub is a networked, data distribution server that runs in the LSEG Real-Time Distribution System. It consumes data from a variety of content providers and reliably fans this data out to multiple LSEG Real-Time Advanced Distribution Servers over a multicast ba...","Concepts_Guide\u002Fpairs\u002Fpair3_4.js","content-page"]
,["Concepts_Guide\u002FChap_SystemView.4.4.html","4.4 Delivery Platform","The Delivery Platform is an open, global, ultra-high-speed network and hosting environment, which allows users to access and share a variety of content including Real-Time data. The Delivery Platform allows access to information from a wide network of content providers, including exchanges, where al...","Concepts_Guide\u002Fpairs\u002Fpair4_4.js","content-page"]
,["Concepts_Guide\u002FChap_SystemView.4.5.html","4.5 Data Feed Direct","Data Feed Direct is a fully managed LSEG exchange feed providing an ultra-low-latency solution for consuming data from specific exchanges. The Data Feed Direct normalizes all exchange data using the Open Message Model. To access this content, a LSEG Real-Time API consumer application can connect dir...","Concepts_Guide\u002Fpairs\u002Fpair5_4.js","content-page"]
,["Concepts_Guide\u002FChap_SystemView.4.6.html","4.6 Connectivity via Encrypted Connections, HTTP and HTTPS","Consumer and provider applications can use the LSEG Real-Time API to establish encrypted connections or HTTPS (on certain platforms) over the public Internet. \u2022 Consumer and non-interactive provider applications can establish connections via HTTP tunneling, socket and websocket connections. \u2022 LSEG R...","Concepts_Guide\u002Fpairs\u002Fpair6_4.js","content-page"]
,["Concepts_Guide\u002FChap_SystemView.4.7.html","4.7 Direct Connect","The LSEG Real-Time API allows OMM interactive provider applications and consumer applications to directly connect to one another. This includes Open Message Model applications written to any LSEG Real-Time API. The following diagram illustrates various direct connect combinations.  Figure 25. Transp...","Concepts_Guide\u002Fpairs\u002Fpair7_4.js","content-page"]
,["Concepts_Guide\u002FChap_DataTypesandMessages.5.1.html","5.1 Overview of Data Types","The LSEG Real-Time API offer a wide variety of data types categorized into two groups: \u2022 Primitive Types: A primitive type represents simple, atomically updating information such as values like integers, dates, and ASCII string buffers (refer to Section 5.2). \u2022 Container Types: A container type can ...","Concepts_Guide\u002Fpairs\u002Fpair1_5.js","content-page"]
,["Concepts_Guide\u002FChap_DataTypesandMessages.5.2.html","5.2 Primitive Types","A primitive type represents some type of base, system information (such as integers, dates, or array values). If contained in a set of updating information, primitive types update atomically (incoming data replaces any previously held values). Primitive types support ranges from simple primitive typ...","Concepts_Guide\u002Fpairs\u002Fpair2_5.js","content-page"]
,["Concepts_Guide\u002FChap_DataTypesandMessages.5.3.html","5.3 Container Types","Container Types can model more complex data representations and have their contents modified at a more granular level than primitive types. Some container types leverage simple entry replacement when changes occur, while other container types offer entry-specific actions to handle changes to individ...","Concepts_Guide\u002Fpairs\u002Fpair3_5.js","content-page"]
,["Concepts_Guide\u002FChap_DataTypesandMessages.5.4.html","5.4 Summary Data","Some container types allow summary data. Summary data conveys information that applies to every entry housed in the container. Using summary data ensures data is sent only once, instead of repetitively including data in each entry. An example of summary data is the currency type because it is likely...","Concepts_Guide\u002Fpairs\u002Fpair4_5.js","content-page"]
,["Concepts_Guide\u002FChap_DataTypesandMessages.5.5.html","5.5 Messaging Concepts","Messages communicate data between system components: to exchange information, indicate status, permission users and access, and for a variety of other purposes. Many messages have associated semantics for efficient use in market data systems to request information, respond to information, or provide...","Concepts_Guide\u002Fpairs\u002Fpair5_5.js","content-page"]
,["Concepts_Guide\u002FChap_DataTypesandMessages.5.6.html","5.6 Message Class Information","Table 6: Message Class Information \u00A0 MESSAGE CLASS DESCRIPTION Request Message Consumers use RequestMsg to express interest in a new stream or modify some parameters on an existing stream; typically results in the delivery of an RefreshMsg or StatusMsg. Refresh Message The Interactive Provider can u...","Concepts_Guide\u002Fpairs\u002Fpair6_5.js","content-page"]
,["Concepts_Guide\u002FChap_DataTypesandMessages.5.7.html","5.7 Permission Data","Permission Data is optional authorization information. The DACS Lock API provides functionality for creating and manipulating permissioning information. For more information on Data Access Control System usage and permission data creation, refer to the LSEG Real-Time API DACS LOCK Library Reference ...","Concepts_Guide\u002Fpairs\u002Fpair7_5.js","content-page"]
],
"words":
{
"1.1":[0,1]
,"manual":[0,1,1,2,4,1,29,1,60,1]
,"document":[0,1,2,1,5,2,6,2,39,1,42,1]
,"authored":[0,1]
,"lseg":[0,7,1,8,2,1,3,12,4,7,8,13,9,2,10,2,11,7,12,9,13,2,14,9,16,2,19,2,20,3,21,9,22,10,23,2,24,3,25,3,26,8,27,5,28,1,29,7,30,4,31,13,32,1,33,3,34,4,35,2,36,2,37,7,38,5,39,1,40,3,41,2,45,5,46,5,47,7,48,11,49,12,50,5,51,4,52,5,53,2,54,7,55,5,56,4,59,2,60,2]
,"real-time":[0,5,1,6,2,1,3,13,4,5,8,17,9,1,10,2,11,7,12,9,13,2,14,9,16,2,19,1,21,9,22,6,23,1,24,3,25,2,26,8,27,5,28,1,29,7,30,4,31,13,32,1,33,3,34,3,35,2,36,2,37,7,38,5,39,1,40,3,41,2,45,5,46,5,47,7,48,10,49,12,50,8,51,3,52,4,53,2,54,7,55,5,56,4,59,2,60,2]
,"api":[0,4,1,7,2,2,3,10,4,1,8,16,9,3,14,13,15,15,16,3,19,1,21,3,22,3,25,2,29,2,30,2,31,2,32,1,34,1,35,3,36,3,44,1,46,3,47,1,48,3,49,1,50,1,51,2,52,3,53,3,54,7,55,7,56,3,59,2,60,3]
,"architects":[0,1]
,"programmers":[0,1,1,1]
,"encountered":[0,1]
,"resolved":[0,1,20,1,29,1]
,"issues":[0,1,29,1,58,1]
,"reader":[0,1,1,2]
,"face":[0,1]
,"several":[0,1,8,2,54,2,55,2,56,2]
,"authors":[0,1]
,"designed":[0,1,3,1,17,1,25,1]
,"developed":[0,1]
,"maintained":[0,1]
,"products":[0,2,1,1,8,2,14,1,20,1,21,1]
,"leverage":[0,2,16,1,52,1,56,1]
,"guide":[0,1,2,1,4,2,19,1,35,1]
,"documents":[0,1]
,"functionality":[0,1,15,5,21,1,25,1,29,1,32,1,34,1,36,2,44,2,46,2,52,1,59,1,60,1]
,"capabilities":[0,1,3,2,8,1,10,2,15,4,21,3,22,1,30,1,38,1,45,1]
,"apis":[0,1,1,2,3,1,8,10,9,1,10,2,11,1,12,2,13,1,21,1,50,1]
,"addition":[0,1,59,1]
,"connecting":[0,1,22,2,36,1,44,1,50,1]
,"itself":[0,1]
,"connect":[0,1,3,1,8,1,12,1,44,1,45,2,50,1,51,1,53,3]
,"different":[0,1,15,1,21,1,22,1,34,1,35,2,45,1,54,2,56,3]
,"customer":[0,1]
,"components":[0,2,4,1,7,1,8,1,14,1,15,1,30,1,34,1,35,2,37,1,38,2,46,1,47,3,58,1,59,1]
,"want":[0,1,14,2,21,1,27,2]
,"interact":[0,1,21,1,22,1,47,1]
,"consult":[0,1]
,"specific":[0,1,2,2,15,2,16,1,18,2,20,1,21,1,29,2,35,1,45,1,51,1,56,1,57,1,59,1,60,4]
,"component\u2019s":[0,1]
,"documentation":[0,1,14,1]
,"determine":[0,1,55,1,57,1]
,"best":[0,1,54,1]
,"configure":[0,1,25,2,31,1]
,"optimal":[0,1]
,"interaction":[0,1,7,1,59,2]
,"1.2":[1,1]
,"audience":[1,1]
,"provides":[1,1,3,1,16,1,23,1,29,1,36,1,44,1,46,1,48,1,54,1,55,2,56,1,60,1]
,"information":[1,1,3,1,15,2,23,1,29,1,35,1,36,3,38,2,39,2,44,1,45,1,46,5,47,3,48,1,50,2,54,3,55,8,56,11,57,3,58,5,59,9,60,8]
,"examples":[1,1,2,1,6,1,8,1,22,1,37,1]
,"aid":[1,1]
,"using":[1,2,3,2,8,2,13,1,15,1,24,1,25,2,26,1,29,3,33,2,34,4,37,1,41,2,43,1,45,2,48,1,50,1,51,1,55,1,56,1,57,1]
,"level":[1,1,21,1,54,1,56,1]
,"material":[1,1]
,"covered":[1,1,28,1]
,"assumes":[1,1,28,1]
,"user":[1,2,3,1,20,1,23,2,25,1,28,4,37,4,47,1,54,1,55,4,56,6,59,1,60,2]
,"member":[1,1]
,"programming":[1,2,2,1,3,1]
,"staff":[1,1]
,"involved":[1,1]
,"design":[1,1,16,1]
,"coding":[1,1]
,"test":[1,1,14,1]
,"phases":[1,1]
,"applications":[1,1,2,1,3,3,8,3,11,2,12,2,13,3,15,1,21,5,25,1,28,1,30,2,31,4,36,1,39,1,42,1,44,1,45,1,46,1,47,6,48,1,49,2,50,2,52,4,53,3,54,1,57,1]
,"assumed":[1,1]
,"familiar":[1,1,21,1]
,"data":[1,2,3,4,8,1,10,1,11,1,12,2,13,1,15,1,16,5,17,6,18,4,19,2,22,2,23,7,25,1,26,7,28,1,29,1,30,5,32,1,33,1,34,1,36,5,37,2,38,2,39,1,41,1,44,1,45,2,47,4,48,4,49,6,50,3,51,7,54,8,55,6,56,9,57,12,58,3,59,6,60,17]
,"types":[1,1,5,1,6,2,10,1,16,1,17,1,19,1,30,1,34,1,38,1,49,1,54,19,55,9,56,25,57,1]
,"classes":[1,1,14,1,25,1]
,"operational":[1,1]
,"characteristics":[1,1]
,"requirements":[1,1]
,"delivery":[1,1,3,1,8,3,35,1,36,1,50,6,59,2]
,"networks":[1,1,10,1]
,"experience":[1,1]
,"developing":[1,1]
,"relevant":[1,1,2,1,36,1]
,"language":[1,1,2,2,3,1,8,1]
,"networked":[1,1,49,1]
,"environment":[1,1,8,1,14,1,50,1]
,"technically":[1,2]
,"robust":[1,3,3,1,8,2,14,1,15,3]
,"foundation":[1,3,3,2,8,5,14,2,15,3,25,1]
,"content":[1,1,3,1,8,2,17,2,21,2,25,1,30,2,35,4,43,2,45,1,46,2,49,3,50,4,51,1,54,1,55,2,57,1,59,1,60,4]
,"presented":[1,1]
,"herein":[1,1]
,"accurately":[1,1]
,"describes":[1,1,18,1,47,1]
,"structure":[1,1]
,"concepts":[1,1,2,1,6,1,21,1,37,1,58,1]
,"simplicity":[1,1,36,1,44,1,46,1]
,"whenever":[1,1,39,1,40,1,59,1]
,"refers":[1,1,56,1]
,"included":[1,1,36,1,44,1,46,1,57,1,60,2]
,"scope":[1,1]
,"additionally":[1,1,12,1,15,1,54,1,56,1]
,"upa":[1,1]
,"part":[1,1,8,1,55,2]
,"rebranded":[1,1]
,"enterprise":[1,1,3,6,4,1,8,6,14,3,15,9,21,1,35,2]
,"transport":[1,1,3,6,8,4,14,2,15,10,19,1,35,2,45,2,53,1,59,1]
,"1.3":[2,1]
,"languages":[2,1]
,"discusses":[2,1,58,1]
,"architecture":[2,1,3,1,21,1,47,1,51,1]
,"suite":[2,1,8,1]
,"code":[2,1,3,3,6,2]
,"either":[2,1,8,1,21,1,23,1,34,1,55,1,58,1,59,1]
,"language-neutral":[2,1]
,"labeled":[2,1]
,"according":[2,1,14,1]
,"used":[2,1,3,3,8,1,12,1,21,1,29,1,55,1,56,2,60,1]
,"example":[2,2,14,1,32,1,35,1,36,2,44,1,45,1,46,1,56,1,57,1]
,"provided":[2,1,15,3,19,1,39,1,55,3,56,1]
,"product":[2,1,8,1,19,1,36,1]
,"written":[2,1,3,3,8,3,14,1,15,1,36,1,44,1,46,1,50,1,53,1]
,"product\u2019s":[2,1]
,"i.e":[2,1,8,2,15,1,16,1,19,1,21,1,22,1,23,3,27,1,30,3,31,1,36,3,50,1,54,1,56,2,60,1]
,"java":[2,1,8,1,9,1,15,1]
,"1.4":[3,1]
,"acronyms":[3,2]
,"abbreviations":[3,2]
,"table":[3,1,14,2,15,2,55,3,56,2,59,1]
,"acronym":[3,1]
,"term":[3,1]
,"meaning":[3,1,56,1]
,"adh":[3,1,47,1]
,"advanced":[3,4,8,2,11,6,12,7,13,1,14,4,22,1,23,1,24,3,25,1,26,8,27,5,28,1,29,7,30,2,31,10,33,2,37,1,46,2,47,2,48,8,49,9,50,2,52,1,59,1]
,"distribution":[3,12,8,4,11,6,12,6,13,1,14,4,16,1,17,1,19,1,21,7,22,5,23,1,24,3,25,2,26,8,27,5,28,1,29,7,30,4,31,11,33,3,34,2,35,1,36,1,37,7,38,5,39,1,40,3,41,2,45,5,46,3,47,5,48,10,49,11,50,3,51,1,52,1,59,2,60,1]
,"hub":[3,2,8,1,12,6,13,1,14,2,29,2,30,1,31,6,37,1,46,2,47,1,48,1,49,8,50,1,59,1]
,"horizontally":[3,2]
,"scalable":[3,2]
,"service":[3,4,8,1,15,2,21,3,23,5,30,1,31,4,55,2]
,"component":[3,2,14,2,15,1,22,1,31,1,33,2,37,1,41,2,54,1]
,"within":[3,2,15,1,16,1,30,2,31,1,35,1,43,1,55,2,56,2,58,2,60,1]
,"system":[3,5,8,1,14,3,16,2,19,1,20,1,21,8,22,4,25,3,29,1,30,2,31,1,33,1,34,3,35,2,36,1,37,6,38,5,39,1,40,3,41,2,45,6,46,1,47,5,49,1,51,1,55,3,58,1,59,1,60,2]
,"providing":[3,3,19,1,39,1,51,1,58,1]
,"high":[3,2,14,6,21,1,49,1]
,"availability":[3,1]
,"publication":[3,2,22,1,31,1,37,1]
,"contribution":[3,2,32,1]
,"messaging":[3,2,16,1,58,1,59,1]
,"subscription":[3,1,11,1,37,1]
,"management":[3,3,15,1,49,1]
,"optional":[3,2,14,2,29,1,30,1,57,1,60,1]
,"persistence":[3,2]
,"conflation":[3,2,49,1]
,"delay":[3,2]
,"ads":[3,1,47,1]
,"server":[3,2,8,1,11,6,14,2,21,1,22,1,23,2,24,3,25,1,26,8,27,5,28,1,29,5,30,1,31,4,33,2,38,2,45,1,47,1,48,7,49,1,50,1]
,"highly":[3,1,56,1]
,"available":[3,1,8,2,9,1,23,1,35,1,37,1,43,1,50,1,52,1]
,"services":[3,1,21,1,23,1,31,1,37,1,38,1,45,1]
,"tailored":[3,1]
,"streaming":[3,1,11,1,12,1,15,1,21,1,23,2,26,1,34,1]
,"snapshot":[3,1,15,1,23,1,34,1]
,"application":[3,2,8,1,10,1,14,4,15,1,21,1,22,5,25,1,27,3,28,2,30,3,31,1,32,1,33,3,34,1,35,3,36,4,37,1,38,1,39,1,41,3,42,1,43,1,44,3,45,2,46,1,51,1,56,1,58,2]
,"interface":[3,1,55,1]
,"ascii":[3,1,54,1,55,2]
,"american":[3,1]
,"standard":[3,2,20,1,39,1,55,2]
,"interchange":[3,1]
,"dmm":[3,1]
,"domain":[3,2,4,1,9,1,15,11,16,2,18,5,19,7,20,8,34,3,45,1,54,1,55,1,57,1,60,1]
,"message":[3,6,4,1,8,7,9,2,14,1,15,5,16,14,17,3,18,10,19,1,20,1,21,1,27,2,29,1,30,1,32,3,33,13,39,1,41,7,48,1,50,1,51,1,53,1,55,3,56,5,58,1,59,18,60,3]
,"model":[3,5,4,1,8,2,9,2,15,14,16,12,17,3,18,5,19,4,20,9,29,1,32,2,33,1,41,1,48,1,50,1,51,1,53,1,54,2,55,1,56,1,57,1,60,1]
,"ema":[3,3,4,1,35,1,43,2]
,"ease":[3,1]
,"open":[3,4,8,4,9,2,15,4,16,10,17,2,18,1,23,1,25,1,26,2,27,2,28,3,29,5,30,1,32,3,33,1,41,1,48,1,50,2,51,1,53,1]
,"source":[3,3,15,2,23,1,29,1,36,1,44,1,46,1,59,1]
,"provide":[3,1,8,1,10,1,16,2,25,1,38,1,39,3,40,1,42,1,44,2,46,3,58,1,59,1]
,"clients":[3,1,23,1,26,2,29,1,31,1,32,1,45,1,48,1]
,"rapid":[3,1]
,"development":[3,1,8,1]
,"minimizing":[3,1]
,"lines":[3,1]
,"broad":[3,1]
,"range":[3,1,8,1,55,2]
,"flexibility":[3,1,31,1,54,1]
,"flexible":[3,1,8,1,16,1]
,"configuration":[3,1,14,2,30,1]
,"default":[3,1]
,"values":[3,1,6,1,54,2,55,6,56,4]
,"simplify":[3,2]
,"deployment":[3,1,20,1,47,1]
,"top":[3,1,45,1]
,"eta":[3,3,14,1,35,1,43,2]
,"utilizing":[3,1]
,"value":[3,1,15,1,19,1,20,1,35,1,55,7,56,2]
,"added":[3,1,4,1,15,1,35,1]
,"reactor":[3,3,8,1,14,1,15,2,35,2,43,2]
,"watchlist":[3,1,8,1,15,2]
,"features":[3,2,8,2,9,1,36,1]
,"performance":[3,1,8,1,14,11,15,2,25,1,36,1,44,1,46,1]
,"low":[3,3,14,3]
,"latency":[3,3,8,1,14,5,21,1,44,1]
,"sdk":[3,2,8,2]
,"consists":[3,2,8,2]
,"buffer":[3,1,10,1,55,6]
,"compression":[3,1,10,1,15,1]
,"fragmentation":[3,1,15,1]
,"packing":[3,1,15,1]
,"encoders":[3,1,9,1,15,1]
,"decoders":[3,1,9,1,15,1]
,"implement":[3,1,15,1,21,3]
,"layer":[3,2,15,1]
,"achieve":[3,1,8,1,36,1,44,1,46,1]
,"highest":[3,1,8,2]
,"throughput":[3,1,8,1,14,5]
,"lowest":[3,1,8,1,14,2,21,1]
,"memory":[3,1,14,3,15,1]
,"utilization":[3,2]
,"cpu":[3,1]
,"binary":[3,2,17,2]
,"rssl":[3,3,8,1,15,3,16,1,17,4,48,1,55,1]
,"wire":[3,2,15,3,16,1,17,5,48,1,55,2]
,"format":[3,4,15,3,16,1,17,5,38,1,48,1,55,1]
,"publishing":[3,1,11,1,12,1,13,1,30,3,31,1,45,2]
,"consuming":[3,1,19,1,50,1,51,1,58,1]
,"systems":[3,1,8,1,48,1,50,1,58,2]
,"http":[3,1,10,1,11,1,15,1,30,1,52,3]
,"hypertext":[3,2]
,"transfer":[3,2]
,"protocol":[3,2,8,1]
,"https":[3,1,52,3]
,"secure":[3,1]
,"jwk":[3,3]
,"json":[3,5]
,"web":[3,3]
,"key":[3,3,14,1,29,1,52,1,56,2]
,"defined":[3,2,9,1,19,1,20,2,55,1,56,1,60,1]
,"rfc":[3,2]
,"7517":[3,1]
,"formatted":[3,1]
,"public":[3,1,52,1]
,"private":[3,1,11,1,12,1,15,1,22,1,34,12,35,2,42,4]
,"jwks":[3,1]
,"placed":[3,1]
,"array":[3,1,55,9]
,"jwt":[3,2]
,"token":[3,2]
,"7519":[3,1]
,"allows":[3,1,12,1,14,1,17,1,31,1,32,1,35,2,43,1,50,2,53,1,54,2,55,3,56,2,58,2,59,1]
,"users":[3,2,8,1,16,2,25,2,35,1,50,1,55,1,58,1]
,"create":[3,1,11,1,12,2,30,1,34,1,35,1]
,"signed":[3,1,55,1]
,"claim":[3,1]
,"validate":[3,1,55,2]
,"omm":[3,1,16,1,44,2,52,1,53,1]
,"qos":[3,1,55,1,59,1]
,"quality":[3,1,15,1,55,2]
,"rdm":[3,1]
,"platform":[3,3,8,4,29,1,36,1,50,6]
,"rest":[3,1]
,"interactions":[3,1,21,1]
,"context":[3,1]
,"gets":[3,1]
,"authentication":[3,1,15,1,35,1]
,"tokens":[3,1]
,"queries":[3,1]
,"discovery":[3,1]
,"list":[3,1,11,1,12,1,14,4,15,2,23,1,29,9,55,2]
,"optimized":[3,1,8,2,24,1,50,1,55,1,56,1]
,"endpoints":[3,1,35,1,50,1]
,"lseg\u2019s":[3,1,19,1,21,1,50,1]
,"financial":[3,1]
,"market":[3,1,15,2,16,1,18,1,19,4,33,2,35,2,48,1,58,2]
,"low-level":[3,1]
,"open-source":[3,1]
,"easy-to-use":[3,1,8,1]
,"above":[3,1,22,1]
,"offers":[3,1,30,2,54,1,56,1]
,"heartbeat":[3,1]
,"connection":[3,1,15,1,27,2,34,7,36,1,38,1,49,1,58,2]
,"item":[3,1,23,2,25,1,26,6,28,2,29,1,30,2,39,2,45,2,59,2,60,1]
,"recovery":[3,1,15,2,26,1]
,"help":[3,1,20,1,55,1]
,"rfa":[3,1]
,"rmtes":[3,1,15,1,55,4]
,"multi-lingual":[3,1]
,"text":[3,1,39,1]
,"encoding":[3,1,17,1,48,1,55,6]
,"sink":[3,2,29,1]
,"library":[3,2,4,2,8,2,29,1,60,1]
,"rtt":[3,1]
,"round":[3,2,15,1,36,1,44,2]
,"trip":[3,2,15,1,36,1,44,2]
,"time":[3,1,15,1,35,1,36,1,44,1,55,5]
,"definition":[3,1,16,1,55,2]
,"monitoring":[3,1,44,1]
,"feature":[3,1,14,1,26,3]
,"rwf":[3,1,17,1]
,"proprietary":[3,1]
,"representation":[3,1,16,1,17,1,55,3]
,"soa":[3,1,21,1]
,"oriented":[3,1,21,1]
,"ssl":[3,1]
,"ldf-d":[3,1]
,"feed":[3,1,8,1,19,1,26,1,36,1,47,1,51,6]
,"direct":[3,1,8,1,19,1,22,2,34,1,36,1,47,1,51,5,53,3,59,1]
,"uml":[3,1,7,1]
,"unified":[3,1,10,1]
,"modeling":[3,1]
,"utf-8":[3,1]
,"8-bit":[3,1]
,"unicode":[3,1]
,"transformation":[3,1]
,"1.5":[4,1]
,"references":[4,1]
,"api-specific":[4,4]
,"usage":[4,1,19,1,60,2]
,"guides":[4,1]
,"href":[4,1]
,"refman":[4,1]
,"index.html":[4,1]
,"target":[4,1]
,"_blank":[4,1]
,"edition":[4,1,15,1,21,1]
,"reference":[4,3,15,1,60,1]
,"ansi":[4,1]
,"manuals":[4,2,29,1]
,"dacs":[4,1,15,1,60,2]
,"lock":[4,1,15,1,60,2]
,"api-specificvalue":[4,1]
,"developers":[4,2,8,1,35,1]
,"developer":[4,1]
,"community":[4,1]
,"1.6":[5,1]
,"conventions":[5,2,6,1]
,"uses":[5,1,6,1,15,1,59,4]
,"following":[5,1,6,1,7,1,14,1,15,2,22,2,29,2,31,1,32,1,34,1,35,1,36,1,38,1,44,1,46,1,47,2,53,1,54,2,55,2,56,1]
,"typographic":[5,1,6,1]
,"diagrams":[5,1,7,2,34,1]
,"1.6.1":[6,1]
,"structures":[6,1]
,"methods":[6,1,55,1]
,"in-line":[6,1]
,"snippets":[6,1]
,"shown":[6,5,45,2]
,"courier":[6,2]
,"new":[6,2,26,2,59,2,60,1]
,"font":[6,3]
,"parameters":[6,1,59,1]
,"filenames":[6,1]
,"tools":[6,1,14,2]
,"utilities":[6,1]
,"directories":[6,1]
,"bold":[6,2]
,"titles":[6,1]
,"variable":[6,1,55,1]
,"italics":[6,2]
,"initially":[6,1]
,"introduced":[6,1]
,"longer":[6,1,28,1]
,"against":[6,1]
,"gray":[6,1]
,"background":[6,1]
,"1.6.2":[7,1]
,"depict":[7,1]
,"network":[7,2,10,3,15,1,25,3,26,2,31,1,34,1,36,1,44,1,46,1,47,4,49,1,50,2]
,"notation":[7,3]
,"figure":[7,2,8,2,14,1,21,1,22,3,24,2,25,2,29,2,31,1,32,1,34,3,35,1,37,1,38,1,45,4,47,2,48,1,49,1,50,1,51,1,52,1,53,1,54,1]
,"diagram":[7,2,8,1,22,1,25,1,29,4,31,2,34,2,35,1,38,1,47,1,53,1,54,2]
,"2.1":[8,1]
,"retrieve":[8,1]
,"suites":[8,1]
,"fall":[8,1,47,1]
,"category":[8,1]
,"consisting":[8,1]
,"layers":[8,1]
,"libraries":[8,1]
,"ease-of-use":[8,1]
,"websocket":[8,2,14,1,15,1,52,1]
,"specification":[8,1,55,3,56,2,60,1]
,"widely":[8,1,49,1]
,"frameworks":[8,1]
,"supported":[8,1,15,4,39,1,40,2,41,1,45,1,52,1]
,"linux":[8,1]
,"windows":[8,1,28,1]
,"compiler":[8,1]
,"offered":[8,1,21,1,22,1]
,"via":[8,1,15,1,21,2,22,4,30,1,34,3,40,1,42,1,48,1,49,1,50,2,51,1,52,3,55,1,59,1]
,"whether":[8,1,14,1,29,1,30,1,37,1,40,2,55,1,57,1]
,"need":[8,1,20,1,28,1,30,1,36,1,41,1,44,1,46,1,60,1]
,"possible":[8,2,21,1,39,1,47,1]
,"realize":[8,1]
,"rapidly":[8,1]
,"build":[8,1]
,"allow":[8,1,16,1,19,1,31,1,57,1]
,"easy":[8,1,44,1,46,1]
,"access":[8,1,21,1,22,9,29,1,37,3,47,1,50,2,51,1,58,1,60,2]
,"offer":[8,1,15,1,30,1,54,1,56,1]
,"broadest":[8,1]
,"currently":[8,1,55,2]
,"certain":[8,2,21,1,25,1,52,2]
,"serves":[8,1]
,"serve":[8,1]
,"workspace":[8,1]
,"eikon":[8,1]
,"support":[8,1,11,1,15,1,31,2,33,1,48,1,49,1,55,1]
,"constructs":[8,1,16,5,17,1,18,1,55,1]
,"rtsdk":[8,2]
,"packaged":[8,1]
,"together":[8,1]
,"write":[8,1,13,1,47,1]
,"consumer":[8,1,11,1,14,2,15,1,21,3,22,4,23,7,24,3,25,4,29,5,30,1,33,3,34,6,35,5,36,4,39,3,42,1,43,2,44,1,46,1,47,1,50,1,51,1,52,3,53,1,58,1,59,5]
,"provider":[8,1,12,2,13,2,14,2,15,2,19,1,21,3,22,2,23,3,29,4,30,2,31,2,32,1,34,6,35,6,36,1,37,3,38,5,39,5,40,4,41,1,42,2,43,4,44,5,45,8,46,3,47,4,49,2,52,3,53,1,58,1,59,7]
,"interactive":[8,1,12,2,15,1,29,1,34,2,36,1,38,9,39,5,40,3,41,2,42,3,43,1,44,5,47,1,49,1,52,1,53,1,59,1]
,"non-interactive":[8,1,13,3,15,1,45,12,46,3,47,1,49,2,52,1,59,2]
,"directly":[8,1,20,1,21,2,35,2,49,1,51,1,53,1]
,"value-add":[8,2,21,1]
,"customers":[8,1,20,1]
,"choose":[8,1,15,1,29,2]
,"session-level":[8,1]
,"high-performance":[8,1]
,"transport-level":[8,1,9,1]
,"model-based":[8,2,32,1]
,"offerings":[8,1]
,"built":[8,1]
,"core":[8,1,14,1,30,1,47,1]
,"2.2":[9,1]
,"depending":[9,1,14,1,46,1]
,"particular":[9,1,20,1,29,1]
,"64-bit":[9,1]
,"thread-safe":[9,1]
,"thread-aware":[9,1]
,"capable":[9,1,29,1]
,"handling":[9,1]
,"primitives":[9,1]
,"containers":[9,1]
,"models":[9,2,15,1,16,2,19,3,34,3]
,"including":[9,1,10,1,34,1,36,1,39,1,42,1,50,2,56,2,57,1]
,"user-defined":[9,1,20,3]
,"reliable":[9,1,15,1]
,"includes":[9,1,13,1,53,1,60,1]
,"2.2.1":[10,1]
,"general":[10,2,15,1,35,1,36,1,43,1,46,1]
,"independent":[10,1,35,1]
,"type":[10,1,15,2,33,3,41,2,54,5,55,22,56,31,57,2,59,1,60,1]
,"supports":[10,2,15,1,21,1,22,1,32,1,40,1]
,"fully":[10,1,31,1,51,1]
,"connected":[10,1,31,1]
,"topologies":[10,2]
,"segmented":[10,1]
,"multiple":[10,2,12,2,21,1,23,1,24,1,25,1,26,1,29,3,35,2,38,2,43,1,45,1,48,1,49,3,55,1,58,1]
,"session":[10,1,15,1,30,1]
,"tcp":[10,1,13,1,15,1,49,1]
,"multicast-based":[10,1,13,1]
,"internally":[10,2]
,"fragment":[10,1]
,"reassemble":[10,1]
,"large":[10,1,15,1,48,1]
,"messages":[10,2,11,2,12,2,15,3,22,1,26,3,27,2,28,1,31,3,33,2,34,4,36,2,37,1,40,3,41,6,44,3,47,1,54,3,56,1,58,5,59,1,60,1]
,"pack":[10,1]
,"small":[10,1]
,"perform":[10,1,46,2]
,"decompression":[10,1]
,"2.2.2":[11,1]
,"consumer-based":[11,2]
,"snapshot-based":[11,1,12,1]
,"requests":[11,2,12,5,15,2,25,2,26,1,29,2,34,4,36,2,37,2,38,4,39,2,42,2,43,1,44,2,46,1,47,1]
,"send":[11,3,12,1,25,1,26,1,27,1,28,1,30,2,32,1,33,1,36,1,41,1,55,2,59,3]
,"batch":[11,1,12,1,15,2,24,4,25,1,29,2,34,1,39,1,42,1]
,"views":[11,1,12,1,15,1,23,1,25,4,34,1,39,1,42,1]
,"symbol":[11,1,12,1,15,2,23,2,29,11,39,1,42,1]
,"pause":[11,1,12,1,15,1,26,8,27,3,28,2,39,1,42,1]
,"resume":[11,1,12,1,15,1,26,6,27,4,28,2,39,1,42,1]
,"active":[11,1,12,1]
,"streams":[11,3,12,3,15,2,30,1,34,1,35,4,42,1,43,1,58,2,59,1]
,"post":[11,1,12,1,30,9,31,2,32,2,36,2,37,1,40,4,44,1,59,1]
,"contributions":[11,1,12,1,22,1,30,1,32,1,37,1]
,"receive":[11,1,12,6,23,2,26,1,33,1,36,1,38,2,39,1,40,1,41,2,42,2,43,1,47,2]
,"generic":[11,1,12,1,15,1,16,1,22,1,33,11,34,1,36,1,37,1,41,10,59,2]
,"establish":[11,1,36,2,44,1,46,1,52,3]
,"tunnel":[11,1,12,1,35,12,43,6,52,1]
,"transparently":[11,1]
,"communicate":[11,1,21,1,35,1,58,1]
,"tunneling":[11,1,15,1,52,1]
,"internet":[11,1,52,2]
,"2.2.3":[12,1]
,"providers":[12,1,21,5,22,1,34,2,37,4,38,3,39,1,41,1,42,1,45,4,49,1,50,1,59,1]
,"respond":[12,3,38,1,39,1,42,1,58,1,59,1]
,"acknowledge":[12,1]
,"receiving":[12,1,23,3,26,1,27,1,29,1,37,2,59,1]
,"consumer-":[12,1]
,"based":[12,1,22,1,25,1,60,1]
,"server-based":[12,1]
,"accept":[12,1,38,1,44,1,52,1]
,"connections":[12,1,22,1,34,3,38,2,44,1,52,5,53,1]
,"hubs":[12,1]
,"2.2.4":[13,1]
,"start":[13,1,26,1,45,1]
,"begin":[13,1]
,"udp":[13,1]
,"2.3":[14,1,15,1]
,"comparison":[14,2]
,"illustrated":[14,1,34,1]
,"infrastructure":[14,3,21,2,22,1,30,2,34,1,37,2,45,1,47,2,50,1]
,"testclient":[14,1]
,"sink_driven_src":[14,1]
,"api-based":[14,1,15,4,49,1]
,"application\u2019s":[14,1]
,"maximum":[14,3]
,"achievable":[14,1]
,"determined":[14,1,30,2]
,"connects":[14,1,34,1,35,1,40,1,45,2]
,"thus":[14,1,21,1,49,1,59,1]
,"know":[14,3,29,1]
,"metrics":[14,1]
,"look":[14,3]
,"numbers":[14,3]
,"associated":[14,1,16,1,18,3,49,1,55,1,56,6,58,1,59,1,60,2]
,"talks":[14,2]
,"tip":[14,1]
,"ship":[14,1]
,"additional":[14,1,23,1,29,1,35,2,43,1]
,"refer":[14,1,15,1,19,1,25,1,29,2,35,1,52,1,54,2,60,1]
,"arrive":[14,1]
,"more-specific":[14,1]
,"results":[14,2,59,1]
,"compares":[14,1]
,"existing":[14,1,30,1,34,3,59,1,60,1]
,"factors":[14,1]
,"thread":[14,2]
,"safety":[14,2]
,"may":[14,1,38,1]
,"vary":[14,1]
,"watch":[14,5]
,"lists":[14,1,15,1,23,2,29,3,39,1,42,1,54,1]
,"queues":[14,2]
,"hardware":[14,2]
,"operating":[14,2]
,"typically":[14,1,19,1,23,1,47,3,55,1,56,1,57,1,58,1,59,2,60,1]
,"measuring":[14,1]
,"comparisons":[14,1,15,1]
,"remain":[14,1]
,"consistent":[14,1]
,"footprint":[14,1]
,"safe":[14,4]
,"aware":[14,4]
,"medium":[14,7]
,"depends":[14,2,55,2]
,"none":[14,1,55,1,56,1]
,"cache":[14,1,22,1,25,1,26,2,29,6,30,3,31,7,46,2,59,1]
,"2.4":[15,1]
,"informed":[15,1]
,"decision":[15,1]
,"balance":[15,1]
,"consider":[15,1]
,"section":[15,1,39,1,42,1,54,2,56,2]
,"creates":[15,1]
,"implementations":[15,2]
,"implemented":[15,2,22,2,31,1,37,1]
,"fully-supported":[15,1]
,"functions":[15,1,55,2]
,"legend":[15,1]
,"current":[15,2,21,1,23,1,26,1,27,1,28,1]
,"version":[15,4,35,1]
,"natively":[15,1]
,"software":[15,2]
,"future":[15,2,20,1,23,2]
,"planned":[15,1]
,"release":[15,1,21,1]
,"leverages":[15,1,48,1,49,1]
,"lower-level":[15,1]
,"capability":[15,3,30,1]
,"legacy":[15,3,32,1,38,1,41,1]
,"blue":[15,1,34,1]
,"3.x":[15,2]
,"8.x":[15,1]
,"multicast":[15,2,34,1,45,2,49,2]
,"sequenced":[15,1]
,"unidirectional":[15,1]
,"shared":[15,1]
,"request":[15,2,23,11,24,6,25,4,26,3,27,2,29,9,30,2,33,2,35,2,37,2,39,6,41,2,42,2,44,1,47,2,49,1,58,1,59,2]
,"re-issue":[15,1]
,"close":[15,1,26,1,27,2,59,3]
,"posting":[15,1,30,6,31,5,32,2,34,1,42,1,45,1,56,1]
,"qualified":[15,1]
,"custom":[15,1,34,1]
,"dictionary":[15,1,19,1,36,1,38,1,46,1,55,3,56,1]
,"enhanced":[15,1]
,"login":[15,1,19,1,30,1,44,1,46,1]
,"price":[15,1,19,2,33,1,35,1]
,"marketbyorder":[15,1]
,"marketbyprice":[15,1]
,"maker":[15,1]
,"directory":[15,1,23,1,36,1,44,1,46,1]
,"yield":[15,1]
,"curve":[15,1]
,"ansipage":[15,1]
,"config":[15,2]
,"file-based":[15,2]
,"programmatic":[15,2]
,"group":[15,1,59,2]
,"fanout":[15,1,49,1]
,"items":[15,2,23,1,24,3,25,1,26,1,27,6,29,8,31,1,45,1]
,"load":[15,1,36,1]
,"balancing":[15,1]
,"logging":[15,2]
,"matching":[15,1]
,"pings":[15,1]
,"automatic":[15,1]
,"routing":[15,1]
,"groups":[15,1,54,1]
,"single":[15,1,21,1,24,1,25,2,26,1,27,1]
,"warm":[15,1]
,"standby":[15,1]
,"enable":[15,1]
,"controlled":[15,4,21,1]
,"assembly":[15,1]
,"locking":[15,1]
,"threading":[15,1]
,"dynamic":[15,1,54,1,58,1]
,"buffers":[15,1,54,1]
,"ability":[15,1]
,"programmatically":[15,1]
,"modify":[15,1,36,1,46,1,59,1]
,"during":[15,1]
,"runtime":[15,1]
,"priority":[15,1]
,"levels":[15,1]
,"2.5":[16,1]
,"2.5.1":[16,1]
,"collection":[16,1]
,"header":[16,2]
,"update":[16,1,18,2,26,2,27,1,55,1,56,2,59,2]
,"implicit":[16,1,18,1,59,1]
,"logic":[16,1,18,1]
,"others":[16,1]
,"free-flowing":[16,1]
,"bi-directional":[16,1,33,1,41,1,59,1]
,"combine":[16,1,25,1]
,"various":[16,1,19,1,23,1,36,1,53,1]
,"ways":[16,1]
,"ranging":[16,1,56,1]
,"simple":[16,2,54,1,55,2,56,1]
,"flat":[16,1]
,"primitive":[16,1,33,1,54,7,55,15,56,8]
,"complex":[16,1,17,1,21,1,54,1,55,1,56,1]
,"multi-level":[16,1]
,"hierarchal":[16,1,17,1]
,"layout":[16,1]
,"interpretation":[16,1]
,"referred":[16,1,54,1,58,1]
,"described":[16,1,39,1,42,1]
,"model\u2019s":[16,1]
,"coupled":[16,1]
,"tool":[16,1,25,1]
,"building":[16,1,36,1,44,1,46,1]
,"blocks":[16,1]
,"produce":[16,1]
,"meet":[16,1]
,"needs":[16,1,27,1]
,"structural":[16,1]
,"representations":[16,1,54,1,56,1]
,"manages":[16,1]
,"binary-encoded":[16,1]
,"lseg-provided":[16,1]
,"consume":[16,1,36,1,47,1]
,"throughout":[16,1]
,"2.5.2":[17,1]
,"encoded":[17,1,46,1]
,"highly-optimized":[17,1]
,"reduce":[17,1,26,1]
,"cost":[17,1]
,"compared":[17,1,30,1]
,"previous":[17,1]
,"formats":[17,1]
,"represents":[17,1,35,2,54,1,55,7]
,"machine\u2019s":[17,1]
,"native":[17,1]
,"manner":[17,2]
,"enabling":[17,1]
,"further":[17,1,35,1,52,1,56,2,59,2,60,1]
,"calculations":[17,1]
,"manipulations":[17,1]
,"serializing":[17,1]
,"efficient":[17,1,30,1,58,1]
,"allowing":[17,1,44,1,58,1]
,"rich":[17,1]
,"distribute":[17,1]
,"field":[17,1,19,1,54,2,55,2,56,2]
,"identifier-value":[17,1,54,1,56,1]
,"pair":[17,1]
,"similar":[17,2,30,1,38,1,45,1,54,1,55,2]
,"marketfeed":[17,1]
,"self-describing":[17,1,56,1]
,"qform":[17,1]
,"nested":[17,1,60,3]
,"2.5.3":[18,1]
,"arrangement":[18,1]
,"defines":[18,1,55,3,57,1,60,3]
,"specialized":[18,1,23,1,27,1]
,"behavior":[18,1,23,1,31,1,33,1,34,1,38,1,39,1,40,1,41,1]
,"meanings":[18,1]
,"semantics":[18,1,55,1,58,2,59,1]
,"unless":[18,1]
,"specifies":[18,1,23,1,55,1]
,"otherwise":[18,1]
,"applies":[18,1,57,1,60,2]
,"e.g":[18,1,19,3,21,3,22,1,39,1,41,1,55,7,57,1]
,"indicates":[18,1,35,1,43,1,55,1,56,1,59,1]
,"previously":[18,1,29,1,55,1,56,3]
,"received":[18,1,31,1,56,3]
,"modified":[18,1,56,1]
,"corresponding":[18,1]
,"2.5.3.1":[19,1]
,"consumed":[19,1]
,"currently-defined":[19,2]
,"authenticating":[19,1]
,"exchanging":[19,1]
,"enumeration":[19,1,55,4,56,1]
,"dictionaries":[19,1,44,1]
,"order":[19,1]
,"less":[19,1,55,1]
,"128":[19,1,20,1,56,1]
,"extended":[19,1]
,"definitions":[19,1,20,1,54,1,57,1]
,"2.5.3.2":[20,1]
,"third":[20,1]
,"party":[20,1]
,"solve":[20,1]
,"255":[20,1]
,"designer":[20,1]
,"work":[20,1]
,"define":[20,1,56,1]
,"working":[20,1]
,"ensure":[20,1]
,"interoperability":[20,1]
,"3.1":[21,1]
,"overview":[21,1,45,1,47,1,54,1]
,"map":[21,1,29,1,56,5]
,"facilitates":[21,1]
,"managed":[21,1,24,1,38,1,51,1]
,"consumers":[21,4,22,5,30,1,31,1,34,2,37,2,39,1,44,2,59,2]
,"extensively":[21,1]
,"middleware":[21,1]
,"integrating":[21,2]
,"financial-service":[21,1]
,"expose":[21,1]
,"workflow":[21,1]
,"purpose":[21,1]
,"trading":[21,2]
,"screen":[21,1,28,1]
,"black-box":[21,1]
,"algorithmic":[21,1]
,"cases":[21,1,23,1,31,1,54,1]
,"function":[21,1]
,"computation":[21,1]
,"engine":[21,1]
,"needed":[21,1,27,1,47,1]
,"always":[21,1]
,"appropriate":[21,1,39,1,44,1,46,1]
,"however":[21,1,29,1,34,1]
,"deployments":[21,1]
,"managing":[21,1,38,1]
,"local":[21,1,22,1,31,2,45,1]
,"automated":[21,1]
,"resiliency":[21,1]
,"scalability":[21,1]
,"control":[21,1,47,1,60,1]
,"protection":[21,1]
,"placing":[21,1]
,"note":[21,1]
,"3.2":[22,1]
,"points":[22,2,37,1]
,"attach":[22,1,37,1]
,"point":[22,7,35,1,37,2,43,1,55,2,58,1,59,1]
,"manifest":[22,1]
,"themselves":[22,1]
,"two":[22,1,26,1,28,1,30,1,45,1,47,1,54,1]
,"forms":[22,1]
,"concrete":[22,2,37,1,54,1]
,"service-provider":[22,1]
,"right-side":[22,1,31,1]
,"illustrates":[22,2,24,1,29,2,31,1,34,2,38,1,47,1,53,1,54,1]
,"proxy":[22,3]
,"point-to-point":[22,1,34,1,45,2,48,1]
,"first":[22,1,26,1,29,2,30,2]
,"passing":[22,1,35,1]
,"include":[22,1,23,1,37,1,56,2]
,"subscribes":[22,1,23,2]
,"posts":[22,1,31,1,40,1,60,1]
,"inserts":[22,1,30,2,32,2,37,1]
,"communicates":[22,1,38,1,48,1]
,"stream":[22,1,23,4,28,1,30,5,34,9,35,14,42,3,43,9,55,1,58,6,59,12,60,2]
,"3.2.1":[23,1]
,"subscriptions":[23,1]
,"response":[23,6,29,1,33,3,37,1,39,7,40,1,41,3,42,2,49,1]
,"successfully":[23,1,36,1]
,"logs":[23,1]
,"obtains":[23,1]
,"sources":[23,1,50,1]
,"subscribe":[23,1,31,1]
,"turn":[23,1]
,"maps":[23,1]
,"name":[23,1,29,3,56,2,59,1]
,"consumer\u2019s":[23,2,59,1]
,"specify":[23,1,55,1,56,4]
,"interest":[23,2,25,1,46,1,59,2]
,"changes":[23,3,39,1,56,2,59,3]
,"full":[23,3]
,"classic":[23,1]
,"considered":[23,4,37,1]
,"closed":[23,1,59,1]
,"possibly":[23,1]
,"delivered":[23,1]
,"parts":[23,1]
,"sent":[23,2,31,1,33,1,34,2,41,1,57,1]
,"typical":[23,1,42,1,47,2]
,"sends":[23,4,24,1,25,1,26,3,27,3,28,1,29,1,33,1,37,1,44,1,45,1]
,"non-streaming":[23,1]
,"contains":[23,1,29,1,55,1,56,4,60,1]
,"complete":[23,1]
,"soon":[23,1]
,"initial":[23,1]
,"updates":[23,1,28,1,39,1,55,1]
,"occur":[23,1,56,1]
,"until":[23,1]
,"closes":[23,1]
,"wants":[23,1,26,1,29,1,35,1,43,1]
,"every":[23,1,37,1,57,1]
,"change":[23,1,60,2]
,"life":[23,1]
,"batches":[23,1,24,1]
,"3.2.2":[24,1]
,"client-based":[24,1,25,1]
,"called":[24,1,25,1,45,1]
,"responds":[24,1,26,1,29,1,38,1]
,"sending":[24,1,26,3,30,1,45,1,60,1]
,"opened":[24,1]
,"individually":[24,2,29,2]
,"issuing":[24,1,26,1,29,1]
,"tri":[24,1,28,1,29,1]
,"intc.o":[24,1,28,5,45,1]
,"resulting":[24,1]
,"responses":[24,1,31,1,36,2]
,"3.2.3":[25,1]
,"reduces":[25,1]
,"amount":[25,1,26,1]
,"flows":[25,1,29,1,33,1,41,1,45,1]
,"across":[25,1,26,1,34,1,49,1,52,1]
,"filtering":[25,6]
,"interested":[25,1,31,1]
,"improve":[25,1]
,"maximize":[25,1]
,"bandwidth":[25,2,26,1]
,"filter":[25,1]
,"fields":[25,5,45,1]
,"downstream":[25,1,27,2,45,1,59,1]
,"subset":[25,3]
,"given":[25,1]
,"controlling":[25,1]
,"view":[25,4,28,3]
,"receives":[25,1,26,1,29,1,31,1,37,3,38,1,39,1]
,"requested":[25,1]
,"back":[25,1,27,1,28,1,29,1,47,1]
,"consumer-side":[25,1]
,"request-side":[25,1]
,"internal":[25,1,31,1]
,"optimizing":[25,1]
,"traffic":[25,1,27,1,45,2,49,1]
,"conjunction":[25,1]
,"server-side":[25,1]
,"powerful":[25,1]
,"optimization":[25,1,56,1]
,"3.2.4":[26,1]
,"optimizes":[26,1]
,"flowing":[26,1,35,1]
,"already":[26,1]
,"openly":[26,1]
,"client":[26,8,27,9,28,2,29,4,30,3,48,2]
,"stops":[26,1]
,"remains":[26,1]
,"continues":[26,2,27,1,28,1]
,"upstream":[26,1,45,2,59,3]
,"device":[26,1,32,1,35,1,47,1,48,1]
,"client\u2019s":[26,1]
,"again":[26,1,28,1]
,"aggregated":[26,1]
,"refresh":[26,1,27,1,28,1,59,2]
,"image":[26,1,27,1,28,1]
,"resumes":[26,1]
,"subsequent":[26,1,27,1,28,1,29,1,60,1]
,"avoid":[26,1]
,"disrupt":[26,1]
,"prolong":[26,1]
,"times":[26,1,55,1]
,"main":[26,1,45,1]
,"use-case":[26,1,27,1]
,"scenarios":[26,1,34,1]
,"intensive":[26,1]
,"back-end":[26,1,27,5]
,"processing":[26,1,27,5,49,2]
,"display":[26,1,28,1]
,"lot":[26,1,28,1]
,"3.2.4.1":[27,1]
,"case":[27,2,28,4,31,1]
,"performs":[27,2]
,"heavy":[27,1]
,"threshold":[27,1]
,"lowering":[27,1]
,"rate":[27,1,55,1]
,"run":[27,1]
,"report":[27,1]
,"increase":[27,1]
,"workload":[27,1]
,"negatively":[27,1]
,"impact":[27,1]
,"risk":[27,1]
,"having":[27,1]
,"abruptly":[27,1]
,"cut":[27,1]
,"require":[27,1]
,"re-open":[27,1]
,"finishing":[27,1]
,"paused":[27,2]
,"3.2.4.2":[28,1]
,"second":[28,1,55,1]
,"displays":[28,1]
,"scenario":[28,1,29,2,33,1,34,1,39,1,42,1,45,2]
,"window":[28,9]
,"updating":[28,2,45,1,54,1,55,1,56,1]
,"moves":[28,2]
,"cover":[28,1]
,"contents":[28,2,56,2]
,"obstructed":[28,1]
,"long":[28,1]
,"visible":[28,1]
,"3.2.5":[29,1]
,"doesn\u2019t":[29,1]
,"names":[29,4]
,"issue":[29,2,36,1]
,"exists":[29,1,30,1,31,1]
,"resolve":[29,1]
,"replaces":[29,1,55,1]
,"criteria-based":[29,1]
,"cbr":[29,1]
,"4.5":[29,1,51,1]
,"basic":[29,2]
,"fred":[29,3]
,"resolving":[29,1]
,"making":[29,1]
,"listed":[29,1]
,"caches":[29,1]
,"effectively":[29,1,35,1]
,"dumping":[29,1]
,"_ads_cache_list":[29,1]
,"_server_list":[29,1]
,"obtaining":[29,1]
,"stored":[29,1,56,6]
,"instances":[29,1]
,"details":[29,1,35,1,52,1]
,"administration":[29,1]
,"detailed":[29,1,55,1]
,"developer\u2019s":[29,1]
,"accessing":[29,1,55,2]
,"entire":[29,1,55,1]
,"3.2.6":[30,1]
,"easily":[30,1,36,1]
,"push":[30,1,59,1]
,"ats":[30,1]
,"today":[30,1]
,"reuse":[30,1,44,1,46,1]
,"sessions":[30,1]
,"publish":[30,1,36,1,41,1,45,2,46,1,47,1,49,2]
,"residing":[30,1]
,"spreadsheets":[30,1]
,"form":[30,1,40,1]
,"separate":[30,1]
,"manage":[30,1,38,1,54,1]
,"event":[30,1]
,"unlike":[30,1,34,1]
,"unmanaged":[30,1]
,"acknowledgments":[30,1]
,"per":[30,1]
,"posted":[30,1,31,2,59,1,60,1]
,"on-stream":[30,3]
,"off-stream":[30,3]
,"opening":[30,1]
,"route":[30,3]
,"regardless":[30,1,47,1]
,"3.2.6.1":[31,1]
,"benefits":[31,1]
,"green":[31,1,34,4]
,"red":[31,3]
,"distributes":[31,1,48,1]
,"segment":[31,1]
,"enabled":[31,1]
,"caching":[31,1,49,1]
,"cached":[31,1]
,"distributed":[31,1]
,"forwarded":[31,1]
,"re-posted":[31,1]
,"even":[31,1]
,"purple":[31,2]
,"populated":[31,1]
,"beyond":[31,1]
,"good":[31,1]
,"solution":[31,1,48,1,51,1]
,"one\u2019s":[31,1]
,"restricted":[31,1,60,2]
,"lan":[31,1]
,"hosts":[31,1,47,1]
,"3.2.6.2":[32,1]
,"contribute":[32,1]
,"head":[32,1]
,"end":[32,1,35,1,43,1]
,"custom-provider":[32,1]
,"3.2.7":[33,1]
,"contain":[33,1,41,1,55,3,56,2]
,"whereas":[33,1,41,1]
,"flow":[33,2,34,3,35,1,41,2,43,1,45,1,58,2,59,2]
,"direction":[33,1,41,1]
,"required":[33,1,40,2,55,1,56,1]
,"expected":[33,1,38,1,39,1,42,1,57,1]
,"advantage":[33,1]
,"freedom":[33,1]
,"traditional":[33,1]
,"publishes":[33,1,37,1,40,1]
,"domains":[33,2,38,1,39,2,40,3,41,2,45,1]
,"just":[33,1]
,"data-based":[33,1]
,"understand":[33,1,41,1]
,"ignores":[33,1,41,1]
,"3.2.8":[34,1]
,"virtual":[34,4]
,"cascaded":[34,1,50,1,51,1]
,"platforms":[34,1,52,2]
,"configurations":[34,1]
,"piggy":[34,1]
,"backs":[34,1]
,"individual":[34,1,56,1,58,1]
,"white":[34,2]
,"connector":[34,1]
,"exchanged":[34,1,35,1,43,1]
,"underlying":[34,1]
,"regular":[34,1]
,"fan":[34,1,48,1]
,"shows":[34,1]
,"creating":[34,1,35,1,43,1,60,1]
,"path":[34,1]
,"established":[34,1,35,1,42,1,43,1,58,1,59,1]
,"communications":[34,1]
,"break":[34,1]
,"causes":[34,1]
,"notified":[34,1]
,"loss":[34,1]
,"responsible":[34,1]
,"re-establishing":[34,1]
,"re-requesting":[34,1]
,"missed":[34,1]
,"limited":[34,1]
,"3.2.9":[35,1]
,"special":[35,1]
,"behaviors":[35,4,43,3]
,"end-to-end":[35,2]
,"line":[35,3]
,"sight":[35,2]
,"guaranteed":[35,1]
,"founded":[35,1]
,"concept":[35,2,38,2,43,1,45,1]
,"establishes":[35,1]
,"intermediate":[35,2]
,"edge":[35,1,47,1]
,"enforce":[35,3,43,3,55,2]
,"end-point":[35,1,43,1]
,"acknowledges":[35,1,43,1]
,"creation":[35,1,43,1,60,1]
,"exchange":[35,1,43,1,50,1,51,2,52,1,58,1]
,"transmitted":[35,1,43,1]
,"negotiated":[35,1,43,1]
,"substreams":[35,2,43,2]
,"exist":[35,1,43,1]
,"follow":[35,1,43,1,55,2]
,"except":[35,1,43,1,55,1]
,"coexist":[35,1,43,1,58,1]
,"confines":[35,1,43,1]
,"orange":[35,1]
,"cylinder":[35,2]
,"notice":[35,1]
,"passes":[35,1]
,"talk":[35,1]
,"traverse":[35,1]
,"devices":[35,1,47,1]
,"black":[35,1]
,"substream":[35,3]
,"transmits":[35,1]
,"series":[35,1,56,3]
,"illustration":[35,1]
,"3.2.10":[36,1]
,"forward":[36,2]
,"process":[36,2,44,1,46,2]
,"summarized":[36,1,46,1]
,"steps":[36,1,44,1,46,1]
,"communication":[36,1,44,1,46,1,48,1]
,"log":[36,2,46,1]
,"obtain":[36,1]
,"download":[36,1,44,1,46,1]
,"necessary":[36,1,44,1]
,"shut":[36,1,44,1,46,1]
,"down":[36,1,44,1,46,1]
,"implementation":[36,1,46,1]
,"mind":[36,1,44,1,46,1]
,"demonstrates":[36,1,44,1,46,1]
,"aspects":[36,1]
,"portions":[36,1,44,1,46,1]
,"abstracted":[36,1,44,1,46,1]
,"reused":[36,1]
,"unique":[36,1,44,1]
,"goals":[36,1,44,1,46,1,54,1]
,"3.3":[37,1]
,"provider-based":[37,1]
,"inter-operate":[37,1]
,"broadcast-publishing":[37,1]
,"style":[37,1]
,"handle":[37,1,44,2,46,1,56,1]
,"3.3.1":[38,1]
,"accepting":[38,1]
,"describing":[38,1,39,1]
,"completed":[38,1]
,"adopters":[38,1,45,1]
,"sink-driven":[38,1]
,"act":[38,1,45,1]
,"servers":[38,1,49,1,52,1]
,"client-server":[38,1,45,1]
,"relationship":[38,1,45,1]
,"3.3.1.1":[39,1]
,"aapl":[39,1]
,"expects":[39,2,45,1]
,"status":[39,2,58,1,59,2]
,"cannot":[39,2,42,1,55,1]
,"reject":[39,1]
,"commonly":[39,1]
,"state":[39,1,40,1,55,3,59,1]
,"reason":[39,1]
,"simply":[39,1,40,1,41,1]
,"market-data-based":[39,1,40,1,41,1]
,"consumer-style":[39,1,42,1]
,"negative":[39,1,40,1,42,1,55,1]
,"acknowledgment":[39,1,40,2,42,1]
,"3.3.1.2":[40,1]
,"expect":[40,1,41,1]
,"positive":[40,1,55,1]
,"states":[40,1]
,"3.3.1.3":[41,1]
,"conform":[41,1]
,"3.3.1.4":[42,1]
,"once":[42,1,45,1,57,1]
,"3.3.1.5":[43,1]
,"3.3.1.6":[44,1]
,"opens":[44,1]
,"listening":[44,1]
,"socket":[44,1,52,1]
,"well-known":[44,1,55,1]
,"port":[44,1]
,"summarize":[44,1]
,"incoming":[44,1,52,1,55,1]
,"dispatch":[44,1]
,"disconnect":[44,1]
,"package":[44,1,46,1,55,1,58,1]
,"implementing":[44,1]
,"customize":[44,1]
,"3.3.2":[45,1]
,"3.3.2.1":[45,1]
,"writes":[45,1]
,"src-driven":[45,1]
,"broadcast":[45,1]
,"tcp-based":[45,1]
,"benefit":[45,1]
,"bottom":[45,1]
,"normally":[45,1]
,"frequently":[45,1]
,"done":[45,1]
,"contend":[45,1]
,"potential":[45,1]
,"bias":[45,1]
,"prioritization":[45,1]
,"versus":[45,1]
,"3.3.2.2":[46,1]
,"without":[46,1,56,1]
,"needing":[46,1]
,"along":[46,1,55,2,57,1]
,"indicate":[46,1,56,1,57,1,58,1,59,3]
,"nip":[46,1]
,"decoded":[46,1]
,"4.1":[47,1]
,"categories":[47,1]
,"interpret":[47,1]
,"reply":[47,1]
,"permissioning":[47,1,59,2,60,2]
,"markets":[47,1]
,"remainder":[47,1,58,1]
,"chapter":[47,1,58,1]
,"briefly":[47,1]
,"pictured":[47,1]
,"explains":[47,1]
,"integrate":[47,1]
,"4.2":[48,1]
,"consolidated":[48,1]
,"value-added":[48,1]
,"third-party":[48,1]
,"trading-room":[48,1]
,"protocols":[48,1]
,"exposed":[48,1]
,"delivers":[48,1]
,"threads":[48,1,49,2]
,"offload":[48,1,49,1]
,"writing":[48,1]
,"distributing":[48,1,49,1]
,"tasks":[48,1]
,"fashion":[48,1,49,1]
,"number":[48,1]
,"4.3":[49,1]
,"runs":[49,1]
,"consumes":[49,1]
,"variety":[49,1,50,1,54,1,58,1]
,"reliably":[49,1]
,"fans":[49,1]
,"backbone":[49,1]
,"inbound":[49,1]
,"outbound":[49,1]
,"leveraging":[49,1]
,"overhead":[49,2]
,"fault":[49,1]
,"tolerance":[49,1]
,"offloading":[49,1]
,"throughputs":[49,1]
,"4.4":[50,1]
,"global":[50,1]
,"ultra-high-speed":[50,1]
,"hosting":[50,1]
,"share":[50,1,57,1]
,"wide":[50,1,54,1]
,"exchanges":[50,1,51,1]
,"normalized":[50,1]
,"sets":[50,1]
,"obtained":[50,1]
,"on-prem":[50,1]
,"authenticate":[50,1]
,"discover":[50,1]
,"cloud":[50,1]
,"offering":[50,1]
,"ultimately":[50,1]
,"real-tme":[50,1]
,"ultra-low-latency":[51,1]
,"normalizes":[51,1]
,"4.6":[52,1]
,"connectivity":[52,2]
,"encrypted":[52,3]
,"tunneled":[52,1]
,"hosted":[52,1]
,"solutions":[52,1]
,"performing":[52,1]
,"certificate":[52,1]
,"4.7":[53,1]
,"combinations":[53,1]
,"5.1":[54,1]
,"categorized":[54,1]
,"atomically":[54,1,55,1]
,"integers":[54,1,55,1]
,"dates":[54,1,55,1]
,"string":[54,1,55,3]
,"5.2":[54,1,55,1,56,2]
,"container":[54,11,56,28,57,3,60,3]
,"intricately":[54,1]
,"granular":[54,1,56,1]
,"represent":[54,1,55,5,56,2]
,"name-value":[54,1]
,"key-value":[54,1,56,1]
,"pairs":[54,1]
,"5.3":[54,1,56,1]
,"uniform":[54,1,56,4]
,"homogeneous":[54,1,56,1]
,"entries":[54,3,56,12,57,1,60,1]
,"house":[54,3,56,11]
,"non-uniform":[54,1,56,3]
,"heterogeneous":[54,1,56,1]
,"hold":[54,1,56,1]
,"resemble":[54,1]
,"composite":[54,6]
,"pattern":[54,2]
,"highlights":[54,1]
,"made":[54,1]
,"mirror":[54,1]
,"pattern\u2019s":[54,3]
,"mimic":[54,1]
,"leaf":[54,1]
,"conveying":[54,1]
,"housing":[54,3]
,"element":[54,1]
,"nesting":[54,2]
,"arrange":[54,1]
,"nest":[54,1]
,"whatever":[54,1]
,"achieves":[54,1]
,"base":[55,4,56,4]
,"contained":[55,2]
,"held":[55,1]
,"ranges":[55,1]
,"integer":[55,3,56,2]
,"brief":[55,1,56,1]
,"description":[55,3,56,2,59,1]
,"decoding":[55,3]
,"unknown":[55,1]
,"valid":[55,4]
,"look-up":[55,1]
,"passed":[55,1]
,"int":[55,1]
,"bits":[55,2]
,"bit":[55,1]
,"sign":[55,1]
,"uint":[55,1]
,"unsigned":[55,3,56,2]
,"precision":[55,1]
,"float":[55,3]
,"four-byte":[55,1]
,"floating":[55,2]
,"allowed":[55,2]
,"follows":[55,2]
,"ieee":[55,2]
,"754":[55,2]
,"double":[55,3]
,"eight-byte":[55,1]
,"real":[55,2]
,"decimal":[55,2]
,"fractional":[55,2]
,"requires":[55,1]
,"bytes":[55,1]
,"hint":[55,1]
,"converting":[55,2]
,"date":[55,4]
,"month":[55,1]
,"day":[55,1]
,"year":[55,1]
,"hour":[55,1]
,"minute":[55,1]
,"millisecond":[55,1]
,"microsecond":[55,1]
,"nanosecond":[55,1]
,"datetime":[55,1]
,"combined":[55,1]
,"members":[55,1]
,"timeliness":[55,1]
,"tick-by-tick":[55,1]
,"payload":[55,2,56,2,57,2,59,1,60,1]
,"conveyed":[55,2]
,"headers":[55,2]
,"enum":[55,1]
,"two-byte":[55,1]
,"cross-referenced":[55,1]
,"enumtype.def":[55,1]
,"carries":[55,1]
,"fixed-length":[55,1]
,"resent":[55,1]
,"raw":[55,1]
,"byte":[55,1]
,"outside":[55,1,58,1]
,"rdmfielddictionary":[55,1,56,1]
,"stringe":[55,1]
,"characters":[55,3]
,"null":[55,2]
,"terminated":[55,2]
,"length":[55,2]
,"standards":[55,2]
,"user\u2019s":[55,2]
,"responsibility":[55,2]
,"buffere":[55,1]
,"utf8":[55,2]
,"utility":[55,1]
,"proper":[55,1]
,"storage":[55,1]
,"strings":[55,1]
,"entry":[56,25,57,2,60,2]
,"replacement":[56,1]
,"entry-specific":[56,1]
,"actions":[56,2]
,"varying":[56,1]
,"datatypes":[56,1]
,"exposes":[56,1]
,"containertype":[56,6,57,2]
,"housed":[56,2,57,1]
,"msg":[56,2]
,"containertype\u2019s":[56,1]
,"enumerated":[56,1]
,"224":[56,1]
,"api\u2019s":[56,1]
,"fieldlist":[56,3]
,"elementlist":[56,2]
,"paired":[56,3]
,"fieldid":[56,2]
,"external":[56,1]
,"optimize":[56,1]
,"set-defined":[56,4]
,"fieldentry":[56,1]
,"datatype":[56,3]
,"updated":[56,1,58,1]
,"displayed":[56,2]
,"replaced":[56,2]
,"action":[56,6]
,"containing":[56,1]
,"equivalent":[56,1]
,"optimizations":[56,1]
,"elemententry":[56,1]
,"entry\u2019s":[56,6]
,"specified":[56,7,60,2]
,"mapentry":[56,1]
,"informs":[56,4]
,"apply":[56,4]
,"often":[56,1]
,"table-based":[56,1]
,"explicit":[56,2]
,"indexing":[56,1]
,"present":[56,1,57,2]
,"append":[56,2]
,"previously-received":[56,1]
,"seriesentry":[56,2]
,"vector":[56,3,57,1]
,"position":[56,1]
,"index-value":[56,1]
,"index":[56,2]
,"represented":[56,1]
,"vectorentry":[56,1,57,1]
,"filterlist":[56,3]
,"filterentry":[56,2]
,"override":[56,2]
,"container\u2019s":[56,1]
,"5.4":[57,1]
,"summary":[57,10]
,"conveys":[57,1,59,1]
,"ensures":[57,1,60,1]
,"instead":[57,1]
,"repetitively":[57,1]
,"currency":[57,2]
,"likely":[57,1]
,"employ":[57,1]
,"match":[57,1]
,"vector.containertype":[57,1]
,"5.5":[58,1]
,"permission":[58,1,60,18]
,"purposes":[58,1]
,"relatively":[58,1]
,"loose":[58,1]
,"inside":[58,1]
,"related":[58,1]
,"simultaneous":[58,1]
,"instantiated":[58,1]
,"requestmsg":[58,1,59,1]
,"followed":[58,1]
,"responding":[58,1]
,"refreshmsg":[58,1,59,1,60,3]
,"statusmsg":[58,1,59,2,60,2]
,"identification":[58,1]
,"uniqueness":[58,1]
,"5.6":[59,1]
,"class":[59,5]
,"express":[59,1]
,"solicited":[59,1]
,"resynchronization":[59,1]
,"unsolicited":[59,1]
,"initiate":[59,1]
,"updatemsg":[59,1,60,2]
,"convey":[59,2]
,"properties":[59,1]
,"successful":[59,1]
,"establishment":[59,1]
,"streamstate":[59,1]
,"datastate":[59,1]
,"stream\u2019s":[59,1]
,"belongs":[59,1]
,"closemsg":[59,2]
,"result":[59,1]
,"implicitly":[59,1]
,"handles":[59,1]
,"unregisters":[59,1]
,"request-refresh":[59,1]
,"postmsg":[59,2,60,3]
,"applied":[59,1]
,"routed":[59,1]
,"republish":[59,1]
,"ack":[59,1]
,"ackmsg":[59,1]
,"inform":[59,1]
,"success":[59,1]
,"failure":[59,1]
,"5.7":[60,1]
,"authorization":[60,4]
,"manipulating":[60,1]
,"generally":[60,3]
,"inclusion":[60,1]
,"entitled":[60,1]
,"parties":[60,1]
,"filtered":[60,1]
,"permissions":[60,2]
,"contributed":[60,1]
,"message\u2019s":[60,1]
,"expression":[60,1]
},
"synonyms":
{
}
}
;Search.control.advance(info);
