var info =
{
"pages":
[
["Developers_Guide\u002FChap_Intro.1.1.html","1.1 About this Manual","This document is authored by Enterprise Message API architects and programmers. Several of its authors have designed, developed, and maintained the Enterprise Message API product and other LSEG products which leverage it. This guide documents the functionality and capabilities of the Enterprise Mess...","Developers_Guide\u002Fpairs\u002Fpair1.js","content-page"]
,["Developers_Guide\u002FChap_Intro.1.2.html","1.2 Audience","This document provides detailed yet supplemental information for application developers writing to the Enterprise Message API. ","Developers_Guide\u002Fpairs\u002Fpair2.js","content-page"]
,["Developers_Guide\u002FChap_Intro.1.3.html","1.3 Programming Language","The Enterprise Message API is written using the C++ programming language taking advantage of the object oriented approach to design and development of API and applications. ","Developers_Guide\u002Fpairs\u002Fpair3.js","content-page"]
,["Developers_Guide\u002FChap_Intro.1.4.html","1.4 Acronyms and Abbreviations","Table 1: Acronyms and Abbreviations ACRONYM \u002F Term Meaning ADH LSEG Real-Time Advanced Distribution Hub is the horizontally scalable service component within the LSEG Real-Time Distribution System providing high availability for publication and contribution messaging, subscription management with op...","Developers_Guide\u002Fpairs\u002Fpair4.js","content-page"]
,["Developers_Guide\u002FChap_Intro.1.5.html","1.5 References","\u2022 Enterprise Message API C++ Edition LSEG Domain Model Usage Guide \u2022 API Concepts Guide \u2022 Enterprise Message API C++ Edition Configuration Guide \u2022 <a href=..\u002F..\u002Frefman\u002Fema\u002FIndex.html target=_blank>Enterprise Message API C++ Edition Reference Manual<\u002Fa> \u2022 Enterprise Message API C++ Edition Developers...","Developers_Guide\u002Fpairs\u002Fpair5.js","content-page"]
,["Developers_Guide\u002FChap_Intro.1.6.html","1.6 Document Conventions","This document uses the following types of conventions: \u2022 C++ classes, methods, in-line code snippets, and types are shown in Courier New font. \u2022 Parameters, filenames, tools, utilities, and directories are shown in Bold font. \u2022 Document titles and variable values are shown in italics. \u2022 When initial...","Developers_Guide\u002Fpairs\u002Fpair6.js","content-page"]
,["Developers_Guide\u002FChapter_Prod_Desc.2.1.html","2.1 Enterprise Message API Product Description","The Enterprise Message API is a data-neutral, multi-threaded, ease-of-use API providing access to OMM and RWF data. As part of the LSEG Real-Time Software Development Kit, or RTSDK, the Enterprise Message API allows applications to consume and provide OMM data at the message level of the API stack. ...","Developers_Guide\u002Fpairs\u002Fpair1_2.js","content-page"]
,["Developers_Guide\u002FChapter_Prod_Desc.2.2.html","2.2 Product Documentation and Learning the Enterprise Message API","When learning the Enterprise Message API, LSEG recommends you set up a sandbox environment where developers can experiment with various iterations of Enterprise Message API applications. Enterprise Message API is designed to facilitate a hands-on (experiment-based) learning experience (versus a docu...","Developers_Guide\u002Fpairs\u002Fpair2_2.js","content-page"]
,["Developers_Guide\u002FChapter_Prod_Desc.2.3.html","2.2.1 Consumer Examples","The complexity of a consumer example is reflected in its series number as follows: \u2022 100-series examples simply open an item and print its received content to the screen (using the Data::toString() method). Applications in this series illustrate Enterprise Message API support for stringification, co...","Developers_Guide\u002Fpairs\u002Fpair3_2.js","content-page"]
,["Developers_Guide\u002FChapter_Prod_Desc.2.4.html","2.2.2 Provider Examples","The complexity of an example is reflected in its series number. Each provider type (i.e., non-interactive versus interactive) has its own directory structure in the product package: \u2022 100-series examples simply create streaming items and submit their refreshes and updates. Applications in this serie...","Developers_Guide\u002Fpairs\u002Fpair4_2.js","content-page"]
,["Developers_Guide\u002FChapter_Prod_Desc.2.5.html","2.3 Product Architecture","2.3.1 Enterprise Message API Consumer Architecture The Enterprise Message API incorporates the ValueAdded Reactor component (called the Transport API VA Reactor) from the Transport API, which provides the watchlist and transport-level functionality. The Enterprise Message API wraps up the reactor co...","Developers_Guide\u002Fpairs\u002Fpair5_2.js","content-page"]
,["Developers_Guide\u002FChapter_Prod_Desc.2.6.html","2.3.2 Enterprise Message API Provider Architecture","The Enterprise Message API provider incorporates the Value Added (VA) Reactor component from the EnterpriseTransport API, which provides transport-level functionality. The Enterprise Message API wraps the reactor component in its own class of OmmProvider. OmmProvider provides interfaces to submit it...","Developers_Guide\u002Fpairs\u002Fpair6_2.js","content-page"]
,["Developers_Guide\u002FChapter_Prod_Desc.2.7.html","2.3.3 Enterprise Message API Codec Architecture","The Enterprise Message API Codec uses the Enterprise Transport API decoding and encoding functions to read and populate OMM containers and messages. Each OMM container and message is represented by a respective Enterprise Message API interface class, which provides relevant methods for setting infor...","Developers_Guide\u002Fpairs\u002Fpair7.js","content-page"]
,["Developers_Guide\u002FChapter_Prod_Desc.2.8.html","2.4 Tunnel Streams","By leveraging the Transport API Value Added Reactor, the Enterprise Message API allows users to create and use special tunnel streams. A tunnel stream is a private stream that has additional behaviors associated with it, such as end-to-end line of sight for authentication and reliable delivery. Beca...","Developers_Guide\u002Fpairs\u002Fpair8.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.01.html","3.1 Overview","Enterprise Message API supports a full set of OMM containers, messages, and primitives (e.g. FieldList, Map, RefreshMsg, Int). For simplicity, Enterprise Message API uses: \u2022 The \u201Cset \u002F add\u201D type of functionality to populate OMM containers, messages, and primitives \u2022 Set functionality is used to spec...","Developers_Guide\u002Fpairs\u002Fpair1_3.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.02.html","3.2 Classes","3.2.1 DataType Class The DataType class provides the set of enumeration values that represent each and every supported OMM data type, including all OMM containers, messages, and primitives. Each class representing OMM data identifies itself with an appropriate DataType enumeration value (e.g., DataT...","Developers_Guide\u002Fpairs\u002Fpair2_3.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.03.html","3.2.2 DataCode Class","The DataCode class provides two enumeration values that indicate the data\u2019s state: \u2022 The DataCode::NoCodeEnum indicates that the received data is valid and application may use it. \u2022 The DataCode::BlankEnum indicates that the data is not present and application needs to blank the respective data fiel...","Developers_Guide\u002Fpairs\u002Fpair3_3.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.04.html","3.2.3 Data Class","The Data class is a parent abstract class from which all OMM containers, messages, and primitives inherit. Data provides interfaces common across all its children, which in turn enables down-casting operations. The Data class and all classes that inherit from it are optimized for efficiency and buil...","Developers_Guide\u002Fpairs\u002Fpair4_3.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.05.html","3.2.4 Msg Class","The Msg class is a parent class for all the message classes. It defines all the interfaces that are common across all message classes.","Developers_Guide\u002Fpairs\u002Fpair5_3.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.06.html","3.2.5 OmmError Class","The OmmError class is a special purpose class. It is a read only class implemented in the Enterprise Message API to notify applications about errors detected while processing received data. This class enables applications to learn what error condition was detected. Additionally it provides the getAs...","Developers_Guide\u002Fpairs\u002Fpair6_3.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.07.html","3.2.6 TunnelStreamRequest and ClassOfService Classes","The TunnelStreamRequest class specifies request information for use in establishing a tunnel stream. A tunnel stream is a private stream that provides additional functionalities such as user authentication, end-to-end flow control and reliable delivery. You can configure these features on a per-tunn...","Developers_Guide\u002Fpairs\u002Fpair7_2.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.08.html","3.3 Working with OMM Containers","Enterprise Message API supports the following OMM containers: ElementList, FieldList, FilterList, Map, Series, and Vector. Each of these classes provides set type interfaces for container header information (e.g., dictionary id, element list number, and the add-type interfaces for adding entries). Y...","Developers_Guide\u002Fpairs\u002Fpair8_2.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.09.html","3.3.1 Example: Populating a FieldList Class","The following example illustrates how to populate a FieldList class with fluid interfaces.   try { FieldList fieldList;  fieldList.info( 1, 1 ) .addUInt( 1, 64 ) .addReal( 6, 11, OmmReal::ExponentNeg2Enum ) .addDate( 16, 1999, 11, 7 ) .addTime( 18, 02, 03, 04, 005 ) .complete(); } catch ( const OmmE...","Developers_Guide\u002Fpairs\u002Fpair9.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.10.html","3.3.2 Example: Populating a Map Class Relying on the FieldList Memory Buffer","The following code snippet illustrates how to populate a Map class with summary data and a single entry containing a FieldList. In this example, the FieldList class uses its own memory buffer to store content while it is populated. This buffer later gets copied to the buffer owned by the Map class. ...","Developers_Guide\u002Fpairs\u002Fpair10.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.11.html","3.3.3 Example: Populating a Map Class Relying on the Map Class Buffer","The following example illustrates how to populate a Map class with a single entry containing a FieldList. In this case, the FieldList class uses the memory buffer owned by the Map class to store its own content while it is populated, therefore avoiding the internal buffer copy described in Section 3...","Developers_Guide\u002Fpairs\u002Fpair11.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.12.html","3.3.4 Example: Extracting Information from a FieldList Class","In the following example illustrates how to use the FieldList::forth() method to extract information from the FieldList class by iterating over the class. The following code extracts information about all entries.   void decode( const FieldList& fieldList ) { \u00A0\u00A0\u00A0\u00A0if ( fieldList.hasInfo() ) \u00A0\u00A0\u00A0\u00A0{ \u00A0\u00A0\u00A0...","Developers_Guide\u002Fpairs\u002Fpair12.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.13.html","3.3.5 Example: Application Filtering on the FieldList Class","In the following code snippet application filters or extracts select information from FieldList class. The FieldList::forth( Int16 ) method is used to iterate over the FieldList class. In this case only entries with field id of 22 will be extracted; all the other ones will be skipped.   void decode(...","Developers_Guide\u002Fpairs\u002Fpair13.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.14.html","3.3.6 Example: Extracting FieldList information using a Downcast Operation","The following example illustrates how to extract information from a FieldList object using the down-cast operation.   void AppClient::decodeFieldList( const FieldList& fl ) { if ( fl.hasInfo() ) cout << \u0022FieldListNum: \u0022 << fl.getInfoFieldListNum() << \u0022 DictionaryId: \u0022 << fl fl.getInfoDictionaryId() ...","Developers_Guide\u002Fpairs\u002Fpair14.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.15.html","3.4 Working with OMM Messages","Enterprise Message API supports the following OMM messages: RefreshMsg, UpdateMsg, StatusMsg, AckMsg, PostMsg and GenericMsg. As appropriate, each of these classes provide set and get type interfaces for the message header, permission, key, attribute, and payload information. ","Developers_Guide\u002Fpairs\u002Fpair15.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.16.html","3.4.1 Example: Populating the GenericMsg with an ElementList Payload","The following example illustrates how to populate a GenericMsg with a payload consisting of an ElementList.   try { GenericMsg genMsg;  genMsg.domainType( 200 ).name( \u0022TR.N\u0022 ).serviceId( 234 ).payload( ElementList().addAscii( \u0022entry_1\u0022, \u0022value_1\u0022 ).complete() ); } catch ( const OmmException& excp ) ...","Developers_Guide\u002Fpairs\u002Fpair16.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.17.html","3.4.2 Example: Extracting Information from the GenericMsg Class","The following example illustrates how to extract information from the GenericMsg class.   void decode( const GenericMsg& genMsg ) { if ( genMsg.hasName() ) cout << endl << \u0022Name: \u0022 << genMsg.getName();  if ( genMsg.hasHeader() ) const EmaBuffer& header = genMsg.getHeader();  switch ( genMsg.getPaylo...","Developers_Guide\u002Fpairs\u002Fpair17.js","content-page"]
,["Developers_Guide\u002FChapter_ContainersAndMessages.3.18.html","3.4.3 Example: Working with the TunnelStreamRequest Class","The following code snippet demonstrates using the TunnelStreamRequest class in the consumer application to open a tunnel stream.   CosAuthentication cosAuthentication; cosAuthentication.type( CosAuthentication::OmmLoginEnum );  CosDataIntegrity cosDataIntegrity; cosDataIntegrity.type( CosDataIntegri...","Developers_Guide\u002Fpairs\u002Fpair18.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.01.html","4.1 OmmConsumer Class","The OmmConsumer class is the main consumer application interface to the Enterprise Message API. This class encapsulates watchlist functionality and transport level connectivity. It provides all the interfaces a consumer-type application needs to open, close, and modify items, as well as submit messa...","Developers_Guide\u002Fpairs\u002Fpair1_4.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.02.html","4.1.1 Connecting to a Server and Opening Items","Applications observe the following steps to connect to a server and open items: \u2022 (Optional) Specify a configuration using the EmaConfig.xml file. This step is optional because the Enterprise Message API provides a default configuration which is usually sufficient in simple application cases. \u2022 Crea...","Developers_Guide\u002Fpairs\u002Fpair2_4.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.03.html","4.1.2 Opening Items Immediately After OmmConsumer Object Instantiation","To allow applications to open items immediately after creating the OmmConsumer object, the Enterprise Message API performs the following steps when creating and initializing the OmmConsumer object: \u2022 Create an internal item watchlist. \u2022 Establish connectivity to a configured server \u002F host. \u2022 Log int...","Developers_Guide\u002Fpairs\u002Fpair3_4.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.04.html","4.1.3 Destroying the OmmConsumer Object","Destroying an OmmConsumer object causes the application to log out and disconnect from the connected server, at which time all items are closed. ","Developers_Guide\u002Fpairs\u002Fpair4_4.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.05.html","4.1.4 Example: Working with the OmmConsumer Class","The following example illustrates the simplest application managing the OmmConsumer Class.   try { AppClient client; OmmConsumer consumer( OmmConsumerConfig().host( \u0022localhost:14002\u0022 ).username( \u0022user\u0022 ) ); consumer.registerClient( ReqMsg().serviceName( \u0022DIRECT_FEED\u0022 ).name( \u0022IBM.N\u0022 ), client ); sle...","Developers_Guide\u002Fpairs\u002Fpair5_4.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.06.html","4.1.5 Working with Items","The Enterprise Message API assigns all opened items or instruments a unique numeric identifier (e.g. UInt64), called a handle, which is returned by the OmmConsumer::registerClient() call. A handle is valid as long as its associated item stays open. Holding onto these handles is important only to app...","Developers_Guide\u002Fpairs\u002Fpair6_4.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.07.html","4.1.6 Example: Working with Items","The following example illustrates using the item handle while modifying an item\u2019s priority and posting modified content.   void AppClient::onRefreshMsg( const RefreshMsg& refreshMsg, const OmmConsumerEvent& event ) { cout << \u201CReceived refresh message for item handle = \u201C << event.getHandle() << endl;","Developers_Guide\u002Fpairs\u002Fpair7_3.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.08.html","4.1.7 Working with Tunnel Streams","Enterprise Message API assigns all tunnel streams a unique numeric identifier (e.g., UInt64), called a parent handle, which is returned by the call: OmmConsumer::registerClient(TunnelStreamRequest,\u2026). A parent handle is valid only as long as its associated tunnel stream is open. You can use parent h...","Developers_Guide\u002Fpairs\u002Fpair8_3.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.09.html","4.1.8 Example: Working with Tunnel Streams","The following example illustrates the use of a parent handle (as returned by OmmConsumer::registerClient(TunnelStreamRequest,\u2026)) to open a substream from the OmmConsumerClient::onStatusMsg() callback.   void onStatusMsg(const StatusMsg& statusMsg, const OmmConsumerEvent& event) { \u00A0\u00A0\u00A0\u00A0if (event.getHa...","Developers_Guide\u002Fpairs\u002Fpair9_2.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.10.html","4.2 OmmConsumerClient Class","4.2.1 OmmConsumerClient Description The OmmConsumerClient class provides a callback mechanism through which applications receive OMM messages on items for which they subscribe. The OmmConsumerClient is a parent class that implements empty, default callback methods. Applications must implement their ...","Developers_Guide\u002Fpairs\u002Fpair10_2.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.11.html","4.2.2 Example: OmmConsumerClient","The following example illustrates an application client-type class, depicting onRefreshMsg() method implementation.   class AppClient : public refinitiv::ema::access::OmmConsumerClient { protected :  void onRefreshMsg( const refinitiv::ema::access::RefreshMsg&, const refinitiv::ema::access::OmmConsu...","Developers_Guide\u002Fpairs\u002Fpair11_2.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.12.html","4.3 OmmConsumerConfig Class","4.3.1 OmmConsumerConfig Description You can use the OmmConsumerConfig class to customize the functionality of the OmmConsumer class. The default behavior of OmmConsumer is hard coded in the OmmConsumerConfig class. You can configure OmmConsumer in any of the following ways: \u2022 Using the EmaConfig.xml...","Developers_Guide\u002Fpairs\u002Fpair12_2.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.13.html","4.3.2 Unencrypted Connections","The Enterprise Message API supports unencrypted connections via a ChannelType of RSSL_SOCKET (on Linux or Windows), RSSL_WEBSOCKET, and RSSL_HTTP (on Windows only). You set ChannelType inside of a ChannelGroup. For detailed information on ChannelGroup and its ChannelTypes, refer to the Enterprise Me...","Developers_Guide\u002Fpairs\u002Fpair13_2.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.14.html","4.3.3 Encrypted Connections","The Enterprise Message API supports encrypted TCP connections for both Consumer and NiProvider via a ChannelType of RSSL_ENCRYPTED (i.e., ChannelType::RSSL_ENCRYPTED). ","Developers_Guide\u002Fpairs\u002Fpair14_2.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.15.html","4.3.3.1 Implementing Protocols and Encryption Behavior","The Enterprise Message API\u2019s implementation of TLS protocol and encryption depends on a number of factors including: \u2022 The operating system you use (which in turn determines the types of protocols the Enterprise Message API can use): - On Linux, the Enterprise Message API uses only OpenSSL. - On Win...","Developers_Guide\u002Fpairs\u002Fpair15_2.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.16.html","4.3.3.2 OpenSSL Libraries","The libraries that the Enterprise Message API uses to implement OpenSSL encryption depends on the machine\u2019s operating system and version of OpenSSL in use: \u2022 On Linux: - If using OpenSSL 3.X, the Enterprise Message API uses libssl.so.3 and libcrypto.so.3. - If using OpenSSL 1.1, the Enterprise Messa...","Developers_Guide\u002Fpairs\u002Fpair16_2.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.17.html","4.3.3.3 Certificate Authority","If you use an OpenSSL Certificate Authority store, you can specify the authority store\u2019s location using openSSLCAStore. For details on this parameter and the Enterprise Message API\u2019s default behavior, refer to the parameter\u2019s description in the Enterprise Message API C++ Configuration Guide.","Developers_Guide\u002Fpairs\u002Fpair17_2.js","content-page"]
,["Developers_Guide\u002FChapter_ConsumerClasses.4.18.html","4.3.4 HTTP Proxy Connections","The Enterprise Message API supports HTTP proxy tunneling for ChannelType::RSSL_SOCKET, ChannelType::RSSL_HTTP, and all ChannelType::RSSL_ENCRYPTED connection types. On Windows, WinINet provides legacy HTTP connection type functionality, and you must configure the proxy through the Internet Explorer ...","Developers_Guide\u002Fpairs\u002Fpair18_2.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.01.html","5.1 OmmProvider Class","The OmmProvider class is the main provider application interface to the Enterprise Message API. This class encapsulates transport-level connectivity. It provides all the interfaces a provider-type application needs to submit item messages (i.e., refresh, update, status, generic) as well as handle th...","Developers_Guide\u002Fpairs\u002Fpair1_5.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.02.html","5.1.1 Connecting to ADH and Submitting Items","In the following process, the value for ProviderType is dependent on the type of provider with which you are dealing: \u2022 For non-interactive providers, ProviderType is NiProvider. \u2022 For interactive providers, ProviderType is IProvider. To establish a connection and submit items: 1. (Optional) Specify...","Developers_Guide\u002Fpairs\u002Fpair2_5.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.03.html","5.1.2 Interactive Providers: Post OmmProvider Object Instantiation","Before an interactive provider can start submitting items, the application must first accept a login request. Though the Enterprise Message API accepts connections, it is the responsibility of the application to send the login response. Subsequently, the consumer will request the source directory, a...","Developers_Guide\u002Fpairs\u002Fpair3_5.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.04.html","5.1.3 Non-Interactive Providers: Post OmmProvider Object Instantiation","After creating an OmmProvider object, the Enterprise Message API performs the following steps when creating and initializing the OmmProvider object so that applications can begin submitting items: \u2022 Establish connectivity to a configured server \u002F host \u2022 Log into ADH and submit source directory infor...","Developers_Guide\u002Fpairs\u002Fpair4_5.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.05.html","5.1.4 Non-Interactive Providers: Encrypted Connections and HTTP Proxy Tunneling","Non-interactive providers support both encrypted and HTTP proxy tunneling connections. Configuration details are identical to that of the Consumer when setting up these types of connections. \u2022 For details on using an encrypted connection, refer to Section 4.3.3. \u2022 For details on using an HTTP proxy ...","Developers_Guide\u002Fpairs\u002Fpair5_5.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.06.html","5.1.5 Destroying the OmmProvider Object","For non-interactive providers, destroying an OmmProvider object causes the application to log out and disconnect from the connected ADH, at which time all items are closed. For interactive providers, destroying an OmmProvider object causes Enterprise Message API to close all consumer connections.","Developers_Guide\u002Fpairs\u002Fpair6_5.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.07.html","5.1.6 Non-Interactive Example: Working with the OmmProvider Class","The following example illustrates the simplest application managing the OmmProvider class.   try \u00A0\u00A0\u00A0\u00A0{ \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0OmmProvider provider( OmmNiProviderConfig().host( \u0022localhost:14003\u0022).username \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0( \u0022user\u0022 ) ); \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0UInt64 itemHandle = 5;  \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0provider.submit( RefreshMsg().serviceName...","Developers_Guide\u002Fpairs\u002Fpair7_4.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.08.html","5.1.7 Interactive Provider Example: Working with the OmmProvider Class","The following example illustrates the simplest interactive application managing the OmmProvider class.   try \u00A0\u00A0\u00A0\u00A0{ \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0AppClient appClient;  \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0OmmProvider provider( OmmIProviderConfig().port( \u002214002\u0022 ), appClient );  \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0while ( itemHandle == 0 ) sleep(1000);  \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0for ( Int32 i = 0...","Developers_Guide\u002Fpairs\u002Fpair8_4.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.09.html","5.1.8 Interactive Provider Example: Handling Post Message","The following example illustrates how to have OmmProvider send an AckMsg in response to a PostMsg. For more information on support of post messages by a provider, refer to the Transport API C Edition Developers Guide.   void AppClient::onPostMsg( const PostMsg& postMsg, const OmmProviderEvent& event...","Developers_Guide\u002Fpairs\u002Fpair9_3.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.10.html","5.1.9 Interactive Provider Example: Handling RTT Responses from Consumer","The following example implements a provider\u0027s callback for Generic messages. The example illustrates how the provider can identify and process consumer responses to RTT requests.   void AppClient::onGenericMsg(const GenericMsg& genericMsg, const OmmProviderEvent& event) { \u00A0\u00A0\u00A0\u00A0if (genericMsg.getDomai...","Developers_Guide\u002Fpairs\u002Fpair10_3.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.11.html","5.1.10 Working with Items","The application assigns unique numeric identifiers, called handles (e.g., UInt64) to all open items it is providing. Application must pass this identifier along with an item message on the call to submit(). The handles are used to manage item stream ids. To reassign a handle to a different item, app...","Developers_Guide\u002Fpairs\u002Fpair11_3.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.12.html","5.1.11 Packing with Providers","Provider applications can use the PackedMsg object to send multiple messages packed together in a single packet. Applications can designate the bounds of the PackedMsg by setting its limit for messages packed, the byte limit of data it can send, and then pack messages before sending them together. T...","Developers_Guide\u002Fpairs\u002Fpair12_3.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.13.html","5.1.11.1 Interactive Provider Packing Example","The following example illustrates an Interactive Provider application setting up a basic PackedMsg object and packing messages together before submitting PackedMsg.   void sendPackedMessagesExample(OmmProvider provider, UInt64 clientHandle, UInt64 itemHandle) { \u00A0\u00A0\u00A0\u00A0FieldList fieldList; \u002F\u002F Field list...","Developers_Guide\u002Fpairs\u002Fpair13_3.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.14.html","5.1.11.2 Non-interactive Provider Packing Example","The following example illustrates a Non-interactive Provider application setting up a basic PackedMsg object and packing messages together before submitting the PackedMsg.   void sendPackedMessagesExample(OmmProvider provider, UInt64 itemHandle) { \u00A0\u00A0\u00A0\u00A0FieldList fieldList; \u002F\u002F Field list used for mess...","Developers_Guide\u002Fpairs\u002Fpair14_3.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.15.html","5.2 OmmProviderClient Class","5.2.1 OmmProviderClient Description The OmmProviderClient class provides a callback mechanism through which applications receive OMM messages on items for which they subscribe. The OmmProviderClient is a parent class that implements empty, default callback methods. Applications must implement their ...","Developers_Guide\u002Fpairs\u002Fpair15_3.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.16.html","5.2.2 Non-Interactive Example: OmmProviderClient","The following example illustrates an application client-type class, depicting onRefreshMsg() method implementation.   class AppClient : public refinitiv::ema::access::OmmProviderClient { protected : \u00A0\u00A0\u00A0\u00A0void onRefreshMsg( const refinitiv::ema::access::RefreshMsg&, const \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0refinitiv::ema::a...","Developers_Guide\u002Fpairs\u002Fpair16_3.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.17.html","5.2.3 Interactive Example: OmmProviderClient","The following example illustrates an application client-type class, depicting onRefreshMsg() method implementation.   void AppClient::processLoginRequest( const ReqMsg& reqMsg, const OmmProviderEvent& event ) { \u00A0\u00A0\u00A0\u00A0event.getProvider().submit(RefreshMsg().domainType(MMT_LOGIN).name(reqMsg.getName()).","Developers_Guide\u002Fpairs\u002Fpair17_3.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.18.html","5.3 OMMIProviderConfig","You can use the OmmNiProviderConfig class to customize the functionality of the OmmProvider class. The default behavior of OmmProvider is hard coded in the OmmNiProviderConfig class. You can configure OmmProvider in any of the following ways: \u2022 Using the EmaConfig.xml file \u2022 Using interface methods ...","Developers_Guide\u002Fpairs\u002Fpair18_3.js","content-page"]
,["Developers_Guide\u002FChapter_ProviderClasses.5.19.html","5.4 OmmNiProviderConfig Class","In the following, the value for ProviderType is dependent on the type of provider with which you are dealing, thus: \u2022 For non-interactive providers, ProviderType is NiProvider. \u2022 For interactive providers, ProviderType is IProvider. You can use the OmmProviderTypeConfig class to customize the functi...","Developers_Guide\u002Fpairs\u002Fpair19.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.01.html","6.1 Overview","You can use the Enterprise Message API to consume data from a cloud-based LSEG Real-Time Advanced Distribution Server. The API interacts with cloud-based servers using the following workflows: \u2022 Credential Management (for details, refer to Section 6.3) \u2022 Service Discovery (for details, refer to Sect...","Developers_Guide\u002Fpairs\u002Fpair1_6.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.02.html","6.2 Encrypted Connections","When connecting to an LSEG Real-Time Advanced Distribution Server in the cloud, you must use a ChannelType of RSSL_ENCRYPTED (for details on ChannelType, refer to the Enterprise Message API C++ Configuration Guide). Encrypted connections to the cloud must use an OpenSSL-based connection type (on bot...","Developers_Guide\u002Fpairs\u002Fpair2_6.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.03.html","6.3 Credential Management","By default, the Enterprise Message API will store all credential information. In order to use secure credential storage, a callback function can be specified by the user. If a callback function is specified, credentials are not stored in API; instead, application is called back whenever credentials ...","Developers_Guide\u002Fpairs\u002Fpair3_6.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.04.html","6.4 Version 1 Authentication Using oAuth Password and Refresh_Token","6.4.1 Client_ID (AppKey) and Client Secret To connect to Real-Time - Optimized infrastructure, the Enterprise Message API requires a Client_ID, and optionally can include a client secret. Client_IDs are generated using AppGenerator, which refers to the Client_ID as an AppKey. Each user must obtain t...","Developers_Guide\u002Fpairs\u002Fpair4_6.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.05.html","6.4.2 Obtaining Initial Access and Refresh Tokens","To obtain an access token, the RTSDK API sends its username, Client_ID, and password in a single message to the Delivery Platform.   TIP: You can also specify tokenScope and clientSecret in the OMMConsumerConfig. In response, the Delivery Platform sends an access token, its expiration timeout (by de...","Developers_Guide\u002Fpairs\u002Fpair5_6.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.06.html","6.4.3 Refreshing the Access Token and Sending a Login Reissue","In response to the API\u2019s token request, the Delivery Platform sends an access token and a refresh token, both with associated expiration timeouts which set the length of time for which the token is valid. If the LSEG Real-Time Advanced Distribution Server does not receive a new access token before t...","Developers_Guide\u002Fpairs\u002Fpair6_6.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.07.html","6.5 Version 2 Authentication Using oAuth Client Credentials","Version 2 OAuth Client Credentials requires a client ID and client secret, or private JWK for JWT, or a client ID and private client JWK for OAuth Client Credentials with JWT. Version 2 will generate an Access Token. Once connected to Real-Time \u2014 Optimized RTC, the login session to the LSEG Real-Tim...","Developers_Guide\u002Fpairs\u002Fpair7_5.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.08.html","6.5.1 Configuring and Managing Version 2 Credentials","The client ID and client secret or private JWK must be set on the OmmConsumer object as described in Section 6.10.2.1 of the Enterprise Transport API C++ Edition Value Added Developers Guide. The OmmOAuth2ConsumerClient will handle the credentials the same way as Version 1, with an OmmOAuth2Consumer...","Developers_Guide\u002Fpairs\u002Fpair8_5.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.09.html","6.5.1.1 JWT Credentials Handling","Version 2 OAuth Client Credentials with JWT requires a JWK public\u002Fprivate pair to be generated and registered with LSEG via the Platform Admin UI. The API will use a private JWK to create and sign a JWT request, which will be sent to retrieve an access token. The JWK will be handled by the API the e...","Developers_Guide\u002Fpairs\u002Fpair9_4.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.10.html","6.5.2 Version 2 OAuth Client Credentials Token Lifespan","Unlike Version 1, Version 2 will only produce a single Access Token, which will be valid for the length of the entire expires_in field in the token. This Access Token is used by the API to perform service discovery, and to connect to Real-Time \u2014 Optimized. Once connected, the API does not need to pe...","Developers_Guide\u002Fpairs\u002Fpair10_4.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.11.html","6.6 Service Discovery","After obtaining a token (for details, refer to Section 6.4.2), the Enterprise Message API can perform a service discovery against the Delivery Platform to obtain connection details for the Real-Time \u2014 Optimized. To discover endpoints, application may rely either on file or programmatic configuration...","Developers_Guide\u002Fpairs\u002Fpair11_4.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.12.html","6.7 Consuming Market Data","After obtaining its login token (for details, refer to Section 6.4.2) and running a service discovery (for details, refer to Section 6.6), the API can connect to the LSEG Real-Time Advanced Distribution Server in the cloud and obtain market data. While consuming market data, the API must periodicall...","Developers_Guide\u002Fpairs\u002Fpair12_4.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.13.html","6.8 HTTP Error Handling for Reactor Token Reissues","The Enterprise Message API supports handling for the following HTTP error codes from the API gateway: \u2022 300 Errors: \u2022 Perform URL redirect for 301, 302, 307 and 308 error codes \u2022 Retry the request to the API gateway for all other error codes \u2022 400 Errors: \u2022 For Version 1 authentication, retry with u...","Developers_Guide\u002Fpairs\u002Fpair13_4.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.14.html","6.9 Cloud Connection Use Cases","You can connect to the cloud and consume data according to the following use cases: \u2022 Start to finish session management (for details, refer to Section 6.9.1) \u2022 Explicit service discovery option for applications (for details, refer to Section 6.9.2)  ","Developers_Guide\u002Fpairs\u002Fpair14_4.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.15.html","6.9.1 Session Management Use Case","In this use case, the Enterprise Message API manages the entire connection from start to finish. To use session management, you need to configure the API to enable session management. To do so, in the ChannelGroup, set the Channel entry parameter EnableSessionManagement). The API exhibits the follow...","Developers_Guide\u002Fpairs\u002Fpair15_4.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.16.html","6.9.2 Query Service Discovery","Application has the option to do a service discovery, parse the results, and choose an endpoint to pass into API. The API exhibits the following behavior when application does an explicit service discovery: 1. Obtains a token (according to the details in Section 6.4.2). 2. Queries service discovery ...","Developers_Guide\u002Fpairs\u002Fpair16_4.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.17.html","6.10 Logging of Authentication and Service Discovery Interaction","If needed, you can log interactions with the Delivery Platform. To enable logging, use the parameters RestEnableLog and RestLogFileName in the EMA configuration file or programmatic configuration in the Consumer Group. If Service Discovery is done from the application, logging may be enabled only vi...","Developers_Guide\u002Fpairs\u002Fpair17_4.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.18.html","6.10.1 Logged Request Information","With logging turned on in the fashion mentioned in Section 6.10, the Enterprise Message API writes the following request information in the log:   Request: - Time stamp - The Name of the class and method that made the request - Request method - URI - Request headers - Proxy information (if used) - B...","Developers_Guide\u002Fpairs\u002Fpair18_4.js","content-page"]
,["Developers_Guide\u002FChapter_Cloud.6.19.html","6.10.2 Logged Response Information","With logging turned on in the fashion mentioned in Section 6.10, the Enterprise Message API writes the following response information in the log:   Response: - Time stamp - The Name of the class and method that received the response - Response status code - Response headers - Body of response in str...","Developers_Guide\u002Fpairs\u002Fpair19_2.js","content-page"]
,["Developers_Guide\u002FChapter_WarmStandby.7.1.html","7.1 Overview","The Warm Standby feature, a client-side feature, is implemented at the Value Add Watchlist layer of Enterprise Transport API (ETA) and made available via Enterprise Message API with configuration. This feature works by providing the application the capability to failover from an active to one or mor...","Developers_Guide\u002Fpairs\u002Fpair1_7.js","content-page"]
,["Developers_Guide\u002FChapter_WarmStandby.7.2.html","7.2 Warm Standby Modes","The Enterprise Message API Value Add layer supports two Warm Standby modes: \u2022 Login based Warm Standby \u2022 Service based Warm Standby The login based Warm Standby uses the connection lost event to switch from a primary server to a standby server from the standby server list. The service based Warm Sta...","Developers_Guide\u002Fpairs\u002Fpair2_7.js","content-page"]
,["Developers_Guide\u002FChapter_WarmStandby.7.3.html","7.3 Warm Standby Configuration and Feature Details","For details, refer to the Enterprise Message API C++ Edition Configuration Guide. ","Developers_Guide\u002Fpairs\u002Fpair3_7.js","content-page"]
,["Developers_Guide\u002FChapter_WarmStandby.7.4.html","7.4","","Developers_Guide\u002Fpairs\u002Fpair4_7.js","content-page"]
,["Developers_Guide\u002FChapter_Troubleshooting.8.1.html","8.1 Enterprise Message API Logger Usage","The Enterprise Message API provides a logging mechanism useful for debugging runtime issues. In the default configuration, Enterprise Message API is set to log significant events encountered during runtime and direct logging output to a file. If needed, you can turn off logging, or direct its output...","Developers_Guide\u002Fpairs\u002Fpair1_8.js","content-page"]
,["Developers_Guide\u002FChapter_Troubleshooting.8.2.html","8.2 Omm Error Client Classes","8.2.1 Error Client Description Enterprise Message API has two Error Client classes: OmmConsumerErrorClient and OmmProviderErrorClient. These two classes are an alternate error notification mechanism in the Enterprise Message API, which you can use instead of the default error notification mechanism ...","Developers_Guide\u002Fpairs\u002Fpair2_8.js","content-page"]
,["Developers_Guide\u002FChapter_Troubleshooting.8.3.html","8.2.2 Example: Error Client","The following example illustrates an application error client and depicts simple processing of the onInvalidHandle() method. In the following example, ClassName is either OmmConsumerErrorClient (for Enterprise Message API consumer applications) or OmmProviderErrorClient (for Enterprise Message API p...","Developers_Guide\u002Fpairs\u002Fpair3_8.js","content-page"]
,["Developers_Guide\u002FChapter_Troubleshooting.8.4.html","8.3 OmmException Class","If the Enterprise Message API detects an error condition, the Enterprise Message API might throw an exception. All exceptions in the Enterprise Message API inherit from the parent class OmmException, which provides functionality and methods common across all OmmException types.   TIP: LSEG recommend...","Developers_Guide\u002Fpairs\u002Fpair4_8.js","content-page"]
,["Developers_Guide\u002FChapter_Troubleshooting.8.5.html","8.4 Creating a DACSLOCK for Publishing Permission Data","Provider applications can create a DACSLocks and publish it to permission data on the LSEG Real-Time Distribution System. A DACSLock controls access to data by users. For further details on the DACSLock API, refer to the Enterprise Transport API C Edition DACSLock Library. The following example code...","Developers_Guide\u002Fpairs\u002Fpair5_7.js","content-page"]
],
"words":
{
"1.1":[0,1,46,2,47,2]
,"manual":[0,1,4,1,62,1,63,1,72,1]
,"document":[0,1,1,1,5,3,72,1]
,"authored":[0,1]
,"enterprise":[0,5,1,1,2,1,3,6,4,4,6,11,7,7,8,2,9,2,10,10,11,19,12,4,13,2,14,5,17,1,19,1,21,1,28,1,32,1,33,2,34,1,37,2,39,2,43,1,44,2,45,1,46,9,47,9,48,2,49,3,50,1,51,2,52,3,53,1,55,1,67,1,68,1,69,3,70,1,71,1,72,2,74,3,76,1,79,6,81,1,83,2,84,1,85,1,86,2,87,1,88,4,89,1,90,1,92,5,93,2,94,2,95,11,96,1]
,"message":[0,5,1,1,2,1,3,5,4,4,6,13,7,7,8,3,9,2,10,10,11,21,12,4,13,2,14,7,15,1,17,1,18,2,19,1,21,1,28,2,32,2,33,2,34,1,37,2,38,1,39,2,43,1,44,2,45,1,46,9,47,9,48,2,49,3,50,2,51,2,52,3,53,1,55,1,58,1,59,2,60,1,62,11,63,11,67,1,68,1,69,2,70,1,71,1,72,2,73,1,74,5,79,6,81,1,83,3,84,1,85,1,86,2,87,1,88,2,89,1,90,1,92,5,93,2,94,2,95,12]
,"api":[0,5,1,1,2,2,3,9,4,5,6,13,7,7,8,2,9,2,10,12,11,19,12,4,13,3,14,6,17,1,19,1,21,1,28,1,32,1,33,2,34,1,37,2,39,2,40,1,43,1,44,2,45,1,46,8,47,9,48,1,49,3,50,1,51,2,52,3,53,1,55,1,58,1,62,1,63,1,67,1,68,1,69,5,70,1,71,3,72,2,73,3,74,10,75,1,76,1,77,2,78,4,79,8,80,2,81,5,83,4,84,2,85,1,86,2,87,1,88,4,89,1,90,1,92,5,93,2,94,2,95,11,96,2]
,"architects":[0,1]
,"programmers":[0,1]
,"several":[0,1,37,1,74,1]
,"authors":[0,1]
,"designed":[0,1,3,1,7,1,17,1]
,"developed":[0,1]
,"maintained":[0,1]
,"product":[0,1,6,1,7,1,9,1,10,1]
,"lseg":[0,2,3,12,4,2,6,3,7,1,13,2,69,2,70,1,72,1,74,5,75,1,77,2,79,2,80,1,95,1,96,1]
,"products":[0,1]
,"leverage":[0,2,6,1]
,"guide":[0,1,4,4,10,1,11,1,43,1,44,1,46,1,47,1,48,1,58,1,67,1,68,1,69,1,70,1,76,1,79,1,85,1,90,1,92,1]
,"documents":[0,1]
,"functionality":[0,1,6,4,10,1,11,1,12,1,14,4,32,1,43,1,49,1,67,1,68,1,95,1]
,"capabilities":[0,1,3,2]
,"edition":[0,1,4,4,10,1,11,1,58,1,69,1,72,1,76,1,79,1,90,1,96,1]
,"connect":[0,1,3,1,33,1,72,1,78,1,79,1,80,1,82,1]
,"different":[0,1,6,1,9,1,13,2,14,1,60,1]
,"customer":[0,1]
,"components":[0,2,6,1,13,2]
,"want":[0,1,37,1,41,1,46,1,47,1,64,1]
,"interact":[0,1,79,1]
,"consult":[0,1]
,"specific":[0,1,11,1,13,1,46,2,47,1]
,"component\u2019s":[0,1]
,"documentation":[0,1,7,1,72,1,77,1]
,"determine":[0,1,69,1]
,"best":[0,1,77,1]
,"configure":[0,1,10,1,11,6,20,1,43,1,49,1,67,1,68,1,69,1,83,1,88,1,92,1]
,"optimal":[0,1]
,"interaction":[0,1,85,1]
,"1.2":[1,1,46,1]
,"audience":[1,1]
,"provides":[1,1,3,1,6,2,7,1,10,6,11,5,12,1,14,1,15,1,16,1,17,1,19,1,20,1,21,2,32,2,33,1,41,2,49,1,50,2,51,1,64,2,79,1,83,1,84,1,92,1,95,1]
,"detailed":[1,1,44,1]
,"supplemental":[1,1]
,"information":[1,1,3,1,6,2,8,1,11,5,12,2,13,1,14,1,15,1,20,1,21,1,25,3,26,1,27,2,28,1,30,2,34,1,44,1,52,1,53,1,58,1,71,1,77,1,86,3,87,2,93,1]
,"application":[1,1,3,2,6,4,7,1,10,8,11,11,13,3,14,2,16,2,26,2,31,1,32,2,33,7,35,1,36,1,37,2,39,2,42,1,50,3,51,12,52,2,55,1,56,1,57,1,60,3,62,1,63,1,65,1,66,1,71,1,74,1,79,3,83,1,84,2,85,1,88,4,94,1,95,2]
,"developers":[1,1,4,1,7,3,10,1,11,1,58,1,69,1,76,1,77,1]
,"writing":[1,1,8,1,95,1]
,"1.3":[2,1,46,1]
,"programming":[2,2,3,1]
,"language":[2,2,3,1]
,"written":[2,1,3,3,6,1]
,"using":[2,1,3,2,8,1,11,1,12,1,27,2,31,1,33,4,38,1,43,3,47,7,48,1,49,2,51,4,54,2,62,1,67,3,68,3,69,1,72,3,74,1,75,1,84,1,89,2]
,"taking":[2,1]
,"advantage":[2,1,6,1]
,"object":[2,1,3,1,14,1,15,1,27,1,33,4,34,3,35,2,37,1,39,1,51,6,52,3,53,3,55,3,61,1,62,1,63,1,71,1,76,1,79,1]
,"oriented":[2,1]
,"approach":[2,1,14,1]
,"design":[2,1,6,2,10,1,11,1,41,1,64,1,95,1]
,"development":[2,1,3,1,6,3,95,1]
,"applications":[2,1,3,3,6,9,7,2,8,3,9,2,12,1,14,2,19,2,33,2,34,1,37,2,41,4,51,2,52,1,53,1,61,2,64,5,82,1,92,1,93,1,94,2,96,1]
,"1.4":[3,1]
,"acronyms":[3,2]
,"abbreviations":[3,2]
,"table":[3,1]
,"acronym":[3,1]
,"term":[3,1]
,"meaning":[3,1]
,"adh":[3,1,51,1,53,1,55,1]
,"real-time":[3,13,6,4,13,2,69,3,70,1,72,2,74,5,75,3,77,1,78,1,79,3,80,1,96,1]
,"advanced":[3,4,6,1,14,1,69,1,70,1,74,5,79,1,80,1]
,"distribution":[3,12,6,1,7,1,13,1,69,1,70,1,74,5,79,1,80,1,96,1]
,"hub":[3,2]
,"horizontally":[3,2]
,"scalable":[3,2]
,"service":[3,3,42,1,69,3,73,1,78,1,79,10,80,1,82,1,83,2,84,5,85,2,88,2,89,13]
,"component":[3,2,10,3,11,3]
,"within":[3,2,13,1]
,"system":[3,5,6,1,13,2,46,1,47,1,95,1,96,1]
,"providing":[3,3,6,2,60,1,88,1]
,"high":[3,2]
,"availability":[3,1]
,"publication":[3,2]
,"contribution":[3,2]
,"messaging":[3,2]
,"subscription":[3,1]
,"management":[3,3,69,1,71,1,82,1,83,5]
,"optional":[3,2,6,1,21,1,33,5,51,7]
,"persistence":[3,2]
,"conflation":[3,2]
,"delay":[3,2]
,"ads":[3,1]
,"server":[3,2,6,2,32,1,33,2,34,2,35,1,37,1,53,1,69,2,70,1,74,5,79,1,80,1,88,9,89,4]
,"highly":[3,1]
,"available":[3,1,69,1,88,1]
,"services":[3,1]
,"tailored":[3,1]
,"streaming":[3,1,9,3]
,"snapshot":[3,1]
,"data":[3,4,6,7,7,1,8,2,12,2,14,12,15,5,16,3,17,10,19,3,23,1,25,1,26,1,27,15,43,1,61,1,62,1,63,1,67,1,68,1,69,2,73,1,79,1,80,3,82,1,83,1,84,1,96,3]
,"interface":[3,1,6,2,10,1,11,1,12,1,14,3,32,1,43,1,50,1,67,1,68,1,95,1]
,"ascii":[3,1,17,1]
,"american":[3,1]
,"standard":[3,2,49,1]
,"code":[3,3,5,2,6,2,17,1,19,1,23,1,25,1,26,1,31,1,87,1,94,1,96,1]
,"interchange":[3,1]
,"ema":[3,3,4,1,69,1,72,1,79,2,85,1]
,"ease":[3,1,14,1]
,"open":[3,4,6,1,8,1,10,1,31,1,32,1,33,2,34,1,37,3,39,3,40,3,51,2,60,1,88,2,95,1]
,"source":[3,2,6,1,9,1,11,5,34,1,52,3,53,1,83,1,84,1]
,"model":[3,4,4,1,10,2,11,4,23,1,24,1]
,"provide":[3,1,6,5,12,1,14,1,28,1,33,1,49,1,51,1,61,1,71,1]
,"clients":[3,1]
,"rapid":[3,1]
,"minimizing":[3,1,6,1]
,"lines":[3,1,13,1]
,"broad":[3,1]
,"range":[3,1,95,1]
,"flexibility":[3,1]
,"flexible":[3,1]
,"configuration":[3,1,4,1,6,1,8,1,9,3,10,1,11,4,33,3,43,3,44,1,46,1,47,1,48,1,49,2,51,4,54,1,67,3,68,3,69,2,70,1,72,1,79,2,85,4,88,1,90,2,92,2,95,1]
,"default":[3,1,10,1,11,1,27,1,33,4,41,2,43,1,46,1,48,1,49,1,51,5,62,2,63,2,64,2,66,1,67,1,68,1,69,1,71,1,73,1,92,1,93,2]
,"values":[3,1,5,1,6,1,15,3,16,1]
,"simplify":[3,2,6,1]
,"deployment":[3,1]
,"top":[3,1,6,1]
,"transport":[3,6,6,6,10,3,11,1,12,1,13,1,32,1,58,1,69,1,76,1,79,1,88,1,96,1]
,"eta":[3,3,88,1]
,"utilizing":[3,1]
,"value":[3,1,10,1,11,2,13,1,15,1,25,2,26,2,37,1,39,1,51,1,59,1,62,1,63,1,68,1,74,1,76,1,86,2,88,1,89,1]
,"added":[3,1,10,1,11,2,13,1,62,1,63,1,76,1]
,"reactor":[3,3,10,6,11,5,13,1,75,1,81,1]
,"watchlist":[3,1,10,1,32,1,34,1,88,1]
,"features":[3,2,6,1,7,1,8,1,9,1,20,2,88,1]
,"performance":[3,1]
,"low":[3,3]
,"latency":[3,3,59,1]
,"foundation":[3,1]
,"sdk":[3,2]
,"consists":[3,2]
,"buffer":[3,1,23,4,24,3,62,12,63,10]
,"compression":[3,1]
,"fragmentation":[3,1]
,"packing":[3,1,61,2,62,2,63,2]
,"encoders":[3,1]
,"decoders":[3,1]
,"implement":[3,1,10,1,11,1,33,2,41,2,47,1,51,2,64,2,93,1]
,"layer":[3,2,88,1,89,1]
,"achieve":[3,1]
,"highest":[3,1]
,"throughput":[3,1]
,"lowest":[3,1]
,"memory":[3,1,23,2,24,1]
,"utilization":[3,2]
,"cpu":[3,1]
,"binary":[3,2,19,1]
,"rssl":[3,3]
,"wire":[3,2]
,"format":[3,4,79,1,87,1]
,"publishing":[3,1,96,1]
,"consuming":[3,1,69,1,80,2]
,"content":[3,1,8,1,13,3,23,1,24,1,38,1]
,"systems":[3,1,7,1]
,"http":[3,1,49,3,54,3,81,2]
,"hypertext":[3,2]
,"transfer":[3,2]
,"protocol":[3,2,46,4]
,"https":[3,1,72,1]
,"secure":[3,1,71,1]
,"json":[3,6,95,1]
,"javascript":[3,1]
,"notation":[3,1]
,"jwk":[3,3,75,2,76,1,77,4]
,"web":[3,3]
,"key":[3,3,28,1]
,"defined":[3,2,11,1]
,"rfc":[3,2]
,"7517":[3,1]
,"formatted":[3,1]
,"public":[3,1,42,1,65,1,77,1,94,2]
,"private":[3,1,13,2,20,1,72,1,75,2,76,1,77,2]
,"jwks":[3,1]
,"placed":[3,1]
,"array":[3,1]
,"jwt":[3,2,75,2,77,3]
,"token":[3,2,69,2,73,5,74,15,75,3,77,1,78,8,79,1,80,2,81,1,83,1,84,1]
,"7519":[3,1]
,"allows":[3,1,6,2,13,2]
,"users":[3,2,6,1,13,1,74,1,96,1]
,"create":[3,1,9,1,10,2,11,2,13,1,33,2,34,1,39,1,51,5,74,2,77,1,96,2]
,"signed":[3,1]
,"claim":[3,1]
,"used":[3,3,14,2,26,1,33,1,40,1,51,1,60,1,62,1,63,1,78,1,86,1]
,"validate":[3,1]
,"user":[3,1,5,1,9,1,11,1,13,1,20,1,36,1,38,1,40,1,49,1,56,1,71,1,72,1,76,1]
,"omm":[3,1,6,6,7,1,8,1,12,3,14,10,15,4,17,2,21,4,23,1,28,2,41,1,64,1,93,1]
,"qos":[3,1]
,"quality":[3,1,88,1]
,"rdm":[3,1]
,"domain":[3,1,4,1,9,1,32,1,49,1,50,1,51,1,95,1]
,"delivery":[3,1,13,1,20,1,69,1,73,2,74,3,79,3,85,1]
,"platform":[3,3,69,1,73,2,74,3,77,2,79,3,85,1]
,"rest":[3,1,79,1]
,"interactions":[3,1,85,1]
,"context":[3,1]
,"apis":[3,1]
,"gets":[3,1,23,1]
,"authentication":[3,1,13,1,20,1,49,3,69,6,72,1,73,1,75,1,81,1,83,1,85,1]
,"tokens":[3,1,73,2,74,1]
,"queries":[3,1,83,1,84,1]
,"discovery":[3,1,69,1,73,1,78,1,79,8,80,1,82,1,83,2,84,5,85,2]
,"list":[3,1,15,1,21,1,62,1,63,1,79,2,88,1,89,1]
,"optimized":[3,1,17,1,69,1,72,2,75,2,77,1,78,1,79,2]
,"endpoints":[3,1,13,1,79,2,83,1]
,"lseg\u2019s":[3,1]
,"financial":[3,1]
,"market":[3,1,6,2,7,1,9,1,10,1,13,2,57,1,66,1,69,1,73,1,80,3,83,1]
,"low-level":[3,1]
,"open-source":[3,1]
,"easy-to-use":[3,1,6,1]
,"above":[3,1,40,1,75,1,77,1,83,1]
,"offers":[3,1,88,1,89,1]
,"heartbeat":[3,1]
,"connection":[3,1,9,1,49,4,51,1,52,1,54,2,70,1,74,3,79,1,82,1,83,1,84,1,89,3]
,"item":[3,1,6,2,8,1,11,1,34,1,37,7,38,2,41,1,42,2,50,1,51,4,60,4,62,2,63,2,64,1,66,1,95,1]
,"recovery":[3,1,9,1,88,1]
,"help":[3,1]
,"rmtes":[3,1]
,"multi-lingual":[3,1]
,"text":[3,1,94,9]
,"encoding":[3,1,12,1]
,"sink":[3,1]
,"library":[3,1,49,1,96,1]
,"rtt":[3,1,59,4]
,"round":[3,2]
,"trip":[3,2]
,"time":[3,1,13,1,14,1,35,1,55,1,74,2,75,1,78,2,86,1,87,1,88,1]
,"definition":[3,1]
,"monitoring":[3,1,10,1]
,"feature":[3,1,69,1,84,1,88,4,89,2,90,1]
,"rwf":[3,1,6,2,95,1]
,"proprietary":[3,1]
,"representation":[3,1,17,1]
,"ldf-d":[3,1]
,"feed":[3,1,6,1]
,"direct":[3,1,6,1,92,2]
,"uml":[3,1]
,"unified":[3,1]
,"modeling":[3,1]
,"utf-8":[3,1]
,"8-bit":[3,1]
,"unicode":[3,1]
,"transformation":[3,1,6,1]
,"1.5":[4,1]
,"references":[4,1,14,1,17,1]
,"usage":[4,1,6,1,7,1,8,1,9,1,14,1,19,1,21,2,92,1,95,2]
,"concepts":[4,1,5,1]
,"href":[4,1,72,1]
,"refman":[4,1,72,1]
,"index.html":[4,1,72,1]
,"target":[4,1,72,1]
,"_blank":[4,1,72,1]
,"reference":[4,1,14,3,62,1,63,1,72,1]
,"developer":[4,1]
,"community":[4,1]
,"1.6":[5,1]
,"conventions":[5,2]
,"uses":[5,1,12,1,14,2,23,1,24,1,46,1,47,7,62,1,63,1,69,2,72,1,86,1,89,2]
,"following":[5,1,13,1,14,1,17,1,19,1,21,1,22,1,23,1,24,1,25,2,26,1,27,1,28,1,29,1,30,1,31,1,33,1,34,1,36,1,38,1,40,1,42,1,43,1,46,1,49,1,51,1,52,1,53,1,56,1,57,1,58,1,59,1,61,1,62,1,63,1,65,1,66,1,67,1,68,2,69,1,72,1,73,1,74,1,75,1,81,1,82,1,83,1,84,1,86,1,87,1,89,2,94,2,95,1,96,1]
,"types":[5,2,14,1,17,2,46,1,49,2,54,1,95,2]
,"classes":[5,1,6,1,12,2,14,3,15,1,17,3,18,2,20,1,21,2,28,1,41,2,64,2,93,3]
,"methods":[5,1,6,1,10,3,11,2,12,1,14,1,33,6,41,4,43,1,51,4,62,1,63,1,64,4,67,1,68,1,95,2]
,"in-line":[5,1]
,"snippets":[5,1]
,"shown":[5,5]
,"courier":[5,2]
,"new":[5,2,62,3,63,3,69,1,74,7,78,1,88,1]
,"font":[5,3]
,"parameters":[5,1,20,1,43,1,47,1,67,1,68,1,69,1,79,1,83,1,85,2,86,1]
,"filenames":[5,1]
,"tools":[5,1]
,"utilities":[5,1]
,"directories":[5,1]
,"bold":[5,2]
,"titles":[5,1]
,"variable":[5,1]
,"italics":[5,2]
,"initially":[5,1]
,"introduced":[5,1]
,"longer":[5,1]
,"examples":[5,1,6,1,7,1,8,4,9,4,61,1]
,"against":[5,1,79,1]
,"gray":[5,1]
,"background":[5,1]
,"example":[5,1,8,1,9,1,13,1,14,1,22,2,23,2,24,2,25,2,26,1,27,2,29,2,30,2,31,1,36,2,38,2,40,2,42,2,56,2,57,2,58,2,59,3,62,2,63,2,65,2,66,2,79,2,83,2,84,1,94,3,96,1]
,"appclient":[5,1,27,2,36,1,38,2,40,1,42,2,57,3,58,1,59,1,65,2,66,4]
,"client":[5,2,33,4,36,2,38,2,40,2,51,4,62,1,69,6,72,6,75,7,76,2,77,2,78,1,93,6,94,2]
,"ommconsumer":[5,1,10,8,32,3,33,3,34,3,35,2,36,3,37,2,38,1,39,2,40,2,43,3,71,1,74,2,76,1,93,1,95,1]
,"consumer":[5,1,8,2,10,4,13,3,31,1,32,1,36,1,38,1,40,2,45,1,52,2,54,1,55,1,59,3,75,2,83,1,84,1,85,1,88,5,94,1]
,"ommconsumerconfig":[5,2,10,6,33,3,36,1,38,1,40,1,43,7,73,1]
,".operationmodel":[5,1]
,":userdispatchenum":[5,1,11,2]
,".host":[5,1,36,1,38,1,56,1]
,"localhost:14002":[5,1,36,1,38,1]
,".username":[5,1,36,1,38,1,40,1,56,1]
,"consumer.registerclient":[5,1,36,1,38,1,40,1]
,"reqmsg":[5,1,36,1,38,2,40,1,66,8]
,".domaintype":[5,1,31,1,40,1,57,1,66,3]
,"mmt_market_by_price":[5,1]
,".servicename":[5,1,31,1,36,1,38,2,40,1,56,2,66,2]
,"direct_feed":[5,1,31,1,36,1,38,2,40,1]
,".name":[5,1,29,1,31,1,36,1,38,2,40,2,56,2,66,2]
,"bbh.itc":[5,1]
,".privatestream":[5,1]
,"true":[5,1,65,1,66,2]
,"unsigned":[5,1,96,5]
,"long":[5,2,37,2,39,2,75,1,96,1]
,"starttime":[5,1]
,"getcurrenttime":[5,1]
,"2.1":[6,1]
,"description":[6,1,41,1,43,1,48,1,64,1,93,1]
,"data-neutral":[6,1]
,"multi-threaded":[6,1]
,"ease-of-use":[6,1,14,1,17,1]
,"access":[6,2,69,2,73,4,74,10,75,3,77,1,78,2,96,1]
,"part":[6,1]
,"software":[6,1]
,"kit":[6,1]
,"rtsdk":[6,1,47,1,73,2]
,"consume":[6,1,69,1,82,1,84,1]
,"level":[6,7,32,1,92,1]
,"stack":[6,1]
,"handled":[6,1,77,1]
,"intuitive":[6,1]
,"interfaces":[6,5,7,1,10,1,11,1,14,3,17,2,18,1,21,3,22,1,28,1,32,1,50,1]
,"intended":[6,1]
,"aid":[6,1,19,1]
,"message-level":[6,1]
,"setting":[6,1,11,1,12,1,46,1,47,1,54,1,61,1,62,1,63,1,79,1]
,"getting":[6,1]
,"containers":[6,3,8,2,12,3,14,6,15,2,17,2,21,2,23,2,24,1]
,"messages":[6,3,8,1,10,8,11,8,12,3,14,4,15,2,17,2,23,1,28,2,32,1,33,2,37,1,41,4,50,1,51,5,58,1,59,1,61,3,62,7,63,7,64,4,88,2]
,"abstract":[6,1,17,1]
,"behavior":[6,1,10,2,11,1,43,1,46,1,48,1,67,1,68,1,83,2,84,1]
,"consumer-type":[6,1,32,1]
,"provider-type":[6,1,50,1]
,"enables":[6,1,14,1,17,1,19,1]
,"support":[6,1,7,1,8,1,11,1,17,1,54,1,58,1,88,1]
,"e.g":[6,2,7,1,8,1,12,1,14,6,15,1,21,1,24,1,37,1,39,1,60,1,79,1]
,"leaves":[6,1]
,"minimal":[6,1]
,"footprint":[6,1]
,"focus":[6,1]
,"business":[6,1,33,2,41,1,51,2,64,1]
,"logic":[6,1,10,1,11,1,33,2,51,2]
,"includes":[6,1,11,1,72,1]
,"training":[6,1,7,1]
,"basic":[6,1,12,1,62,1,63,1]
,"functional":[6,1]
,"presents":[6,1,19,1]
,"simplified":[6,1]
,"necessary":[6,1]
,"functionalities":[6,1,10,1,11,1,20,1]
,"generally":[6,1]
,"meant":[6,1]
,"process":[6,1,10,1,11,1,33,1,41,1,51,2,52,1,59,1,64,1,73,3,74,2,88,1]
,"items":[6,1,9,2,10,1,32,1,33,4,34,2,35,1,37,5,38,1,41,2,51,4,52,2,53,1,55,1,60,2,64,2,74,1,88,4,89,1]
,"receive":[6,1,10,1,11,1,41,1,51,1,64,1,74,1]
,"abstracts":[6,1]
,"hides":[6,1]
,"involvement":[6,1]
,"just":[6,1,37,1]
,"address":[6,1,33,1,51,1,79,1]
,"specification":[6,1]
,"simple":[6,1,14,1,33,1,51,1,94,1]
,"set-":[6,1]
,"get-type":[6,1]
,"populate":[6,1,12,1,14,2,22,1,23,1,24,1,29,1,51,1]
,"read":[6,1,12,1,14,1,19,1]
,"takes":[6,1]
,"fluent":[6,2]
,"disparate":[6,1]
,"container":[6,1,12,1,14,5,15,1,21,4,23,1,24,1]
,"stringing":[6,1]
,"respective":[6,1,12,1,16,1,37,1,39,1,86,1]
,"together":[6,1,61,2,62,1,63,1]
,"means":[6,1]
,"visual":[6,1]
,"simplification":[6,1]
,"helps":[6,1]
,"understanding":[6,1]
,"debugging":[6,1,7,1,8,1,10,1,19,1,92,1]
,"abstracted":[6,1]
,"specialized":[6,1,41,1,64,1]
,"encapsulated":[6,1]
,"few":[6,1]
,"whose":[6,1,79,1]
,"implied":[6,1]
,"class":[6,1,10,9,11,9,12,2,14,11,15,4,16,2,17,6,18,3,19,7,20,3,22,2,23,4,24,5,25,3,26,3,30,2,31,2,32,4,33,7,36,2,41,5,42,2,43,6,50,4,51,7,56,2,57,2,64,5,65,2,66,1,67,5,68,6,86,1,87,1,93,2,94,1,95,3]
,"name":[6,1,14,1,30,1,42,2,49,1,66,1,86,1,87,1]
,"2.2":[7,1]
,"learning":[7,4,8,1]
,"recommends":[7,1,95,1]
,"sandbox":[7,1]
,"environment":[7,1]
,"experiment":[7,1]
,"various":[7,1]
,"iterations":[7,1]
,"facilitate":[7,1]
,"hands-on":[7,2]
,"experiment-based":[7,1]
,"experience":[7,1,74,1]
,"versus":[7,1,9,1]
,"documentation-based":[7,1]
,"methodology":[7,2]
,"package":[7,1,9,1,47,1]
,"showcase":[7,1,9,1]
,"increasing":[7,1]
,"levels":[7,1]
,"complexity":[7,1,8,1,9,1]
,"sophistication":[7,1]
,"coding":[7,1]
,"encouraged":[7,1]
,"refer":[7,1,10,1,11,1,14,1,15,1,33,3,39,1,43,1,44,1,46,2,47,1,48,1,51,3,54,2,58,1,67,1,68,1,69,8,70,1,72,3,73,1,77,1,79,2,80,3,82,2,85,1,90,1,92,1,93,1,96,1]
,"provided":[7,1,88,1]
,"ide":[7,1]
,"intellisense":[7,1]
,"note":[7,1,11,1,21,1,47,1,69,2,71,1,74,1,77,1,86,1]
,"already":[7,1,62,1,63,1,88,1]
,"familiar":[7,1]
,"2.2.1":[8,1]
,"reflected":[8,1,9,1]
,"series":[8,3,9,4,13,1,14,1,21,1,24,1]
,"number":[8,1,9,1,21,1,46,1]
,"follows":[8,1]
,"100-series":[8,1,9,1]
,"simply":[8,1,9,1]
,"print":[8,1]
,"received":[8,1,10,4,11,4,14,2,15,1,16,1,19,1,33,1,38,1,51,1,59,1,74,1,87,1]
,"screen":[8,1]
,":tostring":[8,1]
,"method":[8,1,10,4,11,10,15,1,19,1,25,1,26,1,33,1,37,2,39,2,42,1,43,1,51,1,65,1,66,1,67,1,68,1,86,2,87,1,93,1,94,1]
,"illustrate":[8,2,83,1]
,"stringification":[8,2]
,"primitives":[8,1,12,1,14,3,15,1,17,1,23,1]
,"useful":[8,1,10,1,92,1]
,"display":[8,1]
,"itself":[8,1,15,1,74,1]
,"sufficient":[8,1,33,1,51,1,62,1]
,"develop":[8,1]
,"sophisticated":[8,1]
,"200-series":[8,1,9,1]
,"extract":[8,1,14,2,25,1,27,1,30,1]
,"native":[8,1]
,"formats":[8,1]
,"uint64":[8,1,37,1,38,1,39,1,56,1,59,1,60,1,62,2,63,1,94,2]
,"emastring":[8,1]
,"emabuffer":[8,1,57,1,66,1,96,1]
,"300-":[8,1,9,1]
,"400-":[8,1,9,1]
,"depict":[8,1,9,1]
,"particular":[8,1,9,1,37,1,49,1,89,1]
,"posting":[8,1,38,1]
,"generic":[8,1,10,1,50,1,59,1]
,"programmatic":[8,1,9,1,11,1,79,1,85,1]
,"2.2.2":[9,1]
,"provider":[9,2,11,13,13,5,50,2,51,6,52,1,56,1,57,2,58,2,59,2,61,3,62,4,63,4,68,1,88,1,94,1,96,1]
,"type":[9,1,14,9,15,2,21,1,28,1,46,1,49,1,51,1,68,1,70,1,95,1]
,"i.e":[9,1,11,1,32,1,45,1,50,2,74,2,79,1,93,1]
,"non-interactive":[9,1,11,4,51,6,53,1,54,2,55,1,56,1,61,1,63,2,65,1,68,1]
,"interactive":[9,1,11,3,50,1,51,5,52,2,55,1,57,2,58,1,59,1,61,1,62,2,66,1,68,1]
,"directory":[9,2,11,6,32,1,34,1,50,2,52,3,53,1]
,"structure":[9,1,14,1]
,"submit":[9,1,10,1,11,1,32,1,33,1,50,1,51,3,52,1,53,1,60,1,62,5,63,5]
,"refreshes":[9,1,88,1]
,"updates":[9,1,88,2]
,"hardcoded":[9,1]
,"submission":[9,1]
,"multiple":[9,1,13,2,61,1,79,3]
,"domains":[9,1,11,1,50,1,88,1]
,"emaconfig.xml":[9,1,11,3,33,2,43,1,51,3,67,1,68,1]
,"file":[9,1,11,1,33,2,43,1,51,2,67,1,68,1,79,1,85,1,92,1,95,1]
,"modify":[9,1,10,1,32,1,33,2,37,1,51,2]
,"control":[9,1,10,1,11,2,20,1]
,"login":[9,1,11,1,32,1,33,1,50,2,51,4,52,3,59,1,66,1,69,2,73,2,74,7,75,1,80,2,83,1,88,1,89,5]
,"2.3":[10,1]
,"architecture":[10,2,11,1,12,1]
,"2.3.1":[10,1]
,"incorporates":[10,1,11,1]
,"valueadded":[10,1]
,"called":[10,1,37,1,39,1,60,1,71,2]
,"transport-level":[10,1,11,1,50,1]
,"wraps":[10,1,11,1]
,"close":[10,1,32,1,33,1,37,1,55,1,60,1,74,2,75,1]
,"instruments":[10,1,37,1]
,"post":[10,1,52,1,53,1,58,2]
,"complete":[10,1,11,1]
,"dispatch":[10,5,11,5]
,"depending":[10,1,11,2,14,1,50,1]
,"need":[10,1,11,1,33,2,37,1,41,1,51,4,64,1,78,1,83,1,88,1,93,1]
,"call":[10,2,11,2,33,1,37,2,39,2,60,1,71,2,85,1]
,"configures":[10,1,11,1]
,"ommconsumerclient":[10,3,33,1,40,1,41,6,42,1]
,"callback":[10,4,11,3,33,3,37,1,39,1,40,2,41,2,51,4,59,1,64,2,71,4,76,1]
,"mechanism":[10,3,11,3,14,1,41,1,64,1,69,1,92,1,93,2]
,"send":[10,1,52,1,58,1,61,2,62,2,63,1]
,"incoming":[10,1,11,1]
,"needs":[10,1,11,1,16,1,32,1,33,2,41,1,50,1,51,4,64,1]
,"inheriting":[10,1,41,1,64,1]
,"executed":[10,1,11,1]
,"api\u0027s":[10,1,11,1]
,"thread":[10,8,11,8]
,"however":[10,1,11,1]
,":operationmodel":[10,1,11,2]
,"execute":[10,2,11,1]
,"choose":[10,1,51,1,79,1,84,1]
,"manner":[10,1]
,":dispatch":[10,2,11,2]
,"throws":[10,1,11,1]
,"ommexception":[10,1,11,1,21,1,22,1,93,1,95,3]
,"report":[10,1,11,1]
,"error":[10,4,11,3,15,1,19,2,21,1,27,1,33,4,51,4,81,8,92,1,93,9,94,2,95,2,96,1]
,"conditions":[10,1,11,1,33,1,51,1,93,1]
,"ommconsumererrorclient":[10,2,33,1,93,1,94,1]
,"alternate":[10,2,11,2,93,1]
,"reporting":[10,4,11,3]
,"via":[10,1,11,2,13,1,44,1,45,1,74,1,77,1,80,1,85,1,88,1]
,"callbacks":[10,2,11,2]
,"pass":[10,1,11,1,13,1,33,2,37,1,39,1,51,2,60,1,84,1,93,1]
,"constructor":[10,1,11,1,93,1]
,"switches":[10,1,11,1]
,"exception":[10,1,11,1,95,3]
,"throwing":[10,1,11,1]
,"addition":[10,1,11,1]
,"mechanisms":[10,1,11,1,93,1]
,"logger":[10,1,11,1,92,1]
,"issues":[10,1,11,1,92,1]
,"arise":[10,1,11,1]
,"always":[10,1,11,1]
,"least":[10,1,11,1]
,"implemented":[10,1,11,1,19,1,88,1]
,"runs":[10,1,11,1]
,"internal":[10,2,11,8,24,1,34,1]
,"details":[10,1,11,1,14,1,15,1,33,3,39,1,43,1,46,2,47,1,48,1,51,3,54,3,62,1,63,1,67,1,68,1,69,8,70,1,72,3,73,1,79,3,80,3,82,2,83,4,84,2,85,1,90,2,92,1,93,1,96,1]
,"additionally":[10,1,11,3,19,1,92,1]
,"second":[10,4,11,4,62,2,63,1]
,"operation":[10,2,11,4,14,2,27,2]
,":apidispatchenum":[10,1,11,2]
,":userdispatch":[10,1]
,"run":[10,1,11,2]
,"without":[10,1,11,1,14,1]
,"running":[10,1,11,5,79,1,80,1]
,"responsible":[10,1,11,2]
,"calling":[10,1,11,1]
,"warning":[10,1,17,1]
,"delays":[10,1]
,"dispatching":[10,1]
,"result":[10,1,89,1]
,"slow":[10,1]
,"2.3.2":[11,1]
,"enterprisetransport":[11,1]
,"ommprovider":[11,8,50,3,51,3,52,3,53,3,55,3,56,3,57,3,58,1,62,3,63,3,67,3,68,3,93,1,95,1]
,"handling":[11,1,58,1,59,1,77,1,81,2]
,"dictionary":[11,7,21,1,32,1,50,2,51,2]
,"api\u2019s":[11,1,46,1,48,1,74,1,79,1,83,1,84,1]
,"role":[11,1]
,"ommniproviderconfig":[11,9,51,1,56,1,67,5,68,1]
,"ommiproviderconfig":[11,13,51,1,57,1,67,1]
,"sends":[11,1,13,1,73,2,74,4,88,1]
,"ommproviderclient":[11,3,51,1,64,6,65,1,66,1]
,"inherits":[11,1,14,4,33,2,51,2]
,"either":[11,2,46,1,79,1,94,1]
,"application\u2019s":[11,1,33,1,51,1]
,"case":[11,1,19,2,24,1,25,2,26,3,27,13,30,1,62,1,66,2,74,1,83,4]
,"ommprovidererrorclient":[11,2,51,1,93,1,94,1]
,"error-reporting":[11,1]
,"monitor":[11,1]
,"debug":[11,1]
,"providers":[11,2,51,7,52,1,53,1,54,2,55,2,61,1,68,2]
,"hard-coded":[11,2]
,"configurable":[11,1,32,1,50,1]
,"initial":[11,1,73,1]
,"refresh":[11,3,38,1,50,1,51,1,56,1,69,1,73,2,74,5,88,2]
,"programmatically":[11,5]
,"disable":[11,3]
,":usercontrolenum":[11,3]
,":admincontroldirectory":[11,4]
,"ability":[11,1,69,1,89,1]
,"responses":[11,1,59,2]
,":admincontroldictionary":[11,2]
,"enabled":[11,1,83,1,85,1]
,"sending":[11,1,37,1,61,1,74,2]
,"response":[11,1,52,1,58,1,73,1,74,2,79,1,87,7]
,"supports":[11,1,14,1,21,1,28,1,44,1,45,1,46,1,49,1,81,1,88,1,89,1,95,1]
,"overrides":[11,2]
,":apicontrolenum":[11,3]
,"configuring":[11,1,76,1,92,1]
,"2.3.3":[12,1]
,"codec":[12,2]
,"decoding":[12,1,27,1]
,"functions":[12,1,49,1,69,1]
,"represented":[12,1,17,1]
,"relevant":[12,1]
,"accessing":[12,1]
,"representing":[12,1,14,3,15,1]
,"inherit":[12,1,14,3,17,4,95,1]
,"common":[12,2,17,1,18,1,95,1]
,"parent":[12,1,17,1,18,1,39,4,40,3,41,1,64,1,95,1]
,"inheritance":[12,1,14,1]
,"easy":[12,1]
,"expect":[12,1]
,"printing":[12,1]
,"contained":[12,1,14,1]
,"tostring":[12,1]
,"2.4":[13,1]
,"tunnel":[13,11,20,3,31,2,39,8,40,5]
,"streams":[13,4,37,1,39,2,40,1]
,"leveraging":[13,1]
,"special":[13,1,15,1,19,1]
,"stream":[13,12,20,5,31,1,39,6,40,3,60,1,74,1]
,"additional":[13,2,20,1,49,1]
,"behaviors":[13,4]
,"associated":[13,1,14,1,19,1,37,1,39,1,41,1,43,1,60,1,64,1,67,1,68,1,74,2,79,1]
,"end-to-end":[13,2,20,1]
,"line":[13,2]
,"sight":[13,2]
,"reliable":[13,1,20,1]
,"founded":[13,1]
,"concept":[13,1]
,"established":[13,1,88,1]
,"intermediate":[13,2]
,"edge":[13,1]
,"device":[13,1]
,"creating":[13,1,34,2,52,2,53,2,71,1,96,1]
,"sets":[13,1]
,"enforce":[13,2]
,"end":[13,1,74,1]
,"point":[13,1]
,"endpoint":[13,1,79,6,84,2]
,"acknowledges":[13,1]
,"creation":[13,1]
,"once":[13,1,14,1,75,1,78,1]
,"accomplished":[13,1,79,1]
,"negotiated":[13,1]
,"enforced":[13,1]
,"exchanged":[13,1]
,"substreams":[13,2,39,1,40,1]
,"exist":[13,1]
,"flow":[13,1,20,1]
,"coexist":[13,1]
,"confines":[13,1]
,"diagram":[13,1,73,1,74,1]
,"imagine":[13,1]
,"orange":[13,1]
,"cylinder":[13,2]
,"connects":[13,1,69,1,83,1]
,"notice":[13,1]
,"passes":[13,1]
,"directly":[13,2]
,"effectively":[13,1,33,1,51,1]
,"talking":[13,1]
,"although":[13,1]
,"traversing":[13,1]
,"devices":[13,1,17,1]
,"black":[13,1]
,"flowing":[13,1]
,"represent":[13,1,15,1]
,"substream":[13,2,40,2]
,"independent":[13,1]
,"request":[13,2,20,1,51,1,52,3,74,1,77,1,81,4,86,8]
,"price":[13,1]
,"figure":[13,1,73,1,74,1,79,1,89,4]
,"3.1":[14,1]
,"overview":[14,1,69,1,88,1]
,"full":[14,1]
,"fieldlist":[14,2,17,2,21,1,22,4,23,7,24,6,25,4,26,5,27,2,38,1,56,2,57,1,62,3,63,3,66,2]
,"map":[14,2,21,1,23,6,24,7,57,1]
,"refreshmsg":[14,2,28,1,38,2,41,1,42,1,56,1,64,1,65,2,66,2]
,"int":[14,1,40,1,62,2,63,2,96,2]
,"simplicity":[14,1]
,"add":[14,4,62,6,63,6,88,1,89,1]
,"specify":[14,2,33,1,47,1,48,1,49,1,51,1,73,1,79,1,83,1]
,"variables":[14,1]
,"occur":[14,1]
,"entries":[14,4,21,2,25,1,26,1]
,"return":[14,3,17,1,51,1,56,1,57,1,66,1,96,1]
,"modified":[14,1,38,1]
,"fluid":[14,1,22,1]
,"primitives.enterprise":[14,1]
,"iterative":[14,1]
,"iterate":[14,1,26,1]
,"every":[14,1,15,1,62,1,63,1,92,1]
,"iterating":[14,2,25,1]
,"apply":[14,1]
,"filtering":[14,1,26,1]
,"field":[14,3,26,1,62,1,63,1,78,1,79,1]
,"interested":[14,1,41,1,64,1]
,"skips":[14,1]
,"matching":[14,1]
,"identification":[14,1]
,"individual":[14,1,41,1,64,1]
,"extracted":[14,1,26,1]
,"during":[14,1,71,1,88,1,92,1,95,1]
,"iteration":[14,1]
,"entry":[14,1,21,1,23,1,24,1,79,1,83,1]
,"may":[14,1,16,1,51,1,79,3,83,1,85,1,89,1]
,"contain":[14,1,23,1]
,"identity":[14,1,20,1]
,"action":[14,2]
,"applied":[14,1]
,"permission":[14,1,28,1,96,2]
,"entry\u2019s":[14,2]
,"load":[14,2,27,1,46,1,47,1]
,"two":[14,1,15,1,16,1,69,1,89,1,93,2]
,"ways":[14,1,43,1,67,1,68,1]
,"extracting":[14,1,15,1,25,1,27,1,30,1]
,"objects":[14,1,17,1]
,"based":[14,1,69,1,79,1,89,11]
,"load\u2019s":[14,1]
,"getload":[14,2]
,"base":[14,1]
,"down-cast":[14,2,27,1]
,"desired":[14,1]
,"section":[14,1,15,1,24,1,33,3,39,3,46,1,51,3,54,2,69,6,73,1,74,1,76,1,79,2,80,3,82,2,83,3,84,2,86,1,87,1,93,1]
,"3.3":[14,1,21,1]
,"compile":[14,1]
,"time-type":[14,1]
,"safety":[14,1]
,"set-type":[14,1]
,"deeper":[14,1]
,"primitive":[14,2,17,2,21,2]
,"intrinsic":[14,1,17,1]
,"ommint":[14,1,27,1]
,"ommbuffer":[14,1]
,"ommrmtes":[14,1]
,"ommarray":[14,3,21,1,24,1]
,"treated":[14,1,21,1]
,"instead":[14,1,71,1,86,1,93,1]
,"represents":[14,1]
,"ommerror":[14,2,19,3]
,"except":[14,1]
,"complextype":[14,2]
,"turn":[14,2,17,1,46,1,92,1]
,"ommxml":[14,1]
,"ommopaque":[14,1]
,"vector":[14,1,21,1,24,1]
,"msg":[14,1,18,2,62,3,63,3]
,"genericmsg":[14,1,28,1,29,3,30,2,32,1,33,1,37,1,41,1,51,1,59,1,64,1]
,"postmsg":[14,1,28,1,32,1,33,1,37,1,38,1,58,2]
,"3.2":[15,1]
,"3.2.1":[15,1]
,"datatype":[15,8,19,2,25,2,26,2,27,13,30,1,42,1,59,3]
,"enumeration":[15,4,16,1]
,"supported":[15,1,70,1,88,1,95,1]
,"including":[15,1,46,1]
,"identifies":[15,1,51,1,79,1]
,"appropriate":[15,1,21,1,28,1,33,1,47,1,51,2]
,":fieldlistenum":[15,1,27,1,30,1]
,":refreshmsgenum":[15,1,27,1]
,":getdatatype":[15,1]
,"learn":[15,1,19,1]
,"given":[15,1,60,1]
,"contains":[15,1,86,1]
,"reading":[15,1]
,":errorenum":[15,1,19,1,27,1]
,"indicates":[15,1,16,2]
,"condition":[15,1,19,2,95,2]
,"detected":[15,1,19,3,21,1]
,"3.2.5":[15,1,19,1]
,":nodataenum":[15,1,27,1,42,1]
,"signifies":[15,1]
,"lack":[15,1]
,"summary":[15,1,21,1,23,1]
,"payload":[15,1,28,1,29,2,62,1,63,1]
,"attribute":[15,1,28,1]
,"3.2.2":[16,1]
,"datacode":[16,4]
,"indicate":[16,1]
,"data\u2019s":[16,1]
,"state":[16,1,42,1,66,1,74,1,75,1]
,":nocodeenum":[16,1]
,"valid":[16,1,37,1,39,1,74,1,75,1,78,1,95,1]
,":blankenum":[16,1,19,1,25,1,26,1,27,1]
,"present":[16,1,86,1]
,"blank":[16,1,27,1,88,1]
,"fields":[16,1]
,"3.2.3":[17,1]
,"across":[17,1,18,1,95,1]
,"children":[17,1]
,"down-casting":[17,1]
,"operations":[17,1]
,"efficiency":[17,1]
,"built":[17,1]
,"easily":[17,1]
,"accessed":[17,1]
,"returned":[17,1,37,2,39,2,40,2]
,"temporary":[17,1]
,"short-lived":[17,1]
,"reason":[17,1]
,"storage":[17,1,71,1]
,"caching":[17,1]
,"immediately":[17,1,34,2]
,"retrieving":[17,1,77,1]
,"freshly":[17,1]
,"created":[17,1]
,"snippet":[17,1,19,1,23,1,26,1,31,1]
,"demonstrates":[17,1,31,1]
,"restriction":[17,1]
,"fieldlist.addascii":[17,1]
,".addint":[17,1,38,1]
,".complete":[17,1,22,1,23,2,24,1,29,1,38,1,56,3,57,2,66,5]
,"fieldlist.forth":[17,1,25,1,26,1]
,"const":[17,1,19,2,22,1,23,1,24,1,25,3,26,3,27,14,29,1,30,2,36,1,38,3,40,3,42,8,43,1,56,1,57,1,58,2,59,4,62,1,63,1,65,6,66,8,67,1,68,1,94,9,96,1]
,"fieldentry&":[17,1,25,1,26,1]
,"fieldentry":[17,1,25,1,26,1]
,"fieldlist.getentry":[17,1,25,1,26,1]
,"3.2.4":[18,1]
,"defines":[18,1]
,"purpose":[19,2]
,"notify":[19,1]
,"errors":[19,1,81,3,95,1]
,"processing":[19,2,32,1,41,2,50,1,64,2,94,1]
,"getashex":[19,1]
,"obtain":[19,1,34,2,47,1,69,1,72,1,73,2,74,2,79,1,80,1]
,"sole":[19,1]
,"efforts":[19,1]
,"elementlist":[19,2,21,1,24,1,29,3,59,1]
,"void":[19,1,25,1,26,1,27,2,30,1,38,2,40,2,42,4,58,1,59,1,62,1,63,1,65,3,66,4,94,8]
,"decode":[19,1,25,1,26,1,27,1,30,2,42,1]
,"elementlist&":[19,1,59,1]
,"elementlist.forth":[19,1,59,1]
,"elemententry&":[19,1,59,1]
,"elemententry":[19,1,59,1]
,"elementlist.getentry":[19,1,59,1]
,"elemententry.getcode":[19,1]
,"continue":[19,1,25,1,26,1]
,"else":[19,1,27,1,59,1,62,3,63,3,65,2,96,1]
,"switch":[19,1,25,1,26,1,27,1,30,1,66,1,89,3]
,"elemententry.getloadtype":[19,1,59,2]
,":realenum":[19,1,27,1]
,"cout":[19,2,22,1,23,1,24,1,27,12,29,1,30,1,36,1,38,3,40,1,42,2,56,1,57,1,59,4,65,2,94,1]
,"elemententry.getreal":[19,1]
,".getasdouble":[19,1,27,1]
,"endl":[19,2,22,1,23,1,24,1,27,12,29,1,30,1,36,1,38,3,40,1,42,4,56,1,57,1,59,4,65,3,94,2]
,"break":[19,2,25,2,26,2,27,14,30,1,66,3]
,"elemententry.geterror":[19,2]
,".geterrorcode":[19,1]
,".geterrorcodeasstring":[19,1,27,1]
,"3.2.6":[20,1,39,1]
,"tunnelstreamrequest":[20,3,31,3,39,3,40,2]
,"classofservice":[20,2,31,1,40,1]
,"specifies":[20,2]
,"establishing":[20,1]
,"per-tunnel":[20,1]
,"basis":[20,1,83,1]
,"related":[20,1]
,"specified":[20,1,46,3,71,3,79,1,83,1,95,1]
,"working":[21,1,28,1,31,1,36,1,37,1,38,1,39,1,40,1,56,1,57,1,60,1]
,"filterlist":[21,1,24,1]
,"header":[21,2,28,1,30,1]
,"element":[21,1]
,"add-type":[21,2]
,"adding":[21,3]
,"first":[21,1,46,1,52,1,60,1,62,1,63,1,79,1]
,"acts":[21,1]
,"therefore":[21,1,24,1]
,"perform":[21,1,78,1,79,2,81,1,95,1]
,"validation":[21,1]
,"thrown":[21,1,95,9]
,"3.3.1":[22,1]
,"populating":[22,1,23,1,24,1,29,1]
,"illustrates":[22,1,23,1,24,1,25,1,27,1,29,1,30,1,36,1,38,1,40,1,42,1,56,1,57,1,58,1,59,1,62,1,63,1,65,1,66,1,73,1,89,2,94,1,96,1]
,"try":[22,1,23,1,24,1,29,1,36,1,38,1,40,1,56,1,57,1,62,1,63,1,95,1]
,"fieldlist.info":[22,1]
,".adduint":[22,1]
,".addreal":[22,1,23,1,24,1,56,6]
,"ommreal":[22,1,23,1,24,1,27,1,56,6,57,1,62,2,63,2,66,1]
,":exponentneg2enum":[22,1,23,1,24,1,56,3,57,1,62,1,63,1,66,1]
,".adddate":[22,1,23,1,24,1]
,"1999":[22,1,23,1,24,1]
,".addtime":[22,1,23,1,24,1]
,"005":[22,1,23,1,24,1]
,"catch":[22,1,23,1,24,1,29,1,36,1,38,1,40,1,56,1,57,1,62,1,63,1,95,1]
,"excp":[22,2,23,2,24,2,29,2,36,2,38,2,40,2,56,2,57,2,62,1,63,1]
,"3.3.2":[23,1,24,1,79,1]
,"relying":[23,1,24,1]
,"single":[23,1,24,1,61,1,73,1,78,1]
,"containing":[23,1,24,1]
,"store":[23,1,24,1,37,1,48,1,71,1,76,1]
,"populated":[23,1,24,1]
,"later":[23,1]
,"copied":[23,1]
,"owned":[23,1,24,1]
,"population":[23,1,24,1]
,"applies":[23,1,24,1]
,"fieldlist.adduint":[23,1,24,1]
,".summary":[23,1]
,".addkeyascii":[23,1,57,1,66,1]
,"entry_1":[23,1,24,1,29,1]
,"mapentry":[23,1,24,1,57,1,66,1]
,":addenum":[23,1,24,1,66,1]
,"ommexception&":[23,1,24,1,29,1,36,1,38,1,40,1,56,1,57,1]
,"3.3.3":[24,1]
,"avoiding":[24,1]
,"copy":[24,1]
,"described":[24,1,74,1,76,1]
,"iterable":[24,1]
,"map.addkeyascii":[24,1]
,"map.complete":[24,1]
,"3.3.4":[25,1]
,":forth":[25,1,26,1]
,"extracts":[25,1,26,1]
,"fieldlist&":[25,1,26,1,27,2]
,"fieldlist.hasinfo":[25,1]
,"int16":[25,2,26,1]
,"dictionaryid":[25,1,27,1]
,"fieldlist.getinfodictionaryid":[25,1]
,"fieldlistnum":[25,1,27,1]
,"fieldlist.getinfofieldlistnum":[25,1]
,"fieldentry.getcode":[25,1,26,1]
,"fieldentry.getloadtype":[25,1,26,1]
,":asciienum":[25,1,26,1,27,1]
,"emastring&":[25,1,26,1,94,8]
,"fieldentry.getascii":[25,1,26,1]
,":intenum":[25,1,26,1,27,1]
,"int64":[25,1,26,1,38,1,94,1]
,"fieldentry.getint":[25,1,26,1]
,"3.3.5":[26,1]
,"filters":[26,1]
,"select":[26,1]
,"ones":[26,1]
,"skipped":[26,1]
,"3.3.6":[27,1]
,"downcast":[27,1]
,":decodefieldlist":[27,1]
,"fl.hasinfo":[27,1]
,"fl.getinfofieldlistnum":[27,1]
,"fl.getinfodictionaryid":[27,1]
,"fl.forth":[27,1]
,"fl.getentry":[27,1]
,".getload":[27,1]
,":decode":[27,1]
,"data&":[27,1,43,1,67,1,68,1]
,"data.getcode":[27,1]
,"data.getdatatype":[27,1]
,"decoderefreshmsg":[27,1]
,"static_cast":[27,12]
,"refreshmsg&":[27,1,38,1,42,1,65,1]
,":updatemsgenum":[27,1]
,"decodeupdatemsg":[27,1]
,"updatemsg&":[27,1]
,"decodefieldlist":[27,1]
,":mapenum":[27,1]
,"decodemap":[27,1]
,"map&":[27,1]
,"nodata":[27,1]
,":timeenum":[27,1]
,"ommtime":[27,1]
,"ommtime&":[27,1]
,".tostring":[27,3,42,1]
,":dateenum":[27,1]
,"ommdate":[27,1]
,"ommdate&":[27,1]
,":getasdouble":[27,1]
,"ommreal&":[27,1]
,"ommint&":[27,1]
,".getint":[27,1]
,":uintenum":[27,1,59,2]
,"ommuint":[27,1]
,"ommuint&":[27,1]
,".getuint":[27,1]
,":enumenum":[27,1]
,"ommenum":[27,1]
,"ommenum&":[27,1]
,".getenum":[27,1]
,"ommascii":[27,1]
,"ommascii&":[27,1]
,"ommerror&":[27,1]
,"3.4":[28,1]
,"updatemsg":[28,1,41,1,56,1,57,1,62,1,63,1]
,"statusmsg":[28,1,40,1,41,1,64,1,66,1]
,"ackmsg":[28,1,41,1,58,4]
,"3.4.1":[29,1]
,"consisting":[29,1,69,2]
,"genmsg":[29,1,30,1]
,"genmsg.domaintype":[29,1]
,"200":[29,1]
,"tr.n":[29,1]
,".serviceid":[29,1,40,1]
,"234":[29,1]
,".payload":[29,1,38,1,56,2,57,1]
,".addascii":[29,1]
,"value_1":[29,1]
,"3.4.2":[30,1]
,"genericmsg&":[30,1,59,1]
,"genmsg.hasname":[30,1]
,"genmsg.getname":[30,1]
,"genmsg.hasheader":[30,1]
,"emabuffer&":[30,1]
,"genmsg.getheader":[30,1]
,"genmsg.getpayload":[30,2]
,".getdatatype":[30,1,42,1,59,1]
,".getfieldlist":[30,1]
,"3.4.3":[31,1,39,1]
,"cosauthentication":[31,4,40,4]
,"cosauthentication.type":[31,1,40,1]
,":ommloginenum":[31,1,40,1]
,"cosdataintegrity":[31,4,40,4]
,"cosdataintegrity.type":[31,1,40,1]
,":reliableenum":[31,1,40,1]
,"cosflowcontrol":[31,4,40,4]
,"cosflowcontrol.type":[31,1,40,1]
,":bidirectionalenum":[31,1,40,1]
,".recvwindowsize":[31,1,40,1]
,"1200":[31,2,40,2]
,".sendwindowsize":[31,1,40,1]
,"cos":[31,2,40,2]
,"cos.authentication":[31,1,40,1]
,".dataintegrity":[31,1,40,1]
,".flowcontrol":[31,1,40,1]
,"tsr":[31,1,40,2]
,"tsr.classofservice":[31,1,40,1]
,"mmt_system":[31,1,40,1]
,"4.1":[32,1]
,"main":[32,1,40,1,50,1]
,"encapsulates":[32,1,50,1]
,"connectivity":[32,1,34,1,50,1,53,1,70,1]
,"connected":[32,1,35,1,37,1,55,1,75,1,78,1]
,"admin":[32,1,50,1,77,2]
,"requests":[32,1,59,1,74,1]
,"4.1.1":[33,1]
,"connecting":[33,1,51,1,70,1,79,1]
,"opening":[33,1,34,1,37,1,39,1,40,2]
,"observe":[33,1]
,"steps":[33,1,34,1,53,1]
,"step":[33,1,51,2]
,"usually":[33,1,51,1]
,"cases":[33,1,51,2,75,1,82,2]
,"4.3":[33,1,43,1]
,"change":[33,1,51,1,88,1]
,"minimum":[33,1,51,2]
,"host":[33,1,34,1,51,1,53,1,79,1,83,2]
,"port":[33,1,51,2,79,2,83,2]
,"4.2":[33,1,41,1]
,"override":[33,2,41,2,49,1,51,2,64,2,93,1]
,"implementation":[33,1,41,1,42,1,46,1,51,1,64,1,65,1,66,1,93,1]
,"overridden":[33,1,51,1]
,"required":[33,1,51,1,69,1,71,2]
,"8.2":[33,1,93,1]
,"back":[33,1,71,2]
,"notified":[33,1,51,1]
,"needed":[33,1,51,1,62,1,63,1,83,1,85,1,88,1,92,1]
,"optionally":[33,1,51,1,72,1]
,"register":[33,1,41,1,51,1,64,1]
,"events":[33,1,51,1,89,5,92,2]
,"passing":[33,1,43,1,51,1,67,1,68,1]
,"interest":[33,1]
,":registerclient":[33,1,37,2,39,2,40,1,51,1]
,"exit":[33,1,37,1,51,1]
,"4.1.2":[34,1]
,"instantiation":[34,1,52,1,53,1]
,"allow":[34,1]
,"performs":[34,1,53,1]
,"initializing":[34,1,52,1,53,1,62,1,63,1]
,"establish":[34,1,51,1,53,1]
,"configured":[34,2,53,1,79,2]
,"log":[34,1,35,1,53,1,55,1,85,1,86,1,87,1,92,2,95,1]
,"dictionaries":[34,1]
,"4.1.3":[35,1]
,"destroying":[35,2,55,3]
,"causes":[35,1,55,2]
,"disconnect":[35,1,55,1]
,"closed":[35,1,55,1]
,"4.1.4":[36,1]
,"simplest":[36,1,56,1,57,1]
,"managing":[36,1,56,1,57,1,76,1,92,1]
,"ibm.n":[36,1,38,2,56,2]
,"sleep":[36,1,38,1,40,1,56,2,57,2,62,1,63,1]
,"60000":[36,1,38,1,40,1]
,"4.1.5":[37,1]
,"assigns":[37,1,39,1,60,1]
,"opened":[37,1,88,1]
,"unique":[37,1,39,1,60,1,72,2]
,"numeric":[37,2,39,2,60,1]
,"identifier":[37,1,39,1,60,1]
,"handle":[37,2,38,2,39,2,40,3,50,1,51,3,60,2,62,4,63,3,65,1,76,1,94,4,95,1]
,"stays":[37,2,39,1,75,1]
,"holding":[37,1]
,"onto":[37,1]
,"handles":[37,3,39,2,60,2]
,"important":[37,1]
,"watch":[37,1]
,"until":[37,1,74,1,75,1,78,1]
,"closure":[37,2,38,2,39,2,65,1]
,"application-assigned":[37,1,39,1]
,"maintain":[37,1,39,1]
,"association":[37,1,39,1]
,"closures":[37,1,39,1]
,"ommconsumerevent":[37,1,39,1]
,"4.1.6":[38,1]
,"modifying":[38,1]
,"item\u2019s":[38,1]
,"priority":[38,1]
,":onrefreshmsg":[38,1,42,1,65,1]
,"ommconsumerevent&":[38,1,40,1,42,1]
,"event":[38,1,40,1,58,1,59,1,66,8,88,1,89,4,92,2]
,"event.gethandle":[38,1,40,1,58,1,59,2,66,4]
,"itemhandle":[38,3,56,3,57,2,62,3,63,3,66,2]
,"consumer.reissue":[38,1]
,".priority":[38,1]
,"consumer.submit":[38,1]
,"100":[38,1]
,"4.1.7":[39,1]
,"illustrated":[39,1,74,1]
,"4.1.8":[39,1,40,1]
,":onstatusmsg":[40,1]
,"onstatusmsg":[40,3,41,1,42,1,64,1,65,1]
,"statusmsg&":[40,1]
,"_tunnelstreamhandle":[40,3]
,"statusmsg.hasstate":[40,1]
,"statusmsg.getstate":[40,1]
,".getstreamstate":[40,1,65,1]
,"ommstate":[40,1,56,3,65,2,66,6]
,":openenum":[40,1,56,1,65,1,66,1]
,"below":[40,1]
,"_pommconsumer-":[40,1]
,"registerclient":[40,1]
,"tunnel_ibm":[40,1]
,"client.setommconsumer":[40,1]
,"save":[40,1]
,"calls":[40,1]
,"onrefreshmsg":[40,1,41,1,42,2,64,1,65,2,66,1]
,"onupdatemsg":[40,1,41,1,42,1]
,"4.2.1":[41,1]
,"subscribe":[41,1,64,1,89,1]
,"implements":[41,1,59,1,64,1]
,"empty":[41,1,62,1,63,1,64,1,88,1]
,"client-type":[41,2,42,1,64,2,65,1,66,1]
,"according":[41,1,64,1,82,1,83,4,84,2]
,"instances":[41,1,64,1]
,"interests":[41,1,64,1]
,"processed":[41,1,64,1]
,"respectively":[41,1,64,1]
,"named":[41,1,64,1]
,"onackmsg":[41,1]
,"ongenericmsg":[41,1,64,1]
,"oapplications":[41,1]
,"4.2.2":[42,1]
,"depicting":[42,1,65,1,66,1]
,"refinitiv":[42,7,65,5]
,":ema":[42,7,65,5]
,":access":[42,7,65,5]
,":ommconsumerclient":[42,1]
,"protected":[42,1,65,1]
,":refreshmsg&":[42,1,65,1]
,":ommconsumerevent&":[42,3]
,":updatemsg&":[42,1]
,":statusmsg&":[42,1,65,1]
,"refreshmsg.hasmsgkey":[42,1]
,"refreshmsg.getname":[42,1]
,"refreshmsg.getservicename":[42,1]
,"refreshmsg.getstate":[42,1,65,2]
,"refreshmsg.getpayload":[42,2]
,".getdata":[42,1]
,"4.3.1":[43,1]
,"customize":[43,1,67,1,68,1,79,1]
,"hard":[43,1,67,1,68,1]
,"coded":[43,1,67,1,68,1]
,"omm-formatted":[43,1,67,1,68,1]
,":config":[43,1,67,1,68,1]
,"4.3.2":[44,1]
,"unencrypted":[44,2]
,"connections":[44,2,45,2,46,1,49,2,52,1,54,3,55,1,69,2,70,2,88,2]
,"channeltype":[44,2,45,2,49,3,70,2]
,"rssl_socket":[44,1,49,1]
,"linux":[44,1,46,1,47,1,49,1,70,1]
,"windows":[44,2,46,1,47,1,49,2,70,1]
,"rssl_websocket":[44,1]
,"rssl_http":[44,1]
,"inside":[44,1]
,"channelgroup":[44,2,79,1,83,2]
,"channeltypes":[44,1]
,"4.3.3":[45,1,54,1]
,"encrypted":[45,2,49,1,54,3,70,2,84,1]
,"tcp":[45,1,59,1]
,"niprovider":[45,1,51,2,68,1]
,"rssl_encrypted":[45,1,70,1]
,":rssl_encrypted":[45,1,49,1]
,"4.3.3.1":[46,1]
,"implementing":[46,1]
,"protocols":[46,2,79,1]
,"encryption":[46,3,47,1]
,"tls":[46,4]
,"depends":[46,1,47,1,74,1]
,"factors":[46,1]
,"operating":[46,1,47,1]
,"determines":[46,1]
,"openssl":[46,11,47,11,48,1,49,1]
,"wininet":[46,2,49,1,70,1]
,"encryptedprotocoltype":[46,4]
,":rssl_http":[46,1,49,1]
,":rssl_socket":[46,1,49,1]
,":rssl_websocket":[46,1]
,"versions":[46,1,69,1]
,"1.0":[46,2,47,2]
,"3.x":[46,1,47,2]
,"attempts":[46,1,78,1]
,"cannot":[46,1,95,1]
,"tries":[46,1]
,"libraries":[46,1,47,5]
,"loaded":[46,1]
,"4.3.3.2":[46,1,47,1]
,"securityprotocol":[46,2]
,"flag":[46,1]
,"flags":[46,1]
,"currently":[46,1]
,"accepted":[46,1,66,1]
,"machine\u2019s":[47,1]
,"version":[47,2,69,4,72,1,75,3,76,2,77,1,78,3,81,1,83,1]
,"libssl.so.3":[47,1]
,"libcrypto.so.3":[47,1]
,"libssl.so.1.1":[47,1]
,"libcrypto.so.1.1":[47,1]
,"libssl.so.10":[47,1]
,"libcrypto.so.10":[47,1]
,"libssl-3-x64.dll":[47,1]
,"libcrypto-3-x64.dll":[47,1]
,"libssl-1_1-x64.dll":[47,1]
,"libcrypto-1_1-x64.dll":[47,1]
,"ssleay32.dll":[47,1]
,"libeay32.dll":[47,1]
,"libssl":[47,1]
,"libcrypto":[47,1]
,"libsslname":[47,1]
,"libcryptoname":[47,1]
,"channel":[47,1,74,1,75,2,79,1,83,1,89,1]
,"include":[47,1,72,1,96,1]
,"compiled":[47,1]
,"vendor":[47,1]
,"4.3.3.3":[48,1]
,"certificate":[48,2]
,"authority":[48,3]
,"store\u2019s":[48,1]
,"location":[48,1,69,1,79,6]
,"opensslcastore":[48,1]
,"parameter":[48,1,83,1,86,1,95,1]
,"parameter\u2019s":[48,1]
,"4.3.4":[49,1,54,1]
,"proxy":[49,9,54,3,86,1]
,"tunneling":[49,1,54,3]
,"legacy":[49,1]
,"internet":[49,1]
,"explorer":[49,1]
,"wininet\u0027s":[49,1]
,"tunnelingproxyhostname":[49,1]
,"tunnellingproxyport":[49,1]
,"libcurl":[49,3]
,"manages":[49,1,83,2]
,"libcurlname":[49,1]
,"loads":[49,2]
,"libcurl.so":[49,1]
,"libcurl.dll":[49,1]
,"credentials":[49,1,69,4,71,4,75,5,76,3,77,2,78,1]
,"proxyusername":[49,1]
,"proxypasswd":[49,1]
,"password":[49,1,69,3,72,1,73,1,74,1,81,1,86,1]
,"proxydomain":[49,1]
,"5.1":[50,1]
,"update":[50,1,51,1]
,"status":[50,1,51,1,74,2,87,1,88,1]
,"upon":[50,1]
,"whether":[50,1]
,"5.1.1":[51,1]
,"submitting":[51,1,52,3,53,1,62,1,63,1]
,"providertype":[51,3,68,3]
,"dependent":[51,1,68,1]
,"dealing":[51,1,68,1]
,"iprovider":[51,1,68,1]
,"specifying":[51,1]
,"ommprovidertypeconfig":[51,3,68,5]
,"5.4":[51,1,68,1]
,"conditional":[51,1]
,"5.2":[51,2,64,1]
,"require":[51,1]
,"inbound":[51,1]
,"associate":[51,1]
,"uniquely":[51,1]
,"ommproviderevent":[51,1]
,"5.1.2":[52,1]
,"start":[52,1,82,1,83,1]
,"accept":[52,3]
,"accepts":[52,1]
,"responsibility":[52,1]
,"subsequently":[52,1]
,"respond":[52,1,88,1]
,"observes":[52,1]
,"begin":[52,1,53,1]
,"5.1.3":[53,1]
,"5.1.4":[54,1]
,"identical":[54,1,88,1]
,"5.1.5":[55,1]
,"5.1.6":[56,1]
,"localhost:14003":[56,1]
,"provider.submit":[56,2,57,1,62,2,63,2]
,"ni_pub":[56,2]
,".state":[56,1,66,1]
,":okenum":[56,1,65,1,66,1]
,":noneenum":[56,1,66,1]
,"unsolicited":[56,1]
,"completed":[56,1]
,"3990":[56,1]
,"3994":[56,1]
,":exponent0enum":[56,3,62,1,63,1]
,"1000":[56,2,57,2,62,1,63,1]
,"int32":[56,1,57,1,94,2]
,"3391":[56,1]
,"5.1.7":[57,1]
,".port":[57,1]
,"14002":[57,1]
,"mmt_market_by_order":[57,1,66,2]
,"ordernr":[57,1,66,1]
,":updateenum":[57,1]
,".addrealfromdouble":[57,2,66,2]
,"3427":[57,1,66,1]
,"7.76":[57,1,66,1]
,"0.1":[57,1]
,"3429":[57,1,66,1]
,"9600":[57,1,66,1]
,".addenum":[57,1,66,4]
,"3428":[57,1,66,1]
,".addrmtes":[57,1,66,1]
,"212":[57,1,66,1]
,"maker":[57,1,66,1]
,"5.1.8":[58,1]
,":onpostmsg":[58,1]
,"postmsg&":[58,1]
,"ommproviderevent&":[58,1,59,1,65,1,66,4]
,"postmsg.getsolicitack":[58,1]
,"ackmsg.domaintype":[58,1]
,"postmsg.getdomaintype":[58,1]
,"ackmsg.ackid":[58,1]
,"postmsg.getpostid":[58,1]
,"postmsg.hasseqnum":[58,1]
,"ackmsg.seqnum":[58,1]
,"postmsg.getseqnum":[58,1]
,"event.getprovider":[58,1,66,3]
,".submit":[58,1,66,3]
,"5.1.9":[59,1]
,"provider\u0027s":[59,1]
,"identify":[59,1]
,":ongenericmsg":[59,1]
,"genericmsg.getdomaintype":[59,1]
,"mmt_login":[59,1,66,2]
,"loginhandle":[59,1]
,"genericmsg.getpayload":[59,2]
,":elementlistenum":[59,1]
,"timevalue":[59,1]
,"currticks":[59,2]
,"gettime":[59,2]
,":getticks":[59,1]
,".getelementlist":[59,1]
,"elemententry.getname":[59,2]
,"ename_rtt_ticks":[59,1]
,"ticks":[59,1]
,"trtt":[59,1]
,"tick":[59,1]
,"elemententry.getuint":[59,3]
,"lastlatency":[59,2]
,"double":[59,2]
,":tickspermicro":[59,1]
,"tlast":[59,1]
,"ename_rtt_tcp_retrans":[59,1]
,"tcpretrans":[59,1]
,"tconsumer":[59,1]
,"side":[59,1]
,"retransmissions":[59,1]
,"5.1.10":[60,1]
,"identifiers":[60,1]
,"along":[60,1]
,"manage":[60,1]
,"ids":[60,1]
,"reassign":[60,1]
,"previously":[60,1]
,"5.1.11":[61,1]
,"packedmsg":[61,2,62,6,63,6]
,"packed":[61,2,62,15,63,13]
,"packet":[61,1,88,1]
,"designate":[61,1]
,"bounds":[61,1]
,"limit":[61,2]
,"byte":[61,1]
,"pack":[61,1,62,1,63,1]
,"sections":[61,1]
,"5.1.11.1":[62,1]
,"sendpackedmessagesexample":[62,1,63,1]
,"clienthandle":[62,4]
,"packedmsg.initbuffer":[62,3,63,3]
,"initialize":[62,1,63,1]
,"size":[62,1,63,1]
,"6000":[62,2,63,2]
,"initbuffer":[62,2,63,2]
,"per":[62,1,75,1]
,"fieldlist.clear":[62,1,63,1]
,"fieldlist.addreal":[62,2,63,2]
,"3991":[62,1,63,1]
,"fieldlist.complete":[62,1,63,1]
,"msg.payload":[62,1,63,1]
,"packedmsg.addmsg":[62,2,63,2]
,"omminvalidusageexception&":[62,1,63,1]
,"unable":[62,1,63,1]
,"current":[62,3,63,3]
,"successfully":[62,1,63,1]
,"excp.geterrorcode":[62,1,63,1]
,"omminvalidusageexception":[62,1,63,1,95,1]
,":buffertoosmallenum":[62,1,63,1]
,"packedmsg.packedmsgcount":[62,2,63,2]
,"we\u0027ve":[62,1,63,1]
,"re-initialize":[62,2,63,2]
,"next":[62,2,63,2,88,1]
,"missed":[62,1,63,1]
,"small":[62,1,63,1]
,"even":[62,1,63,1]
,"consider":[62,1,63,1]
,"higher":[62,1,63,1]
,"bytes":[62,1,63,1]
,"exceptions":[62,1,63,1,95,1]
,"addmsg":[62,1,63,1]
,"nothing":[62,1,63,1,92,1]
,"5.1.11.2":[63,1]
,"5.2.1":[64,1]
,"onrequest":[64,1]
,"onreissue":[64,1]
,"onclose":[64,1]
,"onpost":[64,1]
,"5.2.2":[65,1]
,":ommproviderclient":[65,1]
,":ommproviderevent&":[65,2]
,"bool":[65,1]
,"_bconnectionup":[65,4]
,"ommevent":[65,1]
,"ommevent.gethandle":[65,1]
,"ommevent.getclosure":[65,1]
,".getdatastate":[65,1]
,"false":[65,2]
,"5.2.3":[66,1]
,":processloginrequest":[66,1]
,"reqmsg&":[66,4]
,"reqmsg.getname":[66,3]
,"nametype":[66,1]
,"user_name":[66,1]
,".solicited":[66,2]
,":processmarketbyorderrequest":[66,1]
,"processinvaliditemrequest":[66,2]
,"reqmsg.getservicename":[66,2]
,".summarydata":[66,1]
,"840":[66,1]
,"3423":[66,1]
,"addenum":[66,1]
,"1709":[66,1]
,":processinvaliditemrequest":[66,1]
,"reqmsg.getdomaintype":[66,2]
,":closedenum":[66,1]
,":suspectenum":[66,1]
,":notfoundenum":[66,1]
,"found":[66,1]
,":onreqmsg":[66,1]
,"processloginrequest":[66,1]
,"processmarketbyorderrequest":[66,1]
,"5.3":[67,1]
,"thus":[68,1,86,1]
,"6.1":[69,1]
,"cloud-based":[69,2]
,"interacts":[69,1]
,"servers":[69,1,88,4,89,1]
,"workflows":[69,1]
,"credential":[69,1,71,3]
,"6.3":[69,1,71,1]
,"6.6":[69,1,79,1,80,1,83,1,84,1]
,"6.7":[69,1,80,1,83,1]
,"reissue":[69,1,73,2,74,5,80,1]
,"6.4.3":[69,1,73,1,74,1,80,1]
,"known":[69,2]
,"auth":[69,2]
,"oauthpasswordgrant":[69,1]
,"oauth2.0":[69,2]
,"grant":[69,3]
,"requires":[69,3,72,1,75,1,77,1]
,"machine":[69,1,72,1]
,"account":[69,2,72,1]
,"username":[69,1,73,1,81,1]
,"generated":[69,1,72,1,77,1]
,"appgenerator":[69,1,72,2]
,"6.4":[69,1,72,1]
,"oauthclientcredentials":[69,1]
,"secret":[69,1,72,4,75,1,76,1,77,1]
,"6.5":[69,1,75,1]
,"early":[69,1]
,"preview":[69,1]
,"changes":[69,1,75,1]
,"please":[69,1]
,"setup":[69,1]
,"accounts":[69,1]
,"forthcoming":[69,1]
,"inputs":[69,1]
,"cloud":[69,4,70,3,79,4,80,1,82,2]
,"us-east-1":[69,1,79,1]
,"further":[69,1,72,2,92,1,96,1]
,"installation":[69,1,72,1]
,"6.2":[70,1]
,"openssl-based":[70,1]
,"order":[71,1,89,2]
,"function":[71,2,85,1,92,1]
,"stored":[71,1]
,"whenever":[71,2,74,1]
,"ommoauth2consumerclient":[71,1,76,3]
,"ommoauth2consumerclient.oncredentialrenewal":[71,1]
,"ommconsumer.renewoauthcredentials":[71,2]
,"updated":[71,1]
,"oauth":[72,3,75,3,77,1,78,1]
,"refresh_token":[72,1,74,3]
,"6.4.1":[72,1]
,"client_id":[72,6,73,1]
,"appkey":[72,2]
,"infrastructure":[72,1]
,"client_ids":[72,2]
,"refers":[72,1]
,"email":[72,1]
,"sent":[72,1,77,1,79,1]
,"link":[72,1]
,"keep":[72,1]
,"share":[72,2,75,1]
,"generating":[72,1]
,"others":[72,1]
,"supporting":[72,1]
,"submissions":[72,1]
,"relationship":[72,1]
,"url":[72,1,81,1]
,"www.oauth.com":[72,1]
,"oauth2-servers":[72,1]
,"client-registration":[72,1]
,"client-id-secret":[72,1]
,"6.4.2":[73,1,74,1,79,1,80,1,83,1,84,1]
,"obtaining":[73,3,79,1,80,1]
,"tip":[73,1,95,1]
,"tokenscope":[73,1]
,"clientsecret":[73,1]
,"expiration":[73,2,74,3]
,"timeout":[73,2,74,4]
,"300":[73,1,81,1]
,"seconds":[73,1]
,"executing":[73,1]
,"obtains":[73,1,83,1,84,1]
,"refreshing":[74,2]
,"timeouts":[74,1]
,"length":[74,1,78,1]
,"closes":[74,2]
,"life":[74,1]
,"cycle":[74,1]
,"underlying":[74,1]
,"receives":[74,1,83,1]
,"recover":[74,1]
,"scenario":[74,1]
,"resubscribe":[74,1]
,"applicable":[74,1]
,"seamless":[74,1]
,"proactively":[74,1]
,"prior":[74,1,78,1]
,"published":[74,2]
,"calculates":[74,1]
,"multiplying":[74,1]
,"token\u2019s":[74,1]
,"0.8":[74,1]
,"receiving":[74,2]
,"renews":[74,1]
,"renewing":[74,1]
,"continues":[74,1]
,"expires":[74,1]
,"hours":[74,1]
,"days":[74,1]
,"grant_type":[74,2]
,"expires_in":[74,2,78,1]
,"match":[74,1]
,"obtained":[74,1]
,"indication":[74,1]
,"expire":[74,1]
,"generate":[75,1]
,"rtc":[75,2]
,"session":[75,1,82,1,83,5]
,"connector":[75,1]
,"remain":[75,1]
,"disconnects":[75,2]
,"disconnected":[75,1]
,"re-request":[75,1,78,1]
,"reconnection":[75,2,78,1]
,"enough":[75,1]
,"expiry":[75,1,78,1]
,"due":[75,1]
,"managed":[75,1]
,"independently":[75,1]
,"channels":[75,1]
,"6.5.1":[76,1]
,"6.10.2.1":[76,1]
,"wish":[76,1]
,"6.5.1.1":[77,1]
,"pair":[77,1]
,"registered":[77,1]
,"sign":[77,1]
,"retrieve":[77,1]
,"exact":[77,1]
,"portal":[77,1]
,"follow":[77,1]
,"practices":[77,1]
,"securely":[77,1]
,"storing":[77,1]
,"6.5.2":[78,1]
,"lifespan":[78,1]
,"unlike":[78,1]
,"produce":[78,1]
,"entire":[78,1,83,1]
,"periodically":[78,1,80,1]
,"renew":[78,1,80,1]
,"reconnect":[78,2]
,"short":[78,1,96,1]
,"discover":[79,1]
,"rely":[79,1]
,"making":[79,1]
,"query":[79,2,84,1]
,"region":[79,2]
,"pre-defined":[79,1]
,"serviceendpointdiscovery":[79,1]
,"choosing":[79,1]
,"performed":[79,2]
,"cons113":[79,1]
,"cons450":[79,1]
,"returns":[79,1]
,"hosts":[79,1]
,"ports":[79,1]
,"requested":[79,1,88,1]
,"locations":[79,2]
,"significant":[79,1,92,1]
,"chooses":[79,2]
,"built-in":[79,2]
,"resiliency":[79,2,89,1]
,"regional":[79,1]
,"matches":[79,1]
,"universal":[79,1]
,"defaults":[79,1]
,"lists":[79,1]
,"us-east-1a":[79,1]
,"us-east-1b":[79,1]
,"failover":[79,1,88,2,89,1]
,"listed":[79,1,83,1]
,"workflow":[80,1]
,"6.8":[81,1]
,"reissues":[81,1,83,1]
,"codes":[81,7]
,"gateway":[81,4]
,"redirect":[81,1]
,"301":[81,1]
,"302":[81,1]
,"307":[81,1]
,"308":[81,1]
,"retry":[81,5]
,"400":[81,2]
,"401":[81,1]
,"stop":[81,1]
,"403":[81,1]
,"404":[81,1]
,"410":[81,1]
,"451":[81,1]
,"500":[81,1]
,"6.9":[82,1]
,"finish":[82,1,83,1]
,"6.9.1":[82,1,83,1]
,"explicit":[82,1,84,1]
,"option":[82,1,84,1]
,"6.9.2":[82,1,84,1]
,"enable":[83,1,85,1]
,"enablesessionmanagement":[83,1]
,"exhibits":[83,2,84,1]
,"consumes":[83,1]
,"cyclical":[83,1]
,".enterprise":[83,1]
,"113__marketprice__sessionmanagement":[83,1]
,"sample":[83,1,84,1]
,"ignores":[83,1]
,"parse":[84,1]
,"results":[84,1]
,"450__marketprice__queryservicediscovery":[84,1]
,"discovers":[84,1]
,"establishes":[84,1]
,"6.10":[85,1,86,1,87,1]
,"logging":[85,3,86,1,87,1,92,5]
,"restenablelog":[85,1]
,"restlogfilename":[85,1]
,"group":[85,1,88,1]
,"done":[85,1]
,"6.10.1":[86,1]
,"logged":[86,1,87,1]
,"turned":[86,1,87,1]
,"fashion":[86,1,87,1]
,"mentioned":[86,1,87,1]
,"writes":[86,1,87,1]
,"stamp":[86,1,87,1]
,"made":[86,1,88,1]
,"uri":[86,1]
,"headers":[86,1,87,1]
,"body":[86,1,87,1]
,"pairs":[86,1]
,"parameter_name":[86,1]
,"parameter_value":[86,1]
,"newpassword":[86,1]
,"client_secret":[86,1]
,"placeholder":[86,1]
,"real":[86,1]
,"indicating":[86,1]
,"6.10.2":[87,1]
,"string":[87,1]
,"7.1":[88,1]
,"warm":[88,4,89,12,90,1]
,"standby":[88,13,89,19,90,1]
,"client-side":[88,2]
,"works":[88,1]
,"capability":[88,1]
,"active":[88,7,89,2]
,"primary":[88,2,89,4]
,"fails":[88,2,95,1]
,"form":[88,1]
,"mode":[88,1,89,3]
,"responds":[88,2]
,"notifies":[88,1]
,"resumes":[88,1]
,"cut-over":[88,1]
,"transparent":[88,1]
,"qualifies":[88,1]
,"advertises":[88,1]
,"similar":[88,1]
,"reduces":[88,1]
,"overall":[88,1]
,"network":[88,1]
,"traffic":[88,1]
,"inducing":[88,1]
,"storm":[88,1]
,"flurry":[88,1]
,"re-requests":[88,1]
,"aware":[88,1]
,"subscribed":[88,1]
,"re-subscribe":[88,1]
,"7.2":[89,1]
,"modes":[89,2]
,"lost":[89,2]
,"down":[89,4]
,"better":[89,1]
,"upstream":[89,1]
,"remains":[89,1]
,"intact":[89,1]
,"makes":[89,1]
,"recommended":[89,1]
,"sequence":[89,2]
,"cutover":[89,2]
,"7.3":[90,1]
,"7.4":[91,1]
,"8.1":[92,1]
,"runtime":[92,2]
,"encountered":[92,1]
,"output":[92,2]
,"stdout":[92,1]
,"logs":[92,1]
,"ems":[92,1]
,"8.2.1":[93,1]
,"notification":[93,2]
,"8.3":[93,1,95,1]
,"deliver":[93,1]
,"detect":[93,1,95,1]
,"8.2.2":[94,1]
,"depicts":[94,1]
,"oninvalidhandle":[94,2]
,"classname":[94,2]
,"apperrorclient":[94,2]
,"oninaccessiblelogfile":[94,1]
,"filename":[94,1]
,"onmemoryexhaustion":[94,1]
,"oninvalidusage":[94,1]
,"errorcode":[94,2]
,"onsystemerror":[94,1]
,"ptr":[94,1]
,"onjsonconverter":[94,1]
,"consumersessioninfo&":[94,1]
,"sessioninfo":[94,1]
,":oninvalidhandle":[94,1]
,"detects":[95,5]
,"throw":[95,1]
,"blocks":[95,1]
,"quickly":[95,1]
,"fix":[95,1]
,"omminaccessiblelogfileexception":[95,1]
,"omminvalidconfigurationexception":[95,1]
,"unrecoverable":[95,1]
,"omminvalidhandleexception":[95,1]
,"invalid":[95,2]
,"unrecognized":[95,1]
,"passed":[95,1]
,"ommjsonconverterexception":[95,1]
,"conversion":[95,1]
,"ommmemoryexhaustionexception":[95,1]
,"out-of-memory":[95,1]
,"ommoutofrangeexception":[95,1]
,"passed-in":[95,1]
,"lies":[95,1]
,"outside":[95,1]
,"ommsystemexception":[95,1]
,"ommunsupporteddomaintypeexception":[95,1]
,"8.4":[96,1]
,"dacslock":[96,5]
,"dacslocks":[96,1]
,"publish":[96,1]
,"controls":[96,1]
,"dacs_lib.h":[96,1]
,"typedef":[96,1]
,"struct":[96,1]
,"char":[96,5]
,"_operator":[96,1]
,"pc_listlen":[96,1]
,"pc_list":[96,1]
,"256":[96,1]
,"pc_data":[96,2]
,"pcdata":[96,1]
,"product_code_type":[96,2]
,"pctypeptr":[96,2]
,"&pcdata":[96,1]
,"lockptr":[96,2]
,"null":[96,1]
,"locklen":[96,2]
,"dacs_error_type":[96,1]
,"dacserror":[96,1]
,"dacserrorbuffer":[96,4]
,"128":[96,1]
,"printf":[96,4]
,"ngenerates":[96,1]
,"dacs":[96,1]
,"lock":[96,1]
,"pcdata._operator":[96,1]
,"or_product_codes":[96,1]
,"pcdata.pc_listlen":[96,1]
,"pcdata.pc_list":[96,1]
,"1001":[96,1]
,"serviceid":[96,2]
,"261":[96,1]
,"dacs_getlock":[96,4]
,"&lockptr":[96,1]
,"&locklen":[96,1]
,"&dacserror":[96,2]
,"dacs_failure":[96,1]
,"dacs_perror":[96,1]
,"sizeof":[96,1]
,"failed":[96,2]
,"dacs_success":[96,1]
,"success":[96,1]
,"permissiondata":[96,1]
,"permissiondata.setfrom":[96,1]
},
"synonyms":
{
}
}
;Search.control.advance(info);
