var info =
{
"pages":
[
["Performance_Tools\u002FChap_Intro.01.1.html","1.1 About this Manual","This guide introduces the Enterprise Enterprise Message API C++ Edition of the performance suite. It presents an overview of how performance suite applications work with the LSEG Real-Time Distribution System, how the applications themselves work, and how application tests are run. It also provides ...","Performance_Tools\u002Fpairs\u002Fpair1.js","content-page"]
,["Performance_Tools\u002FChap_Intro.01.2.html","1.2 Audience","This document is written to help programmers take advantage of Enterprise Message API features and achieve high throughput and low latency with their applications. The information detailed herein assumes that the reader is a user or a member of the programming staff involved in the design, code, and...","Performance_Tools\u002Fpairs\u002Fpair2.js","content-page"]
,["Performance_Tools\u002FChap_Intro.01.3.html","1.3 Programming Language","The Enterprise Message API C edition is written to the C language. All code samples in this document and all example applications provided with the product are written in C.","Performance_Tools\u002Fpairs\u002Fpair3.js","content-page"]
,["Performance_Tools\u002FChap_Intro.01.4.html","1.4 Acronyms and Abbreviations","Table 1: Acronyms and Abbreviations \u00A0 ACRONYM DEFINITION ADH LSEG Real-Time Advanced Distribution Hub ADS LSEG Real-Time Advanced Distribution Server API Application Programming Interface CPU Central Processing Unit DMM Domain Message Model Enterprise Message API (EMA) The Enterprise Message API (EM...","Performance_Tools\u002Fpairs\u002Fpair4.js","content-page"]
,["Performance_Tools\u002FChap_Intro.01.5.html","1.5 References","\u2022 Enterprise Message API C++ Edition Developers Guide \u2022 Enterprise Message API C++ Edition LSEG Domain Model Usage Guide \u2022 Enterprise Message API C++ Edition Configuration Guide \u2022 Enterprise Transport API C Edition Value Added Components Developers Guide \u2022 The LSEG Developer Community","Performance_Tools\u002Fpairs\u002Fpair5.js","content-page"]
,["Performance_Tools\u002FChap_Intro.01.6.html","1.6 Documentation Feedback","","Performance_Tools\u002Fpairs\u002Fpair6.js","content-page"]
,["Performance_Tools\u002FChap_Intro.01.7.html","1.7 Document Conventions","1.7.1 Typographic \u2022 C structures, methods, in-line code snippets, and types are shown in orange, Lucida Console font. \u2022 Parameters, filenames, tools, utilities, and directories are shown in Bold font. \u2022 Document titles and variable values are shown in italics. \u2022 When initially introduced, concepts a...","Performance_Tools\u002Fpairs\u002Fpair7.js","content-page"]
,["Performance_Tools\u002FChap_Intro.01.8.html","1.7.2 Diagrams","Diagrams that depict a component in a performance scenario use the following format. The gray box represents one physical machine, whereas blue or white boxes represent processes running on that machine.  Figure 1. Running Performance Example and Host Notation Diagrams that depict the interaction be...","Performance_Tools\u002Fpairs\u002Fpair8.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.01.html","2.1 Overview","The general idea behind the Open Source Performance Tool Suite is to provide a consistent set of platform test applications that look and behave consistently across the LSEG Real-Time APIs. The tool suite covers the various Open Message Model-based API products and allows LSEG\u2019s internal and externa...","Performance_Tools\u002Fpairs\u002Fpair1_2.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.02.html","2.2 Enterprise Message API Performance Tool Suite","The Enterprise Message API C++-based suite consists of an Open Message Model consumer, Open Message Model interactive provider, and Open Message Model non-interactive provider. These applications showcase optimal Open Message Model content consumption and providing within the LSEG Real-Time Distribu...","Performance_Tools\u002Fpairs\u002Fpair2_2.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.03.html","2.3 Package Contents","Performance examples are distributed as buildable source code with the Enterprise Message API package.  Figure 4. Directory Structure of the Performance Tools Each example is distributed in its own directory. Libxml2, an open source XML-parsing library, is also distributed along with the tools. Each...","Performance_Tools\u002Fpairs\u002Fpair3_2.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.04.html","2.3.1 Building","On Linux, use make or gmake with the included makefile to build the examples. On Windows, open the appropriate project in Visual Studio.","Performance_Tools\u002Fpairs\u002Fpair4_2.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.05.html","2.3.2 Running","On Linux, once built, change to the target directory. The makefile will have linked the necessary support files (350k.xml, MsgData.xml, RDMFieldDictionary, and enumtype.def) to the target directory. On Windows, after the build process finishes, to run the tool, copy the above support files to the ta...","Performance_Tools\u002Fpairs\u002Fpair5_2.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.06.html","2.4 What Is Measured and Reported","2.4.1 Latency Each performance tool embeds timestamp information in its messages\u2019 payloads. The tool uses these timestamps to determine the overall time taken to send and process a message and its payload through the API and, where applicable, the LSEG Real-Time Distribution System. To ensure that t...","Performance_Tools\u002Fpairs\u002Fpair6_2.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.07.html","2.4.2 Throughput and Payload","These tools allow you to control the rate at which messages are sent as well as the content in each message. This allows you to measure throughput and latency using various rates and content, tailored to your specific needs. ","Performance_Tools\u002Fpairs\u002Fpair7_2.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.08.html","2.4.3 Image Retrieval Time","The Consumer tool measures the overall time taken to receive a full set of images for items requested through the system. This time is measured from the start of the first request to the reception of the final expected image. ","Performance_Tools\u002Fpairs\u002Fpair8_2.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.09.html","2.4.4 CPU & Memory Usage","Performance tools record a periodic sampling of CPU and Memory usage. This allows for consistent monitoring of resource use and can be used to determine the impact of various features and application modifications. The CPU and Memory Usage calculations represent the process as a whole, and are not n...","Performance_Tools\u002Fpairs\u002Fpair9.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.10.html","2.4.4.1 CPU Usage Calculation","CPU Usage is calculated by periodically querying the OS for applications\u2019 \u201Cbusy\u201D and \u201Coverall\u201D times. The difference from the previous value is used to calculate an average CPU usage for each interval and presented as a percentage: ","Performance_Tools\u002Fpairs\u002Fpair10.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.11.html","2.4.4.2 Memory Usage Calculation","Memory Usage is calculated using the \u0022Resident Set Size,\u0022 as provided by the respective operating system (OS). This measures the memory (in RAM) in use by the application.","Performance_Tools\u002Fpairs\u002Fpair11.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.12.html","2.5 Recorded Results and Output","The tools record their test results in the following files: \u2022 Summary File \u2022 Statistics File \u2022 Latency File","Performance_Tools\u002Fpairs\u002Fpair12.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.13.html","2.5.1 Summary File","Each tool records the run\u2019s summary to a single file, including: \u2022 The run\u2019s configuration \u2022 Overall run results If you use multiple threads, the file includes results for each thread as well as across all threads. For configuration details, refer to the chapter specific to the application that you ...","Performance_Tools\u002Fpairs\u002Fpair13.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.14.html","2.5.2 Statistics File","Each tool periodically records statistics relevant to that tool. For example, EmaCppConsPerf records: \u2022 Latency statistics for updates (and, when so configured, posted content) \u2022 Number of request messages sent and refresh messages received \u2022 Number of update messages received \u2022 Number of generic me...","Performance_Tools\u002Fpairs\u002Fpair14.js","content-page"]
,["Performance_Tools\u002FChap_SuiteOverview.02.15.html","2.5.3 Latency File","You can configure EmaCppConsPerf to record each individual latency measurement to a file. This is useful for creating plot or distribution graphs, ensuring that recorded latencies are consistent, and for troubleshooting purposes. These latencies are recorded on a per-thread basis. If the tool is con...","Performance_Tools\u002Fpairs\u002Fpair15.js","content-page"]
,["Performance_Tools\u002FChap_Latency.03.1.html","3.1 Time-slicing","All applications follow a similar model for controlling time: time is divided into small intervals, referred to as \u201Cticks.\u201D During a run, each application has a main loop that runs an iteration once per tick. In this loop, the application performs some periodic action, and then waits until the next ...","Performance_Tools\u002Fpairs\u002Fpair1_3.js","content-page"]
,["Performance_Tools\u002FChap_Latency.03.2.html","3.2 Latency","Latency is measured using timestamps embedded in the messages sent by each application. The receiving application compares this timestamp against the current time to determine the latency. Each tool sends messages in bursts. To send timestamps, a message is randomly chosen from the message burst and...","Performance_Tools\u002Fpairs\u002Fpair2_3.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.01.html","4.1 Overview","A typical Open Message Model consumer application requests content and processes responses to those requests. Thus, the performance consumer makes a large, configurable number of item requests and then processes refresh and update content corresponding to those requests. While processing, the perfor...","Performance_Tools\u002Fpairs\u002Fpair1_4.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.02.html","4.2 Threading and Scaling","The Enterprise Message API is designed to allow calls from multiple threads, such that applications can scale their work across multiple cores. Applications can leverage this feature by creating multiple threads to handle multiple connections through the Enterprise Message API. Configure EmaCppConsP...","Performance_Tools\u002Fpairs\u002Fpair2_4.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.03.html","4.2.1 Consumer Lifecycle","The lifecycle of EmaCppConsPerf is divided into the following sections:  Figure 9. EmaCppConsPerf Lifecycle 1. Application and Enterprise Message API Initialization. EmaCppConsPerf loads its configuration, initializes the Enterprise Message API, loads its item list using the specified file, and star...","Performance_Tools\u002Fpairs\u002Fpair3_3.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.04.html","4.2.2 Application Flow Diagram","Figure 10. EmaCppConsPerf Application Flow ","Performance_Tools\u002Fpairs\u002Fpair4_3.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.05.html","4.3 Latency Measurement","Provider applications encode the timestamp as part of their message payload. The initial timestamp is taken at the start of encoding, and added as field TIM_TRK_1 (3902) in Update messages and TIM_TRK_3 (3904) in Generic messages. When this field is detected, the EmaCppConsPerf gets the current time...","Performance_Tools\u002Fpairs\u002Fpair5_3.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.06.html","4.3.1 Consumer Latency","Consumer Latency Measurement Sequence: 1. Read the message from the API (received via the underlying transport). 2. Decode the message. 3. Check whether the payload contains latency information, if so: \u2022 Get the current time (t2). \u2022 Calculate the difference between timestamps. \u2022 Store the result as ...","Performance_Tools\u002Fpairs\u002Fpair6_3.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.07.html","4.3.2 Posting Latency","You can configure EmaCppConsPerf to send on-stream posts in which case the consumer periodically sends bursts of post messages for specified items in the item list file. You can also configure the tool to include latency information in its posts. When configured in this manner, EmaCppConsPerf adds l...","Performance_Tools\u002Fpairs\u002Fpair7_3.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.08.html","4.4 EmaCppConsPerf Configuration Options","EmaCppConsPerf uses EmaConfig.xml configuration file to setup an EMA consumer and set of command line options to configure specific behavior of performance tool. EmaConfig.xml must have Consumer section in the Consumer group and appropriate Channel section in Channel group for correct configuration ...","Performance_Tools\u002Fpairs\u002Fpair8_3.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.09.html","4.5 Input","EmaCppConsPerf requires the following files: \u2022 Dictionary files to encode\u002Fvalidate fields in the message data. RDMFieldDictionary and enumtype.def are provided with the package. \u2022 An XML file that describes refresh messages, update messages and generic messages. The package includes a default file (...","Performance_Tools\u002Fpairs\u002Fpair9_2.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.10.html","4.5.1 EmaConfig.xml Examples","EmaConfig.xml must have a Consumer section in the Consumer group and appropriate Channel section in Channel group for correct configuration of the Enterprise Message API consumer. For details on how to setup Consumer and Channel sections, refer to the Enterprise Message API Configuration Guide.","Performance_Tools\u002Fpairs\u002Fpair10_2.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.11.html","4.5.1.1 Consumer Section","When creating a consumer section, you must include the Name and Channel fields. For details on Name and Channel, refer to the Enterprise Message API Configuration Guide.   <Consumer> \u00A0\u00A0\u00A0\u00A0<Name value=\u0022Perf_Consumer_1\u0022\u002F> \u00A0\u00A0\u00A0\u00A0<Channel value=\u0022Perf_Channel_1\u0022\u002F> \u00A0\u00A0\u00A0\u00A0<Logger value=\u0022Logger_1\u0022\u002F> \u00A0\u00A0\u00A0\u00A0<Diction...","Performance_Tools\u002Fpairs\u002Fpair11_2.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.12.html","4.5.1.2 Channel Section","When creating a channel section, you must include the Name and ChannelType fields. For details on Name and ChannelType, refer to the Enterprise Message API Configuration Guide. \u2022 To connect to the provider for TCP and WebSocket connections, you must specify Host and Port fields. \u2022 To connect to the ...","Performance_Tools\u002Fpairs\u002Fpair12_2.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.13.html","4.6 Output","EmaCppConsPerf records statistics during a test such as: \u2022 Item requests sent and images received \u2022 Image retrieval time \u2022 The update rate \u2022 The post message rate \u2022 The generic message rate \u2022 Latency statistics \u2022 CPU and memory usage For more details on output file information, refer to Chapter 9, O...","Performance_Tools\u002Fpairs\u002Fpair13_2.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.14.html","4.6.1 EmaCppConsPerf Summary File Sample","--- TEST INPUTS ---  \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Steady State Time: 300 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Delay Steady State Time: 0 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Service: DIRECT_FEED \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0useUserDispatch: 0 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0mainThread: -1 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Thread List: -1 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0ApiThread List: -1 \u00A0\u00A0\u00A0\u00A0\u00A0...","Performance_Tools\u002Fpairs\u002Fpair14_2.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.15.html","4.6.2 EmaCppConsPerf Statistics File Sample","UTC, Latency updates, Latency avg (usec), Latency std dev (usec), Latency max (usec), Latency min (usec), \u00A0\u00A0\u00A0\u00A0Images, Update rate (msg\u002Fsec), Posting Latency updates, Posting Latency avg (usec), Posting Latency \u00A0\u00A0\u00A0\u00A0std dev (usec), Posting Latency max (usec), Posting Latency min (usec), GenMsgs sent, ...","Performance_Tools\u002Fpairs\u002Fpair15_2.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.16.html","4.6.3 EmaCppConsPerf Latency File Sample","Message type, Send time, Receive time, Latency (usec) Upd, 18873718238, 18873718467, 229 Upd, 18873722250, 18873722385, 135 Upd, 18873736516, 18873736631, 115 Upd, 18873748001, 18873748170, 169 Upd, 18873774757, 18873774824, 67 Upd, 18873816382, 18873816497, 115 Upd, 18873901823, 18873902021, 198 Up...","Performance_Tools\u002Fpairs\u002Fpair16.js","content-page"]
,["Performance_Tools\u002FChap_upacConsPerf.04.17.html","4.6.4 EmaCppConsPerf Console Output Sample","005: Images: 100000, Posts: 0, UpdRate: 3777, CPU: 97.49%, Mem: 338.21MB \u00A0\u00A0\u00A0\u00A0Latency(usec): Avg: 81.5 StdDev: 35.6 Max: 230 Min: 51, Msgs: 189 \u00A0\u00A0\u00A0\u00A0- Image retrieval time for 100000 images: 4.278s (23377 images\u002Fs) 010: Images: 0, Posts: 0, UpdRate: 48034, CPU: 33.32%, Mem: 338.30MB \u00A0\u00A0\u00A0\u00A0Latency(usec):...","Performance_Tools\u002Fpairs\u002Fpair17.js","content-page"]
,["Performance_Tools\u002FChap_upacProvPerf.05.01.html","5.1 Overview","A typical interactive provider allows consuming applications, including LSEG Real-Time Distribution System, to connect. Once connected, consumers log in and request content. The interactive provider will respond, providing requested content when possible and a status indicating some type of failure ...","Performance_Tools\u002Fpairs\u002Fpair1_5.js","content-page"]
,["Performance_Tools\u002FChap_upacProvPerf.05.02.html","5.2 Threading and Scaling","The Enterprise Message API is designed to allow calls from multiple threads, such that applications can scale their work across multiple cores by creating multiple threads to handle multiple connections through the Enterprise Message API. EmaCppIProvPerf always creates at least one working thread. Y...","Performance_Tools\u002Fpairs\u002Fpair2_5.js","content-page"]
,["Performance_Tools\u002FChap_upacProvPerf.05.03.html","5.3 Provider Lifecycle","The lifecycle of EmaCppIProvPerf is divided into the following sections:  Figure 11. EmaCppIProvPerf Application Flow 1. Application and Enterprise Message API Initialization. EmaCppIProvPerf loads its configuration, initializes the Enterprise Message API, loads its sample message data using specifi...","Performance_Tools\u002Fpairs\u002Fpair3_4.js","content-page"]
,["Performance_Tools\u002FChap_upacProvPerf.05.04.html","5.3.1 Application Flow Diagram","The following figure shows the flow of the EmaCppIProvPerf application.  Figure 12. EmaCppIProvPerf Application Flow ","Performance_Tools\u002Fpairs\u002Fpair4_4.js","content-page"]
,["Performance_Tools\u002FChap_upacProvPerf.05.05.html","5.4 Latency Measurement","EmaCppIProvPerf encodes the timestamp as part of its message payload. The timestamp is taken at the start of encoding and added as field TIM_TRK_1 (3902) for Update message, field TIM_TRK_2 (3903) for Post message, and field TIM_TRK_3 (3904) for Generic message. Latency is measured after ConsPerf co...","Performance_Tools\u002Fpairs\u002Fpair5_4.js","content-page"]
,["Performance_Tools\u002FChap_upacProvPerf.05.06.html","5.5 EmaCppIProvPerf Configuration Options","EmaCppIProvPerf uses EmaConfig.xml configuration file to setup an EMA interactive provider and set of command line options to configure specific behavior of performance tool. EmaConfig.xml must have IProvider section in the Provider group and appropriate Server section in Server group for correct co...","Performance_Tools\u002Fpairs\u002Fpair6_4.js","content-page"]
,["Performance_Tools\u002FChap_upacProvPerf.05.07.html","5.6 Input Files","EmaCppConsPerf requires the following files: \u2022 Dictionary files to encode\u002Fvalidate fields in the message data. RDMFieldDictionary and enumtype.def are provided with the package. \u2022 An XML file that describes refresh messages, update messages and generic messages. The package includes a default file (...","Performance_Tools\u002Fpairs\u002Fpair7_4.js","content-page"]
,["Performance_Tools\u002FChap_upacProvPerf.05.08.html","5.6.1 EmaConfig.xml Examples","EmaConfig.xml must have IProvider section in the Provider group and appropriate Server section in Server group for correct configuration of the Enterprise Message API interactive provider. For details on how to setup IProvider and Server sections, refer to the Enterprise Message API Configuration Gu...","Performance_Tools\u002Fpairs\u002Fpair8_4.js","content-page"]
,["Performance_Tools\u002FChap_upacProvPerf.05.09.html","5.6.1.1 IProvider Section","When creating an IProvider section, you must include the Name and Server fields. For details on Name and Server fields, refer to the Enterprise Message API Configuration Guide.   <IProvider> \u00A0\u00A0\u00A0\u00A0<Name value=\u0022Perf_Provider\u0022\u002F> \u00A0\u00A0\u00A0\u00A0<Server value=\u0022Perf_Server_1\u0022\u002F> \u00A0\u00A0\u00A0\u00A0<Directory value=\u0022Directory_2\u0022\u002F> \u00A0\u00A0...","Performance_Tools\u002Fpairs\u002Fpair9_3.js","content-page"]
,["Performance_Tools\u002FChap_upacProvPerf.05.10.html","5.6.1.2 The Server Section","When creating an Server section, you must include the Name and ServerType fields. For details on Name and ServerType fields, refer to the Enterprise Message API Configuration Guide. \u2022 You can use WsProtocols parameter when ServerType is set to RSSL_WEBSOCKET. \u2022 You can use the following parameters w...","Performance_Tools\u002Fpairs\u002Fpair10_3.js","content-page"]
,["Performance_Tools\u002FChap_upacProvPerf.05.11.html","5.7 Output","EmaCppIProvPerf records statistics during a test such as: \u2022 Item requests received \u2022 Updates sent \u2022 Posts received and reflected \u2022 CPU and memory usage \u2022 Latency data For more detailed output file information, refer to Chapter 9, Output File Details. ","Performance_Tools\u002Fpairs\u002Fpair11_3.js","content-page"]
,["Performance_Tools\u002FChap_upacProvPerf.05.12.html","5.7.1 EmaCppIProvPerf Summary File Sample","--- TEST INPUTS ---  \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Run Time: 360 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Provider Name: Perf_Provider_1 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0useUserDispatch: No \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0mainThread CpuId: -1 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Thread List: -1 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Summary File: IProvSummary.out \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Latency Log File: (none) \u00A0\u00A0\u00A0\u00A0Write Stats Interval: 5 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Displ...","Performance_Tools\u002Fpairs\u002Fpair12_3.js","content-page"]
,["Performance_Tools\u002FChap_upacProvPerf.05.13.html","5.7.2 EmaCppIProvPerf Statistics File Sample","UTC, Requests received, Images sent, Updates sent, Posts reflected, GenMsgs sent, GenMsgs received, \u00A0\u00A0GenMSg Latencies sent, GenMsg Latencies received, GenMsg Latency avg (usec), GenMsg Latency std dev \u00A0\u00A0(usec), GenMsg Latency max (usec), GenMsg Latency min (usec), CPU usage (%), Memory (MB) 2021-06...","Performance_Tools\u002Fpairs\u002Fpair13_3.js","content-page"]
,["Performance_Tools\u002FChap_upacProvPerf.05.14.html","5.7.3 EmaCppIProvPerf Console Output Sample","005: UpdRate: 2, CPU: 125.53%, Mem: 546.68MB \u00A0\u00A0- Received 100000 item requests (total: 100000), sent 97066 images (total: 97066) 010: UpdRate: 1837, CPU: 102.13%, Mem: 546.78MB \u00A0\u00A0- Received 0 item requests (total: 100000), sent 2934 images (total: 100000) 015: UpdRate: 1000, CPU: 100.23%, Mem: 546.7...","Performance_Tools\u002Fpairs\u002Fpair14_3.js","content-page"]
,["Performance_Tools\u002FChap_upacNIProvPerf.06.01.html","6.1 Overview","A Non-Interactive Provider publishes content regardless of consumer requests by connecting to an LSEG Real-Time Advanced Distribution Hub and publishing content to the LSEG Real-Time Advanced Distribution Hub cache. After login, a non-interactive provider publishes a service directory and then start...","Performance_Tools\u002Fpairs\u002Fpair1_6.js","content-page"]
,["Performance_Tools\u002FChap_upacNIProvPerf.06.02.html","6.2 Threading and Scaling","The Enterprise Message API is designed to allow sending data from multiple threads. So, the applications can scale their work across multiple cores by creating multiple threads to handle multiple connections through the Enterprise Message API. You can configure EmaCppNIProvPerf for multiple threads ...","Performance_Tools\u002Fpairs\u002Fpair2_6.js","content-page"]
,["Performance_Tools\u002FChap_upacNIProvPerf.06.03.html","6.3 Non-Interactive Provider Lifecycle","Figure 13. EmaCppNIProvPerf Lifecycle The lifecycle of EmaCppNIProvPerf is divided into the following sections: 1. Application and Enterprise Message API Initialization. In this phase EmaCppNIProvPerf: \u2022 Loads its configuration. \u2022 Initializes the Enterprise Message API. \u2022 Loads its item list, and sa...","Performance_Tools\u002Fpairs\u002Fpair3_5.js","content-page"]
,["Performance_Tools\u002FChap_upacNIProvPerf.06.04.html","6.4 Latency Measurement","EmaCppNIProvPerf encodes a timestamp as part of its message payload. The timestamp is taken at the start of encoding and added as field TIM_TRK_1 (3902). Latency is measured after a Consumer Performance tool decodes the message and payload. Non-Interactive Provider Latency Measurement Sequence: 1. G...","Performance_Tools\u002Fpairs\u002Fpair4_5.js","content-page"]
,["Performance_Tools\u002FChap_upacNIProvPerf.06.05.html","6.5 EmaCppNIProvPerf Configuration Options","EmaCppNIProvPerf uses EmaConfig.xml configuration file to setup an Enterprise Message API Non-Interactive provider and set of command line options to configure specific behavior of performance tool. EmaConfig.xml must have NiProvider section in the NiProviderGroup group and appropriate Channel secti...","Performance_Tools\u002Fpairs\u002Fpair5_5.js","content-page"]
,["Performance_Tools\u002FChap_upacNIProvPerf.06.06.html","6.6 Input Files","EmaCppNIProvPerf requires the following files: \u2022 An XML configuration file for initializing Enterprise Message API. The package includes a default file (EmaConfig.xml) with this information. \u2022 An XML file that describes EmaCppNIProvPerf message data. By default, the package includes the file: MsgDat...","Performance_Tools\u002Fpairs\u002Fpair6_5.js","content-page"]
,["Performance_Tools\u002FChap_upacNIProvPerf.06.07.html","6.6.1 EmaConfig.xml Examples","EmaConfig.xml must have NiProvider section in the NiProviderGroup group and appropriate Channel section in the Channel group for correct configuration the Enterprise Message API Non-Interactive provider. For details on how to setup NiProvider and Channel sections, refer to the Enterprise Message API...","Performance_Tools\u002Fpairs\u002Fpair7_5.js","content-page"]
,["Performance_Tools\u002FChap_upacNIProvPerf.06.08.html","6.6.1.1 NiProvider Section","When creating a NiProvider section, you must include the Name and Channel fields. For details on Name and Channel, refer to the Enterprise Message API Configuration Guide.   <NiProvider> \u00A0\u00A0\u00A0\u00A0<Name value=\u0022Perf_NIProvider\u0022\u002F> \u00A0\u00A0\u00A0\u00A0<Channel value=\u0022Perf_NIP_Channel_1\u0022\u002F> \u00A0\u00A0\u00A0\u00A0<Directory value=\u0022Perf_Director...","Performance_Tools\u002Fpairs\u002Fpair8_5.js","content-page"]
,["Performance_Tools\u002FChap_upacNIProvPerf.06.09.html","6.6.1.2 Channel Section","When creating a channel section, you must include the Name and ChannelType fields. For details on Name and ChannelType, refer to the Enterprise Message API Configuration Guide. You must specify Host and Port fields to connect to ADH for TCP connection. You must specify RecvAddress, RecvPort, SendAdd...","Performance_Tools\u002Fpairs\u002Fpair9_4.js","content-page"]
,["Performance_Tools\u002FChap_upacNIProvPerf.06.10.html","6.7 Output","EmaCppNIProvPerf records statistics during a test, such as: \u2022 The number of sent images \u2022 The number of sent updates \u2022 CPU and memory usage For more detailed output file information, refer to Chapter 9. ","Performance_Tools\u002Fpairs\u002Fpair10_4.js","content-page"]
,["Performance_Tools\u002FChap_upacNIProvPerf.06.11.html","6.7.1 EmaCppNIProvPerf Summary File Sample","--- TEST INPUTS --- \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Run Time: 360 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Provider Name: Perf_NIProvider \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0useUserDispatch: No \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0mainThread CpuId: -1 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Thread List: -1 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Summary File: NIProvSummary.out \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Stats File: NIProvStats \u00A0\u00A0Write Stats Interval: 5 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0Display Stats: Yes","Performance_Tools\u002Fpairs\u002Fpair11_4.js","content-page"]
,["Performance_Tools\u002FChap_upacNIProvPerf.06.12.html","6.7.2 EmaCppNIProvPerf Statistics File Sample","UTC, Images sent, Updates sent, CPU usage (%), Memory (MB) 2021-06-08 15:11:50, 10000, 465383, 63.14, 472.52 2021-06-08 15:11:55, 0, 499995, 64.26, 482.06 2021-06-08 15:12:00, 0, 500022, 62.47, 491.62 2021-06-08 15:12:05, 0, 500000, 67.68, 500.39 2021-06-08 15:12:10, 0, 499948, 61.46, 509.67 2021-06...","Performance_Tools\u002Fpairs\u002Fpair12_4.js","content-page"]
,["Performance_Tools\u002FChap_upacNIProvPerf.06.13.html","6.7.3 EmaCppNIProvPerf Console Output Sample","005: UpdRate: 93076, CPU: 63.14%, Mem: 472.52MB \u00A0\u00A0\u00A0\u00A0- Sent 10000 images (total: 10000) 010: UpdRate: 99999, CPU: 64.26%, Mem: 482.06MB 015: UpdRate: 100004, CPU: 62.47%, Mem: 491.62MB 020: UpdRate: 100000, CPU: 67.68%, Mem: 500.39MB 025: UpdRate: 99989, CPU: 61.46%, Mem: 509.67MB 030: UpdRate: 10001...","Performance_Tools\u002Fpairs\u002Fpair13_4.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Measurement.07.1.html","7.1 Interactive Provider to Consumer, Through LSEG Real-Time Distribution System","You can measure interactive providers by connecting the following components, as described below and shown in the following picture: \u2022 Connect EmaCppConsPerf to an LSEG Real-Time Advanced Distribution Server. \u2022 Connect the LSEG Real-Time Advanced Distribution Server to an LSEG Real-Time Advanced Dis...","Performance_Tools\u002Fpairs\u002Fpair1_7.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Measurement.07.2.html","7.2 Interactive Provider to Consumer, Direct Connect","You can measure the interactive providers of data by connecting EmaCppConsPerf directly to EmaCppIProvPerf.    Figure 16. Interactive Provider to Consumer, Direct Connect  Using their default configuration options, you can run this test without any additional command-line options. Simply run the pro...","Performance_Tools\u002Fpairs\u002Fpair2_7.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Measurement.07.3.html","7.3 Non-Interactive Provider to Consumer, Through LSEG Real-Time Distribution System","You can measure non-interactive providers on LSEG Real-Time Distribution System by connecting the following components, as described below and displayed in the following picture: \u2022 Connect EmaCppConsPerf to an LSEG Real-Time Advanced Distribution Server. \u2022 Connect the LSEG Real-Time Advanced Distrib...","Performance_Tools\u002Fpairs\u002Fpair3_6.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Measurement.07.4.html","7.4 Consumer Posting on the LSEG Real-Time Distribution System","To measure posting performance on the LSEG Real-Time Distribution System, connect the following components, as described below and displayed in the following picture: \u2022 Connect EMACppConsPerf to an LSEG Real-Time Advanced Distribution Server. \u2022 Connect the LSEG Real-Time Advanced Distribution Server...","Performance_Tools\u002Fpairs\u002Fpair4_6.js","content-page"]
,["Performance_Tools\u002FChap_InputFile.08.1.html","8.1 Message Content File and Format","The message data XML file (MsgData.xml) provided with the Performance Suite describes sample data for the refreshes, updates, and posts encoded by the tools. You can customize MsgData.xml to suit desired test scenarios. The XML file must contain data for: \u2022 One refresh message. \u2022 At least one update...","Performance_Tools\u002Fpairs\u002Fpair1_8.js","content-page"]
,["Performance_Tools\u002FChap_InputFile.08.2.html","8.1.1 Encoding Fields","Performance tools can encode in their fields any of the primitive types supported by the Enterprise Message API. Each field must have the correct type for its ID according to the dictionary loaded by the tool. Fields are validated by the message data parser. ","Performance_Tools\u002Fpairs\u002Fpair2_8.js","content-page"]
,["Performance_Tools\u002FChap_InputFile.08.3.html","8.1.2 Sample Update Message","<updateMsg> \u00A0\u00A0\u00A0\u00A0<dataBody> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<fieldList entryCount=\u002223\u0022> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<fieldEntry fieldId=\u002222\u0022 dataType=\u0022RSSL_DT_REAL\u0022 data=\u00222848.560000\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<fieldEntry fieldId=\u002225\u0022 dataType=\u0022RSSL_DT_REAL\u0022 data=\u00222849.610000\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<fieldEntry fieldId=\u002230\u0022 dataType=\u0022RSSL_DT_REAL\u0022 data=\u00221\u0022\u002F> \u00A0...","Performance_Tools\u002Fpairs\u002Fpair3_7.js","content-page"]
,["Performance_Tools\u002FChap_InputFile.08.4.html","8.1.3 Sample MarketByOrder Data","Performance tools also support MarketByOrder data, however it is currently experimental. To allow tools to provide MarketByOrder data, you can add the following data to MsgData.xml:   <!-- MarketByOrder --> <marketByOrderMsgList>  <!-- ORDER_SIDE enumerations: BID is 1, ASK is 2 -->  <refreshMsg> \u00A0\u00A0...","Performance_Tools\u002Fpairs\u002Fpair4_7.js","content-page"]
,["Performance_Tools\u002FChap_InputFile.08.5.html","8.2 Item List File","The Item List File configures the full list of items as requested by EmaCppConsPerf or published by EmaCppNIProvPerf. Each entry specifies the item\u2019s name and how it is requested. The file must contain enough entries to satisfy the number of items needed by the respective tool. The sample file 350k....","Performance_Tools\u002Fpairs\u002Fpair5_6.js","content-page"]
,["Performance_Tools\u002FChap_InputFile.08.6.html","8.2.1 Item Attributes","Table 5: Item Attributes \u00A0 ATTRIBUTE NAME DEFAULT DESCRIPTION domain (none, required) Specifies the domain from which the item is requested. This must be set to MarketPrice. genMsg \u201Cfalse\u201D If set to true, generic messages are sent for this item (if generic messages are enabled). name (none, required...","Performance_Tools\u002Fpairs\u002Fpair6_6.js","content-page"]
,["Performance_Tools\u002FChap_InputFile.08.7.html","8.2.2 Sample Item List File","<itemList> \u00A0\u00A0\u00A0\u00A0<item domain=\u0022MarketPrice\u0022 name=\u0022RDT1\u0022 post=\u0022true\u0022 genMsg=\u0022true\u0022 \u002F> \u00A0\u00A0\u00A0\u00A0<item domain=\u0022MarketPrice\u0022 name=\u0022RDT2\u0022 post=\u0022true\u0022 \u002F> \u00A0\u00A0\u00A0\u00A0<item domain=\u0022MarketPrice\u0022 name=\u0022RDT3\u0022 post=\u0022true\u0022 \u002F> \u00A0\u00A0\u00A0\u00A0<item domain=\u0022MarketPrice\u0022 name=\u0022RDT4\u0022 post=\u0022true\u0022 \u002F> \u00A0\u00A0\u00A0\u00A0<item domain=\u0022MarketPrice\u0022 name=\u0022RDT5\u0022 ...","Performance_Tools\u002Fpairs\u002Fpair7_6.js","content-page"]
,["Performance_Tools\u002FChap_OutputFile.09.1.html","9.1 Overview","Applications in the Performance Suite send similar output to the console and to files. Each application can configure its output using the configuration parameters: \u2022 writeStatsInterval (1 to n): The interval (in seconds) at which timed statistics are written to files. \u2022 noDisplayStats: Disables sta...","Performance_Tools\u002Fpairs\u002Fpair1_9.js","content-page"]
,["Performance_Tools\u002FChap_OutputFile.09.2.html","9.2 Output Files and Their Descriptions","You can configure the names of output files, though applications append the client number to their stats and latency files. So for example, a horizontal scaling test with two consumer threads produces two statistics files: ConsStats1.csv and ConsStats2.csv. Default output filenames (and the associat...","Performance_Tools\u002Fpairs\u002Fpair2_9.js","content-page"]
,["Performance_Tools\u002FChap_OutputFile.09.3.html","9.3 Latency File","The latency file is a comma-separated value file containing individual latencies, in microseconds, for timestamps received during the test. It is only created by EmaCppConsPerf.  NOTE: Due to the potentially large amount of output in scenarios that use a high latency message rate, this file is not p...","Performance_Tools\u002Fpairs\u002Fpair3_8.js","content-page"]
,["Performance_Tools\u002FChap_OutputFile.09.4.html","9.4 File Import","You can import output .csv files into data analysis software. For example, you can use Microsoft Excel and Microsoft Access to import and quickly analyze your test results. Shown below are graphs created in Excel after importing a statistics .csv file for a test run. Note that these are sample graph...","Performance_Tools\u002Fpairs\u002Fpair4_8.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Best_Practices.10.01.html","10.1 Overview","The Performance Test Tools Suite leverages a number of features of the Enterprise Message API to achieve high throughput and low latency when sending and receiving messages. This section briefly describes test tool features, the features\u2019 benefits, and how the tools use them. For more details on eac...","Performance_Tools\u002Fpairs\u002Fpair1_10.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Best_Practices.10.02.html","10.2 Enterprise Message API Best Practices","10.2.1 dispatch The dispatch()method is used to read messages from network. The application can call this method by using the user thread or API dispatching thread depending on the operational model of OmmConsumer and OmmProvider. The application thread or API dispatching thread must always call the...","Performance_Tools\u002Fpairs\u002Fpair2_10.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Best_Practices.10.03.html","10.2.2 submit","To make efficient use of underlying transport function calls, the submit function passes messages to an outbound queue of the specified priority, rather than immediately writing the message to the network. The network write occurs if: \u2022 Enterprise Message API internally calls rsslFlush on the Channe...","Performance_Tools\u002Fpairs\u002Fpair3_9.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Best_Practices.10.04.html","10.2.3 High-water Mark","Higher throughput is usually achieved by making a small number of large writes to the transport instead of doing a large number of small writes. For example, writing one 6000-byte buffer is generally more efficient than writing 1000 six-byte buffers. To achieve higher efficiencies, the Enterprise Me...","Performance_Tools\u002Fpairs\u002Fpair4_9.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Best_Practices.10.05.html","10.2.4 Nagle\u2019s Algorithm","For TCP socket connection types, you can set the underlying transport to use Nagle\u2019s Algorithm to combine small content fragments into larger network frames. While this algorithm reduces transport overhead (optimizing bandwidth usage), it also increases latency, especially when sending small message...","Performance_Tools\u002Fpairs\u002Fpair5_7.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Best_Practices.10.06.html","10.2.5 System Send and Receive Buffers","For TCP socket connections, the OS uses system send and receive buffers for exchanging content. When the Enterprise Message API flushes data to the underlying transport, it passes through these system buffers. During times of high throughput, the application might provide data faster than the underl...","Performance_Tools\u002Fpairs\u002Fpair6_7.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Best_Practices.10.07.html","10.2.6 Enterprise Message API Buffering","The Enterprise Message API uses various optimization techniques for efficient input and output of content, many revolving around pre-allocated buffers which minimize memory creation and destruction. Pre-allocated buffers queue outbound data as well as read large byte-streams from underlying transpor...","Performance_Tools\u002Fpairs\u002Fpair7_7.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Best_Practices.10.08.html","10.2.6.1 Input Buffering","The Enterprise Message API input buffer is created as one large continuous block of memory, controlled by NumInputBuffers configuration parameter in Channel or Server group. The number of bytes created in the input buffer is determined by the configured value multiplied by the negotiated maxFragment...","Performance_Tools\u002Fpairs\u002Fpair8_6.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Best_Practices.10.09.html","10.2.6.2 Output Buffering","Output buffering is handled differently from input buffering. Because each buffer can be written as a different priority, a continuous block of memory will not work. The Enterprise Message API creates the configured number of buffers, treating each buffer as a separate entity. Such a division allows...","Performance_Tools\u002Fpairs\u002Fpair9_5.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Best_Practices.10.10.html","10.2.6.3 Fragmentation","The negotiated maximum buffer size is the maximum size that the application will send in a single buffer. In cases where an application encodes a message larger than the maximum, the requested size will be returned to the user. When the content passes to submit, the Enterprise Message API fragments ...","Performance_Tools\u002Fpairs\u002Fpair10_5.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Best_Practices.10.11.html","10.2.7 Compression","The Enterprise Message API supports the use of data compression. Generally, compressing data reduces the amount of data passed to the underlying transport. But compression has some drawbacks to consider: \u2022 Compression requires additional processing. \u2022 Compression copies data: as the user-provided bu...","Performance_Tools\u002Fpairs\u002Fpair11_5.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Best_Practices.10.12.html","10.3 Encoder and Decoder Best Practices","10.3.1 Single-Pass Encoding Enterprise Message API encodes data so as to minimize copying. Thus, the application encoding process begins by starting with the top-level container and working down in a linear fashion. For example, when encoding a Market Price message, the message header is encoded, fo...","Performance_Tools\u002Fpairs\u002Fpair12_5.js","content-page"]
,["Performance_Tools\u002FChap_Perf_Best_Practices.10.13.html","10.4 Other Practices: CPU Binding","Although the OS tries to balance its load intelligently across multi-core processors, you can improve performance by locking the threads of a process to specific cores and CPUs. This lessens the likelihood of switching a thread from one core to another, which impacts processing time and invalidates ...","Performance_Tools\u002Fpairs\u002Fpair13_5.js","content-page"]
,["Performance_Tools\u002FAppendix_Troubleshooting.11.1.html","Appendix A Troubleshooting","A.1 Can\u2019t Connect There are many reasons why a consumer or provider might not be able to connect. Several common ones are listed below: \u2022 Check the consumer\u2019s and provider\u2019s serviceName parameters. These must match. The consumer will wait until the service is available and accepting requests. \u2022 Chec...","Performance_Tools\u002Fpairs\u002Fpair1_11.js","content-page"]
,["Performance_Tools\u002FAppendix_Troubleshooting.11.2.html","A.2 Not Achieving Steady State","There are several reasons why a consumer might not reach a steady state: \u2022 The steadyStateTime value may be too small. When publishing in latency mode or at high update rates, providers will take longer to process image requests. For example, if steadyStateTime is set to 30s but the provider can pub...","Performance_Tools\u002Fpairs\u002Fpair2_11.js","content-page"]
,["Performance_Tools\u002FAppendix_Troubleshooting.11.3.html","A.3 Consumer Tops Out but Not at 100% CPU","In some cases, when connecting to LSEG Real-Time Distribution System, the consumer appears to be overloaded even though no thread is using the maximum CPU. Such a situation might be a symptom of a bottleneck on the LSEG Real-Time Advanced Distribution Server, which can be resolved by increasing the ...","Performance_Tools\u002Fpairs\u002Fpair3_10.js","content-page"]
,["Performance_Tools\u002FAppendix_Troubleshooting.11.4.html","A.4 Initial Latencies Are High","Initial latencies during startup and immediately following the transition to steady state might be high. At high update rates, the system processes its entire overhead for updates plus all refresh traffic, resulting in an increased workload and higher latency. It can take several seconds for the sys...","Performance_Tools\u002Fpairs\u002Fpair4_10.js","content-page"]
,["Performance_Tools\u002FAppendix_Troubleshooting.11.5.html","A.5 Latency values Are Very High","\u2022 Run the applications on the same machine. \u2022 Use a reliable clock to gather timestamp information. \u2022 Perform appropriate system-wide tuning. \u2022 Consider packing messages into the same buffer. It is possible that the connection type cannot sustain the data rate when sent as individual messages. ","Performance_Tools\u002Fpairs\u002Fpair5_8.js","content-page"]
],
"words":
{
"1.1":[0,1]
,"manual":[0,1,71,1,72,1]
,"guide":[0,2,1,1,4,4,25,1,32,9,34,1,35,1,36,1,42,1,47,8,49,1,50,1,51,1,56,1,60,8,62,1,63,1,64,1,84,1]
,"introduces":[0,1]
,"enterprise":[0,4,1,2,2,1,3,6,4,4,9,5,10,1,13,3,25,3,26,4,27,5,32,8,34,2,35,1,36,1,42,4,43,5,44,4,47,7,49,2,50,1,51,1,56,4,57,2,58,5,60,8,61,1,62,2,63,1,64,1,72,1,74,1,84,2,85,1,86,1,87,6,89,6,90,3,91,5,92,1,93,2,94,2,95,1,96,1]
,"message":[0,3,1,3,2,1,3,6,4,3,8,1,9,13,10,1,13,7,14,1,23,2,24,7,25,4,26,4,27,6,29,1,30,2,31,2,32,13,33,1,34,2,35,1,36,1,37,2,40,1,42,4,43,5,44,5,46,6,47,13,48,1,49,2,50,1,51,1,56,5,57,2,58,7,59,4,60,13,61,3,62,2,63,1,64,1,72,1,73,6,74,2,75,2,82,2,84,2,85,1,86,3,87,7,89,6,90,3,91,7,92,1,93,3,94,2,95,4,96,1,99,1]
,"api":[0,5,1,4,2,1,3,9,4,4,8,4,9,7,10,1,13,5,25,3,26,4,27,5,30,1,31,1,32,20,34,2,35,1,36,1,42,5,43,5,44,4,46,1,47,19,49,2,50,1,51,1,56,5,57,2,58,5,59,1,60,20,61,1,62,2,63,1,64,1,72,1,74,1,84,2,85,3,86,2,87,5,89,6,90,3,91,5,92,1,93,2,94,1,95,1,96,1]
,"edition":[0,1,1,1,2,1,4,4,25,1,32,4,47,2,56,1,60,4]
,"performance":[0,4,3,1,7,2,8,7,9,5,10,2,13,6,16,1,24,1,25,2,27,1,29,1,32,1,42,1,47,1,59,1,60,1,69,1,71,1,72,6,73,1,74,1,76,1,80,1,81,1,83,1,84,1,88,1,92,1,96,2]
,"suite":[0,2,8,4,9,2,73,1,80,1,81,1,83,1,84,1]
,"presents":[0,1]
,"overview":[0,2,8,1,25,1,42,1,56,1,80,1,84,1]
,"applications":[0,4,1,2,2,1,3,3,8,2,9,3,13,2,17,1,23,4,26,2,29,1,42,1,43,1,57,1,70,1,80,1,81,2,93,1,101,1]
,"work":[0,2,26,1,32,1,43,1,47,1,57,1,60,1,90,1,92,1]
,"lseg":[0,4,3,9,4,2,8,3,9,2,13,3,25,1,32,1,42,2,56,5,57,1,58,3,69,8,71,14,72,11,96,1,97,6,98,1,99,3]
,"real-time":[0,4,1,1,3,9,8,3,9,2,13,2,25,1,42,2,56,5,57,1,58,3,69,8,71,14,72,11,97,6,98,1,99,3]
,"distribution":[0,4,3,9,8,2,9,1,13,2,22,1,25,1,42,2,56,5,57,1,58,3,69,8,71,14,72,11,97,6,98,1,99,3]
,"system":[0,2,3,4,8,2,9,3,13,4,15,1,18,1,25,3,32,1,38,1,42,2,56,2,60,1,69,2,71,3,72,5,89,4,96,1,97,1,99,1,100,2]
,"themselves":[0,1]
,"application":[0,1,3,2,10,1,13,1,16,2,18,1,20,1,21,1,22,1,23,6,24,4,25,1,27,2,28,2,29,2,32,4,42,1,43,3,44,2,45,3,46,1,47,4,58,3,59,1,60,4,72,1,80,2,85,3,87,2,89,2,91,1,92,1,93,3,95,1,98,2]
,"tests":[0,1,8,1]
,"run":[0,1,8,1,9,1,12,1,20,2,23,1,24,1,26,1,32,2,43,1,44,1,47,1,53,1,58,1,60,1,66,1,69,2,70,2,71,2,72,6,82,1,83,1,101,1]
,"provides":[0,1,3,1,9,1,42,1,56,1,73,1]
,"basic":[0,1,1,1,69,1,71,1,72,3]
,"concepts":[0,1,6,1]
,"writing":[0,1,21,1,32,1,58,1,86,1,87,2]
,"performant":[0,1]
,"configuring":[0,1,22,1]
,"optimal":[0,1,9,1]
,"authors":[0,1]
,"contributors":[0,1]
,"include":[0,1,8,1,24,1,31,1,35,1,36,1,50,1,51,1,63,1,64,1]
,"architects":[0,1]
,"developers":[0,1,4,2,25,1,32,7,42,1,47,7,56,1,60,7]
,"encountered":[0,1]
,"resolved":[0,1,99,1]
,"issues":[0,1]
,"face":[0,1]
,"document":[0,1,1,1,2,1,6,2,10,1]
,"concise":[0,1]
,"addresses":[0,1]
,"realistic":[0,1]
,"scenarios":[0,1,73,1,82,1]
,"cases":[0,1,93,1,99,1]
,"documents":[0,1]
,"general":[0,1,8,1,13,1]
,"design":[0,1,1,1]
,"usage":[0,1,4,1,16,4,17,3,18,2,20,1,32,1,37,1,38,6,39,1,52,1,53,6,54,1,60,1,65,1,66,6,67,1,88,1]
,"tools":[0,1,6,1,8,6,9,1,10,2,13,1,14,1,16,1,19,1,73,2,74,1,76,2,84,2,88,1]
,"provided":[0,1,2,1,8,1,9,1,18,1,33,1,48,1,71,3,72,1,73,2]
,"measuring":[0,1,13,1,25,1]
,"describes":[0,1,32,1,33,1,48,1,61,2,73,1,84,1]
,"features":[0,1,1,1,3,2,16,1,84,3]
,"send":[0,1,13,1,23,4,24,1,25,1,31,1,40,1,44,3,58,2,60,1,80,1,82,1,89,4,92,1,93,1]
,"receive":[0,1,9,1,15,1,27,1,32,1,40,1,60,1,71,1,82,1,85,1,89,3]
,"data":[0,1,1,2,3,1,24,1,25,1,33,1,38,1,42,3,44,3,47,4,48,1,52,1,53,1,56,1,57,1,58,1,60,2,61,2,66,1,70,1,71,1,73,4,74,1,75,23,76,45,83,1,86,1,87,2,88,1,89,6,90,1,91,3,94,5,95,1,101,1]
,"high":[0,1,1,1,3,1,82,1,84,1,89,1,92,1,98,1,100,3,101,1]
,"throughput":[0,1,1,1,3,1,8,2,13,1,14,2,72,1,84,1,87,2,89,1,99,1]
,"low":[0,1,1,1,3,3,84,1]
,"latency":[0,1,1,1,3,2,8,2,9,3,13,3,14,1,19,1,20,1,21,2,22,2,24,14,25,3,27,2,29,3,30,3,31,7,32,5,37,1,38,16,39,14,40,3,41,7,46,4,47,9,52,1,53,4,54,4,59,4,60,5,66,1,72,2,80,2,81,2,82,4,84,1,87,2,88,2,98,1,99,1,100,1,101,1]
,"information":[0,1,1,1,9,2,10,1,13,1,20,1,24,1,25,1,27,1,30,2,31,4,32,3,33,1,37,1,38,1,42,1,47,3,48,1,52,1,53,1,56,1,58,1,60,4,61,2,62,1,65,1,72,1,101,1]
,"applies":[0,1]
,"connects":[0,1,25,1,27,1,56,1,71,1]
,"directly":[0,1,42,1,70,1]
,"itself":[0,1]
,"using":[0,1,1,1,3,1,8,1,14,1,18,1,23,1,24,2,25,1,26,2,27,2,31,1,32,1,42,1,43,2,44,2,51,1,56,1,58,3,69,1,70,1,71,1,72,3,80,1,85,1,92,1,98,1,99,1]
,"intermediaries":[0,1]
,"components":[0,1,4,1,7,1,8,1,13,1,32,2,47,2,60,2,69,1,71,1,72,1]
,"advanced":[0,2,3,4,56,4,57,1,58,3,69,6,71,11,72,6,97,5,98,1,99,2]
,"hub":[0,1,3,2,56,4,57,1,58,3,69,3,71,8,72,4,97,2,98,1]
,"server":[0,1,3,2,42,1,47,3,49,3,50,3,51,11,60,2,64,2,69,3,71,3,72,2,86,1,89,1,91,1,97,2,99,2]
,"1.2":[1,1]
,"audience":[1,1]
,"written":[1,1,2,2,3,3,21,1,80,1,82,1,92,1]
,"help":[1,1,3,1,100,1]
,"programmers":[1,1]
,"advantage":[1,1]
,"achieve":[1,1,3,1,72,1,84,1,87,2]
,"detailed":[1,1,52,1,61,1,65,1,89,1]
,"herein":[1,1]
,"assumes":[1,1]
,"reader":[1,2]
,"user":[1,2,32,2,47,1,60,1,85,1,89,1,91,1,93,1]
,"member":[1,1]
,"programming":[1,2,2,1,3,1]
,"staff":[1,1]
,"involved":[1,1]
,"code":[1,1,2,1,3,2,6,4,9,1,10,1,38,1,39,1,40,1,41,1,53,1,54,1,55,1,66,1,67,1,68,1,75,1,76,1,79,1,82,1]
,"test":[1,1,8,1,13,1,19,1,27,4,32,4,37,1,38,2,44,1,47,2,52,1,53,1,58,3,60,2,65,1,66,1,69,1,70,1,71,1,72,2,73,1,81,1,82,2,83,2,84,2,96,1]
,"phases":[1,1]
,"assumed":[1,2]
,"familiar":[1,1]
,"types":[1,1,6,1,72,1,74,1,88,1]
,"operational":[1,1,85,1]
,"characteristics":[1,1]
,"requirements":[1,1]
,"delivery":[1,1]
,"networks":[1,1]
,"experience":[1,1]
,"developing":[1,1]
,"products":[1,1,8,3]
,"language":[1,1,2,2]
,"networked":[1,1]
,"environment":[1,1,42,1]
,"read":[1,1,23,1,30,1,44,1,58,1,85,1,90,1,91,2,94,1]
,"developer\u2019s":[1,1]
,"familiarity":[1,1]
,"transport":[1,1,3,6,4,1,9,1,30,1,31,1,32,5,42,1,44,1,46,1,47,5,56,1,58,1,59,1,60,5,72,4,86,2,87,4,88,2,89,5,91,2,93,1,94,1]
,"interaction":[1,1,7,1]
,"models":[1,1]
,"omm":[1,3,3,1,10,1,25,1,42,2]
,"consumers":[1,1,42,2,44,2,58,1,80,1]
,"interactive":[1,1,9,1,13,1,42,3,43,1,46,1,47,2,49,1,69,3,70,3]
,"providers":[1,2,69,1,70,1,71,1,80,1,98,1]
,"non-interactive":[1,1,9,1,10,1,13,1,56,4,58,1,59,1,60,2,62,1,71,2,98,1]
,"1.3":[2,1]
,"samples":[2,1,38,1,53,1,66,1]
,"example":[2,1,6,1,7,1,9,1,10,2,13,1,20,1,21,1,23,5,32,5,35,2,36,4,38,1,39,1,40,1,41,1,47,5,50,2,51,6,53,1,54,1,55,1,60,5,63,2,64,6,66,1,67,1,68,1,69,1,71,1,72,1,75,1,76,1,79,1,81,1,82,1,83,1,87,2,95,1,98,1]
,"product":[2,1,32,1,47,1,60,1]
,"1.4":[3,1]
,"acronyms":[3,2]
,"abbreviations":[3,2]
,"table":[3,1,32,2,47,1,60,1,78,1,81,1]
,"acronym":[3,1]
,"definition":[3,1]
,"adh":[3,1,62,2,64,3]
,"ads":[3,1,62,1,99,2]
,"interface":[3,2]
,"cpu":[3,2,16,5,17,3,20,1,32,17,37,1,38,4,39,1,41,7,47,16,52,1,53,4,54,1,55,10,60,17,65,1,66,4,67,1,68,10,96,2,98,1,99,2]
,"central":[3,1]
,"processing":[3,1,25,1,31,1,42,1,44,1,56,1,91,1,94,1,96,1]
,"unit":[3,1]
,"dmm":[3,1]
,"domain":[3,2,4,1,32,1,78,2,79,18]
,"model":[3,5,4,1,9,6,23,1,24,1,25,1,32,4,47,3,56,1,58,1,60,3,85,1]
,"ema":[3,4,32,7,47,7,60,6]
,"ease":[3,1]
,"open":[3,4,8,3,9,6,10,1,11,1,24,1,25,1,27,1,32,1,44,1,47,1,56,1,58,2,60,1]
,"source":[3,2,8,2,9,1,10,3,24,1,25,1,42,1]
,"designed":[3,1,26,1,43,1,57,1]
,"provide":[3,1,8,1,13,1,27,1,44,3,58,1,71,1,72,1,76,1,89,1]
,"clients":[3,1,8,2]
,"rapid":[3,1]
,"development":[3,1]
,"minimizing":[3,1]
,"lines":[3,1,6,1]
,"providing":[3,1,9,1,13,1,42,2,58,1,73,1]
,"broad":[3,1]
,"range":[3,1]
,"flexibility":[3,1]
,"flexible":[3,1]
,"configuration":[3,1,4,1,9,1,20,2,21,1,27,1,32,9,34,2,35,1,36,1,44,1,47,7,49,2,50,1,51,1,58,1,60,7,61,1,62,4,63,1,64,1,70,1,71,1,72,1,80,1,81,1,82,1,84,1,86,1,88,1,89,1,91,1,92,1,93,1,97,2]
,"default":[3,1,10,1,32,5,33,1,47,8,48,1,60,8,61,4,70,1,78,1,81,2,82,1,97,2]
,"values":[3,1,6,1,32,2,47,2,60,2,69,1,71,1,72,1,101,1]
,"simplify":[3,2]
,"deployment":[3,1]
,"top":[3,1]
,"eta":[3,3]
,"utilizing":[3,1]
,"value":[3,1,4,1,17,1,29,1,32,3,35,6,36,21,42,1,47,5,50,10,51,33,56,1,60,4,63,5,64,24,69,4,71,5,72,5,82,1,91,1,98,1]
,"added":[3,1,4,1,29,1,32,2,46,1,47,4,59,1,60,3,89,1]
,"reactor":[3,3,32,3,42,1,43,2,47,3,56,1,60,3]
,"watchlist":[3,1]
,"foundation":[3,2,9,1,13,1]
,"sdk":[3,2]
,"consists":[3,2,9,1]
,"buffer":[3,1,31,1,47,2,60,2,87,3,89,1,90,2,91,6,92,2,93,5,94,3,101,1]
,"management":[3,2]
,"compression":[3,1,94,7]
,"fragmentation":[3,1,93,2]
,"packing":[3,1,47,2,60,2,101,1]
,"encoders":[3,1]
,"decoders":[3,1]
,"implement":[3,1]
,"layer":[3,2,86,1]
,"highest":[3,1]
,"lowest":[3,1]
,"memory":[3,2,16,3,18,3,20,1,37,1,38,4,39,1,52,1,53,4,54,1,65,1,66,4,67,1,90,1,91,2,92,2,93,1]
,"utilization":[3,2]
,"binary":[3,1]
,"wire":[3,2]
,"format":[3,2,7,1,32,3,47,3,60,3,73,1]
,"publishing":[3,1,13,1,23,1,56,2,98,2]
,"consuming":[3,1,42,1,46,1,59,1]
,"content":[3,1,9,2,10,1,14,2,20,1,21,1,25,4,31,2,42,2,47,1,56,2,58,1,60,1,72,1,73,1,87,1,88,1,89,5,90,1,93,4]
,"systems":[3,1]
,"http":[3,1]
,"hypertext":[3,2]
,"transfer":[3,2]
,"protocol":[3,2,32,1,51,1]
,"https":[3,1]
,"secure":[3,1]
,"nic":[3,1]
,"network":[3,1,7,2,23,1,85,1,86,2,88,1,91,1]
,"card":[3,1]
,"operating":[3,1,18,1]
,"ram":[3,1,18,1]
,"random":[3,1,31,1]
,"access":[3,1,83,1]
,"rdm":[3,1]
,"rfa":[3,1]
,"robust":[3,1,9,1,13,1]
,"rssl":[3,1]
,"sink":[3,1]
,"library":[3,1,10,2]
,"lseg\u2019s":[3,1,8,1]
,"financial":[3,1]
,"market":[3,1,95,1]
,"platform":[3,1,8,2,31,1]
,"connect":[3,1,27,1,36,2,42,2,58,2,64,3,69,3,70,2,71,3,72,6,97,2]
,"low-level":[3,1]
,"open-source":[3,1,8,1]
,"easy-to-use":[3,1]
,"above":[3,1,12,1]
,"offers":[3,1,8,1]
,"heartbeat":[3,1]
,"connection":[3,1,9,1,26,1,27,12,32,5,36,3,42,1,43,1,44,2,47,1,51,2,57,1,58,7,60,3,64,6,88,1,89,1,90,2,97,3,101,1]
,"item":[3,1,25,1,27,1,31,1,32,3,37,1,38,3,44,2,52,1,55,2,58,2,66,2,71,1,73,3,77,2,78,7,79,20,80,1]
,"recovery":[3,1]
,"users":[3,1,89,1]
,"rwf":[3,1]
,"1.5":[4,1]
,"references":[4,1]
,"developer":[4,1]
,"community":[4,1]
,"1.6":[5,1]
,"documentation":[5,1,89,1]
,"feedback":[5,1]
,"1.7":[6,1]
,"conventions":[6,1]
,"1.7.1":[6,1]
,"typographic":[6,1]
,"structures":[6,1]
,"methods":[6,1,85,1]
,"in-line":[6,1]
,"snippets":[6,1]
,"shown":[6,4,69,1,83,1]
,"orange":[6,2]
,"lucida":[6,2]
,"console":[6,2,20,1,21,2,41,2,55,2,68,2,80,2]
,"font":[6,4]
,"parameters":[6,1,29,1,51,1,80,1,81,1,85,1,89,1,97,1]
,"filenames":[6,1,81,1]
,"utilities":[6,1]
,"directories":[6,1]
,"bold":[6,2]
,"titles":[6,1]
,"variable":[6,1]
,"italics":[6,2]
,"initially":[6,1]
,"introduced":[6,1]
,"longer":[6,1,87,1,98,1]
,"examples":[6,1,9,1,10,2,11,1,32,1,34,1,47,1,49,1,60,1,62,1]
,"show":[6,1]
,"against":[6,1,24,1,46,1]
,"background":[6,1]
,"comments":[6,1,10,1]
,"green":[6,1]
,"decode":[6,1,30,1]
,"contents":[6,1,10,1]
,"filter":[6,2]
,"list":[6,1,10,1,26,1,27,1,31,1,32,2,38,2,47,1,53,1,57,1,58,2,60,1,66,1,77,3,79,2,95,1]
,"structure":[6,1,10,1]
,"retval":[6,1]
,"rssldecodefilterlist":[6,1]
,"&deciter":[6,1]
,"&filterlist":[6,1]
,"rssl_ret_success":[6,1]
,"create":[6,1,26,1,32,1,43,1,47,1,60,1,90,1]
,"single":[6,1,20,1,85,1,91,2,93,3]
,"entry":[6,2,77,1]
,"reuse":[6,1]
,"decoding":[6,1,13,1,24,1,46,1,47,1,60,1]
,"rsslfilterentry":[6,1]
,"filterentry":[6,1]
,"rssl_init_filter_entry":[6,1]
,"1.7.2":[7,1]
,"diagrams":[7,3]
,"depict":[7,2]
,"component":[7,1,13,1,32,1,42,1,56,1]
,"scenario":[7,1,69,1,71,1,72,3]
,"following":[7,2,19,1,21,1,23,1,27,3,32,1,33,1,44,1,45,1,48,1,51,1,58,2,60,1,61,1,69,3,71,4,72,3,76,1,100,2]
,"gray":[7,1]
,"box":[7,1]
,"represents":[7,1]
,"physical":[7,1,32,18,47,19,60,19]
,"machine":[7,2,24,1,101,1]
,"whereas":[7,1]
,"blue":[7,1]
,"white":[7,1]
,"boxes":[7,1]
,"represent":[7,1,16,1]
,"processes":[7,1,24,1,25,3,27,2,100,1]
,"running":[7,2,12,1,16,1]
,"figure":[7,2,9,1,10,1,23,2,24,2,27,1,28,1,44,1,45,2,58,2,69,1,70,1,71,1,72,3,83,2,99,1]
,"host":[7,1,36,4,64,4,69,1,71,2,72,2,97,1]
,"notation":[7,3]
,"diagram":[7,1,24,1,28,1,45,1]
,"2.1":[8,1]
,"idea":[8,1]
,"behind":[8,1]
,"tool":[8,3,9,2,12,1,13,3,15,1,16,1,20,1,21,6,22,1,23,1,24,2,31,1,32,1,47,1,59,1,60,1,74,1,77,1,83,1,84,1,96,2]
,"consistent":[8,1,16,1,22,1]
,"look":[8,1]
,"behave":[8,1]
,"consistently":[8,1]
,"across":[8,2,20,1,24,1,26,1,43,1,57,2,96,1]
,"apis":[8,3,9,1]
,"covers":[8,1]
,"various":[8,2,14,1,16,1,90,1]
,"model-based":[8,1,9,1]
,"allows":[8,1,14,1,16,1,42,2,89,1,91,1,92,1,96,1]
,"internal":[8,1,26,1,32,5,43,2,47,5,60,5]
,"external":[8,1,42,1]
,"compare":[8,1]
,"trade-offs":[8,1,92,1]
,"differing":[8,1]
,"functionality":[8,2,9,1]
,"sets":[8,1,32,6,47,8,60,7]
,"testclient":[8,1]
,"testserver":[8,1]
,"testing":[8,1]
,"focusing":[8,1]
,"capacity":[8,1]
,"focuses":[8,1]
,"done":[8,1]
,"meant":[8,1]
,"compliment":[8,1]
,"buildable":[8,1,10,1]
,"demonstrate":[8,1]
,"best":[8,2,85,1,95,1,96,1]
,"practice":[8,1]
,"coding":[8,1]
,"respective":[8,1,18,1,23,1,77,1,96,1]
,"future":[8,1]
,"releases":[8,1]
,"expand":[8,1]
,"areas":[8,1]
,"e.g":[8,1,9,1]
,"batch":[8,1]
,"requesting":[8,1,25,2,32,1,78,1,98,1]
,"determine":[8,1,9,1,13,1,16,1,24,2,31,2,32,1,47,1,72,1]
,"results":[8,1,19,2,20,2,32,1,83,2,97,2]
,"environments":[8,1]
,"recreate":[8,1]
,"lseg-released":[8,1]
,"numbers":[8,1]
,"generated":[8,1,22,1]
,"modify":[8,1,9,1,69,1,71,1,72,1]
,"tune":[8,1]
,"tweak":[8,1]
,"match":[8,1,97,1,98,1]
,"end-to-end":[8,1,13,1]
,"needs":[8,1,9,1,14,1,32,1]
,"generate":[8,1,81,1]
,"reports":[8,1,26,1,43,1,57,1]
,"comparing":[8,1]
,"2.2":[9,1]
,"-based":[9,1]
,"consumer":[9,6,10,1,13,1,15,1,24,3,25,8,27,2,29,1,30,2,31,2,32,24,34,4,35,5,43,2,56,1,59,1,60,1,69,2,70,3,71,2,72,3,80,1,81,1,97,7,98,6,99,2]
,"provider":[9,4,10,1,13,1,24,2,25,2,26,1,27,4,29,2,32,1,36,2,42,6,43,3,44,2,46,1,47,6,49,2,53,1,56,4,58,1,59,1,60,7,62,1,66,1,69,2,70,3,71,1,72,1,73,1,97,3,98,5]
,"showcase":[9,1]
,"consumption":[9,1]
,"within":[9,2,24,1,32,1]
,"additionally":[9,1,25,1,26,1,43,1,72,1,89,1]
,"transport-only":[9,1]
,"measure":[9,1,14,1,29,1,47,2,53,1,60,2,66,1,69,1,70,1,71,1,72,3]
,"handling":[9,1,42,1]
,"opaque":[9,1]
,"non-open":[9,1]
,"coded":[9,1]
,"suit":[9,1,73,1]
,"specific":[9,1,14,1,20,1,21,1,22,1,32,4,47,4,60,4,96,1]
,"fully":[9,1,91,1]
,"compatible":[9,1]
,"similar":[9,1,23,1,80,2]
,"methodologies":[9,1]
,"stand-alone":[9,1]
,"mix":[9,1]
,"three":[9,1]
,"options":[9,1,21,1,32,4,47,3,60,4,69,2,70,2,71,2,72,2]
,"typical":[9,1,25,1,42,1]
,"measured":[9,1,13,1,15,1,24,2,46,1,59,1]
,"either":[9,1,42,1,71,1,98,1]
,"one-way":[9,1]
,"round-trip":[9,1,25,1,72,1]
,"back":[9,1,91,1,93,1,98,1]
,"encoded":[9,1,31,1,47,2,60,2,73,1,95,2]
,"configurable":[9,1,25,1]
,"number":[9,1,16,1,21,3,24,1,25,1,26,1,32,20,43,1,47,21,57,1,60,20,65,2,69,1,77,1,81,1,84,1,85,1,87,2,91,2,92,4]
,"update":[9,2,20,1,21,1,23,1,24,4,25,3,27,1,29,1,33,1,37,1,38,3,39,1,42,1,46,1,47,3,48,1,53,2,60,5,66,2,72,1,73,2,75,2,82,1,98,2,100,1]
,"messages":[9,3,10,1,13,1,14,1,21,5,23,4,24,4,25,3,26,1,27,2,29,3,31,2,32,9,33,3,42,4,43,1,44,2,47,15,48,3,58,1,60,11,72,1,73,2,78,2,84,1,85,4,86,1,88,1,91,1,93,1,101,2]
,"distributed":[9,1,10,3]
,"course":[9,1]
,"second":[9,1,23,3,24,1,26,1,32,9,43,2,47,6,60,5,97,1,98,1]
,"receives":[9,1,25,1,43,1,46,1,59,1,98,1]
,"contain":[9,1,32,2,47,2,60,1,73,1,77,1,87,1]
,"decodes":[9,1,24,1,25,1,31,1,59,1]
,"measures":[9,1,15,1,18,1,31,1]
,"relative":[9,1]
,"time":[9,1,13,2,15,3,16,1,20,1,23,9,24,4,27,1,29,1,30,1,31,5,32,2,37,1,38,3,40,2,41,1,44,2,46,3,47,5,53,2,58,3,59,3,60,11,66,2,71,1,82,2,87,1,89,2,91,1,96,1,97,1]
,"taken":[9,1,13,2,15,1,29,2,46,1,59,1]
,"process":[9,1,12,1,13,1,16,1,58,1,85,1,92,2,95,1,96,1,98,1]
,"payload":[9,1,13,3,14,1,24,2,29,2,30,1,31,3,46,2,59,3,95,2]
,"2.3":[10,1]
,"package":[10,2,33,2,48,2,61,4]
,"directory":[10,3,12,3,25,1,27,2,42,1,44,1,50,1,56,2,58,1,63,1]
,"libxml2":[10,2]
,"xml-parsing":[10,1]
,"along":[10,1]
,"project":[10,1,11,1]
,"configured":[10,1,21,3,22,1,25,1,26,1,27,4,29,1,31,1,43,2,44,4,72,1,73,1,80,1,91,1,92,1,98,1]
,"build":[10,1,11,1,12,1]
,"dependent":[10,1]
,"perftools":[10,1]
,"common":[10,1,32,1,38,1,60,1,97,1]
,"includes":[10,1,20,2,33,1,48,1,61,4]
,"two":[10,1,24,1,32,5,47,5,60,4,72,1,81,2]
,".xml":[10,1]
,"files":[10,2,12,2,19,1,21,1,33,2,44,1,48,3,58,1,61,4,80,2,81,6,83,1]
,"350k.xml":[10,1,12,1,32,1,33,1,38,1,48,1,60,1,61,1,66,1,77,1]
,"350,000":[10,1,77,1]
,"items":[10,1,15,1,25,1,26,2,27,2,31,1,32,6,42,1,44,2,47,1,56,1,57,2,58,2,60,5,61,1,71,2,77,3,98,1]
,"loaded":[10,1,74,1]
,"published":[10,1,77,1]
,"msgfile.xml":[10,1]
,"operations":[10,1]
,"readers":[10,2]
,"refer":[10,2,20,1,21,1,22,1,25,1,32,11,33,1,34,1,35,1,36,1,37,1,42,1,47,10,48,1,49,1,50,1,51,1,52,1,56,1,60,11,61,1,62,2,63,1,64,1,65,1,71,1,72,1,84,1]
,"appropriate":[10,1,11,1,29,1,32,1,34,1,47,1,49,1,60,1,62,2,97,1,101,1]
,"sections":[10,1,27,1,32,1,34,1,44,1,47,1,49,1,58,1,60,1,62,1]
,"readme":[10,1]
,"included":[10,1,11,1,24,1]
,"2.3.1":[11,1]
,"building":[11,1]
,"linux":[11,1,12,1]
,"gmake":[11,1]
,"makefile":[11,1,12,1]
,"windows":[11,1,12,1]
,"visual":[11,1]
,"studio":[11,1]
,"2.3.2":[12,1]
,"once":[12,1,23,1,42,1,58,1]
,"built":[12,1]
,"change":[12,1,69,3,71,3,72,3]
,"target":[12,3]
,"linked":[12,1]
,"necessary":[12,1,69,1,71,1,72,2]
,"support":[12,2,76,1]
,"msgdata.xml":[12,1,32,1,38,1,47,2,53,1,60,2,61,1,66,1,73,2,76,1]
,"rdmfielddictionary":[12,1,33,1,48,1,61,1]
,"enumtype.def":[12,1,33,1,48,1,61,1]
,"finishes":[12,1]
,"copy":[12,1]
,"2.4":[13,1,32,1,47,1,60,1]
,"reported":[13,1,16,1,27,2]
,"2.4.1":[13,1]
,"embeds":[13,1,72,1]
,"timestamp":[13,2,24,5,29,4,31,3,46,3,59,3,101,1]
,"payloads":[13,1,32,1]
,"uses":[13,1,25,1,32,4,42,2,47,4,56,2,60,5,72,1,89,1,90,1]
,"timestamps":[13,1,24,4,29,1,30,1,31,1,72,1,82,1]
,"overall":[13,1,15,1,16,1,17,1,20,1,23,1,38,2,53,2,66,2,99,1]
,"applicable":[13,1]
,"ensure":[13,1,71,2,93,1]
,"measurement":[13,1,22,1,24,1,27,1,29,1,30,1,31,1,46,2,47,2,59,2,60,2,69,1,71,1,72,3]
,"captures":[13,1]
,"start":[13,1,15,1,29,2,31,1,32,1,46,1,47,1,59,1,60,1,97,2]
,"sender\u2019s":[13,1]
,"encoding":[13,1,29,2,31,1,46,1,47,1,59,1,60,1,74,1,95,4]
,"compared":[13,1]
,"receiver":[13,1]
,"completes":[13,1,46,1,60,1,71,1]
,"important":[13,1]
,"consider":[13,1,94,1,101,1]
,"whether":[13,1,30,1,31,1,60,1,90,1,97,1]
,"particular":[13,1,24,1]
,"acts":[13,1,69,1,71,1,72,1]
,"bottleneck":[13,1,99,1]
,"higher":[13,1,32,1,47,1,60,1,87,3,100,1]
,"lower":[13,1,88,1]
,"api-based":[13,1]
,"recommends":[13,1,96,1]
,"drive":[13,2]
,"calculate":[13,1,17,1,29,1,30,1,31,1,32,1,46,1,59,1]
,"non-enterprise":[13,1]
,"c-based":[13,1]
,"want":[13,1,72,2]
,"rather":[13,1,86,1]
,"2.4.2":[14,1]
,"allow":[14,1,26,1,43,1,44,1,57,1,58,1,71,1,76,1,77,1]
,"control":[14,1,57,1]
,"rate":[14,1,20,1,23,7,25,2,32,6,37,3,38,10,39,1,47,5,53,5,60,3,66,3,82,1,92,1,98,1,101,1]
,"sent":[14,1,21,2,24,1,32,4,37,1,38,1,39,2,47,4,52,1,53,1,54,4,55,2,57,1,60,2,65,2,66,2,67,2,68,1,78,1,89,1,93,1,101,1]
,"rates":[14,1,23,1,47,1,60,1,88,1,98,1,100,1]
,"tailored":[14,1]
,"2.4.3":[15,1]
,"image":[15,2,32,2,37,1,38,2,41,1,53,1,71,1,73,1,98,2]
,"retrieval":[15,1,37,1,38,1,41,1,71,1]
,"full":[15,1,77,1]
,"images":[15,1,32,2,37,1,39,1,41,9,44,1,54,1,55,2,56,1,65,1,66,1,67,1,68,1,71,1,98,3]
,"requested":[15,1,27,1,32,2,42,2,60,1,77,2,78,1,93,1]
,"first":[15,1,97,2]
,"request":[15,1,21,1,26,1,32,5,38,2,42,1,78,1]
,"reception":[15,1]
,"final":[15,1,27,1,44,1,58,1]
,"expected":[15,1,32,3,92,1]
,"2.4.4":[16,1]
,"record":[16,1,19,1,22,1,69,1,71,1,72,1]
,"periodic":[16,1,21,1,23,1]
,"sampling":[16,1,38,3]
,"monitoring":[16,1,60,1]
,"resource":[16,1]
,"used":[16,1,17,1,23,2,32,7,47,3,60,3,69,1,78,1,85,1]
,"impact":[16,1]
,"modifications":[16,1]
,"calculations":[16,1]
,"whole":[16,1]
,"normalized":[16,1]
,"cores":[16,1,26,1,32,7,43,1,47,7,57,1,60,7,96,1]
,"threads":[16,3,20,2,21,1,22,1,26,6,27,1,32,17,43,5,44,2,47,16,57,7,58,2,60,17,81,1,96,1]
,"contribute":[16,1]
,"execution":[16,1]
,"possible":[16,1,42,2,91,2,101,1]
,"greater":[16,1,47,1]
,"100":[16,1,23,3,76,2,98,1,99,1]
,"runs":[16,1,23,1,43,1,47,1,60,1]
,"multiple":[16,1,20,1,21,1,22,1,24,1,26,6,32,1,43,6,57,6,60,1,92,1,93,1]
,"busy":[16,1,17,1]
,"2.4.4.1":[17,1]
,"calculation":[17,1,18,1,42,1]
,"calculated":[17,1,18,1]
,"periodically":[17,1,21,1,27,1,31,1,44,1,58,1]
,"querying":[17,1]
,"times":[17,1,23,2,32,2,89,1,98,1]
,"difference":[17,1,24,1,29,1,30,1,31,2]
,"previous":[17,1,23,1]
,"average":[17,1,20,1]
,"interval":[17,1,21,1,23,1,53,1,66,1,80,1,82,1,83,1]
,"presented":[17,1]
,"percentage":[17,1]
,"2.4.4.2":[18,1]
,"resident":[18,1]
,"size":[18,1,32,1,47,2,53,1,60,2,66,1,87,1,90,1,93,4,99,1]
,"2.5":[19,1]
,"recorded":[19,1,20,1,22,2,27,2,30,1,31,1]
,"output":[19,1,20,1,30,1,31,2,37,3,41,2,52,3,55,2,65,2,68,2,80,5,81,3,82,1,83,1,87,1,90,4,92,8,94,1,100,1]
,"summary":[19,1,20,4,27,1,32,1,38,4,44,1,47,1,53,4,58,1,60,1,66,4,80,1,81,1]
,"file":[19,3,20,4,21,2,22,3,27,1,31,1,32,10,33,4,37,2,38,7,39,2,40,2,42,1,47,7,48,4,52,2,53,5,54,2,56,1,60,9,61,9,65,1,66,6,67,2,73,3,77,4,79,2,80,3,81,3,82,5,83,2,89,1]
,"statistics":[19,1,21,7,25,2,26,1,27,6,32,5,37,2,38,4,39,2,43,1,44,2,47,5,52,1,53,1,54,2,57,1,58,2,60,5,65,1,66,1,67,2,80,4,81,2,82,1,83,1]
,"2.5.1":[20,1]
,"records":[20,1,21,3,37,1,52,1,65,1]
,"run\u2019s":[20,2]
,"including":[20,1,31,1,42,1,46,1,59,1]
,"thread":[20,1,21,1,22,1,26,4,27,13,32,31,38,1,43,6,44,5,47,29,53,1,57,2,58,8,60,31,66,1,85,4,96,2,99,1]
,"details":[20,1,21,1,22,1,32,10,33,2,34,1,35,1,36,1,37,2,47,9,48,2,49,1,50,1,51,1,52,1,60,10,61,1,62,1,63,1,64,1,71,1,72,1,84,1]
,"chapter":[20,1,21,1,22,1,33,1,37,1,48,1,52,1,61,1,65,1]
,"emacppconsperf":[20,1,21,1,22,1,24,1,25,2,26,4,27,3,28,1,29,1,31,3,32,12,33,1,37,1,38,2,39,2,40,2,41,2,48,1,69,3,70,2,71,6,72,4,73,2,77,1,78,2,82,1]
,"application\u2019s":[20,1,92,1]
,"2.5.2":[21,1]
,"relevant":[21,1,93,1]
,"updates":[21,1,24,3,27,1,32,1,38,1,39,2,44,2,47,4,52,1,53,2,54,1,56,1,58,1,60,2,65,1,66,2,67,1,72,1,73,2,100,1]
,"posted":[21,1,25,1,31,1,72,1]
,"refresh":[21,1,23,1,25,2,27,2,33,1,42,1,48,1,53,1,56,1,66,1,72,1,73,2,100,1]
,"received":[21,3,24,1,25,1,26,1,29,1,30,1,31,1,32,5,37,1,38,3,39,2,43,1,47,5,52,2,53,2,54,3,55,2,60,4,80,1,82,1]
,"generic":[21,2,24,5,27,2,29,2,32,4,33,1,37,1,38,2,42,1,44,1,46,1,47,6,48,1,53,2,73,2,78,2]
,"per-thread":[21,1,22,1]
,"basis":[21,1,22,1]
,"generates":[21,1,24,1,42,1]
,"configure":[21,1,22,1,23,1,26,1,31,2,32,2,42,1,43,2,47,1,56,1,57,2,60,1,69,3,71,4,72,5,80,1,81,1,85,1,87,1,89,2,92,1]
,"recording":[21,1]
,"via":[21,1,29,1,30,1,57,1,72,1,85,1,89,1]
,"writestatsinterval":[21,1,80,1,82,1]
,"seconds":[21,1,32,2,47,2,60,2,80,1,82,1,97,1,100,1]
,"timed":[21,1,80,1]
,"nodisplaystats":[21,1,80,1]
,"prevents":[21,1]
,"stats":[21,1,38,1,53,2,66,3,81,1]
,"2.5.3":[22,1]
,"individual":[22,1,32,2,47,2,60,1,80,1,82,1,87,1,93,2,101,1]
,"useful":[22,1]
,"creating":[22,1,26,1,32,1,35,1,36,1,43,1,47,1,50,1,51,1,57,1,63,1,64,1]
,"plot":[22,1]
,"graphs":[22,1,83,2]
,"ensuring":[22,1]
,"latencies":[22,2,39,2,54,2,80,1,82,2,83,1,100,2]
,"troubleshooting":[22,1,97,1]
,"purposes":[22,1,32,1,47,1,60,1]
,"further":[22,1]
,"behavior":[22,1,32,1,47,1,60,1]
,"3.1":[23,1]
,"time-slicing":[23,1]
,"follow":[23,1]
,"controlling":[23,1]
,"divided":[23,1,27,1,44,1,57,1,58,1]
,"small":[23,1,87,2,88,2,98,1]
,"intervals":[23,4]
,"referred":[23,1]
,"ticks":[23,6,47,1,60,1]
,"during":[23,2,27,2,37,1,52,1,65,1,82,2,89,1,100,1]
,"main":[23,1,26,1,27,3,32,4,43,1,44,3,47,4,57,1,58,3,60,4]
,"loop":[23,4,32,1,47,1,60,1]
,"iteration":[23,1]
,"per":[23,5,32,7,47,6,60,5,98,1]
,"tick":[23,13,24,1,32,4,38,1,47,4,53,1,58,1,60,4,66,1]
,"performs":[23,1,25,1,27,2,42,1,56,1]
,"action":[23,1,76,10]
,"waits":[23,1,27,1]
,"until":[23,2,27,4,44,1,97,2]
,"next":[23,3,60,2]
,"starting":[23,1,24,1,95,1,97,3]
,"again":[23,1,91,1]
,"observe":[23,1]
,"burst":[23,2,24,1,27,2,44,2,53,1,58,1,60,2,66,1]
,"wait":[23,1,32,1,97,2]
,"notification":[23,1]
,"indicates":[23,1,32,2,47,1,60,1]
,"connections":[23,1,26,2,32,4,36,1,43,3,44,1,47,2,57,1,60,2,62,1,89,1]
,"available":[23,1,25,1,27,1,32,1,44,2,91,1,92,1,97,1]
,"continue":[23,1]
,"waiting":[23,1,86,1,92,1]
,"-tickrate":[23,2,32,3,47,3,60,2]
,"option":[23,1,26,3,32,3,43,2,47,2,57,2,60,5,96,1]
,"determines":[23,1,60,1,91,1]
,"occur":[23,2]
,"10-millisecond":[23,1]
,"note":[23,1,24,1,43,1,47,3,60,3,62,1,82,1,83,1,87,1]
,"affect":[23,1]
,"round":[23,1]
,"trip":[23,1]
,"feature":[23,1,26,1,84,1]
,"adjust":[23,1]
,"fit":[23,1,93,1]
,"wants":[23,1,32,1,47,1,60,1]
,"100,000":[23,1,98,1]
,"1,000":[23,1]
,"adjusting":[23,1,32,1,47,1,60,1]
,"affects":[23,1]
,"smoothness":[23,1]
,"traffic":[23,1,27,1,32,1,47,1,60,1,72,2,100,1]
,"defining":[23,1]
,"amount":[23,1,82,1,91,2,94,1,97,1]
,"bursts":[23,1,24,1,27,1,31,1,32,2,47,2,60,2]
,"slicing":[23,1]
,"algorithm":[23,2,88,4,94,1]
,"depending":[23,1,85,1,90,1]
,"spare":[23,1,44,2,58,2]
,"perform":[23,1,27,1,58,2,69,1,101,1]
,"actions":[23,1,27,2,58,1]
,"emacppiprovperf":[23,1,25,1,42,2,43,4,44,4,45,2,46,1,47,16,52,1,53,2,54,2,55,2,69,2,70,2,73,1]
,"emacppniprovperf":[23,1,56,3,57,1,58,5,59,1,60,16,61,3,65,1,66,2,67,2,68,2,71,6,72,4,73,1,77,1]
,"sends":[23,1,24,1,27,3,31,1,32,1,78,1]
,"remaining":[23,1,27,2,44,2,58,2]
,"outstanding":[23,1]
,"refreshes":[23,1,38,1,58,1,60,1,71,2,73,1]
,"always":[23,1,43,1,85,1,87,1]
,"fixed":[23,1]
,"progress":[23,1]
,"regardless":[23,1,56,1]
,"i.e":[23,1,47,1,60,1,78,1,87,1]
,"40ms":[23,1]
,"helps":[23,1]
,"maintain":[23,1]
,"constant":[23,1]
,"messaging":[23,1]
,"irregularities":[23,1]
,"timing":[23,1,24,1]
,"current":[23,1,24,2,29,2,30,1,31,3,46,2,59,2]
,"corrected":[23,1]
,"subsequent":[23,1,27,2,58,1,89,1,91,1]
,"3.2":[24,1]
,"embedded":[24,2]
,"receiving":[24,3,32,3,84,1,92,1,93,1]
,"compares":[24,3,31,1,46,1,59,1]
,"randomly":[24,1]
,"chosen":[24,1]
,"instrument":[24,1]
,"codes":[24,1]
,"high-resolution":[24,1]
,"non-decreasing":[24,1]
,"varies":[24,1]
,"platforms":[24,1]
,"synchronized":[24,1]
,"machines":[24,1]
,"measurements":[24,3,44,1,58,1]
,"require":[24,2,62,1,94,1]
,"posting":[24,1,27,1,31,4,32,2,38,2,39,5,72,5,73,2,77,1,78,1]
,"sending":[24,1,47,1,56,1,57,1,60,1,84,1,88,1,92,1]
,"contains":[24,1,30,1,31,1,60,1,77,1]
,"microseconds":[24,1,82,1]
,"epoch":[24,1]
,"standard":[24,1]
,"initiated":[24,1]
,"encodes":[24,1,46,1,47,1,59,1,60,1,73,1,87,1,93,1,95,1]
,"piece":[24,1]
,"pre-determined":[24,1]
,"field":[24,2,29,4,31,1,32,1,46,3,59,1,74,1,95,1]
,"identifier":[24,2]
,"side":[24,1,93,1]
,"incoming":[24,1,58,1,98,1]
,"looks":[24,1]
,"known":[24,1]
,"takes":[24,1,86,1]
,"outputting":[24,1]
,"4.1":[25,1]
,"requests":[25,6,27,2,32,3,37,1,38,1,42,1,44,2,52,1,53,1,54,1,55,2,56,1,60,1,71,1,78,1,97,1,98,2]
,"responses":[25,1]
,"thus":[25,1,87,1,92,1,95,1]
,"makes":[25,1,91,1]
,"large":[25,1,82,1,87,3,90,1,91,2,93,1]
,"corresponding":[25,1]
,"collects":[25,1,26,1,27,2,32,1,43,1,44,2,47,1,57,1,58,1,60,1]
,"regarding":[25,1]
,"count":[25,1,38,2,47,1,60,1,66,1,71,1]
,"implements":[25,1,42,1,56,1]
,"calculating":[25,1]
,"post":[25,1,27,1,31,3,32,2,37,1,44,1,46,1,73,1,78,1,79,7,82,1]
,"startup":[25,1,27,4,38,1,100,1]
,"administrative":[25,1,42,1,56,1]
,"tasks":[25,2,42,2,56,2]
,"logging":[25,1,32,1,47,1]
,"obtaining":[25,1]
,"maybe":[25,1]
,"dictionary":[25,1,33,1,35,1,42,1,48,1,61,1,74,1]
,"satisfied":[25,1]
,"correct":[25,1,32,1,34,1,47,1,49,1,60,1,62,1,74,1,97,2]
,"service":[25,1,27,2,32,2,38,1,56,2,58,1,60,3,66,1,69,2,71,2,72,3,97,3,98,1]
,"accepting":[25,1,97,1]
,"begins":[25,1,27,2,32,1,58,3,95,1]
,"complete":[25,1,42,1,44,1,56,1,58,1]
,"start-up":[25,1]
,"4.2":[26,1]
,"threading":[26,1,43,1,57,1]
,"scaling":[26,1,43,1,57,1,81,1]
,"calls":[26,1,43,1,86,2,87,1,91,1]
,"scale":[26,1,32,1,43,1,47,1,57,1,60,1]
,"leverage":[26,1]
,"handle":[26,1,43,1,44,1,57,1]
,"-threads":[26,1,32,7,43,1,47,6,57,1,60,7,96,1]
,"command-line":[26,1,32,1,43,2,47,1,57,1,60,1,69,1,70,1,71,1,72,1]
,"opens":[26,1,27,1,32,1,57,1]
,"divides":[26,1]
,"among":[26,1,57,1]
,"command":[26,2,27,1,29,1,32,2,47,2,60,3,72,1]
,"line":[26,2,27,1,29,1,32,2,47,2,60,3,72,1]
,"-commonitemcount":[26,1,32,1,60,1]
,"type":[26,1,36,2,40,1,42,1,51,1,62,1,64,1,72,1,74,1,82,1,101,1]
,"monitors":[26,1,43,1,57,1]
,"configures":[26,1,32,14,43,1,47,6,58,1,60,6,77,1]
,"dispatch":[26,1,32,7,43,1,47,7,60,7,85,4,91,2]
,"inside":[26,1,43,1]
,"-useuserdispatch":[26,1,32,2,43,1,47,2,60,2]
,"4.2.1":[27,1]
,"lifecycle":[27,3,44,2,58,3]
,"initialization":[27,1,44,1,58,1]
,"loads":[27,2,44,2,58,2]
,"initializes":[27,1,44,1,58,1]
,"specified":[27,2,31,1,32,22,44,1,47,21,58,2,60,21,86,1,93,1]
,"starts":[27,1,42,1,44,1,56,1,58,1]
,"emaconfig.xml":[27,1,32,4,34,2,42,1,44,1,47,3,49,2,56,1,60,3,61,1,62,2]
,"writes":[27,2,32,1,44,2,58,1,87,3]
,"steps":[27,1]
,"performed":[27,1]
,"fails":[27,1]
,"continually":[27,3,58,1]
,"attempts":[27,1]
,"reconnect":[27,1]
,"succeeds":[27,2,58,1]
,"disconnection":[27,1,58,1]
,"ends":[27,1,58,1]
,"login":[27,2,32,2,38,1,42,1,44,2,56,1,58,2]
,"leverages":[27,1,43,1,84,1]
,"provider\u2019s":[27,1,47,3,60,4,97,2,100,1]
,"response":[27,1]
,"stream":[27,1,31,1]
,"searches":[27,1]
,"name":[27,1,32,12,35,3,36,4,38,1,47,6,50,3,51,5,53,1,60,3,63,3,64,5,66,2,69,1,71,1,72,1,77,1,78,3,79,18]
,"state":[27,5,32,1,38,4,71,1,83,1,89,1,98,2,100,2]
,"phase":[27,5,58,1]
,"desired":[27,1,73,1,97,2]
,"continues":[27,2,32,1]
,"containing":[27,1,47,1,60,2,82,1,93,1]
,"point":[27,1,87,1]
,"steady":[27,3,32,1,38,3,83,1,98,2,100,2]
,"period":[27,1,58,1]
,"shutdown":[27,1,44,1,58,1]
,"cleanup":[27,1,44,1,58,1]
,"disconnects":[27,1,58,1]
,"stops":[27,1,44,1,58,1]
,"cleans":[27,1,44,2,58,2]
,"uninitializes":[27,1]
,"resources":[27,1,44,1,58,1]
,"exits":[27,1,32,2,44,1,58,1]
,"4.2.2":[28,1]
,"flow":[28,2,44,1,45,3,58,1]
,"4.3":[29,1]
,"encode":[29,2,31,1,33,1,46,1,48,1,53,1,59,1,66,1,73,1,74,1]
,"part":[29,2,30,1,46,1,59,1]
,"initial":[29,1,100,2]
,"tim_trk_1":[29,1,46,1,59,1]
,"3902":[29,1,46,1,59,1]
,"tim_trk_3":[29,2,46,1]
,"3904":[29,2,46,1]
,"detected":[29,1]
,"gets":[29,1]
,"computes":[29,1]
,"stored":[29,1]
,"detect":[29,1]
,"subtracting":[29,1]
,"4.3.1":[30,1]
,"sequence":[30,1,31,1,46,1,59,1]
,"underlying":[30,1,31,1,46,1,59,1,86,1,87,1,88,1,89,4,90,1,91,2,94,1]
,"check":[30,1,31,1,97,6]
,"store":[30,1,31,1]
,"result":[30,1,31,1,47,1,60,1,89,1,94,1]
,"4.3.2":[31,1]
,"on-stream":[31,1]
,"posts":[31,2,32,2,41,7,52,1,54,1,72,1,73,2,78,1]
,"case":[31,1,32,1,60,1,80,1,87,1,89,1]
,"manner":[31,1,73,1]
,"adds":[31,1]
,"returns":[31,2,91,1]
,"obtain":[31,1]
,"rsslgetbuffer":[31,1]
,"pass":[31,1,46,1,59,1,87,2,89,2]
,"passes":[31,1,46,1,59,1,86,1,87,2,89,1,93,1]
,"tim_trk_2":[31,1,46,1]
,"3903":[31,1,46,1]
,"4.4":[32,1]
,"setup":[32,2,34,1,47,2,49,1,60,2,62,1,72,1]
,"section":[32,5,34,2,35,3,36,4,47,5,49,2,50,3,51,5,60,6,62,2,63,3,64,5,84,1]
,"group":[32,2,34,2,47,2,49,2,60,2,62,2,86,1,89,1,91,1]
,"channel":[32,3,34,3,35,3,36,8,60,3,62,3,63,3,64,9,86,2,89,1,91,1,92,1]
,"4.5.1":[32,1,34,1]
,"-consumername":[32,2,69,1,70,1,71,1]
,"specify":[32,3,36,2,47,3,60,3,64,3,85,1]
,"description":[32,1,47,1,60,1,78,1,81,1]
,"-apithreads":[32,2,47,2,60,2]
,"specifies":[32,17,47,20,60,25,77,1,78,2,81,3]
,"core":[32,20,47,20,60,21,96,1]
,"bound":[32,17,47,17,60,16]
,"parameter":[32,3,47,3,51,1,60,3,81,1,82,1,86,1,88,1,91,1,92,1,93,1]
,"mode":[32,1,47,1,60,1,97,1,98,1]
,"bind":[32,12,47,14,60,15]
,"architecture":[32,1,47,1,60,1]
,"mapping":[32,6,47,6,60,6]
,"p:x":[32,7,47,7,60,7]
,"c:y":[32,7,47,7,60,7]
,"t:z":[32,7,47,7,60,7]
,"logical":[32,12,47,11,60,11]
,"binding":[32,9,47,8,60,8,96,2]
,"binds":[32,3,47,3,60,3]
,"processor":[32,15,47,15,60,15]
,"syntax":[32,3,47,3,60,3]
,"refers":[32,12,47,12,60,12]
,"specifying":[32,3,47,4,60,4,72,1]
,"causes":[32,3,47,4,60,4,98,1]
,"instead":[32,3,47,5,60,5,87,3]
,"means":[32,3,47,4,60,4]
,"1,3":[32,3,47,3,60,3]
,"matched":[32,2,47,2,60,2]
,"rsslbindthread":[32,4,47,4,60,4]
,"created":[32,2,47,1,60,2,82,1,83,1,91,2,92,1]
,"normally":[32,1,60,1]
,"unique":[32,1,60,1]
,"perf_consumer_":[32,1]
,"xml":[32,1,33,1,47,1,48,1,60,1,61,3,73,2]
,".configures":[32,1]
,"-delaysteadystatecalc":[32,1]
,"duration":[32,1,38,3]
,"milliseconds":[32,1]
,"last":[32,2]
,"-genericmsglatencyrate":[32,1,47,2]
,"controls":[32,4,47,1,60,1,92,1]
,"less":[32,4,47,4,60,2]
,"equal":[32,2,43,1,47,2,60,1]
,"total":[32,3,47,2,55,4,60,3,68,1]
,"-genericmsgrate":[32,2,47,2]
,"cannot":[32,2,47,2,60,1,89,1,92,1,101,1]
,"unless":[32,2,47,2,60,1]
,"zero":[32,2,47,2]
,"-itemcount":[32,1,57,1,60,1]
,"100000":[32,1,38,3,39,1,41,2,47,1,53,1,54,1,55,4,60,2,64,2,66,1,68,2]
,"-itemfile":[32,1,60,1]
,"-latencyfile":[32,1,47,1,81,1]
,"none":[32,5,47,3,53,1,60,1,78,2,81,1]
,"log":[32,1,38,1,42,1,47,1,53,1]
,"logs":[32,1,47,1,56,1]
,"retrieved":[32,1,47,1]
,"disabled":[32,1,47,1,69,1]
,"-mainthread":[32,1,47,1,60,1]
,"working":[32,1,43,2,47,1,60,1,95,1]
,"prints":[32,1,47,1,60,1]
,"-msgfile":[32,1,47,1,60,1]
,"makeup":[32,1]
,"input":[32,1,33,3,47,1,48,3,60,2,61,4,90,4,91,8,92,1]
,"8.1":[32,1,47,1,60,1,73,1]
,"-nodisplaystats":[32,1,47,1,60,1]
,"argument":[32,4,47,5,60,6]
,"turns":[32,1,47,1,60,2]
,"printing":[32,1,47,1,60,1]
,"screen":[32,2,47,2,60,2]
,"-postinglatencyrate":[32,1,72,1]
,"-postingrate":[32,2,72,1]
,"-requestrate":[32,1]
,"35000":[32,1,38,1]
,"-servicename":[32,1,60,1,69,1,70,1,71,2,72,2]
,"direct_feed":[32,1,38,1,60,1,70,1]
,"whenever":[32,1,47,1]
,"found":[32,1]
,"appears":[32,1,99,1]
,"ready":[32,1]
,"-snapshot":[32,1]
,"snapshots":[32,1,38,1]
,"even":[32,1,99,1]
,"upon":[32,1,86,1,93,1]
,"solicited":[32,1]
,"different":[32,1,72,1,80,1,90,1,92,2,94,1,96,1]
,"setting":[32,1,78,1,92,1,97,1]
,"-steadystatetime":[32,2]
,"specifically":[32,1]
,"made":[32,1,60,1]
,"without":[32,1,70,1,72,1,78,1,86,1]
,"streaming":[32,1]
,"requestmsg":[32,1]
,"flag":[32,1,78,1]
,"-sptlsv1.2":[32,1]
,"tlsv1.2":[32,1]
,"openssl-based":[32,2]
,"encrypted":[32,2,36,2,51,1,64,2]
,"-sptlsv1.3":[32,1]
,"tlsv1.3":[32,1]
,"-statsfile":[32,1,47,1,60,1,81,1]
,"consstats":[32,1,38,1]
,"base":[32,1,47,2,60,2]
,"300":[32,1,38,1]
,"long":[32,1,44,1,58,1]
,"steadystatetime":[32,1,98,2]
,"function":[32,1,86,2]
,"beginning":[32,1]
,"segment":[32,1]
,"reach":[32,1,98,1]
,"-summaryfile":[32,1,47,1,60,1,81,1]
,"conssummary.out":[32,1,38,1]
,"serves":[32,1,47,1,60,1]
,"defines":[32,1,47,1,60,1]
,"parallel":[32,1,47,1,60,1]
,"horizontally":[32,1,47,1,60,1]
,"0,1":[32,1,47,1,60,1]
,"p:0":[32,2,47,2,60,2]
,"c:0":[32,2,47,2,60,2]
,"t:0":[32,1,47,1,60,1]
,"t:1":[32,1,47,1,60,1]
,"comma":[32,1,47,1,60,1]
,"separated":[32,1,47,1,60,1]
,"may":[32,2,47,2,60,2,71,1,98,1,99,1]
,"formatted":[32,1,47,1,60,1]
,"follows":[32,1,47,1,60,1,70,1,72,1,81,1]
,"creates":[32,1,43,1,47,1,60,1,87,1,92,1,97,1]
,"establish":[32,1]
,"respectively":[32,2,47,2,60,1]
,"conjunction":[32,1,47,1,60,1,86,1]
,"-workerthreads":[32,2,47,2,60,2]
,"1000":[32,1,38,1,47,1,53,2,55,4,60,1,66,1,75,1,76,2,87,1]
,"\u0027ticks":[32,1]
,"occurs":[32,1,86,1]
,"changes":[32,1,47,1,60,1]
,"smaller":[32,1,47,1,60,1]
,"smoother":[32,1,47,1,60,1]
,"-uname":[32,1]
,"unspecified":[32,1]
,"-useserviceid":[32,1,60,1]
,"adding":[32,1]
,"serviceid":[32,1]
,"select":[32,2,47,2,60,2]
,"additional":[32,1,47,1,60,1,70,1,89,2,91,1,94,1]
,"responsible":[32,1,47,1,60,1]
,"dispatching":[32,1,47,1,60,1,85,2]
,"dispatches":[32,1,47,1,60,1]
,"-websocket":[32,1]
,"websocket":[32,1,36,1,51,1]
,"rssl.json.v2":[32,1,51,2]
,"rssl.rwf":[32,1,51,2]
,"worker":[32,3,47,3,60,3]
,"-writestatsinterval":[32,1,47,1,60,1]
,"frequency":[32,1]
,"printed":[32,1,47,1,60,1]
,"4.5":[33,1]
,"requires":[33,1,48,1,61,1,94,1]
,"validate":[33,1,48,1,61,1]
,"fields":[33,1,35,1,36,3,48,1,50,2,51,2,61,1,63,1,64,4,74,3]
,"4.5.1.1":[35,1]
,"perf_consumer_1":[35,1,69,1,70,1,71,1]
,"perf_channel_1":[35,1,36,1,69,1,71,1,72,1]
,"logger":[35,1,50,1,63,1]
,"logger_1":[35,1,50,1,63,1]
,"dictionary_1":[35,1]
,"maxdispatchcountapithread":[35,1,50,1,85,1]
,"6500":[35,2]
,"maxdispatchcountuserthread":[35,1,50,1,85,1]
,"4.5.1.2":[36,1]
,"channeltype":[36,6,64,8]
,"tcp":[36,2,51,1,64,2,72,2,88,1,89,1,97,2]
,"port":[36,4,51,2,64,4,69,3,71,2,72,2,97,2]
,"opensslcastore":[36,2,64,2]
,":rssl_socket":[36,2,51,1,64,2]
,"compressiontype":[36,4,51,6]
,":none":[36,2,51,3]
,"guaranteedoutputbuffers":[36,2,51,3,64,2,99,2]
,"5000":[36,2,99,2]
,"numinputbuffers":[36,2,51,1,91,1]
,"2048":[36,2]
,"connectionpingtimeout":[36,2,51,3,64,2]
,"30000":[36,2,51,3,64,2]
,"tcpnodelay":[36,2,51,3,64,2,88,1]
,"directwrite":[36,1,51,1,86,2]
,"localhost":[36,2]
,"14002":[36,2,51,2,69,1,71,1,72,2]
,"perf_channel_encr_1":[36,1]
,":rssl_encrypted":[36,1,51,1,64,1]
,"encryptedprotocoltype":[36,2,64,2]
,"rootca.crt":[36,1]
,"4.6":[37,1]
,"4.6.1":[38,1]
,"sample":[38,2,39,2,40,2,41,2,44,1,53,2,54,2,55,2,58,1,66,2,67,2,68,2,73,1,75,2,76,2,77,1,79,2,82,1,83,3]
,"---":[38,4,53,4,66,4]
,"inputs":[38,1,53,1,66,1]
,"delay":[38,1,97,1]
,"useuserdispatch":[38,1,53,1,66,1]
,"mainthread":[38,1,53,1,66,1]
,"apithread":[38,1]
,"username":[38,1]
,"msg":[38,2,39,1,53,2]
,"latencylog":[38,1]
,"sec":[38,4,39,1]
,"4.278":[38,2]
,"avg":[38,9,39,3,41,7,53,2,54,1,66,2]
,"usec":[38,12,39,12,40,1,41,7,54,4,82,1]
,"139.2":[38,1]
,"std":[38,3,39,3,54,1]
,"dev":[38,3,39,3,54,1]
,"53.5":[38,1]
,"max":[38,5,39,3,41,7,53,2,54,1,66,2]
,"229.0":[38,1]
,"min":[38,5,39,3,41,7,53,2,54,1,66,2]
,"58.0":[38,1]
,"257":[38,1]
,"41.638":[38,1]
,"81.8":[38,2]
,"26.3":[38,1,39,2,41,1]
,"380.0":[38,2,39,1]
,"42.0":[38,2,39,1]
,"46737":[38,1]
,"45.916":[38,1]
,"26.4":[38,1]
,"genmsg":[38,1,39,6,53,1,54,6,78,1,79,1]
,"97.49":[38,1,39,1,41,1]
,"29.76":[38,1,39,1,41,1]
,"40.66":[38,1]
,"338.33":[38,1,39,4]
,"338.21":[38,1,39,1]
,"338.31":[38,1]
,"1947134":[38,1]
,"23377":[38,1,41,1]
,"42409":[38,1]
,"4.6.2":[39,1]
,"utc":[39,1,54,1,67,1]
,"genmsgs":[39,2,54,2]
,"2021-06-02":[39,9]
,"13:07:27":[39,1]
,"189":[39,1,41,1]
,"81.5":[39,1,41,1]
,"35.6":[39,1,41,1]
,"230.0":[39,1]
,"51.0":[39,4]
,"3777":[39,1,41,1]
,"0.0":[39,72,54,40]
,"13:07:32":[39,1]
,"2399":[39,1,41,1]
,"81.7":[39,2,41,2]
,"258.0":[39,1]
,"52.0":[39,4]
,"48034":[39,1,41,1]
,"33.32":[39,1,41,1]
,"338.30":[39,4]
,"13:07:37":[39,1]
,"2362":[39,1,41,1]
,"81.2":[39,1,41,1]
,"25.0":[39,1,41,1]
,"224.0":[39,1]
,"47239":[39,1,41,1]
,"31.83":[39,1,41,1]
,"13:07:42":[39,1]
,"2378":[39,1,41,1]
,"80.5":[39,1,41,1]
,"24.4":[39,1,41,1]
,"255.0":[39,1]
,"47566":[39,1,41,1]
,"34.31":[39,1,41,1]
,"13:07:47":[39,1]
,"2372":[39,1,41,1]
,"81.9":[39,1,41,1]
,"25.5":[39,1,41,1]
,"252.0":[39,1]
,"47425":[39,1,41,1]
,"30.63":[39,1,41,1]
,"13:07:52":[39,1]
,"2347":[39,1,41,1]
,"82.2":[39,1,41,1]
,"26.1":[39,1,41,1]
,"292.0":[39,1]
,"46970":[39,1,41,1]
,"34.64":[39,1,41,1]
,"13:07:58":[39,1]
,"2387":[39,1,41,1]
,"26.8":[39,1,41,1]
,"47702":[39,1,41,1]
,"13:08:03":[39,1]
,"2319":[39,1]
,"84.3":[39,1]
,"29.3":[39,1]
,"263.0":[39,1]
,"46387":[39,1]
,"36.86":[39,1]
,"13:08:08":[39,1]
,"2366":[39,1]
,"81.1":[39,1]
,"373.0":[39,1]
,"47336":[39,1]
,"37.11":[39,1]
,"4.6.3":[40,1]
,"upd":[40,15,82,5]
,"18873718238":[40,1]
,"18873718467":[40,1]
,"229":[40,1]
,"18873722250":[40,1]
,"18873722385":[40,1]
,"135":[40,1]
,"18873736516":[40,1]
,"18873736631":[40,1]
,"115":[40,2]
,"18873748001":[40,1]
,"18873748170":[40,1]
,"169":[40,1]
,"18873774757":[40,1]
,"18873774824":[40,1]
,"18873816382":[40,1]
,"18873816497":[40,1]
,"18873901823":[40,1]
,"18873902021":[40,1]
,"198":[40,1]
,"18874110183":[40,1]
,"18874110345":[40,1]
,"162":[40,1]
,"18874571156":[40,1]
,"18874571334":[40,1]
,"178":[40,1]
,"18875361684":[40,1]
,"18875361789":[40,1]
,"105":[40,1]
,"18876606790":[40,1]
,"18876606848":[40,1]
,"18877995128":[40,1]
,"18877995186":[40,1]
,"18877995646":[40,1]
,"18877995699":[40,1]
,"18877998936":[40,1]
,"18877998991":[40,1]
,"18878001029":[40,1]
,"18878001099":[40,1]
,"4.6.4":[41,1]
,"005":[41,1,55,1,68,1]
,"updrate":[41,7,55,10,68,10]
,"mem":[41,7,55,10,68,10]
,"338.21mb":[41,1]
,"stddev":[41,7]
,"230":[41,1]
,"msgs":[41,7]
,"4.278s":[41,1]
,"010":[41,1,55,1,68,1]
,"338.30mb":[41,4]
,"258":[41,1]
,"015":[41,1,55,1,68,1]
,"224":[41,1]
,"020":[41,1,55,1,68,1]
,"255":[41,1]
,"025":[41,1,55,1,68,1]
,"252":[41,1]
,"030":[41,1,55,1,68,1]
,"338.33mb":[41,2]
,"292":[41,1]
,"035":[41,1,55,1,68,1]
,"380":[41,1]
,"5.1":[42,1]
,"connected":[42,1,44,1,58,1]
,"respond":[42,1]
,"status":[42,1,71,1]
,"indicating":[42,1]
,"failure":[42,1,89,1]
,"production":[42,1]
,"performing":[42,1,58,1]
,"internally":[42,1,86,1]
,"customizable":[42,1]
,"new":[42,1,89,1]
,"established":[42,1,90,1]
,"optionally":[42,1]
,"incorporates":[42,1,56,1]
,"add":[42,1,56,1,76,1]
,"5.2":[43,1]
,"least":[43,1,73,3]
,"balanced":[43,1]
,"establishes":[43,1]
,"implemented":[43,1]
,"logic":[43,1]
,"level\u2019s":[43,1]
,"5.3":[44,1]
,"currently":[44,1,76,1]
,"existing":[44,1]
,"reflected":[44,1,52,1,54,1]
,"need":[44,1,72,1]
,"enough":[44,1,58,1,77,1,93,1]
,"5.3.1":[45,1]
,"shows":[45,1,72,1]
,"5.4":[46,1]
,"consperf":[46,1]
,"5.5":[47,1]
,"iprovider":[47,2,49,2,50,5]
,"5.6.1":[47,1,49,1]
,"-providername":[47,2,60,2,69,1,70,1,71,1]
,"-latencyupdaterate":[47,2,60,2,72,1]
,"-updaterate":[47,2,60,2,72,1]
,"-maxpackcount":[47,1,60,1]
,"maximum":[47,1,60,1,85,1,90,1,93,5,99,1]
,"packed":[47,1,60,1]
,"enabled":[47,2,60,2,69,1,71,1,72,1,78,2]
,"-measureencode":[47,1,60,1]
,"produced":[47,2,60,2,81,3,82,1]
,"-measuredecode":[47,1,60,1]
,"-nanotime":[47,1,60,1]
,"nanosecond":[47,1,53,1,60,1,66,1]
,"precision":[47,1,60,1]
,"microsecond":[47,1,60,1]
,"-packbufsize":[47,1,60,1]
,"6000":[47,1,60,1]
,"maxpackcount":[47,1,60,1]
,"perf_provider_":[47,1]
,"-preenc":[47,1,60,1]
,"pre-encoding":[47,1,60,1]
,"template":[47,1,60,1]
,"real":[47,1,60,1,83,1]
,"decreases":[47,1,60,1]
,"required":[47,2,60,2,78,2]
,"preparation":[47,1,60,1]
,"-runtime":[47,1,60,1]
,"360":[47,1,53,1,60,1,66,1]
,"length":[47,1,60,1]
,"provstats":[47,1]
,"write":[47,2,53,1,60,2,66,1,86,1,89,1]
,"provsummary.out":[47,1]
,"publish":[47,1,58,1,60,3,61,1,98,1]
,"cycles":[47,1,60,1]
,"completed":[47,1,95,1]
,"cpus":[47,1,96,1]
,"threads.by":[47,1]
,"often":[47,1,60,2]
,"5.6":[48,1]
,"5.6.1.1":[50,1]
,"perf_provider":[50,1,69,1,70,1]
,"perf_server_1":[50,1,51,1,69,1]
,"directory_2":[50,1,69,1]
,"itemcounthint":[50,1]
,"10000":[50,2,51,1,66,2,67,1,68,2,72,1]
,"servicecounthint":[50,1]
,"catchunhandledexception":[50,1]
,"500":[50,2,76,2,87,2]
,"refreshfirstrequired":[50,1]
,"5.6.1.2":[51,1]
,"servertype":[51,10]
,"wsprotocols":[51,3]
,"rssl_websocket":[51,1]
,"rssl_encrypted":[51,1]
,"servercert":[51,2]
,"serverprivatekey":[51,2]
,"50000":[51,3,64,1]
,"highwatermark":[51,1,86,2]
,"6144":[51,3,87,1]
,"interfacename":[51,1,64,2]
,"maxfragmentsize":[51,2,91,1,93,1]
,"sysrecvbufsize":[51,1,89,1]
,"65535":[51,2]
,"syssendbufsize":[51,1,89,1]
,"perf_server_websock_1":[51,1]
,":rssl_websocket":[51,1]
,"tr_json2":[51,2]
,"perf_server_encr_1":[51,1]
,"cert":[51,2]
,"localhost.crt":[51,1]
,"localhost.key":[51,1]
,"ciphersuite":[51,1]
,"5.7":[52,1]
,"5.7.1":[53,1]
,"perf_provider_1":[53,1]
,"cpuid":[53,1,66,1]
,"iprovsummary.out":[53,1]
,"display":[53,1,66,1]
,"pre-encoded":[53,1,66,1]
,"52733":[53,1]
,"163.90":[53,1,54,1,55,1]
,"99.81":[53,1,54,1,55,1]
,"113.08":[53,1]
,"546.78":[53,1,54,9]
,"546.68":[53,1,54,1]
,"546.77":[53,1]
,"5.7.2":[54,1]
,"2021-06-04":[54,10]
,"18:23:47":[54,1]
,"97066":[54,1,55,2]
,"125.53":[54,1,55,1]
,"18:23:52":[54,1]
,"2934":[54,1,55,1]
,"9189":[54,1]
,"102.13":[54,1,55,1]
,"18:23:57":[54,1]
,"5004":[54,2]
,"100.23":[54,1,55,1]
,"18:24:02":[54,1]
,"5002":[54,1]
,"102.15":[54,1,55,1]
,"18:24:07":[54,1]
,"4993":[54,1]
,"99.83":[54,1,55,1]
,"18:24:12":[54,1]
,"99.92":[54,1,55,1]
,"18:24:17":[54,1]
,"4994":[54,2]
,"18:24:22":[54,1]
,"5001":[54,1]
,"112.18":[54,1,55,1]
,"18:24:27":[54,1]
,"5005":[54,1]
,"18:24:32":[54,1]
,"125.14":[54,1,55,1]
,"5.7.3":[55,1]
,"546.68mb":[55,1]
,"1837":[55,1]
,"546.78mb":[55,9]
,"998":[55,3]
,"040":[55,1,68,1]
,"045":[55,1,68,1]
,"1001":[55,1]
,"050":[55,1,68,1]
,"6.1":[56,1]
,"publishes":[56,3]
,"connecting":[56,2,69,1,70,1,71,1,97,2,99,1]
,"cache":[56,1,69,1,71,3,72,1,96,1,98,1]
,"supported":[56,1,72,1,74,1]
,"logins":[56,1]
,"6.2":[57,1]
,"6.3":[58,1]
,"cycling":[58,1]
,"collecting":[58,1]
,"operation":[58,1]
,"needed":[58,1,60,1,77,1,91,1]
,"left":[58,1]
,"6.4":[59,1]
,"6.5":[60,1]
,"niprovider":[60,3,62,2,63,5]
,"niprovidergroup":[60,1,62,1]
,"6.6.1":[60,1,62,1]
,"-cert":[60,1]
,"certificate":[60,1]
,"encryption":[60,2]
,"8.2":[60,1,77,1]
,"-key":[60,1]
,"private":[60,1]
,"key":[60,1,76,10,89,1]
,"perf_niprovider_":[60,1]
,"-refreshburstsize":[60,1]
,"checks":[60,1]
,"checking":[60,1]
,"expensive":[60,1]
,"-serviceid":[60,2]
,"niprovstats":[60,1,66,1]
,"filename":[60,2,81,3]
,"provider\u0027s":[60,2]
,"niprovsummary.out":[60,1,66,1]
,"6.6":[61,1]
,"initializing":[61,1]
,"present":[61,1]
,"details8":[61,1]
,"software":[62,1,71,1,72,1,83,1]
,"installation":[62,1,71,1,72,1]
,"manuals":[62,1]
,"6.6.1.1":[63,1]
,"perf_niprovider":[63,1,66,1]
,"perf_nip_channel_1":[63,1,64,1,71,1,72,1]
,"perf_directory_1":[63,1,71,1,72,1]
,"xmltracetostdout":[63,1]
,"6.6.1.2":[64,1]
,"recvaddress":[64,2]
,"recvport":[64,2]
,"sendaddress":[64,2]
,"sendport":[64,2]
,"unicastport":[64,2]
,"reliable":[64,2,101,1]
,"multi-cast":[64,2]
,"adh_ip_address":[64,1]
,"14003":[64,1,71,1,72,2]
,"perf_nip_channel_mcast_1":[64,1]
,":rssl_reliable_mcast":[64,1]
,"mcast_recv_ip_address":[64,1]
,"mcast_recv_port":[64,1]
,"mcast_send_ip_address":[64,1]
,"mcast_send_port":[64,1]
,"ip_address":[64,1]
,"perf_nip_channel_encr_1":[64,1]
,"adh_ap_address":[64,1]
,"adh_rsslserverport":[64,1]
,"myca.pem":[64,1]
,"6.7":[65,1]
,"6.7.1":[66,1]
,"ni_pub":[66,1]
,"5323442":[66,1]
,"67.68":[66,1,67,1,68,1]
,"60.09":[66,1,67,1,68,1]
,"62.81":[66,1]
,"555.56":[66,1,67,1]
,"472.52":[66,1,67,1]
,"514.23":[66,1]
,"6.7.2":[67,1]
,"2021-06-08":[67,10]
,"15:11:50":[67,1]
,"465383":[67,1]
,"63.14":[67,1,68,1]
,"15:11:55":[67,1]
,"499995":[67,1]
,"64.26":[67,1,68,1]
,"482.06":[67,1]
,"15:12:00":[67,1]
,"500022":[67,1]
,"62.47":[67,1,68,1]
,"491.62":[67,1]
,"15:12:05":[67,1]
,"500000":[67,2]
,"500.39":[67,1]
,"15:12:10":[67,1]
,"499948":[67,1]
,"61.46":[67,1,68,1]
,"509.67":[67,1]
,"15:12:15":[67,1]
,"500052":[67,1]
,"518.95":[67,1]
,"15:12:20":[67,1]
,"499984":[67,1]
,"61.43":[67,1,68,1]
,"527.97":[67,1]
,"15:12:25":[67,1]
,"499991":[67,1]
,"61.01":[67,1,68,1]
,"537.25":[67,1]
,"15:12:30":[67,1]
,"500025":[67,1]
,"62.72":[67,1,68,1]
,"546.28":[67,1]
,"15:12:35":[67,1]
,"63.88":[67,1,68,1]
,"6.7.3":[68,1]
,"93076":[68,1]
,"472.52mb":[68,1]
,"99999":[68,1]
,"482.06mb":[68,1]
,"100004":[68,1]
,"491.62mb":[68,1]
,"500.39mb":[68,1]
,"99989":[68,1]
,"509.67mb":[68,1]
,"100010":[68,1]
,"518.95mb":[68,1]
,"99996":[68,1]
,"527.97mb":[68,1]
,"99998":[68,1]
,"537.25mb":[68,1]
,"100005":[68,1]
,"546.28mb":[68,1]
,"555.56mb":[68,1]
,"7.1":[69,1]
,"described":[69,1,71,1,72,1]
,"below":[69,1,71,1,72,1,83,1,97,1]
,"picture":[69,1,71,1,72,1]
,"rrcp":[69,1,71,1,72,1]
,"backbone":[69,1,71,1,72,1]
,"instance":[69,1,86,1]
,"emac":[69,1]
,"provperf":[69,3]
,"caching":[69,1,71,1,72,1]
,"17008":[69,2]
,"adshost":[69,1,71,1,72,2]
,"test_feed":[69,3,71,4,72,4]
,"assume":[69,1,71,1,72,1,87,1]
,"7.2":[70,1]
,"direct":[70,2,72,2]
,"simply":[70,1]
,"7.3":[71,1]
,"displayed":[71,1,72,1]
,"closed":[71,1]
,"successfully":[71,1]
,"preload":[71,1]
,"temporary":[71,1]
,"place":[71,1]
,"uncached":[71,1]
,"knows":[71,1]
,"towards":[71,1]
,"due":[71,1,82,1]
,"suspect":[71,1]
,"adhhost":[71,1,72,2]
,"perf_niprovider_1":[71,1]
,"7.4":[72,1]
,"return":[72,1]
,"distinguish":[72,1]
,"presence":[72,1]
,"rsslpostuserinfo":[72,1]
,"optional":[72,1]
,"socket":[72,1,88,1,89,1]
,"pictured":[72,1]
,"instances":[72,1]
,"transportperf":[72,1]
,"customize":[73,1]
,"exchanging":[73,1,89,1]
,"round-robin":[73,2]
,"likewise":[73,1]
,"fashion":[73,1,80,1,95,1]
,"8.1.1":[74,1]
,"primitive":[74,1]
,"according":[74,1,92,1]
,"validated":[74,1]
,"parser":[74,1]
,"8.1.2":[75,1]
,"updatemsg":[75,2,76,2]
,"databody":[75,2,76,4]
,"fieldlist":[75,2,76,20]
,"entrycount":[75,1]
,"fieldentry":[75,23,76,40]
,"fieldid":[75,23,76,45]
,"datatype":[75,23,76,45]
,"rssl_dt_real":[75,8,76,22]
,"2848.560000":[75,2]
,"2849.610000":[75,1]
,"6579":[75,1]
,"rssl_dt_rmtes_string":[75,6,76,6]
,"6580":[75,1]
,"114":[75,1]
,"13.340000":[75,1]
,"8937":[75,1]
,"rssl_dt_enum":[75,5,76,6]
,"211":[75,1]
,"31701":[75,1]
,"118":[75,1]
,"3264":[75,1]
,"3887":[75,1]
,"39100330":[75,1]
,"8935":[75,1]
,"1501":[75,1]
,"12783":[75,1]
,"3855":[75,1,76,11]
,"rssl_dt_uint":[75,1,76,10]
,"57132000":[75,1]
,"1025":[75,1]
,"rssl_dt_time":[75,3]
,"15:52:12:000:000:000":[75,2]
,"15:52:00:000:000:000":[75,1]
,"8406":[75,1]
,"1041":[75,1]
,"203":[75,1]
,"14238":[75,1]
,"8.1.3":[76,1]
,"marketbyorder":[76,5]
,"however":[76,1,89,1]
,"experimental":[76,1]
,"marketbyordermsglist":[76,2]
,"order_side":[76,1]
,"enumerations":[76,1]
,"bid":[76,1]
,"ask":[76,1]
,"refreshmsg":[76,2]
,"map":[76,4]
,"fieldsetdefs":[76,2]
,"fieldsetdef":[76,2]
,"setid":[76,6]
,"fieldsetdefentry":[76,5]
,"3427":[76,11]
,"3429":[76,11]
,"rssl_dt_uint_2":[76,1]
,"212":[76,6]
,"3428":[76,6]
,"mapentry":[76,20]
,"rssl_mpea_add_entry":[76,5]
,"360287970189639.67":[76,1]
,"36028797018963967":[76,1]
,"marketmaker1":[76,1]
,"101":[76,2]
,"360287970189638.67":[76,2]
,"36028797018963467":[76,1]
,"marketmaker2":[76,1]
,"102":[76,2]
,"360287970189637.67":[76,1]
,"36028797018962967":[76,2]
,"marketmaker3":[76,1]
,"103":[76,2]
,"360287970189636.67":[76,1]
,"36028797018962467":[76,1]
,"1500":[76,2]
,"marketmaker4":[76,1]
,"104":[76,2]
,"360287970189635.67":[76,2]
,"36028797018961967":[76,1]
,"2000":[76,2]
,"marketmaker5":[76,1]
,"rssl_mpea_update_entry":[76,5]
,"36028797018963867":[76,1]
,"36028797018963567":[76,1]
,"360287970189632.67":[76,1]
,"36028797018963267":[76,1]
,"360287970189629.67":[76,1]
,"360287970189626.67":[76,1]
,"36028797018962667":[76,1]
,"item\u2019s":[77,1]
,"entries":[77,1]
,"satisfy":[77,1]
,"8.2.1":[78,1]
,"attributes":[78,2]
,"attribute":[78,1]
,"marketprice":[78,1,79,18]
,"false":[78,3]
,"true":[78,3,79,8]
,"msgkey":[78,1]
,"snapshot":[78,2]
,"rssl_rqf_streaming":[78,1]
,"8.2.2":[79,1]
,"itemlist":[79,2]
,"rdt1":[79,1]
,"rdt2":[79,1]
,"rdt3":[79,1]
,"rdt4":[79,1]
,"rdt5":[79,1]
,"rdt6":[79,1]
,"rdt7":[79,1]
,"rdt8":[79,1]
,"rdt9":[79,1]
,"rdt10":[79,1]
,"rdt11":[79,1]
,"rdt12":[79,1]
,"rdt13":[79,1]
,"rdt14":[79,1]
,"rdt15":[79,1]
,"rdt16":[79,1]
,"rdt17":[79,1]
,"rdt18":[79,1]
,"9.1":[80,1]
,"disables":[80,1,88,1]
,"comprised":[80,1]
,"9.2":[81,1]
,"descriptions":[81,1]
,"names":[81,1]
,"append":[81,1]
,"client":[81,1,97,1]
,"horizontal":[81,1]
,"produces":[81,1]
,"consstats1.csv":[81,1,83,1]
,"consstats2.csv":[81,1]
,"associated":[81,2]
,"tooltypestatsclient.csv":[81,1]
,"tooltypesummary.txt":[81,1]
,"9.3":[82,1]
,"comma-separated":[82,1]
,"potentially":[82,1,92,1]
,"controlled":[82,1,91,1]
,"defaults":[82,1]
,"353725032296":[82,1]
,"353725032521":[82,1]
,"225":[82,1]
,"353725045319":[82,1]
,"353725045569":[82,1]
,"250":[82,1]
,"353725092300":[82,1]
,"353725092521":[82,1]
,"221":[82,1]
,"pst":[82,3]
,"353724892323":[82,1]
,"353724894740":[82,1]
,"2417":[82,1]
,"353724925257":[82,1]
,"353724926441":[82,1]
,"1184":[82,1]
,"353725105324":[82,1]
,"353725106762":[82,1]
,"1438":[82,1]
,"353725359645":[82,1]
,"353725359859":[82,1]
,"214":[82,1]
,"353725610354":[82,1]
,"353725610619":[82,1]
,"265":[82,1]
,"conslatency.csv":[82,1]
,"showing":[82,1]
,"9.4":[83,1]
,"import":[83,3]
,".csv":[83,2]
,"analysis":[83,1]
,"microsoft":[83,2]
,"excel":[83,4]
,"quickly":[83,1,97,1]
,"analyze":[83,1]
,"importing":[83,1]
,"imply":[83,1]
,"graph":[83,2]
,"15-second":[83,1]
,"conslatency1.csv":[83,1]
,"10.1":[84,1]
,"briefly":[84,1]
,"benefits":[84,1]
,"10.2":[85,1]
,"practices":[85,1,95,1,96,1]
,"10.2.1":[85,1]
,"method":[85,4]
,"call":[85,3,91,2]
,"ommconsumer":[85,1]
,"ommprovider":[85,1]
,"callback":[85,1]
,"dispatched":[85,1,91,1]
,"taking":[85,1]
,"break":[85,1]
,"10.2.2":[86,1]
,"submit":[86,3,87,2,93,1]
,"efficient":[86,1,87,1,90,1]
,"outbound":[86,1,90,1]
,"queue":[86,2,87,1,90,1]
,"priority":[86,1,92,1]
,"immediately":[86,1,87,1,100,1]
,"rsslflush":[86,1]
,"flush":[86,1,87,1,89,1]
,"submission":[86,1]
,"precedence":[86,1]
,"10.2.3":[87,1]
,"high-water":[87,8]
,"mark":[87,8]
,"usually":[87,1]
,"achieved":[87,1]
,"making":[87,1]
,"doing":[87,1]
,"6000-byte":[87,1]
,"generally":[87,1,94,2]
,"six-byte":[87,1]
,"buffers":[87,3,89,5,90,4,91,1,92,8,93,1,94,1,100,1]
,"efficiencies":[87,2]
,"employs":[87,1]
,"concept":[87,1]
,"reaches":[87,1]
,"bytes":[87,3,91,2]
,"triggered":[87,1]
,"thirteen":[87,2]
,"api\u2019s":[87,1,94,1]
,"approximately":[87,1]
,"passing":[87,1]
,"connection\u2019s":[87,1]
,"implications":[87,1]
,"balance":[87,1,96,1]
,"accordingly":[87,1]
,"high-throughput":[87,1]
,"situations":[87,2]
,"better":[87,1]
,"low-throughput":[87,1]
,"linger":[87,1]
,"queues":[87,1,92,1]
,"periods":[87,1]
,"incur":[87,1]
,"10.2.4":[88,1]
,"nagle\u2019s":[88,3]
,"combine":[88,1]
,"fragments":[88,1,93,2]
,"larger":[88,1,93,2]
,"frames":[88,1]
,"reduces":[88,1,94,1]
,"overhead":[88,1,93,1,100,1]
,"optimizing":[88,1]
,"bandwidth":[88,1]
,"increases":[88,1]
,"especially":[88,1]
,"minimize":[88,1,90,1,95,1]
,"10.2.5":[89,1]
,"flushes":[89,1]
,"faster":[89,1]
,"happens":[89,1]
,"fill":[89,1,91,1]
,"refuses":[89,1]
,"accept":[89,2]
,"accepts":[89,1]
,"buffered":[89,1]
,"acknowledged":[89,1]
,"instructs":[89,1]
,"queued":[89,2]
,"considered":[89,1]
,"condition":[89,1,92,1]
,"situation":[89,1,99,1]
,"op_write":[89,1]
,"selection":[89,1]
,"descriptor":[89,1]
,"notifies":[89,1]
,"system\u2019s":[89,1]
,"sizes":[89,1,93,1]
,"os-specific":[89,1]
,"10.2.6":[90,1]
,"buffering":[90,1,91,1,92,3]
,"optimization":[90,1]
,"techniques":[90,1]
,"revolving":[90,1]
,"around":[90,1]
,"pre-allocated":[90,3]
,"creation":[90,1]
,"destruction":[90,1]
,"byte-streams":[90,1]
,"transports":[90,1]
,"negotiated":[90,1,91,1,93,1]
,"allowing":[90,1,92,1]
,"respect":[90,1]
,"strategies":[90,1]
,"challenges":[90,1]
,"pools":[90,1]
,"handled":[90,1,92,1]
,"differently":[90,1,92,1]
,"10.2.6.1":[91,1]
,"continuous":[91,1,92,1]
,"block":[91,2,92,1]
,"determined":[91,1]
,"multiplied":[91,1]
,"having":[91,1]
,"holds":[91,1]
,"boundaries":[91,1]
,"intent":[91,1]
,"actually":[91,1]
,"reads":[91,1]
,"depends":[91,1]
,"10.2.6.2":[92,1]
,"treating":[92,1]
,"separate":[92,1]
,"entity":[92,1]
,"division":[92,1]
,"simultaneously":[92,1]
,"co-exist":[92,1]
,"priority-based":[92,1]
,"load":[92,1,96,1]
,"guaranteedoutputbuffer":[92,1]
,"exclusively":[92,1]
,"up-front":[92,1]
,"increasing":[92,1,99,1,100,1]
,"improve":[92,1,96,1]
,"volumes":[92,1]
,"aware":[92,1]
,"slowing":[92,1]
,"keep":[92,1]
,"develop":[92,1]
,"sender":[92,1]
,"transmitted":[92,1]
,"10.2.6.3":[93,1]
,"returned":[93,1]
,"behalf":[93,1]
,"breaking":[93,1]
,"apart":[93,1]
,"whose":[93,1]
,"exceed":[93,1]
,"agreed":[93,1]
,"reassembles":[93,1]
,"level":[93,1]
,"incurs":[93,1]
,"copies":[93,1,94,1]
,"potential":[93,1]
,"allocations":[93,1]
,"avoid":[93,1]
,"commonly":[93,1]
,"10.2.7":[94,1]
,"supports":[94,1]
,"compressing":[94,1]
,"passed":[94,1]
,"drawbacks":[94,1]
,"user-provided":[94,1]
,"compressed":[94,1]
,"pool":[94,1]
,"10.3":[95,1]
,"encoder":[95,1]
,"decoder":[95,1]
,"10.3.1":[95,1]
,"single-pass":[95,1]
,"copying":[95,1]
,"top-level":[95,1]
,"container":[95,1]
,"down":[95,1]
,"linear":[95,1]
,"price":[95,1]
,"header":[95,1]
,"followed":[95,1]
,"10.4":[96,1]
,"although":[96,1]
,"tries":[96,1]
,"intelligently":[96,1]
,"multi-core":[96,1]
,"processors":[96,1]
,"locking":[96,1]
,"lessens":[96,1]
,"likelihood":[96,1]
,"switching":[96,1]
,"impacts":[96,1]
,"invalidates":[96,1]
,"filled":[96,1]
,"bindings":[96,1]
,"works":[96,1]
,"appendix":[97,1]
,"a.1":[97,1]
,"can\u2019t":[97,1]
,"reasons":[97,1,98,1]
,"able":[97,1,98,1]
,"several":[97,1,98,1,100,1]
,"ones":[97,1]
,"listed":[97,2]
,"consumer\u2019s":[97,1]
,"servicename":[97,1]
,"adhmon":[97,1]
,"adsmon":[97,1]
,"hub\u2019s":[97,1]
,"sure":[97,1]
,"hostlist":[97,1]
,"listening":[97,1]
,"hostname":[97,1]
,"direct-connect":[97,1]
,"timeout":[97,1]
,"retries":[97,1]
,"attempt":[97,1]
,"retry":[97,1]
,"a.2":[98,1]
,"achieving":[98,1]
,"30s":[98,1]
,"2,500":[98,1]
,"overloaded":[98,2,99,1]
,"near":[98,1]
,"unable":[98,1]
,"barely":[98,1]
,"trickle":[98,1]
,"watchlists":[98,1]
,"resulting":[98,1,100,1]
,"appear":[98,1]
,"a.3":[99,1]
,"tops":[99,1]
,"symptom":[99,1]
,"maxoutputbuffers":[99,2]
,"5,000":[99,1]
,"distribution.cnf":[99,2]
,"increase":[99,2]
,"a.4":[100,1]
,"transition":[100,2]
,"entire":[100,1]
,"plus":[100,1]
,"increased":[100,1]
,"workload":[100,1]
,"settle":[100,1]
,"a.5":[101,1]
,"clock":[101,1]
,"gather":[101,1]
,"system-wide":[101,1]
,"tuning":[101,1]
,"sustain":[101,1]
},
"synonyms":
{
}
}
;Search.control.advance(info);
