var info =
{
"pages":
[
["Documentation_Portal\u002FEMAC_Doc_Portal.1.1.html","1 Overview","The Enterprise Message API targets access to LSEG Real-Time, LSEG Real-Time Distribution System, and LSEG Real-Time Direct via an ease-of-use solution. Enterprise Message API is ideal for users who need light weight Open Message Model access with minimal lines of code. This section provides a very b...","Documentation_Portal\u002Fpairs\u002Fpair1.js","content-page"]
,["Documentation_Portal\u002FEMAC_Doc_Portal.1.2.html","2 Features","Ease of use functionality: \u2022 Simplified content access through minimal interface management and minimal method calls. \u2022 Minimal administration through implicit start-up and shutdown. \u2022 Defaulted configuration, yet with ability to selectively override fine grain parameters. \u2022 Binary and standards-bas...","Documentation_Portal\u002Fpairs\u002Fpair2.js","content-page"]
,["Documentation_Portal\u002FEMAC_Doc_Portal.1.3.html","3 Developers Guides","\u2022 RTSDK C\u002FC++ Edition Installation Guide discusses concepts and procedures related to the RTSDK package\u2019s use of CMake in building its applications. <a href=..\u002F..\u002FRTSDK_C_Installation_Guide.pdf target=_blank>RTSDK C\u002FC++ Edition Installation Guide<\u002Fa> \u2022 API Concepts Guide is written by LSEG Real-Time...","Documentation_Portal\u002Fpairs\u002Fpair3.js","content-page"]
,["Documentation_Portal\u002FEMAC_Doc_Portal.1.4.html","4 Reference Manuals","Enterprise Message API C++ Edition Reference Manual includes source-level documentation for the various Enterprise Message API packages. All public Enterprise Message API classes and interfaces are listed. <a href=..\u002F..\u002Frefman\u002Fema\u002Findex.html target=_blank> Click Here to Launch the Enterprise Message...","Documentation_Portal\u002Fpairs\u002Fpair4.js","content-page"]
,["Documentation_Portal\u002FEMAC_Doc_Portal.1.5.html","5 Examples and Test Plans","\u2022 Test Plans LSEG Real-Time APIs provide customers with development test plans. You can use this information to better understand the product and how it applies to their environment. The information presented in the test plans is subject to change over time according to the needs of customers. <a hr...","Documentation_Portal\u002Fpairs\u002Fpair5.js","content-page"]
],
"words":
{
"overview":[0,2]
,"enterprise":[0,4,2,8,3,4,4,3]
,"message":[0,6,1,2,2,9,3,4,4,3]
,"api":[0,4,1,1,2,12,3,4,4,3]
,"targets":[0,1]
,"access":[0,2,1,1]
,"lseg":[0,7,2,10,4,1]
,"real-time":[0,6,2,7,4,1]
,"distribution":[0,2,1,1,2,2]
,"system":[0,2,2,1]
,"direct":[0,2,2,1]
,"via":[0,1]
,"ease-of-use":[0,1]
,"solution":[0,1]
,"ideal":[0,1]
,"users":[0,1]
,"need":[0,1]
,"light":[0,1]
,"weight":[0,1]
,"open":[0,2,1,1,2,1]
,"model":[0,2,1,2,2,4]
,"minimal":[0,1,1,4]
,"lines":[0,1]
,"code":[0,1]
,"section":[0,1]
,"provides":[0,1,4,1]
,"brief":[0,1]
,"complements":[0,1]
,"accompanied":[0,1]
,"interface":[0,3,1,3]
,"example":[0,1]
,"usage":[0,1,2,2]
,"presently":[0,1]
,"solely":[0,1]
,"defines":[0,1]
,"abridged":[0,1]
,"solicit":[0,1]
,"feedback":[0,1]
,"intent":[0,1]
,"release":[0,1]
,"library":[0,1]
,"implementation":[0,1]
,"future":[0,1,1,1]
,"readers":[0,1]
,"content":[0,1,1,2]
,"moderately":[0,1]
,"familiar":[0,1]
,"apis":[0,1,2,1,4,1]
,"features":[1,1]
,"ease":[1,1]
,"functionality":[1,5,2,1]
,"simplified":[1,1]
,"management":[1,2]
,"method":[1,1]
,"calls":[1,1]
,"administration":[1,1]
,"implicit":[1,2]
,"start-up":[1,1]
,"shutdown":[1,1]
,"defaulted":[1,1]
,"configuration":[1,1,2,4]
,"ability":[1,2]
,"selectively":[1,1]
,"override":[1,1]
,"fine":[1,1]
,"grain":[1,1]
,"parameters":[1,1,2,2]
,"binary":[1,1]
,"standards-based":[1,1]
,"formats":[1,1]
,"e.g":[1,4]
,"json":[1,1]
,"xml":[1,1]
,"programmatic":[1,1]
,"simplification":[1,1]
,"fluent":[1,1]
,"style":[1,1]
,"strongly":[1,1]
,"typed":[1,1]
,"operations":[1,1]
,"downcasts":[1,1]
,"optional":[1,1]
,"dictionary":[1,1]
,"rich":[1,4]
,"session-level":[1,1]
,"specify":[1,1]
,"interpret":[1,1]
,"distribute":[1,1]
,"whether":[1,1]
,"simple":[1,1]
,"across":[1,1]
,"comprehensive":[1,2]
,"hierarchy":[1,1]
,"consumer":[1,1]
,"including":[1,2]
,"subscription":[1,1]
,"posting":[1,1]
,"generic":[1,2]
,"messages":[1,1]
,"private":[1,1]
,"streams":[1,1]
,"non-interactive":[1,1]
,"provider":[1,1]
,"item":[1,1]
,"publication":[1,1]
,"operational":[1,1]
,"enabling":[1,1]
,"dispatch":[1,1]
,"user":[1,1]
,"thread":[1,1]
,"control":[1,1]
,"defect":[1,1]
,"handling":[1,1]
,"facilities":[1,1]
,"exceptions":[1,1]
,"logging":[1,1]
,"tracing":[1,1]
,"decoupled":[1,1]
,"enable":[1,1]
,"session":[1,1]
,"level":[1,1]
,"interactive":[1,1]
,"publishing":[1,1]
,"developers":[2,4]
,"guides":[2,1]
,"rtsdk":[2,3,4,1]
,"edition":[2,8,3,2,4,2]
,"installation":[2,2]
,"guide":[2,11]
,"discusses":[2,1]
,"concepts":[2,4]
,"procedures":[2,1]
,"related":[2,1]
,"package\u2019s":[2,1]
,"cmake":[2,1]
,"building":[2,1]
,"applications":[2,2]
,"href":[2,5,3,1,4,2]
,"rtsdk_c_installation_guide.pdf":[2,1]
,"target":[2,5,3,1,4,2]
,"_blank":[2,5,3,1,4,2]
,"written":[2,2]
,"programmers":[2,2]
,"architects":[2,1]
,"documents":[2,1]
,"capabilities":[2,1]
,"addition":[2,1]
,"connecting":[2,1]
,"itself":[2,1]
,"connect":[2,1]
,"leverage":[2,1]
,"different":[2,1]
,"customer":[2,1]
,"components":[2,2]
,"want":[2,1]
,"interact":[2,2]
,"consult":[2,1]
,"specific":[2,1]
,"component\u2019s":[2,1]
,"documentation":[2,1,3,1,4,1]
,"determine":[2,1]
,"best":[2,1]
,"configure":[2,1]
,"devices":[2,1]
,"api_conceptsguide.pdf":[2,1]
,"software":[2,1]
,"developing":[2,1]
,"api-based":[2,1]
,"financial":[2,1]
,"marketplace.to":[2,1]
,"effective":[2,1]
,"document":[2,1,4,1]
,"minimum":[2,1]
,"basic":[2,1]
,"understanding":[2,1]
,"trading":[2,1]
,"room":[2,1]
,"infrastructure":[2,1]
,"object-oriented":[2,1]
,"analysis":[2,1]
,"design":[2,1]
,"emacpp_devguide.pdf":[2,1]
,"listed":[2,1,3,1]
,"describe":[2,1]
,"information":[2,1,4,2]
,"emacpp_configguide.pdf":[2,1]
,"domain":[2,4]
,"describes":[2,1]
,"models":[2,1]
,"used":[2,1]
,"defined":[2,1]
,"terms":[2,1]
,"data":[2,2]
,"available":[2,1]
,"feed":[2,1]
,"advanced":[2,1]
,"server":[2,1]
,"component":[2,1]
,"emacpp_rdmusageguide.pdf":[2,1]
,"reference":[3,3]
,"manuals":[3,1]
,"manual":[3,2]
,"includes":[3,1]
,"source-level":[3,1]
,"various":[3,1]
,"packages":[3,1]
,"public":[3,1]
,"classes":[3,1]
,"interfaces":[3,1]
,"refman":[3,1]
,"ema":[3,1]
,"index.html":[3,1]
,"click":[3,1]
,"launch":[3,1]
,"examples":[4,5]
,"test":[4,5]
,"plans":[4,5]
,"provide":[4,1]
,"customers":[4,2]
,"development":[4,1]
,"better":[4,1]
,"understand":[4,1]
,"product":[4,1]
,"applies":[4,1]
,"environment":[4,1]
,"presented":[4,1]
,"subject":[4,1]
,"change":[4,1]
,"time":[4,1]
,"according":[4,1]
,"needs":[4,1]
,"rtsdk-c-edition_test_plan.xlsx":[4,1]
,"list":[4,2]
,"listing":[4,1]
,"ship":[4,1]
,"included":[4,1]
,"html":[4,1]
,"emacpp_examples.pdf":[4,1]
},
"synonyms":
{
}
}
;Search.control.advance(info);
