var info =
{
"pages":
[
["EMA_Configuration_Guide\u002FChap_Intro.1.01.html","1.1 About this Manual","This document is authored by Enterprise Message API architects and programmers. Several of its authors have designed, developed, and maintained the Enterprise Message API product and other LSEG products which leverage it. As such, this document is concise and addresses realistic scenarios and use ca...","EMA_Configuration_Guide\u002Fpairs\u002Fpair1.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_Intro.1.02.html","1.2 Audience","This manual provides information that aids software developers and local site administrators in understanding Enterprise Message API configuration parameters. You can obtain further information from the Enterprise Message C++ Edition API Developer\u2019s Guide. ","EMA_Configuration_Guide\u002Fpairs\u002Fpair2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_Intro.1.03.html","1.3 Definitions","Table 1: Definitions \u00A0 Definition Description Group A related set of configuration parameters for a specific EMA component (e.g., ChannelGroup). List A list of components belonging to a group (e.g., ChannelList). Component A specific component (e.g., Channel). Because lists can have multiple compone...","EMA_Configuration_Guide\u002Fpairs\u002Fpair3.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_Intro.1.04.html","1.4 Acronyms and Abbreviations","Generally, this guide avoids the use of acronyms. However, in diagrams, you might see one or more acronyms to conserve space. The following table provides a list that might be used in this guide\u2019s diagrams.  Table 2: Acronyms and Abbreviations ACRONYM \u002F Term Meaning ADH LSEG Real-Time Advanced Distr...","EMA_Configuration_Guide\u002Fpairs\u002Fpair4.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_Intro.1.05.html","1.5 References","\u2022 Enterprise Message API C++ Edition LSEG Domain Model Usage Guide \u2022 API Concepts Guide \u2022 <a href=..\u002F..\u002Frefman\u002Fema\u002FIndex.html target=_blank>Enterprise Message API C++ Edition Reference Manual<\u002Fa> \u2022 Enterprise Message API C++ Edition Developers Guide \u2022 The LSEG Developer Community   ","EMA_Configuration_Guide\u002Fpairs\u002Fpair5.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_Intro.1.06.html","1.6 Document Conventions","This document uses the following types of conventions: \u2022 Typographic \u2022 Data Types \u2022 Field and Text Values","EMA_Configuration_Guide\u002Fpairs\u002Fpair6.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_Intro.1.07.html","1.6.1 Typographic","This document uses the following types of conventions: \u2022 C++ classes, methods, in-line code snippets, and types are shown in Courier New font. \u2022 Parameters, filenames, tools, utilities, and directories are shown in Bold font. \u2022 Document titles and variable values are shown in italics. \u2022 When initial...","EMA_Configuration_Guide\u002Fpairs\u002Fpair7.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_Intro.1.08.html","1.6.2 Data Types","Data types within the configuration repository are as follows:  Table 3: Data Type Conventions \u00A0 Data Type Definition Double Stores decimal numbers with double precision. EmaString String Enumeration Specific text, as indicated in the field description Int64 Signed, long integer UInt64 Unsigned, lon...","EMA_Configuration_Guide\u002Fpairs\u002Fpair8.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_Intro.1.09.html","1.6.3 Field and Text Values","The value for individual fields in XML files are specified as <fieldName value=\u201Cfield_value\u201D\u002F> where: \u2022 fieldName is the name of the field and cannot contain white space. \u2022 field_value sets the field\u2019s value and is always included in double quotes.  NOTE: Except for examples, double quotes are omitt...","EMA_Configuration_Guide\u002Fpairs\u002Fpair9.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_Intro.1.10.html","1.6.4 Boolean Values","When configuring a Boolean expression, you can use any number; however Enterprise Message API interprets such expressions in the following manner: \u2022 0: false \u2022 1 (or any other value): true ","EMA_Configuration_Guide\u002Fpairs\u002Fpair10.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_GlobalConfigParameters.2.1.html","2.1 About Message API Configuration","You write the Message API configuration using a simple XML schema, some settings of which can be changed via software function calls. The initial configuration compiled into the Message API software defines a minimal set of configuration parameters. Message API users can also supply their own custom...","EMA_Configuration_Guide\u002Fpairs\u002Fpair1_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_GlobalConfigParameters.2.2.html","2.2 Parameter Overview","Many default behaviors are hard-coded into the Enterprise Message API library and globally enforced. However, if you need to change API behaviors or configure the API for your specific deployment, you can use the Enterprise Message API\u2019s XML configuration file (EmaConfig.xml) and adjust behaviors us...","EMA_Configuration_Guide\u002Fpairs\u002Fpair2_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_GlobalConfigParameters.2.3.html","2.3 Default Behaviors","When the Enterprise Message API library needs a parameter, it behaves according to its hard-coded configuration. You can change the API behavior by providing a valid alternate value either through the use of EmaConfig.xml, function calls, or programmatic methods. For default values for each of the p...","EMA_Configuration_Guide\u002Fpairs\u002Fpair3_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.01.html","3.1 ConsumerGroup","A ConsumerGroup contains two elements: \u2022 A DefaultConsumer element, which you can use to specify a default Consumer component. If a default Consumer is not specified in the ConsumerGroup, the Enterprise Message API uses the first Consumer listed in the ConsumerList. For details on configuring a defa...","EMA_Configuration_Guide\u002Fpairs\u002Fpair1_3.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.02.html","3.1.1 Generic XML Schema for ConsumerGroup","The generic XML schema for ConsumerGroup is as follows:   <ConsumerGroup> \u00A0\u00A0\u00A0\u00A0<DefaultConsumer value=\u0022VALUE\u0022\u002F> \u00A0\u00A0\u00A0\u00A0<ConsumerList> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Consumer> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Name value=\u0022VALUE\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0... \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<\u002FConsumer> \u00A0\u00A0\u00A0\u00A0<\u002FConsumerList> <\u002FConsumerGroup>  ","EMA_Configuration_Guide\u002Fpairs\u002Fpair2_3.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.03.html","3.1.2 Setting a Default Consumer","If a DefaultConsumer is not specified, then the Enterprise Message API uses the first Consumer component in the ConsumerGroup. However, you can specify a default consumer by including the following parameter on a unique line inside ConsumerGroup but outside ConsumerList.   <DefaultConsumer value=\u0022VA...","EMA_Configuration_Guide\u002Fpairs\u002Fpair3_3.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.04.html","3.1.3 Configuring Consumers in a ConsumerGroup","To configure a Consumer component, add the appropriate parameters to the target consumer in the XML schema, each on a unique line (for a list of available Consumer parameters, refer to Section 3.1.4). For example, if your configuration includes logger schemas, you specify the desired logger schema b...","EMA_Configuration_Guide\u002Fpairs\u002Fpair4_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.05.html","3.1.4 Consumer Entry Parameters","Use the following parameters when configuring a Consumer.  Table 4: Consumer Group Parameters \u00A0 Parameter Type Default Description CatchUnhandledException UInt64 1 Specifies whether the Enterprise Message API catches unhandled exceptions thrown from methods executed on the Enterprise Message API\u0027s t...","EMA_Configuration_Guide\u002Fpairs\u002Fpair5_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.06.html","3.2 IProvider Group","An IProviderGroup contains two elements that represent an Interactive Provider configuration: \u2022 A DefaultIProvider element, which you can use to specify a default IProvider component. If a default IProvider is not specified in the IProviderGroup, the Enterprise Message API uses the first interactive...","EMA_Configuration_Guide\u002Fpairs\u002Fpair6_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.07.html","3.2.1 Generic XML Schema for Provider Group","The generic XML schema for an IProviderGroup is as follows:   <IProviderGroup> \u00A0\u00A0\u00A0\u00A0<DefaultIProvider value=\u0022VALUE\u0022\u002F> \u00A0\u00A0\u00A0\u00A0<IProviderList> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<IProvider> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Name value=\u0022VALUE\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0... \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<\u002FIProvider> \u00A0\u00A0\u00A0\u00A0<\u002FIProviderList> <\u002FIProviderGroup>  ","EMA_Configuration_Guide\u002Fpairs\u002Fpair7_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.08.html","3.2.2 Setting a Default IProvider","If a DefaultIProvider is not specified, then the Enterprise Message API uses the first IProvider component in the IProviderGroup. However, you can specify a default provider by including the following parameter on a unique line inside the IProviderGroup but outside the IProviderList.   <DefaultIProv...","EMA_Configuration_Guide\u002Fpairs\u002Fpair8_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.09.html","3.2.3 Configuring an IProvider in an IProviderGroup","To configure an IProvider component, add the appropriate parameters to the target provider in the XML schema, each on a unique line. For a list of available IProvider parameters, refer to Section 3.2.4. For example, if your configuration includes logger schemas, you specify the desired logger schema...","EMA_Configuration_Guide\u002Fpairs\u002Fpair9_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.10.html","3.2.4 IProvider Entry Parameters","Use the following parameters when configuring an IProvider.  Table 5: IProviderGroup Parameters \u00A0 Parameter Type Default Description AcceptDirMessageWithoutMinFilters UInt64 0 Sets the IProvider to accept incoming directory request messages without the minimum required INFO and STATE directory filte...","EMA_Configuration_Guide\u002Fpairs\u002Fpair10_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.11.html","3.3 NiProvider Group","An NiProviderGroup contains two elements that represent a Non-interactive Provider configuration: \u2022 A DefaultNiProvider element, which you can use to specify a default NiProvider component. If a default NiProvider is not specified in the NiProviderGroup, the Enterprise Message API uses the first non...","EMA_Configuration_Guide\u002Fpairs\u002Fpair11.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.12.html","3.3.1 Generic XML Schema for NiProviderGroup","The generic XML schema for an NiProviderGroup is as follows:   <NiProviderGroup> \u00A0\u00A0\u00A0\u00A0<DefaultNiProvider value=\u0022VALUE\u0022\u002F> \u00A0\u00A0\u00A0\u00A0<NiProviderList> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<NiProvider> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Name value=\u0022VALUE\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0... \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<\u002FNiProvider> \u00A0\u00A0\u00A0\u00A0<\u002FNiProviderList> <\u002FNiProviderGroup>  ","EMA_Configuration_Guide\u002Fpairs\u002Fpair12.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.13.html","3.3.2 Setting a Default NiProvider","If a DefaultNiProvider is not specified, then the Enterprise Message API uses the first Provider component in the NiProviderGroup. However, you can specify a default provider by including the following parameter on a unique line inside the NiProviderGroup but outside the NiProviderList.   <DefaultNi...","EMA_Configuration_Guide\u002Fpairs\u002Fpair13.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.14.html","3.3.3 Configuring an NiProvider in an NiProviderGroup","To configure an NiProvider component, add the appropriate parameters to the target provider in the XML schema, each on a unique line. For a list of available NiProvider parameters, refer to Section 3.3.4. For example, if your configuration includes logger schemas, you specify the desired logger sche...","EMA_Configuration_Guide\u002Fpairs\u002Fpair14.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.15.html","3.3.4 NiProvider Entry Parameters","Use the following parameters when configuring an NiProvider.  Table 6: NiProviderGroup Parameters \u00A0 Parameter Type Default Description CatchUnhandledException UInt64 1 Specifies whether the Enterprise Message API catches unhandled exceptions thrown from methods executed on the its thread or whether ...","EMA_Configuration_Guide\u002Fpairs\u002Fpair15.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.16.html","3.4 Channel Group","ChannelGroup is used only with the Consumer and NiProvider. The ChannelGroup contains a ChannelList, which contains one or more Channel entries (each uniquely identified by a <Name \u2026\u002F> entry). Each channel includes a set of connection parameters for a specific connection or connection type. There is...","EMA_Configuration_Guide\u002Fpairs\u002Fpair16.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.17.html","3.4.1 Generic XML Schema for ChannelGroup","The top-level XML schema for the ChannelGroup is as follows:   <ChannelGroup> \u00A0\u00A0\u00A0\u00A0<ChannelList> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Channel> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Name value=\u0022VALUE\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u2026 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<\u002FChannel> \u00A0\u00A0\u00A0\u00A0<\u002FChannelList> <\u002FChannelGroup>  ","EMA_Configuration_Guide\u002Fpairs\u002Fpair17.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.18.html","3.4.2 Universal Channel Entry Parameters","You can use the following parameters in any <Channel> entry, regardless of the ChannelType. For additional information on how to set the Channel connection type using the ChannelType and EncryptedProtocolType parameters, refer to Section 3.4.3.  Table 7: Universal <Channel> Parameters \u00A0 Parameter Na...","EMA_Configuration_Guide\u002Fpairs\u002Fpair18.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.19.html","3.4.3 EMA Channel Connection Types","Following are sample snippets from the configuration file that show how to set up the Channel connection type:   <EncryptedProtocolType value=\u0022EncryptedProtocolType::RSSL_WEBSOCKET\u0022\u002F> <ChannelType value=\u0022ChannelType::RSSL_ENCRYPTED\u0022\u002F>  The following table summarizes possible Channel connection types...","EMA_Configuration_Guide\u002Fpairs\u002Fpair19.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.20.html","3.4.4 Parameters for Use with Channel Type: RSSL_SOCKET","In addition to the universal parameters listed in Section 3.4.2, you can use the following parameters to configure a channel whose type is RSSL_SOCKET.  Table 9: Parameters for Channel Type: RSSL_SOCKET \u00A0 Parameter Name Type Default Notes CompressionThreshold UInt64 30 Sets the message size threshol...","EMA_Configuration_Guide\u002Fpairs\u002Fpair20.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.21.html","3.4.5 Parameters for Use with Channel Types: RSSL_HTTP","In addition to the universal parameters listed in Section 3.4.2, you can use the following parameters to configure a channel whose type is RSSL_HTTP.  Table 10: Parameters for Channel Type: RSSL_HTTP \u00A0 Parameter Name Type Default Notes CompressionThreshold UInt64 30 Sets the message size threshold (...","EMA_Configuration_Guide\u002Fpairs\u002Fpair21.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.22.html","3.4.6 Parameters for Use with Channel Types: RSSL_WEBSOCKET","In addition to the universal parameters listed in Section 3.4.2, you can use the following parameters to configure a channel whose type is RSSL_WEBSOCKET. A RSSL_WEBSOCKET channel does not support the LZ4 compression type.  Table 11: Parameters for Channel Types: RSSL_WEBSOCKET Parameter Name Type D...","EMA_Configuration_Guide\u002Fpairs\u002Fpair22.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.23.html","3.4.7 Parameters for Use with Channel Types: RSSL_ENCRYPTED","In addition to the universal parameters listed in Section 3.4.2, and the parameters listed in the section specific to the protocol type you use (i.e., Section 3.4.4 for socket connections or Section 3.4.5 for HTTP connections), use the following parameters to configure a channel whose type is RSSL_E...","EMA_Configuration_Guide\u002Fpairs\u002Fpair23.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.24.html","3.4.8 Parameters for Use with Channel Type: RSSL_RELIABLE_MCAST","In addition to the universal parameters listed in Section 3.4.2, you can use the following parameters to configure a channel whose type is RSSL_RELIABLE_MCAST. Several of these parameters configure how the channel sends a Host Status Messages on the network, while others configure how the channel ma...","EMA_Configuration_Guide\u002Fpairs\u002Fpair24.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.25.html","3.4.9 Example XML Schema for Configuring ChannelSet","The following is an example ChannelSet configuration within the XML schema:   <ConsumerGroup> \u00A0\u00A0\u00A0\u00A0<ConsumerList> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Consumer> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Name value=\u0022Consumer_1\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<!-- ChannelSet is optional --> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<ChannelSet value=\u0022Channel_1, Channel_2\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<!-- Logger is opt...","EMA_Configuration_Guide\u002Fpairs\u002Fpair25.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.26.html","3.4.10 Example Programmatic Configuration for ChannelSet","The following is an example programmatic ChannelSet configuration.   Map configMap; Map innerMap; ElementList elementList; elementList.addAscii( \u0022DefaultConsumer\u0022, \u0022Consumer_1\u0022 ); innerMap.addKeyAscii( \u0022Consumer_1\u0022, MapEntry::AddEnum, ElementList() .addAscii( \u0022ChannelSet\u0022, \u0022Channel_1, Channel_2\u0022 ) ....","EMA_Configuration_Guide\u002Fpairs\u002Fpair26.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.27.html","3.5 Warm Standby Channel Group","WarmStandbyGroup is used only with the Consumer. The WarmStandbyGroup contains a WarmStandbyList, which contains one or more WarmStandbyChannel entries (each uniquely identified by a <Name \u2026\u002F> entry). Each warm standby channel includes a set of warm standby channel parameters for specifying a starti...","EMA_Configuration_Guide\u002Fpairs\u002Fpair27.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.28.html","3.5.1 Generic XML Schema for WarmStandbyGroup","The top-level XML schema for the WarmStandbyGroup is as follows:  <WarmStandbyGroup> \u00A0\u00A0\u00A0\u00A0\u00A0<WarmStandbyList> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<WarmStandbyChannel> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Name value=\u0022VALUE\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0... \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<\u002FWarmStandbyChannel> \u00A0\u00A0\u00A0\u00A0\u00A0<\u002FWarmStandbyList> <\u002FWarmStandbyGroup> ","EMA_Configuration_Guide\u002Fpairs\u002Fpair28.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.29.html","3.5.2 Warm Standby Channel Entry Parameters","Use the following parameters when configuring the WarmStandbyGroup. Table 14: Warm Standby Channel Entry Parameters Parameter Name Type Default Notes StartingActiveServer EmaString N\u002FA Specifies a starting server information to establish an initial connection. The name should have appropriate <WarmS...","EMA_Configuration_Guide\u002Fpairs\u002Fpair29.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.30.html","3.6 Warm Standby ServerInfo Group","WarmStandbyServerInfoGroup is used only with the Consumer. The WarmStandbyServerInfoGroup contains a WarmStandbyServerInfoList, which contains one or more WarmStandbyServerInfo entries (each uniquely identified by a <Name \u2026\u002F> entry). Each warm standby server information is associated with a channel ...","EMA_Configuration_Guide\u002Fpairs\u002Fpair30.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.31.html","3.6.1 Generic XML Schema for WarmStandbyServerInfoGroup","The top-level XML schema for the WarmStandbyServerInfoGroup is as follows:  <WarmStandbyServerInfoGroup> \u00A0\u00A0\u00A0\u00A0\u00A0<WarmStandbyServerInfoList> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<WarmStandbyServerInfo> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Name value=\u0022VALUE\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0... \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<\u002FWarmStandbyServerInfo> \u00A0\u00A0\u00A0\u00A0\u00A0<\u002FWarmStandbyServerInfoList> <\u002FW...","EMA_Configuration_Guide\u002Fpairs\u002Fpair31.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.32.html","3.6.2 Warm Standby ServerInfo Entry Parameters","Use the following parameters when configuring the WarmStandbyServerInfoGroup. Table 15: Warm Standby ServerInfo Entry Parameters Parameter Name Type Default Notes Channel EmaString N\u002FA Specifies the channel that the warm standby channel should use. This channel must match the Name parameter from the...","EMA_Configuration_Guide\u002Fpairs\u002Fpair32.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.33.html","3.7 Server Group","ServerGroup is used only with an IProvider. The ServerGroup contains a ServerList, which contains one or more Server entries (each uniquely identified by a <Name \u2026\u002F> entry). Each channel includes a set of connection parameters for a specific connection or connection type. There is no default server....","EMA_Configuration_Guide\u002Fpairs\u002Fpair33.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.34.html","3.7.1 Generic XML Schema for ServerGroup","The top-level XML schema for the ServerGroup is as follows:   <ServerGroup> \u00A0\u00A0\u00A0\u00A0<ServerList> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Server> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Name value=\u0022VALUE\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u2026 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<\u002FServer> \u00A0\u00A0\u00A0\u00A0<\u002FServerList> <\u002FServerGroup> ","EMA_Configuration_Guide\u002Fpairs\u002Fpair34.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.35.html","3.7.2 Server Entry Parameters","You can use the following parameters in any <Server> entry, regardless of the ServerType. For additional information on how to set the Server connection type using the ServerType parameter, refer to Section 3.7.3.  Table 16: Universal <Server> Parameters \u00A0 Parameter Name Type Default Notes Connectio...","EMA_Configuration_Guide\u002Fpairs\u002Fpair35.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.36.html","3.7.3 EMA Server Connection Types","Following is a sample snippet from the configuration file that shows how to set up the ServerType parameter:  <ServerType value=\u0022ServerType::RSSL_SOCKET\u0022\u002F>  The following table summarizes possible Server connection types and parameter values that you can use to set them.  Table 17: Server Settings f...","EMA_Configuration_Guide\u002Fpairs\u002Fpair36.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.37.html","3.7.4 Parameters for Use with ServerType RSSL_ENCRYPTED","You can use the following parameters when ServerType is set to RSSL_ENCRYPTED.  Table 18: RSSL_ENCRYPTED ServerType Parameters \u00A0 Parameter Name Type Default Description CipherSuite EmaString \u0022\u0022 Specifies an OpenSSL-formatted string of ciphers. By default, both Enterprise Message API client and Enter...","EMA_Configuration_Guide\u002Fpairs\u002Fpair37.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.38.html","3.7.5 Parameters for Use with ServerType RSSL_WEBSOCKET","You can use the following parameter when ServerType is set to RSSL_WEBSOCKET.  Table 19: RSSL_WEBSOCKET ServerType Parameter \u00A0 Parameter Name Type Default Description WsProtocols EmaString tr_json2, rssl.rwf, rssl.json.v2 Specifies a list of supported protocols in order of preference. Current protoc...","EMA_Configuration_Guide\u002Fpairs\u002Fpair38.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.39.html","3.8 Logger Group","LoggerGroup contains a LoggerList, which contains one or more Logger components (each uniquely identified by a <Name \u2026\u002F> entry). A Logger component defines the parameters and behaviors for a single logging utility.","EMA_Configuration_Guide\u002Fpairs\u002Fpair39.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.40.html","3.8.1 Generic XML Schema for LoggerGroup","The top-level XML schema for LoggerGroup is as follows:   <LoggerGroup> \u00A0\u00A0\u00A0\u00A0<LoggerList> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Logger> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Name value=\u0022\u2026\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u2026 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<\u002FLogger> \u00A0\u00A0\u00A0\u00A0<\u002FLoggerList> <\u002FLoggerGroup> ","EMA_Configuration_Guide\u002Fpairs\u002Fpair40.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.41.html","3.8.2 Logger Entry Parameters","Use the following parameters when configuring a Logger in the Enterprise Message API.  Table 20: Logger Group Parameters \u00A0 Parameter Name Type Default Notes FileName EmaString \u201CemaLog_pid.log\u201D Specifies the base name of log file (used when LoggerType value=\u201CFile\u201D); the Enterprise Message API automat...","EMA_Configuration_Guide\u002Fpairs\u002Fpair41.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.42.html","3.9 Dictionary Group","The DictionaryGroup contains a DictionaryList, which contains one or more Dictionary components (each uniquely identified by a <Name \u2026\u002F> entry). Each Dictionary component defines parameters relating to how the dictionary is accessed. ","EMA_Configuration_Guide\u002Fpairs\u002Fpair42.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.43.html","3.9.1 Generic XML Schema for DictionaryGroup","The top-level XML schema for DictionaryGroup is as follows:   <DictionaryGroup> \u00A0\u00A0\u00A0\u00A0<DictionaryList> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Dictionary> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Name value=\u0022\u2026\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u2026 \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<\u002FDictionary> \u00A0\u00A0\u00A0\u00A0<\u002FDictionaryList> <\u002FDictionaryGroup>  ","EMA_Configuration_Guide\u002Fpairs\u002Fpair43.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.44.html","3.9.2 Dictionary Entry Parameters","Use the following parameters when configuring a Dictionary entry in the Enterprise Message API.  Table 21: Dictionary Group Parameters \u00A0 Parameter Name Type Default Notes DictionaryType Enumeration ChannelDictionary Specifies the dictionary loading mode. Use enumeration values with Enterprise Messag...","EMA_Configuration_Guide\u002Fpairs\u002Fpair44.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.45.html","3.10 Directory Group","The DirectoryGroup contains a DirectoryList, which contains one or more Directory components (each uniquely identified by a <Name \u2026\u002F> entry). Each Directory component defines a list of Service components (which in turn define parameters that relate to the Service InfoFilter and StateFilter). ","EMA_Configuration_Guide\u002Fpairs\u002Fpair45.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.46.html","3.10.1 Generic XML Schema for Directory Entry","The top-level XML schema for DirectoryGroup is as follows:   <DirectoryGroup> \u00A0\u00A0\u00A0\u00A0<DefaultDirectory value=\u0022\u2026\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<DirectoryList> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Directory> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Name value=\u0022\u2026\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Service> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Name value=\u0022\u2026\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<InfoFilter> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0...","EMA_Configuration_Guide\u002Fpairs\u002Fpair46.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.47.html","3.10.2 Setting Default Directory","If you do not specify a DefaultDirectory, then the Enterprise Message API uses the first Directory component in the DirectoryGroup. However, you can specify a default directory by including the following parameter on a unique line inside DirectoryGroup but outside DirectoryList.   <DefaultDirectory ...","EMA_Configuration_Guide\u002Fpairs\u002Fpair47.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.48.html","3.10.3 Configuring a Directory in a DirectoryGroup","To configure a Directory component, add the following parameters (as appropriate) to the target directory in the XML Schema, each on a separate line:  Table 22: Directory Entry Parameters \u00A0 PARAMETER TYPE DEFAULT DESCRIPTION Name EmaString N\u002FA Specifies the name of this Directory component. Name is ...","EMA_Configuration_Guide\u002Fpairs\u002Fpair48.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.49.html","3.10.4 Service Entry Parameters","The Service Entry resembles the RDM\u2019s Source Directory Domain payload. For further details, refer to the Enterprise Message API C++ Edition RDM Usage Guide. The Enterprise Message API supports only the RDM entries InfoFilter and StateFilter. Use the following parameters when configuring a Service in...","EMA_Configuration_Guide\u002Fpairs\u002Fpair49.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.50.html","3.10.5 InfoFilter Entry Parameters","The Enterprise Message API uses the following InfoFilter parameters to set filters on the types of information it sends overs its services (as specified in the EmaConfig.xml).  Table 24: Source Directory Info Parameters \u00A0 PARAMETER TYPE DEFAULT DESCRIPTION ServiceId UInt64 N\u002FA Specifies the Service\u2019...","EMA_Configuration_Guide\u002Fpairs\u002Fpair50.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.51.html","3.10.5.1 Capabilities Entry Parameter","Use the CapabilitiesEntry parameter to configure the message domain type supported by the Service component:  Table 25: CapabilitiesEntry Parameter \u00A0 PARAMETER TYPE DEFAULT DESCRIPTION CapabilitiesEntry UInt64 or EmaString N\u002FA Specifies the message domain type supported by the Service component. Acc...","EMA_Configuration_Guide\u002Fpairs\u002Fpair51.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.52.html","3.10.5.2 DictionariesProvided Entry Parameter","Use the DictionariesProvidedEntry parameter to configure the dictionaries provided for the Service\u2019s InfoFilter:  Table 26: DictionariesProvided Parameter \u00A0 PARAMETER TYPE DEFAULT DESCRIPTION DictionariesProvidedEntry EmaString RWFFld for RdmFieldDictionaryItemName RWFEnum for enumTypeDefItemName Sp...","EMA_Configuration_Guide\u002Fpairs\u002Fpair52.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.53.html","3.10.5.3 DictionariesUsed Entry Parameter","Use the DictionariesUsedEntry parameter to configure the types of dictionaries used by the Service\u2019s InfoFilter:  Table 27: DictionariesUsedEntry Parameter \u00A0 PARAMETER TYPE DEFAULT DESCRIPTION DictionariesUsedEntry EmaString RWFFld for RdmFieldDictionaryItemName RWFEnum for enumTypeDefItemName Speci...","EMA_Configuration_Guide\u002Fpairs\u002Fpair53.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.54.html","3.10.5.4 QoSEntry Section and Associated Parameters","Use a QoSEntry section to configure a specific QoS supported by the Service\u2019s InfoFilter. You can include multiple QoSEntry sections in a parent QoS section.  Table 28: QoSEntry Section and Associated Parameters \u00A0 PARAMETER TYPE DEFAULT DESCRIPTION QoSEntry  N\u002FA QoSEntry is the name of a section tha...","EMA_Configuration_Guide\u002Fpairs\u002Fpair54.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.55.html","3.10.6 StateFilter Entry Parameters","Use the following parameters to configure the Service\u2019s StateFilter (as specified in the EmaConfig.xml), which communicates the service\u2019s state.  Table 29: StateFilter Parameters \u00A0 PARAMETER TYPE DEFAULT DESCRIPTION ServiceState UInt64 N\u002FA Specifies whether the service is up or down: \u2022 0: Service is...","EMA_Configuration_Guide\u002Fpairs\u002Fpair55.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.56.html","3.10.7 LoadFilter Entry Parameters","Use the following parameters to configure the Service\u2019s LoadFilter (as specified in the EmaConfig.xml), which communicates the service\u2019s load.  Table 30: LoadFilter Entry Parameters \u00A0 PARAMETER TYPE DEFAULT DESCRIPTION OpenLimit UInt64 0 Specifies the maximum number of streaming items that the clien...","EMA_Configuration_Guide\u002Fpairs\u002Fpair56.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.57.html","3.10.8 Status Entry Parameters","Use the following parameters when configuring the Service\u2019s StateFilter:  Table 31: Status Entry Parameters \u00A0 PARAMETER TYPE DEFAULT DESCRIPTION StreamState EmaString StreamState::Open Specifies the state of the item stream. NOTE: Acceptable StreamState values are listed in the OmmState.h file. Data...","EMA_Configuration_Guide\u002Fpairs\u002Fpair57.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigGroups.3.58.html","3.10.9 Setting Directory with Multiple Dictionaries Provided for IProvider","The following EmaConfig.xml example shows how to set up a Directory for the interactive provider. Note that the DictionariesProvided section of the Directory contains two DictionariesProvided entries. This feature allows the provider to supply multiple dictionaries to the consumer.  <?xml version=\u00221...","EMA_Configuration_Guide\u002Fpairs\u002Fpair58.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.01.html","4.1 Overview and Configuration Precedence","The Enterprise Message API configuration is determined by hard-coded behaviors, customized behaviors as specified in a configuration file (i.e.,EmaConfig.xml), programmatic changes, and other internal processing. All of these vectors affect Enterprise Message API\u2019s configuration as used by applicati...","EMA_Configuration_Guide\u002Fpairs\u002Fpair1_4.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.02.html","4.2 Default Configuration","4.2.1 Default Consumer Configuration Each Enterprise Message API consumer-type application must eventually instantiate an OmmConsumer object. Constructors for OmmConsumer require a OmmConsumerConfig object. The OmmConsumerConfig constructor can read and process an optional XML file, which applicatio...","EMA_Configuration_Guide\u002Fpairs\u002Fpair2_4.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.03.html","4.2.2 Default Provider Configurations","Each Enterprise Message API provider-type application must eventually instantiate an OmmProvider object. Constructors for OmmProvider require a OmmProviderConfig object. The OmmProviderConfig constructor can read and process an optional XML file, which applications can use to modify the Enterprise M...","EMA_Configuration_Guide\u002Fpairs\u002Fpair3_4.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.04.html","4.2.2.1 Example: Default Channel Behavior (NiProvider)","The default (hard-coded) behavior for a Channel adheres to the following configuration: \u2022 ChannelType value=\u201DRSSL_SOCKET\u201D \u2022 CompressionType value=\u201DNone\u201D \u2022 TcpNoDelay value=\u201D1\u201D \u2022 Host value=\u201Dlocalhost\u201D \u2022 Port value= \u201C14003\u201D Note that unlike the Enterprise Message API\u2019s default behavior of choosing th...","EMA_Configuration_Guide\u002Fpairs\u002Fpair4_3.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.05.html","4.2.2.2 Example: Default Server Behavior (IProvider)","The default (hard-coded) behavior for a Server adheres to the following configuration: \u2022 ServerType value=\u201DRSSL_SOCKET\u201D \u2022 CompressionType value=\u201DNone\u201D \u2022 TcpNoDelay value=\u201D1\u201D \u2022 Port value= \u201C14002\u201D Note that unlike the Enterprise Message API\u2019s default behavior of choosing the first IProvider component...","EMA_Configuration_Guide\u002Fpairs\u002Fpair5_3.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.06.html","4.3 Processing the Enterprise Message API XML Configuration File","The LSEG Real-Time SDK package installs a default configuration file named EmaConfig.xml into the Enterprise Message API\u2019s working directory. By default, the Enterprise Message API looks for a configuration file with this name in the working directory. If you want to use a different name for your co...","EMA_Configuration_Guide\u002Fpairs\u002Fpair6_3.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.07.html","4.3.1 Reading the Configuration File","NOTE: The following section uses Consumer objects (i.e., OmmConsumer and OmmConsumerConfig) to illustrate how the Enterprise Message API checks for a configuration file, and if one exists, how the Enterprise Message API starts to process it. The OmmConsumer constructor expects an OmmConsumerConfig o...","EMA_Configuration_Guide\u002Fpairs\u002Fpair7_3.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.08.html","4.3.1.1 Using EmaConfig.xml in the Working Directory","If OmmConsumerConfig lacks an argument, the application attempts to open a configuration file named EmaConfig.xml in the current working directory: \u2022 If EmaConfig.xml exists and contains valid XML, the Enterprise Message API uses the XML to modify its configuration. \u2022 If EmaConfig.xml exists, but is...","EMA_Configuration_Guide\u002Fpairs\u002Fpair8_3.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.09.html","4.3.1.2 Using a Custom Filename and\u002For Directory","If you include a path with OmmConsumerConfig, the application creates a filename from the argument and attempts to open a file with that name, as follows: \u2022 If the argument represents only a directory, the Enterprise Message API appends EmaConfig.xml to the argument and verifies whether EmaConfig.xm...","EMA_Configuration_Guide\u002Fpairs\u002Fpair9_3.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.10.html","4.3.2 Use of the Correct Order in the XML Schema","In the following configuration file snippet (only those parts needed for the example are included), the application creates a consumer with a Name of Consumer_1 which logs to a file named emaLogfile.   <ConsumerGroup> \u00A0\u00A0\u00A0\u00A0<ConsumerList> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Consumer> \u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0<Name value=\u0022Consumer_1\u0022\u002F> \u00A0\u00A0\u00A0\u00A0\u00A0...","EMA_Configuration_Guide\u002Fpairs\u002Fpair10_3.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.11.html","4.3.3 Processing the Consumer \u201CName\u201D","The Enterprise Message API is hard-coded to use a default consumer of EmaConsumer. However, you can change this by using the configuration file (e.g., EmaConfig.xml). When you use the XML file, the default Consumer Name is either specified by the DefaultConsumer element, or if this parameter is not ...","EMA_Configuration_Guide\u002Fpairs\u002Fpair11_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.12.html","4.3.4 Processing the Provider \u201CName\u201D","The Enterprise Message API is hard-coded to use a default non-interactive provider of EmaProvider. However, you can change this by using the configuration file (e.g., EmaConfig.xml). When you use the XML file, the default Provider Name is either specified by the DefaultProvider element, or if this p...","EMA_Configuration_Guide\u002Fpairs\u002Fpair12_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.13.html","4.4 Configuring the Enterprise Message API Using Function Calls","From an application standpoint, instantiating OmmConsumerConfig and OmmNiProviderConfig objects creates the initial configuration from the DefaultXML.h and the Enterprise Message API\u2019s XML configuration file (if one exists). Certain variables can then be altered via function calls on the OmmConsumer...","EMA_Configuration_Guide\u002Fpairs\u002Fpair13_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.14.html","4.4.1 Configuration Function Calls","4.4.1.1 OmmConsumerConfig Class Function Calls You can use the following function calls in an Enterprise Message API Consumer application:  Table 32: OmmConsumerConfig Class Function Calls\u00A0 Function Description addAdminMsg( const ReqMsg& ) Populates part of or all of the login request message, direc...","EMA_Configuration_Guide\u002Fpairs\u002Fpair14_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.15.html","4.4.1.2 OMMIProviderConfig Class Function Calls","You can use the following function calls in an Enterprise Message API IProvider application. For further details on variables, refer to the Enterprise Message API C++ RDM Usage Guide.  Table 33: OmmIProviderConfig Class Function Calls \u00A0 Function Description addAdminMsg( RefreshMsg) Optional. Populat...","EMA_Configuration_Guide\u002Fpairs\u002Fpair15_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.16.html","4.4.1.3 OMMNIProviderConfig Class Function Calls","You can use the following function calls in an Enterprise Message API NiProvider application. For further details on variables, refer to the Enterprise Message API C++ Edition RDM Usage Guide.  Table 34: OmmNiProviderConfig Class Function Calls Function description addAdminMsg( const RefreshMsg& ) O...","EMA_Configuration_Guide\u002Fpairs\u002Fpair16_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.17.html","4.4.2 Using the host() Function: How \u201CHost\u201D and \u201CPort\u201D are Processed","Host and Port parameters both have global default values. Thus, if either an OmmConsumerConfig or OmmNiProviderConfig object exists, its Host and Port will always have values (either the default value or some other value as specified in a configuration XML file such as EmaConfig.xml). \u2022 The default ...","EMA_Configuration_Guide\u002Fpairs\u002Fpair17_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.18.html","4.4.3 Service Discovery Configuration Using Function Calls","4.4.3.1 ServiceEndpointDiscovery ServiceEndpointDiscovery class provides the functionality to query endpoints from RDP service discovery. The application interacts with service discovery through the ServiceEndpointDiscovery interface methods. The results of these interactions are communicated back t...","EMA_Configuration_Guide\u002Fpairs\u002Fpair18_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.19.html","4.4.4 Multi-Credential Configuration","OmmConsumers can have associate login request messages and\u002For oAuth credentials with channels configured in the ChannelSet or Warm Standby configuration. Using the addOAuth2Credential and addLoginMsgCredential function calls allow for multiple credentials and login request options to be used with ch...","EMA_Configuration_Guide\u002Fpairs\u002Fpair19_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.20.html","4.4.4.1 OAuth2Credential Class Functions","You can use the following class functions:  Table 36: OAuth2Credential Class Functions\u00A0 function description channelList(const EmaString&) Comma separated list of channel names that should be used with these credentials. If this is set to a blank EMAString, these credentials will be used by any chan...","EMA_Configuration_Guide\u002Fpairs\u002Fpair20_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.21.html","4.5 Programmatic Configuration","In addition to changing the Enterprise Message API\u2019s configuration via an XML configuration file (e.g., EmaConfig.xml) or function calls, you can programmatically change the API\u2019s behavior via an OMM data structure. ","EMA_Configuration_Guide\u002Fpairs\u002Fpair21_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.22.html","4.5.1 OMM Data Structure","Programmatic configuration of the Enterprise Message API provides a way of configuring all parameters using an OMM data structure, which is divided into four tiers: \u2022 The 1st tier lists the following Enterprise Message API\u2019s components each of which has its own list in the 2nd tier: \u2022 Consumer \u2022 IPr...","EMA_Configuration_Guide\u002Fpairs\u002Fpair22_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.23.html","4.5.2 Creating a Programmatic Configuration for a Consumer","NOTE: When encoding OMM types, you must follow the OMM data structure and configuration parameter types listed in this document. To programmatically configure an Enterprise Message API Consumer: 1. Create a map with the following hierarchy to configure Enterprise Message API configuration parameters...","EMA_Configuration_Guide\u002Fpairs\u002Fpair23_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.24.html","4.5.3 Example: Programmatic Configuration of a Consumer","The following sample illustrates the Enterprise Message API programmatic configuration of a consumer:   Map configMap; Map innerMap; ElementList elementList;  elementList.addAscii( \u0022DefaultConsumer\u0022, \u0022Consumer_1\u0022 );  innerMap.addKeyAscii( \u0022Consumer_1\u0022, MapEntry::AddEnum, ElementList() \u00A0\u00A0\u00A0\u00A0.addAscii(...","EMA_Configuration_Guide\u002Fpairs\u002Fpair24_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.25.html","4.5.4 Creating a Programmatic Configuration for an IProvider","NOTE: When encoding OMM types, you must follow the OMM data structure and configuration parameter types listed in this document. To programmatically configure an Enterprise Message API IProvider: 1. To configure an Enterprise Message API directory\u2019s configuration parameters, create a map with the fo...","EMA_Configuration_Guide\u002Fpairs\u002Fpair25_2.js","content-page"]
,["EMA_Configuration_Guide\u002FChap_ConfigProcessing.4.26.html","4.5.5 Example: Programmatic Configuration of an IProvider","The following sample illustrates the Enterprise Message API programmatic configuration of an interactive provider:   Map outermostMap, innerMap; ElementList elementList;  elementList.addAscii(\u0022DefaultIProvider\u0022, \u0022Provider_1\u0022);  innerMap.addKeyAscii(\u0022Provider_1\u0022, MapEntry::AddEnum, ElementList() \u00A0\u00A0\u00A0\u00A0...","EMA_Configuration_Guide\u002Fpairs\u002Fpair26_2.js","content-page"]
],
"words":
{
"1.1":[0,1]
,"manual":[0,1,1,1,4,1,10,1,36,2,88,2]
,"document":[0,3,5,2,6,2,8,1,93,1,95,1]
,"authored":[0,1]
,"enterprise":[0,6,1,2,3,6,4,3,9,1,11,7,12,1,13,1,15,1,17,46,18,1,20,1,22,26,23,1,25,1,27,35,28,1,30,7,32,6,33,6,35,4,36,1,41,1,45,1,47,6,49,5,53,9,56,4,59,1,61,5,62,1,71,3,72,5,73,4,74,2,75,2,76,6,77,2,78,2,79,3,80,2,81,4,82,4,83,2,84,9,85,5,86,6,91,1,92,2,93,2,94,1,95,2,96,1]
,"message":[0,7,1,2,3,5,4,3,9,1,10,5,11,7,12,1,13,1,15,1,17,52,18,1,20,1,22,33,23,1,25,1,27,42,28,1,30,7,32,8,33,8,35,4,36,8,41,1,45,1,47,9,49,3,53,9,56,4,59,1,61,5,62,2,63,2,67,1,71,3,72,5,73,4,74,2,75,2,76,6,77,2,78,2,79,3,80,2,81,4,82,4,83,2,84,16,85,6,86,7,91,1,92,2,93,2,94,1,95,4,96,1]
,"api":[0,8,1,2,2,2,3,9,4,4,9,1,10,5,11,6,12,2,13,1,15,1,17,46,18,1,20,1,22,28,23,1,25,1,27,39,28,1,30,12,32,5,33,4,35,2,36,1,41,1,45,1,47,7,49,3,53,6,56,3,59,1,61,5,62,1,71,2,72,3,73,3,74,1,75,1,76,4,77,2,78,2,79,3,80,2,81,4,82,4,83,1,84,10,85,8,86,10,92,1,93,2,94,1,95,2,96,1]
,"architects":[0,1]
,"programmers":[0,1]
,"several":[0,1,36,2,60,1]
,"authors":[0,1]
,"designed":[0,1,3,1,36,1]
,"developed":[0,1]
,"maintained":[0,1]
,"product":[0,1]
,"lseg":[0,2,3,12,4,2,27,1,35,1,36,2,76,1,78,1,84,1]
,"products":[0,1]
,"leverage":[0,2]
,"concise":[0,1]
,"addresses":[0,1]
,"realistic":[0,1]
,"scenarios":[0,1,53,1]
,"cases":[0,1]
,"guide":[0,1,1,1,3,1,4,3,17,1,22,1,27,1,30,3,32,1,47,4,61,1,62,2,78,1,79,1,84,5,85,4,86,4]
,"documents":[0,1]
,"functionality":[0,1,84,1,88,2,89,1]
,"capabilities":[0,1,3,2,13,1,18,1,23,1,62,1,63,1,70,2,96,1]
,"edition":[0,1,1,1,4,3,17,1,22,1,27,1,30,3,32,1,47,4,61,1,62,2,84,2,85,3,86,4]
,"connect":[0,1,3,1,30,1,47,1,84,1,86,2]
,"different":[0,1,16,1,22,6,32,2,33,2,47,2,76,1]
,"customer":[0,1]
,"components":[0,2,2,2,13,2,16,1,18,2,23,2,51,1,54,1,57,2,60,1,71,1,81,2,82,2,92,3]
,"want":[0,1,11,1,76,1,79,2]
,"interact":[0,1]
,"consult":[0,1]
,"specific":[0,1,2,3,7,1,10,1,11,1,28,2,35,2,45,2,66,1,69,1,72,1,74,1,75,1,84,2,85,2,86,2,92,1]
,"component\u2019s":[0,1,92,1]
,"documentation":[0,1,30,2,35,1,47,2]
,"determine":[0,1,17,1]
,"best":[0,1]
,"configure":[0,1,10,1,11,1,16,1,21,2,26,2,28,2,30,1,32,1,33,1,34,1,35,1,36,3,45,2,47,1,60,1,63,1,64,1,65,1,66,1,67,1,68,1,72,1,74,1,75,1,84,2,93,2,95,2]
,"optimal":[0,1]
,"interaction":[0,1]
,"explains":[0,1]
,"configuration":[0,5,1,1,2,1,3,1,7,1,8,1,10,19,11,1,12,2,16,2,17,5,18,1,21,1,22,4,23,1,26,1,27,4,30,1,31,1,32,3,33,3,35,1,36,1,37,1,38,2,41,1,44,1,47,2,48,2,53,2,56,1,71,10,72,9,73,4,74,2,75,2,76,8,77,6,78,6,79,5,80,4,81,2,82,1,83,3,84,7,85,2,86,3,87,1,88,2,89,2,91,3,92,4,93,5,94,2,95,5,96,2]
,"parameters":[0,1,1,1,2,1,6,1,10,4,11,1,12,1,13,1,16,2,17,3,18,1,21,2,22,3,23,1,26,2,27,3,28,8,30,4,32,4,33,4,34,4,35,7,36,6,39,1,41,3,44,3,45,4,47,3,49,4,50,1,51,1,53,4,54,1,56,4,57,1,60,2,61,3,62,6,64,1,66,4,67,3,68,3,69,3,71,2,76,1,80,1,84,1,87,1,92,4,93,1,95,1]
,"messaging":[0,1,3,2]
,"simply":[0,1]
,"called":[0,1,36,1,84,1]
,"specified":[0,1,2,1,8,1,10,1,13,1,15,1,17,4,18,1,20,1,22,3,23,1,25,1,27,3,30,3,32,2,33,2,36,5,49,1,53,1,56,3,62,1,67,1,68,1,71,3,79,4,81,1,82,1,84,5,86,2,87,1,88,1,90,1]
,"first":[0,1,13,1,15,1,17,6,18,1,20,1,23,1,25,1,27,2,36,1,59,1,72,2,74,2,75,2,81,1,82,1,84,1,85,1,86,1]
,"via":[0,4,10,1,17,2,83,1,84,3,86,2,91,2]
,"compiled-in":[0,1]
,"values":[0,1,2,3,3,1,5,1,6,1,8,4,9,1,12,1,17,26,22,23,27,21,30,5,31,1,32,4,33,3,35,1,41,2,47,9,48,1,53,7,56,2,60,1,61,6,62,1,69,2,86,1,87,7]
,"optional":[0,1,3,2,37,3,72,1,73,1,84,29,85,11,86,22,88,10,90,3]
,"user-provided":[0,1]
,"xml":[0,1,8,1,10,3,11,5,13,1,14,2,16,1,17,7,18,1,19,2,21,2,22,7,23,1,24,2,26,2,27,7,28,1,29,2,37,2,40,2,43,2,45,1,46,2,52,2,55,2,58,2,60,1,70,1,72,3,73,2,74,1,75,1,76,1,78,3,79,1,80,2,81,2,82,2,83,2,87,1,91,1]
,"file":[0,1,10,2,11,5,17,12,21,1,22,7,26,1,27,8,31,1,32,2,33,2,35,3,37,1,48,1,49,1,53,19,56,1,63,1,66,2,69,3,71,2,72,5,73,4,74,1,75,1,76,6,77,5,78,1,79,12,80,2,81,4,82,3,83,2,84,2,85,3,86,1,87,1,88,2,91,1]
,"finally":[0,1,71,1]
,"programmatic":[0,1,8,1,10,1,12,1,30,1,32,1,33,1,38,2,41,1,47,2,53,2,56,1,71,3,84,2,85,1,86,1,91,1,92,1,93,3,94,2,95,3,96,2]
,"changes":[0,1,71,1]
,"introduced":[0,1,6,1,8,1]
,"software":[0,1,1,1,8,1,10,2,36,2]
,"works":[0,1,17,1,85,1,86,2]
,"fashion":[0,1]
,"across":[0,1]
,"platforms":[0,1]
,"1.2":[1,1,84,1]
,"audience":[1,1,84,2]
,"provides":[1,1,3,2,30,1,62,1,72,1,73,1,88,2,92,1]
,"information":[1,2,3,1,10,2,22,1,27,1,30,1,32,1,36,1,41,2,42,1,44,1,47,2,61,2,62,1,84,1]
,"aids":[1,1]
,"developers":[1,1,4,1,17,1,22,1,27,1,30,3,32,1,47,4,78,1,79,1,84,4,85,2,86,2]
,"local":[1,1,30,1,47,1]
,"site":[1,1]
,"administrators":[1,1]
,"understanding":[1,1]
,"obtain":[1,1,32,2,33,2,84,2,90,2]
,"further":[1,1,17,5,22,4,27,5,30,1,32,1,33,1,36,2,47,3,56,1,61,1,62,1,76,1,85,1,86,1]
,"developer\u2019s":[1,1]
,"1.3":[2,1,84,1]
,"definitions":[2,2]
,"table":[2,1,3,2,7,1,17,1,22,1,27,2,30,1,31,2,32,1,33,1,34,1,35,1,36,1,41,1,44,1,47,1,48,2,49,1,50,1,53,1,56,1,60,1,61,1,62,1,63,1,64,1,65,1,66,1,67,1,68,1,69,1,84,1,85,1,86,1,88,2,90,1]
,"definition":[2,1,3,1,7,1,10,1,76,1]
,"description":[2,1,7,1,10,2,17,1,22,2,27,1,49,1,50,1,60,1,61,1,62,1,63,1,64,1,65,1,66,1,67,1,68,1,69,1,84,1,85,1,86,1,88,1,90,1]
,"group":[2,2,10,2,12,1,17,3,18,1,19,1,23,1,28,1,32,2,33,2,39,1,42,1,45,1,51,1,53,1,54,1,56,1,57,1,84,2]
,"related":[2,1,62,1]
,"ema":[2,1,3,3,4,1,17,1,31,1,48,1,84,4,85,1,86,1]
,"component":[2,4,3,2,13,2,15,1,16,1,17,3,18,3,20,1,21,2,22,3,23,3,25,1,26,2,27,4,28,2,45,2,51,1,53,1,54,1,56,1,57,1,59,1,60,4,61,4,62,10,63,2,64,1,65,1,72,1,74,1,75,1,76,1,80,1,81,1,82,1]
,"e.g":[2,3,10,1,30,1,53,1,63,1,66,1,81,1,82,1,86,1,91,1]
,"channelgroup":[2,1,17,2,27,2,28,3,29,4,37,2,38,1,44,1,89,1,94,1]
,"list":[2,2,3,2,13,1,16,1,18,1,21,1,23,1,26,1,28,5,31,1,34,1,45,1,48,1,50,1,57,1,88,1,90,1,92,2]
,"belonging":[2,1]
,"channellist":[2,1,28,1,29,2,37,2,38,1,84,5,89,1,90,3,94,1]
,"channel":[2,1,10,6,13,1,17,26,22,6,23,1,27,21,28,15,29,2,30,13,31,5,32,4,33,3,34,4,35,3,36,11,37,4,39,3,41,3,42,3,44,6,45,1,47,7,72,3,74,4,76,1,84,8,86,1,90,1,92,1,94,1]
,"lists":[2,1,72,1,74,1,75,1,92,1]
,"multiple":[2,1,17,1,22,1,27,1,30,1,47,1,62,1,66,2,70,2,84,3,85,1,86,2,89,1,93,1,95,1]
,"name":[2,1,8,1,10,1,13,1,14,1,17,13,18,1,19,1,22,11,23,1,24,1,27,11,28,1,29,1,30,3,32,5,33,6,34,1,35,1,36,1,37,3,39,1,40,1,41,3,42,3,43,1,44,3,45,1,46,1,47,3,49,1,50,1,51,1,52,1,53,9,54,1,55,1,56,5,57,1,58,2,60,5,61,6,62,8,63,1,64,1,65,1,66,1,70,7,76,2,77,2,79,2,80,5,81,5,82,5,84,7,85,5,86,10,88,3,90,1]
,"field":[2,3,5,1,7,1,8,3,17,4,22,5,27,4,30,1,47,1]
,"identification":[2,1]
,"purposes":[2,1,69,1]
,"configurable":[2,1]
,"parameter":[2,1,8,1,10,1,11,2,12,1,15,1,16,1,17,11,20,1,21,1,22,4,25,1,26,1,27,6,30,3,31,2,32,5,33,5,34,1,35,1,36,1,41,1,44,2,47,2,48,3,49,2,50,3,53,4,56,1,59,1,60,1,61,1,62,5,63,4,64,4,65,4,66,1,67,1,68,1,69,1,80,1,81,1,82,1,84,1,85,1,87,5,90,1,93,2,95,2]
,"default":[2,3,3,1,11,4,12,2,13,3,15,2,17,11,18,3,20,2,22,10,23,3,25,2,27,8,28,1,30,4,31,1,32,1,33,1,34,1,35,3,36,5,41,1,44,2,45,1,47,3,48,2,49,4,50,1,53,3,56,1,59,2,60,1,61,1,62,1,63,1,64,1,65,1,66,1,67,1,68,1,69,1,71,1,72,6,73,3,74,3,75,3,76,2,77,1,78,4,79,1,80,1,81,3,82,3,84,17,85,6,86,7,87,8,88,6,90,2,92,1,95,1]
,"value":[2,5,3,1,8,3,9,1,11,2,12,1,14,4,15,2,16,2,17,7,19,4,20,2,21,2,22,2,24,4,25,2,26,2,27,2,29,2,30,1,31,3,32,5,33,5,36,9,37,12,40,2,43,2,46,2,47,1,48,3,52,1,53,4,55,1,58,3,59,2,60,1,61,1,70,36,72,5,74,5,75,4,80,8,84,8,86,3,87,6,90,1]
,"uses":[2,1,5,1,6,1,13,1,15,1,17,6,18,1,20,1,22,5,23,1,25,1,27,5,59,1,62,2,77,1,78,3,80,1,81,2,82,2,88,1]
,"user":[2,1,3,1,6,1,30,2,84,8,85,2,86,3,90,1]
,"general":[2,1]
,"items":[2,1,17,1,22,2,27,3,62,1,67,2,68,2]
,"required":[2,1,8,1,17,1,22,4,27,1,49,2,60,1,84,5,85,1,90,4]
,"allowed":[2,1,32,2,33,1,36,1,47,1,69,1,84,3,86,3]
,"range":[2,1,3,1,17,1,22,1,36,1,62,3,86,2]
,"allows":[2,1,3,1,17,1,22,1,27,1,36,1,47,2,68,1,70,1,84,3]
,"1.4":[3,1]
,"acronyms":[3,4]
,"abbreviations":[3,2]
,"generally":[3,1]
,"avoids":[3,1]
,"however":[3,1,9,1,11,1,15,1,20,1,25,1,59,1,77,1,79,1,80,1,81,1,82,1]
,"diagrams":[3,2]
,"conserve":[3,1]
,"space":[3,1,8,1,84,1]
,"following":[3,1,5,1,6,1,9,1,10,1,15,1,16,1,17,1,20,1,21,1,22,1,25,1,26,1,27,1,30,1,31,3,32,1,33,1,34,1,35,1,36,1,37,1,38,1,41,1,44,1,47,1,48,3,49,1,50,1,53,1,56,1,59,1,60,1,61,1,62,1,67,1,68,1,69,1,70,1,71,1,72,1,74,1,75,1,77,1,79,1,80,3,84,1,85,1,86,1,87,1,88,1,90,1,92,1,93,1,94,1,95,1,96,1]
,"used":[3,4,10,1,28,1,30,7,31,3,32,2,33,2,35,2,36,1,39,1,41,1,42,2,44,1,45,1,47,3,53,2,62,6,64,1,65,2,69,1,71,1,84,18,85,4,86,6,89,2,90,14]
,"guide\u2019s":[3,1]
,"acronym":[3,1]
,"term":[3,1]
,"meaning":[3,1]
,"adh":[3,1,36,2]
,"real-time":[3,13,17,2,22,1,27,2,36,2,76,1,78,1]
,"advanced":[3,4,27,1]
,"distribution":[3,12,27,1,36,2]
,"hub":[3,2,27,1]
,"horizontally":[3,2]
,"scalable":[3,2]
,"service":[3,3,10,2,17,9,22,6,27,2,30,6,32,2,33,2,42,4,44,2,57,2,58,2,60,3,61,8,62,7,63,2,66,1,67,5,68,2,70,2,84,17,88,6,90,3]
,"within":[3,2,7,1,13,1,17,1,18,1,23,1,37,1]
,"system":[3,5,17,1,22,1,27,1,30,4,35,2,36,2,47,2,77,1,84,1]
,"providing":[3,3,12,1,68,1]
,"high":[3,2]
,"availability":[3,1]
,"publication":[3,2,36,2]
,"contribution":[3,2]
,"subscription":[3,1]
,"management":[3,3,84,1,90,1]
,"persistence":[3,2]
,"conflation":[3,2]
,"delay":[3,2,17,1,32,1,33,1,47,1]
,"ads":[3,1]
,"server":[3,2,10,2,17,2,18,1,22,4,30,2,31,1,32,6,33,6,39,2,41,2,42,1,44,1,45,5,46,2,47,15,48,4,49,1,70,3,75,4,84,6,85,1,86,2,96,1]
,"highly":[3,1]
,"available":[3,1,10,1,16,1,17,6,21,1,22,3,26,1,27,1,30,3,32,2,33,2,36,1,41,1,47,6,62,2,86,2]
,"services":[3,1,17,2,22,1,27,1,62,1]
,"tailored":[3,1]
,"streaming":[3,1,68,1,84,1]
,"snapshot":[3,1,62,3]
,"data":[3,4,5,1,7,4,10,8,17,9,22,9,27,9,30,5,32,7,33,4,36,7,47,9,62,3,66,2,68,1,69,2,84,2,90,1,91,1,92,2,93,1,95,1]
,"application":[3,2,10,2,13,1,17,6,18,1,22,5,23,1,27,5,28,1,30,1,36,2,45,1,47,1,71,1,72,3,73,1,74,2,75,2,78,4,79,7,80,3,81,2,82,2,83,1,84,5,85,2,86,5,87,1,88,2,90,1]
,"programming":[3,1,84,1]
,"interface":[3,1,30,3,36,2,47,3,88,1]
,"ascii":[3,1,86,1]
,"american":[3,1]
,"standard":[3,2,17,1]
,"code":[3,3,6,2,69,1]
,"interchange":[3,1]
,"ease":[3,1]
,"open":[3,4,47,1,67,2,68,2,78,1,79,1]
,"source":[3,2,10,1,17,2,22,3,27,5,35,1,56,2,61,1,62,3,68,1]
,"model":[3,4,4,1,84,2,85,1,86,1]
,"provide":[3,1,10,1]
,"clients":[3,1]
,"rapid":[3,1]
,"development":[3,1]
,"applications":[3,3,10,2,36,1,47,1,72,2,73,1,74,1,75,1,84,1,90,1]
,"minimizing":[3,1]
,"lines":[3,1]
,"broad":[3,1]
,"flexibility":[3,1]
,"flexible":[3,1]
,"simplify":[3,2]
,"deployment":[3,1,11,1]
,"written":[3,3]
,"top":[3,1]
,"transport":[3,6,17,2,22,2,27,2,30,2,32,1,34,1,47,4,49,2,86,1]
,"eta":[3,3,17,2,22,2,27,2]
,"utilizing":[3,1]
,"added":[3,1]
,"reactor":[3,3,86,1]
,"watchlist":[3,1,17,1]
,"features":[3,2]
,"performance":[3,1,17,1,22,1,27,1]
,"low":[3,3,17,1,22,1,27,1]
,"latency":[3,3]
,"foundation":[3,1]
,"sdk":[3,2,76,1,78,1]
,"consists":[3,2]
,"buffer":[3,1,17,2,22,2,27,2,30,3,47,3]
,"compression":[3,1,32,6,33,6,34,1,47,6]
,"fragmentation":[3,1,22,2]
,"packing":[3,1]
,"encoders":[3,1]
,"decoders":[3,1]
,"implement":[3,1]
,"layer":[3,2]
,"achieve":[3,1]
,"highest":[3,1,34,1,84,1,86,1]
,"throughput":[3,1]
,"lowest":[3,1,34,1]
,"memory":[3,1,79,1]
,"utilization":[3,2]
,"cpu":[3,1,85,3,86,6]
,"using":[3,2,10,1,11,2,17,2,30,1,32,1,33,1,35,3,36,1,47,2,62,1,72,1,73,1,76,1,78,1,79,1,81,1,82,1,83,1,84,1,87,2,88,1,89,1,90,1,92,1]
,"binary":[3,2]
,"rssl":[3,3,86,1]
,"wire":[3,2,17,2,30,2,32,2,47,2]
,"format":[3,4,17,4,22,4,27,4,85,2,86,4]
,"publishing":[3,1]
,"consuming":[3,1,27,1,84,1]
,"content":[3,1,30,1,47,1,84,1,85,1,86,1]
,"systems":[3,1,30,1,47,1]
,"http":[3,1,33,1,35,1,84,2,86,4]
,"hypertext":[3,2]
,"transfer":[3,2]
,"protocol":[3,2,17,1,22,1,27,1,35,4,36,1,47,1,84,4,86,4]
,"https":[3,1,33,1,84,3,86,3]
,"secure":[3,1]
,"json":[3,6,17,19,22,17,27,17]
,"javascript":[3,1]
,"object":[3,1,33,1,72,3,73,3,76,2,77,2,78,3,79,3,84,6,85,1,86,2,87,2,88,3,93,1,95,1]
,"notation":[3,1]
,"jwk":[3,3,84,1]
,"web":[3,3]
,"key":[3,3,17,4,22,1,49,1,84,1,85,1]
,"defined":[3,2,35,1,36,1,49,1,76,1,84,6]
,"rfc":[3,2]
,"7517":[3,1]
,"formatted":[3,1,84,1,85,1]
,"public":[3,1]
,"private":[3,1,22,1,49,1,84,1,85,1]
,"jwks":[3,1]
,"placed":[3,1,30,1,32,1,47,1]
,"array":[3,1]
,"jwt":[3,2,84,5]
,"token":[3,2,17,8,30,2,32,2,33,2,84,15,88,2,90,5]
,"7519":[3,1]
,"users":[3,2,10,1]
,"create":[3,1,78,1,79,1,84,1,93,2,95,2]
,"signed":[3,1,7,1]
,"claim":[3,1,84,1]
,"validate":[3,1,22,3]
,"omm":[3,1,91,1,92,2,93,3,95,3]
,"qos":[3,1,22,2,62,6,66,5,70,2,96,1]
,"quality":[3,1]
,"rdm":[3,1,61,2,62,4,63,1,64,1,65,1,84,1,85,2,86,2]
,"domain":[3,1,4,1,22,2,27,1,61,1,62,1,63,3,84,4,85,1,86,6,89,1]
,"delivery":[3,1,47,1,84,1,90,1]
,"platform":[3,3,47,1,84,3,85,2,86,2,90,1]
,"rest":[3,1,17,8,32,2,33,2,84,6,85,1,88,4]
,"interactions":[3,1,17,1,84,1,88,1]
,"context":[3,1]
,"apis":[3,1]
,"gets":[3,1,17,1,36,1,90,6]
,"authentication":[3,1,30,2,32,2,33,2,84,20,86,4,88,2,90,12]
,"tokens":[3,1,84,2,88,2]
,"queries":[3,1]
,"discovery":[3,1,17,4,30,5,32,2,33,2,84,6,88,4]
,"optimized":[3,1,17,1]
,"endpoints":[3,1,30,2,84,1,88,2]
,"lseg\u2019s":[3,1]
,"financial":[3,1]
,"market":[3,1]
,"low-level":[3,1]
,"open-source":[3,1]
,"easy-to-use":[3,1]
,"above":[3,1,10,1,32,1,33,1,47,1]
,"offers":[3,1]
,"heartbeat":[3,1]
,"connection":[3,1,10,1,17,10,22,1,27,5,28,3,30,4,31,5,32,1,33,1,35,2,36,4,41,2,45,3,47,4,48,5,84,4,86,5]
,"item":[3,1,17,1,22,3,56,2,62,1,69,3]
,"recovery":[3,1,27,1]
,"help":[3,1]
,"rmtes":[3,1]
,"multi-lingual":[3,1]
,"text":[3,1,5,1,7,1,8,3,69,1,79,1,87,2]
,"encoding":[3,1,70,1,93,1,95,1]
,"sink":[3,1]
,"library":[3,1,11,1,12,1,17,3,22,3,27,3,35,2,47,1,84,2,85,5,86,6,88,4]
,"rtt":[3,1,17,2]
,"round":[3,2]
,"trip":[3,2]
,"time":[3,1,17,10,22,1,27,5,30,2,32,1,36,6,47,3,53,2,66,1,68,1]
,"monitoring":[3,1,36,1]
,"feature":[3,1,10,1,47,1,70,1,90,1]
,"rwf":[3,1,17,8,22,8,27,8,31,1,48,1]
,"proprietary":[3,1]
,"representation":[3,1,30,1,47,1]
,"ldf-d":[3,1]
,"feed":[3,1]
,"direct":[3,1,30,4,32,5,47,5]
,"uml":[3,1]
,"unified":[3,1]
,"modeling":[3,1]
,"language":[3,1,84,1]
,"utf-8":[3,1,70,1]
,"8-bit":[3,1]
,"unicode":[3,1]
,"transformation":[3,1]
,"1.5":[4,1]
,"references":[4,1]
,"usage":[4,1,36,2,61,1,62,2,84,1,85,2,86,2]
,"concepts":[4,1,6,1]
,"href":[4,1]
,"refman":[4,1]
,"index.html":[4,1]
,"target":[4,1,16,1,21,1,26,1,60,1]
,"_blank":[4,1]
,"reference":[4,1,84,2,88,1]
,"developer":[4,1]
,"community":[4,1]
,"1.6":[5,1]
,"conventions":[5,2,6,1,7,1]
,"types":[5,2,6,2,7,2,22,1,31,3,32,1,33,2,34,2,35,2,47,1,48,3,61,2,62,2,65,1,84,1,86,1,93,2,95,2]
,"typographic":[5,1,6,1]
,"1.6.1":[6,1]
,"classes":[6,1,88,1]
,"methods":[6,1,10,1,12,1,17,1,22,1,27,1,88,1]
,"in-line":[6,1]
,"snippets":[6,1,31,1]
,"shown":[6,5]
,"courier":[6,2]
,"new":[6,2,17,2,22,1,27,1,53,1]
,"font":[6,3]
,"filenames":[6,1,76,1]
,"tools":[6,1,36,1]
,"utilities":[6,1]
,"directories":[6,1,27,3,72,1,73,1]
,"bold":[6,2]
,"titles":[6,1]
,"variable":[6,1,84,2]
,"italics":[6,2]
,"initially":[6,1]
,"longer":[6,1]
,"examples":[6,1,8,1,76,1]
,"against":[6,1]
,"gray":[6,1]
,"background":[6,1]
,"example":[6,1,11,1,16,1,17,1,21,1,26,1,27,1,35,1,37,2,38,2,70,1,72,1,74,1,75,1,78,2,79,2,80,1,89,2,94,1,96,1]
,"appclient":[6,1,96,1]
,"client":[6,2,32,2,33,2,47,3,49,1,68,1,84,6,90,1]
,"ommconsumer":[6,1,17,14,72,2,77,2,78,2,79,2,84,2,93,1,95,1]
,"consumer":[6,1,10,5,13,8,14,2,15,3,16,5,17,12,22,2,27,1,28,3,32,2,33,2,37,2,39,1,42,1,45,2,62,2,70,1,72,4,76,1,77,1,78,1,79,1,80,3,81,6,84,6,89,1,92,1,93,2,94,2]
,"ommconsumerconfig":[6,2,72,3,77,3,78,3,79,3,83,2,84,4,87,2,93,1]
,".operationmodel":[6,1,96,1]
,":userdispatchenum":[6,1,96,1]
,".host":[6,1]
,"localhost:14002":[6,1,84,1,87,1]
,".username":[6,1]
,"consumer.registerclient":[6,1]
,"reqmsg":[6,1,84,3,89,2]
,".domaintype":[6,1]
,"mmt_market_by_price":[6,1,96,1]
,".servicename":[6,1]
,"direct_feed":[6,1,70,1,96,1]
,".name":[6,1]
,"bbh.itc":[6,1]
,".privatestream":[6,1]
,"true":[6,1,9,1,17,19,22,21,27,20,36,1,53,1,84,2,86,1,88,2,90,1]
,"unsigned":[6,1,7,1,49,1]
,"long":[6,2,7,2]
,"starttime":[6,1]
,"getcurrenttime":[6,1]
,"1.6.2":[7,1]
,"repository":[7,1]
,"follows":[7,1,14,1,19,1,24,1,29,1,35,2,40,1,43,1,46,1,52,1,55,1,58,1,78,1,79,2]
,"type":[7,2,17,1,22,1,27,1,28,7,30,3,31,2,32,7,33,6,34,3,35,6,36,4,41,1,44,1,45,1,47,7,48,1,49,1,50,1,53,1,56,1,60,1,61,1,62,1,63,3,64,1,65,1,66,1,67,1,68,1,69,1,84,4,86,4]
,"double":[7,2,8,2,17,1]
,"stores":[7,1]
,"decimal":[7,1]
,"numbers":[7,1,8,1,66,2]
,"precision":[7,1]
,"emastring":[7,1,17,10,22,5,27,6,30,3,32,4,33,5,34,1,35,1,36,9,41,2,44,2,47,3,49,4,50,1,53,2,56,5,60,1,61,1,62,2,63,1,64,1,65,1,66,2,69,4,85,1,90,1]
,"string":[7,1,49,1,84,4,85,2,86,3,87,3]
,"enumeration":[7,1,30,2,32,2,33,2,35,1,41,2,47,4,53,4,56,2]
,"indicated":[7,1]
,"int64":[7,1,17,8,22,2,27,7]
,"integer":[7,2,49,1]
,"uint64":[7,1,17,37,22,34,27,28,30,10,32,3,33,2,34,1,35,1,36,14,47,12,49,1,53,3,62,5,63,1,66,2,67,2,68,3]
,"1.6.3":[8,1]
,"individual":[8,1,32,1,33,1,47,1,92,1]
,"fields":[8,1,17,2,22,2,27,2]
,"files":[8,1,17,1,22,1,27,1,53,2,56,1]
,"fieldname":[8,2]
,"field_value":[8,2]
,"cannot":[8,1,79,3]
,"contain":[8,1,22,2,30,1,47,1,60,1]
,"white":[8,1]
,"sets":[8,1,17,14,22,19,27,12,32,1,33,1,36,3,47,1,53,3,56,5,84,13,87,1,90,1]
,"field\u2019s":[8,1]
,"always":[8,1,87,1]
,"included":[8,1,78,1,79,1,80,2]
,"quotes":[8,2]
,"note":[8,1,17,7,27,2,30,1,32,3,33,3,35,1,44,1,47,2,60,1,63,1,66,2,69,3,70,1,72,1,74,1,75,1,77,1,83,1,87,1,93,1,95,2]
,"except":[8,1,76,1]
,"omitted":[8,1]
,"descriptions":[8,1]
,"throughout":[8,1]
,"remainder":[8,1]
,"enumerations":[8,2]
,"i.e":[8,1,17,1,35,2,36,1,68,1,71,2,76,1,77,1,80,1,81,1,82,1]
,"rssl_socket":[8,1,28,1,30,2,31,2,32,3,35,4,47,3,48,1,72,1,74,1,75,1,87,1]
,"represented":[8,1]
,"listed":[8,1,13,1,17,2,18,1,23,1,32,1,33,1,34,1,35,3,36,1,63,1,66,2,69,3,93,1,95,1]
,"along":[8,1,33,1,86,1]
,"textual":[8,1]
,"1.6.4":[9,1]
,"boolean":[9,2]
,"configuring":[9,1,13,3,16,1,17,1,18,3,21,1,22,1,23,3,26,1,27,1,28,5,36,1,37,1,41,1,42,1,44,1,45,1,53,1,56,1,60,1,61,1,69,1,83,1,92,1,95,1]
,"expression":[9,1]
,"number":[9,1,17,9,22,4,27,6,30,3,36,3,47,2,53,5,63,1,68,2,84,2,86,1]
,"interprets":[9,1]
,"expressions":[9,1]
,"manner":[9,1]
,"false":[9,1,17,19,22,21,27,20,36,1,53,1,88,2]
,"2.1":[10,1]
,"write":[10,1,17,2,22,2,27,2,30,4,32,5,47,5]
,"simple":[10,1]
,"schema":[10,1,13,1,14,2,16,2,18,1,19,2,21,4,23,1,24,2,26,4,28,1,29,2,37,2,40,2,43,2,45,1,46,2,52,2,55,2,58,2,60,1,80,1]
,"settings":[10,4,11,1,17,3,22,2,27,2,31,1,32,3,33,3,47,1,48,1,83,1,95,1]
,"changed":[10,1]
,"function":[10,1,12,1,17,2,30,1,32,2,33,2,47,1,71,3,83,3,84,5,85,4,86,4,87,2,88,2,89,1,90,1,91,1]
,"calls":[10,1,12,1,22,1,71,2,83,3,84,4,85,3,86,3,88,1,89,1,91,1]
,"initial":[10,1,41,1,83,1,85,1]
,"compiled":[10,1]
,"defines":[10,1,51,1,54,1,57,1,92,2]
,"minimal":[10,1]
,"supply":[10,1,70,1]
,"custom":[10,2,77,1,79,4]
,"emaconfig.xml":[10,1,11,2,12,1,62,1,67,1,68,1,70,1,71,2,72,2,73,2,76,1,77,1,78,6,79,2,81,1,82,2,84,1,87,1,91,1]
,"specify":[10,2,13,2,15,1,16,1,17,1,18,2,20,1,21,1,22,3,23,2,25,1,26,1,28,1,35,1,45,1,59,2,76,1,77,1,79,2,84,1,85,1,86,2]
,"details":[10,2,13,2,17,5,18,2,22,4,23,2,27,5,28,2,30,5,32,1,33,1,36,1,41,1,44,1,45,2,47,6,53,2,56,1,61,1,62,6,72,1,73,1,76,1,78,4,79,1,84,4,85,3,86,4,88,1]
,"deploying":[10,1]
,"refer":[10,2,13,4,16,1,17,8,18,4,21,1,22,4,23,4,26,1,27,6,28,8,30,9,32,4,33,3,35,1,36,2,41,1,44,1,45,4,47,10,49,1,53,2,56,1,61,1,62,6,72,1,73,1,76,1,78,4,79,2,84,3,85,1,86,2,87,1,88,1]
,"section":[10,2,11,1,12,1,13,4,16,2,17,8,18,4,21,2,22,3,23,4,26,2,27,4,28,9,30,4,32,4,33,4,34,1,35,5,36,1,41,1,44,1,45,5,47,4,53,3,56,1,62,9,64,1,65,1,66,5,70,1,72,2,73,1,74,1,75,1,76,2,77,1,78,2,84,4,85,1,86,1,87,1]
,"4.3.1":[10,1,76,1,77,1]
,"additionally":[10,1,36,1]
,"interfaces":[10,1]
,"change":[10,1,11,2,12,1,30,1,36,1,47,1,66,1,67,1,81,1,82,1,91,1]
,"divided":[10,1,92,1]
,"groups":[10,6,72,1,73,1]
,"highest-level":[10,2,13,1,18,1,23,1]
,"typically":[10,2,13,1,18,1,23,1,69,1]
,"select":[10,3,84,1]
,"entries":[10,2,17,1,22,1,27,1,28,1,39,1,42,1,45,1,61,1,62,2,70,1]
,"logger":[10,4,13,1,16,4,17,5,18,1,21,4,22,5,23,1,26,4,27,5,37,2,38,1,51,3,52,2,53,4,72,2,74,2,75,2,76,1,80,4,92,1,94,1,96,1]
,"dictionary":[10,4,13,1,17,4,22,3,27,1,37,2,38,1,54,4,55,2,56,5,62,2,64,1,65,1,70,4,72,2,74,1,75,1,76,1,84,1,85,1,92,1,94,1,95,1]
,"provider":[10,5,17,10,18,4,19,1,20,1,21,2,22,2,23,4,25,2,26,2,27,4,30,1,56,1,62,10,67,3,70,2,73,2,82,6,85,2,86,2,96,2]
,"either":[10,1,12,1,17,2,35,1,48,1,80,1,81,1,82,1,84,2,87,2]
,"iprovider":[10,1,18,6,19,2,20,2,21,4,22,23,45,3,70,3,75,3,85,1,92,1,95,4,96,1]
,"niprovider":[10,2,22,1,23,6,24,2,25,1,26,4,27,9,28,3,74,3,76,1,86,2,92,1]
,"directory":[10,4,17,3,18,1,22,12,23,1,27,7,35,2,56,2,57,3,58,3,59,3,60,7,61,1,62,1,70,6,72,1,73,1,76,5,77,1,78,3,79,6,84,2,85,3,86,2,92,1,95,1,96,1]
,"describe":[10,1,61,1]
,"various":[10,1,72,1,73,1]
,"alternatives":[10,4]
,"connections":[10,1,17,3,27,1,31,1,35,3,48,3,49,1,84,4,85,4,86,4]
,"logging":[10,1,17,4,22,1,27,1,51,1,53,2,88,3]
,"associated":[10,1,42,1,66,2,79,1,89,1]
,"location":[10,1,30,7,56,2,84,2,85,2,88,1]
,"refresh":[10,1,17,2,22,6,27,5,67,1,84,2,85,2,86,3,88,2,95,2]
,"warmstandby":[10,1,17,1,92,1]
,"warm":[10,5,17,4,39,4,41,5,42,4,44,4,89,1]
,"standby":[10,6,17,4,39,5,41,5,42,4,44,4,89,1]
,"describes":[10,2,66,1]
,"enable":[10,1,17,3,88,3]
,"warmstandbyserverinfo":[10,1,41,2,42,1,43,2,92,1]
,"starting":[10,1,36,1,39,1,41,1,42,1,53,1]
,"preferred":[10,1,32,2,33,2,34,1,42,2,44,1,47,2]
,"names":[10,1,17,2,27,1,42,1,63,1,66,4,72,1,73,1,84,4,85,1,90,1,92,1]
,"based":[10,1,42,2,44,1,47,1]
,"top-level":[10,1,29,1,40,1,43,1,46,1,52,1,55,1,58,1]
,"configurations":[10,1,73,1,80,1,88,1]
,"according":[10,1,11,1,12,1,30,1,47,1,84,1,85,1,86,1]
,"consumername":[10,1,84,1]
,"providername":[10,1,85,1,86,1]
,"method":[10,1,86,2,87,2,93,2,95,2]
,"4.4.1":[10,1,84,1]
,"discusses":[10,1]
,"2.2":[11,1]
,"overview":[11,1,71,1]
,"behaviors":[11,5,12,1,17,2,22,2,27,2,32,1,33,1,44,1,47,1,51,1,71,2,80,1]
,"hard-coded":[11,1,12,1,71,1,72,2,73,1,74,1,75,1,80,1,81,1,82,1]
,"globally":[11,2]
,"enforced":[11,1]
,"need":[11,2,17,1,22,1,27,1,45,1,84,1]
,"api\u2019s":[11,3,30,1,32,2,33,2,35,2,47,3,49,1,53,3,56,1,71,1,72,2,73,1,74,1,75,1,76,2,83,1,91,2,92,1]
,"adjust":[11,1,17,1,22,1,27,1]
,"appropriate":[11,1,12,1,16,2,17,5,21,2,22,3,26,2,27,3,28,1,41,2,44,1,45,1,47,1,60,1,72,1,74,1,75,1]
,"discussed":[11,1,84,1,85,1,86,1]
,"enforces":[11,1]
,"certain":[11,1,47,1,83,1]
,"dependent":[11,1,35,1]
,"global":[11,1,84,1,87,4,88,1]
,"behavior":[11,2,12,1,17,4,22,3,27,3,35,3,47,2,53,1,72,3,73,1,74,3,75,3,80,1,91,1]
,"logs":[11,1,17,3,22,1,27,1,53,3,80,1,84,1,88,2]
,"messages":[11,1,17,19,22,35,27,21,32,2,33,3,34,1,36,6,47,2,53,4,62,1,67,3,84,1,85,2,86,3,89,1]
,"loggerseverity":[11,2,38,1,53,6,94,1,96,1]
,"level":[11,1,17,1,22,1,27,1,32,1,33,1,47,2,53,2]
,"success":[11,1,37,1,53,1]
,"named":[11,2,72,1,73,1,76,1,78,1,80,1]
,"emalog_pid.log":[11,1,53,1,80,1]
,"pid":[11,1,53,4]
,"process":[11,1,17,1,53,1,62,1,72,1,73,1,77,1]
,"manually":[11,1]
,"log":[11,1,17,2,53,9]
,"filename":[11,1,38,1,49,3,53,4,76,1,77,1,79,6,80,6,94,1,96,1]
,"trace":[11,2,17,22,22,22,27,22]
,"equivalent":[11,2]
,"xmltracetofile":[11,1,17,1,22,1,27,1,94,1,96,1]
,"add":[11,1,16,1,21,1,26,1,60,1]
,"turn":[11,2,57,1]
,"tracing":[11,2,17,5,22,5,27,5]
,"non-default":[11,1,72,1,73,1]
,"ematrace":[11,2,17,1,22,1,27,1]
,"xmltracefilename":[11,1,17,2,22,2,27,2,94,1,96,1]
,"2.3":[12,1]
,"needs":[12,1,21,1,26,1,28,1,36,2,45,1,80,1]
,"behaves":[12,1]
,"valid":[12,1,17,1,78,1]
,"alternate":[12,1,77,1,79,1]
,"3.1":[13,1]
,"consumergroup":[13,5,14,4,15,2,16,1,37,2,38,1,80,2,94,1]
,"contains":[13,2,18,2,23,2,28,2,35,1,39,2,42,2,45,2,51,2,54,2,57,2,66,1,70,1,78,2,79,1]
,"two":[13,1,18,1,23,1,30,1,70,1]
,"elements":[13,1,18,1,23,1,56,2,76,1]
,"defaultconsumer":[13,1,14,1,15,2,38,1,76,1,81,3,94,1]
,"element":[13,2,18,2,23,2,76,1,81,1,82,1]
,"consumerlist":[13,2,14,2,15,1,37,2,38,1,72,1,80,2,94,1]
,"3.1.2":[13,1,15,1]
,"uniquely":[13,1,18,1,23,1,28,1,39,1,42,1,45,1,51,1,54,1,57,1]
,"identified":[13,1,18,1,23,1,28,1,39,1,42,1,45,1,51,1,54,1,57,1]
,"entry":[13,1,17,8,18,1,22,7,23,1,27,8,28,1,30,2,39,1,41,4,42,1,44,4,45,1,47,2,51,1,53,1,54,1,56,2,57,1,58,1,60,1,61,3,62,3,63,1,64,2,65,2,67,1,68,2,69,2,80,1]
,"abstraction":[13,1,18,1,23,1]
,"refers":[13,1,18,1,23,1]
,"generic":[13,1,14,2,18,1,19,2,23,1,24,2,28,1,29,1,40,1,43,1,45,1,46,1,52,1,55,1,58,1]
,"3.1.1":[13,1,14,1]
,"3.1.3":[13,1,16,1]
,"3.1.4":[13,1,16,1,17,1,28,1,32,2,33,2,45,1]
,"setting":[15,1,17,4,20,1,25,1,30,2,32,2,33,2,36,2,47,1,53,1,59,1,70,1]
,"including":[15,1,17,1,20,1,25,1,59,1]
,"unique":[15,1,16,1,20,1,21,2,25,1,26,2,53,4,56,1,59,1,62,1,84,2,86,1,90,2]
,"line":[15,1,16,1,20,1,21,1,25,1,26,1,59,1,60,1]
,"inside":[15,1,16,1,20,1,21,1,25,1,26,1,59,1]
,"outside":[15,1,20,1,25,1,59,1]
,"consumers":[16,1,30,2,92,1]
,"includes":[16,2,21,1,26,1,28,1,39,1,45,1,53,2,62,6,76,1,92,1]
,"schemas":[16,2,21,1,26,1]
,"desired":[16,1,21,1,26,1]
,"adding":[16,1,21,1,26,1]
,"catchunhandledexception":[17,1,22,1,27,1,94,1,96,1]
,"specifies":[17,38,22,22,27,29,30,14,32,8,33,7,34,2,35,3,36,20,41,3,44,2,47,16,49,4,50,1,53,4,56,1,60,2,61,4,62,4,63,1,64,1,65,1,66,2,67,3,68,2,69,3,84,26,85,12,86,24,88,10,90,6]
,"whether":[17,13,22,12,27,14,30,2,32,2,33,1,36,1,47,3,53,1,62,4,67,2,79,2,85,2,86,1,88,3]
,"catches":[17,4,22,4,27,4]
,"unhandled":[17,3,22,3,27,3]
,"exceptions":[17,3,22,3,27,3]
,"thrown":[17,1,22,1,27,1,79,1]
,"executed":[17,1,22,1,27,1]
,"api\u0027s":[17,1,49,1,84,1]
,"thread":[17,5,22,5,27,5,85,1,86,4]
,"lets":[17,1,22,1,27,1,86,1]
,"handle":[17,1,22,1,27,1]
,"include":[17,4,22,3,27,4,30,1,32,1,33,1,35,2,41,1,47,3,50,1,53,3,62,1,66,1,77,1,79,1,86,1]
,"passes":[17,1,22,1,27,1,84,1,85,1,86,1]
,"operating":[17,1,22,1,27,1,30,2,35,1,47,2,84,1]
,"whenever":[17,1,22,1,27,2,72,1,73,1]
,"error":[17,5,22,5,27,5,79,1]
,"terminates":[17,1,22,1,27,1,30,1,47,1]
,"catchunknownjsonfids":[17,1,22,1,27,1]
,"conversion":[17,10,22,10,27,10]
,"unknown":[17,6,22,6,27,6]
,"ids":[17,3,22,3,27,3]
,"possible":[17,14,22,18,27,18,30,1,31,1,32,1,47,1,48,1,53,5,56,1]
,"catch":[17,4,22,4,27,4]
,"catchunknownjsonkeys":[17,1,22,1,27,1]
,"keys":[17,3,22,3,27,3]
,"match":[17,3,22,6,27,3,44,1]
,"resorts":[17,1,22,1,27,1]
,"needed":[17,2,22,1,27,1,30,1,36,1,80,1,84,3,86,3,87,1]
,"3.4":[17,1,27,1,28,1,44,1,84,2]
,"channelset":[17,11,27,6,37,4,38,3,89,1]
,"comma-separated":[17,2,27,1,41,1,44,1]
,"channels":[17,4,27,1,84,4,89,2,90,1]
,"tried":[17,1,27,1]
,"reconnection":[17,1,27,1,84,1]
,"attempt":[17,4,27,2,36,1]
,"until":[17,1,27,1,36,2]
,"successful":[17,1,27,1,30,1,47,1]
,"made":[17,1,27,1]
,"3.4.9":[17,1,27,1,37,1]
,"configured":[17,9,27,6,32,1,33,1,53,1,80,1,84,1,87,1,89,4]
,"last":[17,1,27,1]
,"closechannelfromconverterfailure":[17,1,22,1,27,1]
,"close":[17,3,22,3,27,3,36,1]
,"fails":[17,3,22,2,27,3,84,1,86,1]
,"parse":[17,1,22,1,27,1]
,"receives":[17,1,22,1,27,1,30,1,47,1]
,"defaultserviceid":[17,1,22,1,27,1]
,"missing":[17,1,22,1,27,1,36,1,87,1]
,"maximum":[17,10,22,6,27,7,32,1,34,1,36,6,47,1,68,2,69,1]
,"allowable":[17,2,22,1,27,1]
,"65535":[17,2,22,2,27,2,30,2,36,1,47,2,62,1,86,1]
,"access":[17,3,84,3,88,2,90,1]
,"dictionaries":[17,2,56,3,62,2,64,1,65,1,70,2]
,"dictionarygroup":[17,1,38,1,54,1,55,4,64,1,65,1,70,2,94,1,96,1]
,"channel\u2019s":[17,1,30,1]
,"3.9":[17,1,54,1]
,"dictionaryrequesttimeout":[17,3]
,"45,000":[17,3,27,1]
,"amount":[17,6,27,3,36,1]
,"milliseconds":[17,9,22,1,27,4,30,1,36,10,47,2]
,"download":[17,1]
,"throws":[17,3,27,1,79,2,81,1,82,1,84,1]
,"exception":[17,3,27,1,81,1,82,1,84,1]
,"wait":[17,8,27,4,30,1,47,1]
,"response":[17,9,22,2,27,3]
,"indefinitely":[17,6,22,1,27,2,36,2,53,2]
,"honors":[17,3,27,1]
,"supporting":[17,3,27,1]
,"down":[17,3,27,1,67,2]
,"subsequent":[17,3,27,1]
,"directoryrequesttimeout":[17,3]
,"respond":[17,2,27,1]
,"dispatchtimeoutapithread":[17,1,22,1,27,1,94,1,96,1]
,"duration":[17,1,22,1,27,1,30,1,36,1,47,1]
,"microseconds":[17,1,22,1,27,1]
,"internal":[17,3,22,2,27,3,30,1,32,1,47,1,71,1,85,1,86,1]
,"inactive":[17,1,22,1,27,1]
,"going":[17,1,22,1,27,1]
,"active":[17,2,22,2,27,2,39,1,93,1,95,1]
,"check":[17,1,22,1,27,1]
,"received":[17,4,22,3,27,2,67,1,84,1]
,"less":[17,1,22,1,27,1]
,"zero":[17,1]
,"notified":[17,1,22,1,27,1]
,"enablertt":[17,2]
,"supports":[17,1,32,1,33,1,47,2,48,1,61,1,62,4,84,1,85,1,86,3]
,"gathering":[17,1]
,"roundtriplatency":[17,1]
,"statistics":[17,1]
,"enabled":[17,2,84,2,88,1]
,"handles":[17,1]
,"automatic":[17,1]
,"processing":[17,1,71,1,76,1,79,1,81,1,82,1]
,"requests":[17,8,22,1,32,2,33,2,36,3,62,3,68,2,84,5,85,1]
,"sent":[17,2,22,2,27,2,30,1,32,1,36,3,47,2,62,1,66,1]
,"expresses":[17,1]
,"consumer\u0027s":[17,1,84,1]
,"consent":[17,1]
,"may":[17,1,42,1,60,1,84,2,85,1,86,2]
,"choose":[17,1,35,1,72,1,74,1,75,1]
,"send":[17,5,22,5,27,5,30,3,32,4,33,2,34,1,47,5]
,"discretion":[17,1]
,"itemcounthint":[17,1,22,1,27,1,94,1,96,1]
,"100,000":[17,2,22,1,27,1]
,"expects":[17,2,22,1,27,1,35,1,77,1]
,"request":[17,9,22,17,27,3,36,2,47,1,67,3,84,11,86,4,89,2,90,2]
,"resets":[17,2,22,2,27,2,87,1]
,"513":[17,3,22,3,27,3]
,"better":[17,1,22,1,27,1]
,"approximate":[17,1,22,1,27,1]
,"jsonexpandedenumfields":[17,1,22,1,27,1]
,"expand":[17,3,22,3,27,3]
,"enumerated":[17,3,22,4,27,3]
,"display":[17,1,22,1,27,1]
,"exhibit":[17,1,22,1,27,1]
,"loggergroup":[17,1,22,1,27,1,38,1,51,1,52,4,80,4,94,1,96,1]
,"3.8":[17,1,22,1,27,1,51,1]
,"loginrequesttimeout":[17,3,27,3]
,"login":[17,1,22,1,27,1,84,7,86,7,89,4,90,10]
,"maxdispatchcountapithread":[17,1,22,1,27,1,94,1,96,1]
,"100":[17,2,22,2,27,2,30,2,36,5,47,2]
,"dispatches":[17,1,22,1,27,1,85,1]
,"taking":[17,1,22,1,27,1,72,1,73,1]
,"break":[17,1,22,1,27,1]
,"maxdispatchcountuserthread":[17,1,22,1,27,1,94,1,96,1]
,"dispatch":[17,1,22,1,27,1,85,1,86,1]
,"single":[17,1,22,1,27,1,51,1,62,2]
,"call":[17,3,22,1,27,1,30,1,32,3,33,2,47,1,71,1,84,2,85,1,86,2,93,1,95,1]
,":dispatch":[17,1,22,1,27,1]
,"maxoutstandingposts":[17,1,94,1]
,"on-stream":[17,1]
,"posts":[17,1]
,"waiting":[17,1]
,"acknowledgment":[17,2]
,"disconnects":[17,1,27,1]
,"maxeventsinpool":[17,1,27,1]
,"event":[17,1,27,2,30,1,47,1,84,2]
,"objects":[17,1,27,1,77,1,83,2]
,"event\u0027s":[17,1,27,1]
,"pool":[17,1,27,1,36,2]
,"msgkeyinupdates":[17,1,94,1]
,"fills":[17,1]
,"updates":[17,1]
,"provided":[17,3,32,2,33,2,35,1,62,2,64,1,67,1,70,1,84,1]
,"fill":[17,2]
,"message\u2019s":[17,2]
,"preserved":[17,1]
,"overridden":[17,1]
,"creating":[17,1,22,1,27,1,60,1,88,1,93,1,95,1]
,"obeyopenwindow":[17,1,94,1]
,"obeys":[17,1]
,"openwindow":[17,1,68,1]
,"advertised":[17,1]
,"provider\u2019s":[17,1,85,1]
,"outputbuffersize":[17,1,22,1,27,1]
,"size":[17,6,22,7,27,5,30,2,32,2,33,2,34,1,47,5,53,5]
,"output":[17,3,22,2,27,2,88,1]
,"warning":[17,1,22,1,27,1]
,"large":[17,1,22,1,27,1]
,"enough":[17,1,22,1,27,1]
,"jsontokenincrementsize":[17,1]
,"500":[17,1,94,2,96,2]
,"increment":[17,1]
,"parsing":[17,1]
,"pipeport":[17,1,22,1,27,1,94,1,96,1]
,"9001":[17,1,22,1]
,"communication":[17,1,22,1,27,1,30,1,47,1]
,"port":[17,3,22,2,27,2,30,2,32,3,33,3,36,7,37,2,38,2,47,2,70,1,72,1,74,1,75,1,84,3,85,2,86,2,87,10,94,1,96,1]
,"conflicts":[17,1,22,1,27,1]
,"processes":[17,1,22,1,27,1,79,1]
,"machine":[17,1,22,1,27,1,36,1,84,1,90,1]
,"postacktimuint64eout":[17,1]
,"15,000":[17,2]
,"length":[17,2,22,1,27,1,47,1,69,1]
,"stream":[17,2,22,7,27,1,69,2]
,"waits":[17,3,22,2,27,2,36,2]
,"receive":[17,1,30,2,47,2]
,"ack":[17,1,36,1]
,"outstanding":[17,1,68,1]
,"post":[17,1]
,"forwarding":[17,1]
,"negative":[17,1]
,"reconnectattemptlimit":[17,2,27,1,94,1]
,"times":[17,4,27,1,30,1,84,1,85,1,86,2]
,"non-interactive":[17,4,23,3,26,1,27,4,62,1,67,1,82,2]
,"reconnect":[17,4,27,4,30,1]
,"continually":[17,1,27,1]
,"reconnectmaxdelay":[17,2,27,2,94,1]
,"5000":[17,3,27,1,94,6,96,5]
,"attempting":[17,2,27,2]
,"failed":[17,3,27,2]
,"reconnectmindelay":[17,3,27,3,94,1]
,"1000":[17,2,27,1]
,"minimum":[17,2,22,3,27,1,47,1]
,"increases":[17,1,27,1]
,"reissuetokenattemptinterval":[17,1]
,"attempts":[17,2,27,1,30,1,78,1,79,1]
,"reissue":[17,3]
,"interval":[17,1,36,2]
,"reissuetokenattemptlimit":[17,1]
,"limit":[17,1,36,1,53,2]
,"requesttimeout":[17,1,22,1,27,1,94,1,96,1]
,"sending":[17,1,22,2,27,2,30,1,32,2,33,1,36,2,47,2,85,1,86,1]
,"restenablelog":[17,2,88,1]
,"enables":[17,3]
,"filestream":[17,1]
,"restlogfilename":[17,3]
,"stdout":[17,4,22,2,27,2,53,2,88,1]
,"ability":[17,3]
,"dynamically":[17,3]
,"disable":[17,3,88,3]
,"supported":[17,3,30,2,34,1,35,1,50,2,62,1,63,2,66,1,84,1,86,2]
,"destination":[17,1]
,"restenablelogviacallback":[17,1]
,"callback":[17,3,84,3]
,"conjunction":[17,1,85,1,86,2]
,"restloggingcallback":[17,1,84,1]
,"servicing":[17,1]
,"onrestloggingevent":[17,1,84,1]
,"allow":[17,1,47,1,84,1,89,1]
,"redirecting":[17,1]
,"restproxyhostname":[17,1,32,1,33,1,84,1]
,"address":[17,1,30,1,32,2,33,2,36,3,47,1,84,1,86,1]
,"host":[17,1,30,3,32,5,33,5,36,5,37,2,38,2,47,1,72,1,74,1,84,5,86,2,87,17,94,1]
,"proxy":[17,6,32,5,33,4,84,11,85,1,86,2]
,"connects":[17,2,30,1,32,4,33,4,36,5,47,1]
,"auth":[17,2,84,7]
,"overrides":[17,4,32,2,33,2,84,1,86,2]
,"proxyhost":[17,1,32,1,33,1]
,"3.4.4":[17,2,28,1,30,1,32,1,35,1]
,"3.4.5":[17,2,33,1,35,1]
,"restproxyport":[17,1,32,1,33,1,84,1]
,"proxyport":[17,1,32,1,33,1]
,"restrequesttimeout":[17,1]
,"timeout":[17,3,47,1]
,"seconds":[17,2,30,1,32,1,36,1,47,1]
,"resends":[17,1]
,"restarts":[17,1]
,"retry":[17,1,30,2]
,"restverbosemode":[17,1,88,1]
,"verbose":[17,1,88,1]
,"sendjsonconverror":[17,1,22,1,27,1]
,"back":[17,1,22,1,27,1,84,2,86,1,88,1]
,"case":[17,1,22,1,27,1,36,2,53,1,80,1]
,"occurs":[17,1,22,1,27,1,36,2]
,"servicecounthint":[17,1,22,1,27,1,94,1,96,1]
,"structures":[17,1,22,1,27,1]
,"managing":[17,1,22,1,27,1]
,"shouldinitializecpuidlib":[17,1,22,1,27,1,85,1,86,3,88,1]
,"configures":[17,1,22,1,27,1,36,1,47,1]
,"initialize":[17,3,22,3,27,3,86,1]
,"cpuid":[17,3,22,3,27,3,86,1,88,1]
,"tokenreissueratio":[17,1]
,"ratio":[17,1]
,"multiply":[17,1]
,"token\u2019s":[17,1]
,"expiration":[17,1]
,"retrieving":[17,1]
,"refreshing":[17,1]
,"0.05":[17,1]
,"0.95":[17,1]
,"warmstandbychannelset":[17,3]
,"warmstandbychannel":[17,1,39,1,40,2]
,"warmstandbygroup":[17,2,39,2,40,4,41,1]
,"moved":[17,1]
,"establish":[17,1,41,2]
,"entire":[17,1]
,"moving":[17,1]
,"avoid":[17,1]
,"retrying":[17,1]
,"servers":[17,1]
,"xmltracedump":[17,1,22,1,27,1]
,"dump":[17,3,22,3,27,3]
,"converting":[17,1,22,1,27,1]
,"selected":[17,1,22,1,27,1,84,1,86,1]
,"xmltracehex":[17,1,22,1,27,1,96,1]
,"print":[17,3,22,3,27,3]
,"incoming":[17,6,22,18,27,6,48,2,61,1]
,"outgoing":[17,6,22,6,27,6]
,"hexadecimal":[17,3,22,3,27,3]
,"xmltracemaxfilesize":[17,3,22,3,27,3,94,1,96,1]
,"100000000":[17,1,22,1,27,1]
,"bytes":[17,1,22,3,27,1,30,3,32,1,33,1,47,4,69,1]
,"xmltraceping":[17,1,22,1,27,1,94,1,96,1]
,"ping":[17,7,22,7,27,7]
,"xmltracepingonly":[17,1,22,1,27,1]
,"pure":[17,1,22,1,27,1]
,"without":[17,1,22,2,27,1,30,1,32,2,33,1,47,3,72,1,73,1]
,"xmltraceread":[17,1,22,1,27,1,94,1,96,1]
,"traces":[17,2,22,2,27,2]
,"whose":[17,1,22,1,27,1,28,4,32,1,33,1,34,1,35,1,36,1,62,2,64,1,65,1]
,"turns":[17,4,22,4,27,4]
,"xmltracetomultiplefiles":[17,1,22,1,27,1,94,1,96,1]
,"writes":[17,1,22,1,27,1]
,"current":[17,2,22,2,27,2,49,1,50,1,68,1,69,1,78,1,79,1,84,2,86,2]
,"reaches":[17,2,22,2,27,2,53,1]
,"stops":[17,1,22,1,27,1]
,"writing":[17,1,22,1,27,1,30,1,47,1]
,"xmltracetostdout":[17,1,22,1,27,1,94,1,96,1]
,"xmltracewrite":[17,1,22,1,27,1,94,1,96,1]
,"3.2":[18,1]
,"iprovidergroup":[18,4,19,3,20,2,21,1,22,1,70,2,96,1]
,"represent":[18,1,23,1]
,"interactive":[18,3,22,1,70,1,96,1]
,"defaultiprovider":[18,1,19,1,20,2,70,1,96,1]
,"iproviderlist":[18,2,19,2,20,1,70,2,75,1,96,1]
,"3.2.2":[18,1,20,1]
,"3.2.1":[18,1,19,1]
,"3.2.3":[18,1,21,1]
,"3.2.4":[18,1,21,1,22,1,45,1]
,"acceptdirmessagewithoutminfilters":[22,1,96,1]
,"accept":[22,12,62,3,67,1]
,"info":[22,3,62,1]
,"state":[22,3,61,1,67,1,69,3]
,"filters":[22,3,62,1]
,"acceptmessagesamekeybutdiffstream":[22,1,96,1]
,"even":[22,4]
,"flag":[22,1,30,4,32,5,35,1,47,5,84,2]
,"existing":[22,6,84,1,85,1,86,1]
,"acceptmessagethatchangesservice":[22,1]
,"currently":[22,1]
,"requested":[22,1,62,1]
,"stream\u0027s":[22,1]
,"acceptmessagewithoutacceptingrequests":[22,1]
,"accepting":[22,1,47,1]
,"acceptmessagewithoutbeinglogin":[22,1]
,"accepted":[22,1,48,1,63,1,66,2]
,"acceptmessagewithoutqosinrange":[22,1]
,"requesting":[22,1,56,1,62,1]
,"sends":[22,1,27,1,30,1,36,3,47,1,61,2,62,1,88,1]
,"establishing":[22,1,27,1]
,"directorygroup":[22,1,27,1,57,1,58,3,59,2,60,1,70,2,96,1]
,"hard":[22,1,27,1]
,"coded":[22,1,27,1]
,"3.10":[22,1,27,1,57,1]
,"thanzero":[22,1,27,1]
,"enforceackidvalidation":[22,1]
,"ackid":[22,4]
,"attribute":[22,1,86,2]
,"ackmsg":[22,1]
,"ommiprovider":[22,3,85,1]
,":submit":[22,1]
,"validation":[22,1]
,"turned":[22,1,84,1,90,1]
,"equal":[22,1]
,"postid":[22,1]
,"postmsg":[22,1]
,"enumtypefragmentsize":[22,1]
,"12288":[22,1]
,"multi-part":[22,2]
,"fielddictionaryfragmentsize":[22,1]
,"8192":[22,1]
,"maintain":[22,1,27,1]
,"maintains":[22,1,27,1]
,"9002":[22,1,27,1]
,"refreshfirstrequired":[22,1,27,1,96,1]
,"requires":[22,2,27,2]
,"prior":[22,3,27,3,84,1,85,1,86,2]
,"update":[22,3,27,3,47,1,84,1]
,"require":[22,1,27,1,72,1,73,1]
,"15000":[22,1,27,1]
,"servergroup":[22,1,45,3,46,4,70,2,96,1]
,"3.7":[22,1,45,1]
,"3.3":[23,1]
,"niprovidergroup":[23,4,24,4,25,2,26,1,27,1]
,"defaultniprovider":[23,1,24,1,25,2,76,1]
,"niproviderlist":[23,2,24,2,25,1,74,1]
,"3.3.2":[23,1,25,1]
,"3.3.1":[23,1,24,1]
,"3.3.3":[23,1,26,1]
,"3.3.4":[23,1,26,1,27,1,28,1]
,"corresponding":[27,1]
,"linearly":[27,1]
,"ommniprovider":[27,3,86,1]
,"mergesourcedirectorystreams":[27,1]
,"merges":[27,1,71,1]
,"streams":[27,1]
,"user-submitted":[27,4]
,"recoverusersubmitsourcedirectory":[27,1]
,"recovers":[27,1]
,"recovering":[27,1]
,"disconnect":[27,2]
,"recover":[27,2]
,"automatically":[27,1,53,1]
,"removeitemsondisconnect":[27,1]
,"removes":[27,1]
,"hash":[27,1]
,"3.4.1":[28,1,29,1]
,"universal":[28,1,30,2,32,1,33,1,34,1,35,1,36,1,47,1]
,"regardless":[28,1,30,1,32,1,33,1,47,2,87,1]
,"3.4.2":[28,1,30,1,32,1,33,1,34,1,35,1,36,1,87,1]
,"rssl_encrypted":[28,1,30,4,31,2,35,3,47,1,48,1,49,3]
,"3.4.7":[28,2,35,2]
,"rssl_http":[28,1,30,1,33,3,35,1]
,"rssl_reliable_mcast":[28,1,30,1,36,3]
,"3.4.8":[28,1,36,1]
,"channeltype":[30,6,31,3,37,4,38,2,72,1,74,1,84,1,86,1,87,1,94,1]
,"additional":[30,1,35,1,36,2,47,1]
,"encryptedprotocoltype":[30,1,31,3,35,1,84,1,86,1]
,"3.4.3":[30,1,31,1]
,"notes":[30,1,32,1,33,1,34,1,35,1,36,1,41,1,44,1,47,1,53,1,56,1]
,"calling":[30,1,47,1,87,2]
,"4.4.2":[30,1,47,1,84,1,87,1]
,"4.5":[30,1,32,1,33,1,41,1,47,2,53,2,56,1,91,1]
,"windows":[30,4,35,4]
,"linux":[30,3,35,2,47,3,84,1]
,"rssl_websocket":[30,1,31,2,34,4,35,2,47,2,48,1,50,3]
,"connectionpingtimeout":[30,1,47,1,94,1,96,1]
,"30000":[30,1]
,"pings":[30,1,47,1]
,"directwrite":[30,1,32,1,47,1]
,"socket":[30,3,31,3,32,4,35,1,47,10,48,5,84,1,86,2]
,"every":[30,1,32,1,47,1]
,"package":[30,2,32,2,36,1,47,2,76,1,79,1]
,"immediately":[30,1,32,1,47,1]
,"submit":[30,1,32,1,47,1]
,"queue":[30,1,32,1,36,1,47,1]
,"later":[30,1,32,1,47,1]
,"flushed":[30,1,32,1,47,1]
,"onto":[30,1,32,1,47,1]
,"enablesessionmanagement":[30,3,84,1]
,"manages":[30,1,36,1]
,"behalf":[30,2]
,"obtains":[30,1]
,"refreshes":[30,1]
,"implicit":[30,1]
,"obtained":[30,1]
,"querying":[30,1]
,"rdp":[30,1,84,3,88,2]
,"encrypted":[30,1,31,2,35,1,48,2,84,7,85,4,86,7]
,"guaranteedoutputbuffers":[30,1,47,1,94,1,96,1]
,"guaranteed":[30,1,47,1]
,"buffers":[30,3,47,3]
,"allocated":[30,1,36,2,47,1,79,1]
,"initialization":[30,2,47,2,84,1,85,2,86,2,88,1]
,"rsslchannel":[30,3,47,3]
,"created":[30,1,47,1,53,5,72,1,73,1]
,"maxfragmentsize":[30,4,47,5]
,"highwatermark":[30,1,47,1]
,"6000":[30,1,47,1,94,1]
,"upper":[30,1,47,1]
,"buffer-usage":[30,1,47,1]
,"threshold":[30,1,32,1,33,1,47,2]
,"initializationtimeout":[30,1,47,1]
,"interfacename":[30,2,38,2,47,2,94,1]
,"character":[30,1,47,1]
,"hostname":[30,1,47,1,86,1]
,"network":[30,3,36,3,47,3]
,"cards":[30,1,47,1]
,"unspecified":[30,3,47,1]
,"us-east-1":[30,2]
,"cloud":[30,2,84,1]
,"endpoint":[30,3]
,"rtsdk":[30,2,47,1]
,"establishes":[30,1]
,"particular":[30,1,32,1,33,1,36,1,47,1]
,"zones":[30,1]
,"us-east-1a":[30,1]
,"us-east-1b":[30,1]
,"numinputbuffers":[30,1,47,1,96,1]
,"read":[30,1,34,1,47,1,72,1,73,1,79,1]
,"sized":[30,1,47,1]
,"servicediscoveryretrycount":[30,1]
,"forcing":[30,1]
,"sysrecvbufsize":[30,1,47,1]
,"system\u0027s":[30,2,47,2,84,1]
,"exact":[30,2,47,2]
,"effective":[30,2,47,2]
,"syssendbufsize":[30,1,47,1]
,"sample":[31,1,48,1,84,1,94,1,96,1]
,"show":[31,1]
,":rssl_websocket":[31,1]
,":rssl_encrypted":[31,1]
,"summarizes":[31,1,48,1]
,"websocket":[31,4,34,1,47,2,48,5,84,1]
,"subprotocol":[31,1,48,1]
,"possibilities":[31,2,48,2]
,"unencrypted":[31,2,48,2]
,"apply":[31,1,48,1,67,1]
,"wsprotocols":[31,2,34,1,48,3,50,1]
,"empty":[31,1,48,1,78,1,79,1,87,1]
,"mismatched":[31,1,48,1]
,"support":[31,1,34,1,47,1,62,2]
,"denied":[31,1,48,1]
,"tr_json2":[31,1,34,1,48,1,50,2]
,"rssl.rwf":[31,1,34,1,48,1,50,2]
,"rssl.json.v2":[31,1,34,1,48,1,50,2]
,"implied":[31,1]
,"addition":[32,1,33,1,34,1,35,1,36,1,91,1]
,"compressionthreshold":[32,1,33,1,47,1]
,"30-uint32":[32,1,33,1,47,1]
,"max":[32,1,33,1,47,1]
,"compressed":[32,2,33,2,47,2]
,"thus":[32,1,33,1,36,2,47,1,87,1]
,"efficiency":[32,1,33,1,47,1]
,"vary":[32,1,33,1,47,1]
,"depending":[32,1,33,1,47,1]
,"compressiontype":[32,1,33,1,47,1,70,2,72,1,74,1,75,1,94,1,96,1]
,"none":[32,2,33,2,47,2,67,1,72,1,74,1,75,1]
,"negotiated":[32,1,33,1,47,1]
,"compress":[32,1,33,1,47,1]
,"zlib":[32,1,33,1,47,1]
,"lz4":[32,1,33,1,34,1,47,1]
,"force":[32,1,33,1,47,1,84,1,90,1]
,"uint32":[32,1,47,1]
,"rsslwrite":[32,1,47,1]
,"localhost":[32,1,33,1,37,1,38,3,72,1,74,1,94,2]
,"remote":[32,2,33,2,47,1]
,"14002":[32,1,33,1,37,1,38,1,47,1,70,1,72,1,75,1,85,1,94,1,96,1]
,"proxyconnectiontimeout":[32,1]
,"established":[32,1]
,"invoke":[32,2,33,2]
,"lower":[32,2,33,2]
,"precedence":[32,2,33,2,71,3]
,"tcpnodelay":[32,1,33,1,47,1,72,1,74,1,75,1,94,1,96,1]
,"nagle\u2019s":[32,2,33,2,47,2]
,"algorithm":[32,2,33,2,47,2]
,"objectname":[33,1]
,"pass":[33,1,78,1,79,1,86,1,93,2,95,2]
,"underlying":[33,1,36,3,86,1]
,"url":[33,1,84,3,86,1,88,3]
,"3.4.6":[34,1]
,"wsmaxmsgsize":[34,1]
,"61440":[34,1]
,"protocols":[34,1,50,2,84,6,86,6]
,"order":[34,1,50,1,80,2]
,"preference":[34,1,50,1]
,"wininet-based":[35,1]
,"backwards":[35,1]
,"compatibility":[35,1]
,"chosen":[35,1]
,"opensslcastore":[35,2]
,"certificate":[35,6,49,1,84,2,85,1,86,1]
,"authority":[35,3,84,2,86,1]
,"store":[35,3,76,1,77,1,84,2,86,1]
,"recommends":[35,1]
,"otherwise":[35,1,76,1,84,2]
,"environment":[35,1,72,1,73,1,84,1]
,"variables":[35,1,83,1,85,1,86,1]
,"locate":[35,1]
,"blank":[35,1,90,1]
,"loads":[35,1,56,1]
,"root":[35,2]
,"certificates":[35,2]
,"windows\u2019s":[35,1]
,"openssl":[35,5,84,2,85,3,86,3,88,2]
,"manage":[35,1]
,"manager":[35,1]
,"handled":[35,1]
,"entirely":[35,1]
,"vendor":[35,1,62,2,70,2,96,2]
,"located":[35,1]
,"built":[35,1]
,"build":[35,1]
,"securityprotocol":[35,2,49,1,84,2]
,"combination":[35,1,49,1]
,"version":[35,1,70,1,84,14,85,2,86,3,90,9]
,"tls":[35,1,84,5,86,3]
,"encryption":[35,1,84,1,86,1]
,"status":[36,4,62,2,67,4,69,3,96,1]
,"others":[36,1]
,"rrcp":[36,21]
,"packet":[36,15]
,"transmission":[36,2]
,"hsm":[36,6]
,"concept":[36,1]
,"hsms":[36,1]
,"installation":[36,2]
,"infrastructure":[36,2]
,"tool":[36,3]
,"rrdump":[36,6]
,"utility":[36,1,51,1]
,"disconnectongap":[36,1]
,"closed":[36,2,53,1]
,"multicast":[36,12]
,"gap":[36,3]
,"situation":[36,3]
,"detected":[36,1]
,"means":[36,7]
,"hsminterface":[36,2]
,"machine\u2019s":[36,1]
,"hsminterval":[36,2]
,"packets":[36,6]
,"stop":[36,1,53,1]
,"restart":[36,1,53,1]
,"disabled":[36,1,53,2]
,"suspends":[36,1]
,"hsmmultaddress":[36,1]
,"aliases":[36,1]
,"hsmport":[36,1]
,"ndata":[36,1]
,"retransmissions":[36,1]
,"unacknowledged":[36,2]
,"point-to-point":[36,3]
,"nmissing":[36,1]
,"128":[36,1]
,"missed":[36,2]
,"consecutive":[36,1]
,"node":[36,1]
,"retransmits":[36,1]
,"nrreq":[36,1]
,"retransmit":[36,4]
,"packetttl":[36,1]
,"lifespan":[36,1]
,"hops":[36,1]
,"prevent":[36,1]
,"circulating":[36,1]
,"255":[36,2]
,"travel":[36,1]
,"pktpoollimithigh":[36,2]
,"190000":[36,1]
,"high-water":[36,1]
,"mark":[36,3]
,"reached":[36,2,62,1]
,"falls":[36,2]
,"below":[36,2]
,"low-water":[36,2]
,"pktpoollimitlow":[36,4]
,"180000":[36,1]
,"allocation":[36,1]
,"frozen":[36,1]
,"due":[36,1,87,1]
,"having":[36,1]
,"greater":[36,1]
,"userqlimit":[36,3]
,"recvaddress":[36,1]
,"receiving":[36,2]
,"recvport":[36,1]
,"sendaddress":[36,1]
,"sendport":[36,1]
,"tbchold":[36,2]
,"holds":[36,2]
,"transmitted":[36,2]
,"broadcast":[36,1]
,"retransmitted":[36,3]
,"clock":[36,5]
,"ticks":[36,5]
,"200":[36,5]
,"tcpcontrolport":[36,3]
,"troubleshooting":[36,1]
,"disables":[36,1]
,"tdata":[36,2]
,"retransmitting":[36,1]
,"tpphold":[36,2]
,"trreq":[36,2]
,"resending":[36,1]
,"twait":[36,2]
,"ignores":[36,1,48,1,53,1,76,1]
,"already":[36,1]
,"period":[36,1]
,"starts":[36,1,77,1]
,"receipt":[36,1]
,"retransmission":[36,1]
,"unicastport":[36,1]
,"unicast":[36,1]
,"nak":[36,1]
,"tcp":[36,1]
,"listening":[36,1]
,"backlog":[36,2]
,"application\u0027s":[36,1]
,"inbound":[36,1]
,"exceeded":[36,1]
,"engine":[36,1]
,"begins":[36,1,87,1]
,"discard":[36,1]
,"decreases":[36,1]
,"consumer_1":[37,1,38,2,80,2,94,2]
,"channel_1":[37,2,38,2,94,2]
,"channel_2":[37,2,38,2]
,"defaulted":[37,2]
,"logger_1":[37,1,38,2,94,2,96,2]
,"channeldictionary":[37,1,56,2]
,"dictionary_1":[37,1,38,2,70,3,94,2,96,3]
,":rssl_socket":[37,2,48,1,70,1]
,"122.1.1.100":[37,1]
,"14008":[37,1,38,1]
,"3.4.10":[38,1]
,"map":[38,2,93,2,94,2,95,2,96,2]
,"configmap":[38,1,94,1]
,"innermap":[38,5,94,5,96,6]
,"elementlist":[38,11,94,10,96,16]
,"elementlist.addascii":[38,1,94,1,96,1]
,"innermap.addkeyascii":[38,5,94,4,96,5]
,"mapentry":[38,9,94,8,96,11]
,":addenum":[38,9,94,8,96,11]
,".addascii":[38,12,94,10,96,24]
,".complete":[38,9,94,8,96,25]
,"elementlist.addmap":[38,4,94,4,96,5]
,"elementlist.complete":[38,4,94,4]
,"innermap.clear":[38,3,94,3,96,4]
,"configmap.addkeyascii":[38,4,94,4]
,"elementlist.clear":[38,4,94,4,96,5]
,".addenum":[38,5,94,5,96,5]
,"121.1.1.100":[38,1]
,"loggertype":[38,1,53,6,80,2,94,1,96,1]
,"logfile":[38,1,94,1]
,"loggerlist":[38,1,51,1,52,2,53,1,80,4,94,1,96,1]
,"dictionarytype":[38,1,56,1,70,4,94,1,96,1]
,"rdmfielddictionaryfilename":[38,1,56,2,70,2,94,1,96,1]
,"rdmfielddictionary":[38,1,56,3,70,1,94,1,96,1]
,"enumtypedeffilename":[38,1,56,2,70,2,94,1,96,1]
,"enumtype.def":[38,1,56,1,70,1,94,1,96,1]
,"dictionarylist":[38,1,54,1,55,2,56,1,70,2,94,1,96,1]
,"configmap.complete":[38,1,94,1]
,"3.5":[39,1]
,"warmstandbylist":[39,1,40,2]
,"specifying":[39,1,62,2,66,1]
,"mode":[39,1,41,1,42,1,56,1]
,"3.5.1":[40,1]
,"3.5.2":[41,1]
,"startingactiveserver":[41,1]
,"warmstandbyserverinfogroup":[41,2,42,2,43,4,44,1]
,"standbyserverset":[41,1]
,"warmstandbymode":[41,1]
,"login_based":[41,2]
,"service_based":[41,1]
,"3.6":[42,1]
,"serverinfo":[42,1,44,2]
,"warmstandbyserverinfolist":[42,1,43,2]
,"per-service":[42,1]
,"identify":[42,1]
,"given":[42,1,60,1,61,3,66,1,68,1,84,1]
,"3.6.1":[43,1]
,"3.6.2":[44,1]
,"perservicenameset":[44,1]
,"serverlist":[45,1,46,2,70,2,96,1]
,"3.7.1":[45,1,46,1]
,"3.7.2":[45,1,47,1]
,"servertype":[47,4,48,4,49,3,50,3,70,2,75,1,96,1]
,"3.7.3":[47,1,48,1]
,"connectionminpingtimeout":[47,1]
,"20000":[47,1]
,"connected":[47,1]
,"60000":[47,1]
,"6144":[47,1]
,"fragment":[47,1]
,"fragmented":[47,1]
,"reassembled":[47,1]
,"upon":[47,1]
,"server\u2019s":[47,1,49,2]
,"serversharedsocket":[47,2]
,"sharing":[47,5]
,"patch":[47,2]
,"levels":[47,1,53,3]
,"intend":[47,1]
,"rebuild":[47,1]
,"librssl":[47,1]
,"natively":[47,1]
,"side":[47,1]
,"notifies":[47,1]
,"responsible":[47,1]
,"rejecting":[47,1]
,"traffic":[47,1]
,"intends":[47,1]
,"snippet":[48,1,80,2]
,"shows":[48,1,70,1]
,"logic":[48,1]
,"3.7.4":[49,1]
,"ciphersuite":[49,1,85,1]
,"openssl-formatted":[49,1]
,"ciphers":[49,2]
,"cipher":[49,1,85,1]
,"selections":[49,1]
,"recommended":[49,1]
,"owasp":[49,1]
,"rssltransport.h":[49,2]
,"version\u0027s":[49,1]
,"dhparams":[49,1,85,1]
,"load":[49,1,68,1,84,1]
,"built-in":[49,1]
,"0x04":[49,1]
,"0x08":[49,1]
,"representing":[49,2]
,"tls1.2":[49,1]
,"tls1.3":[49,1]
,"respectively":[49,1]
,"flags":[49,1,84,1,86,1]
,"rsslencryptionprotocoltypes":[49,1]
,"servercert":[49,1,85,1]
,"serverprivatekey":[49,1,85,1]
,"3.7.5":[50,1]
,"3.8.1":[52,1]
,"3.8.2":[53,1]
,"base":[53,2]
,"appends":[53,1,79,1]
,"_pid.log":[53,1]
,"logger\u2019s":[53,1]
,"includedateinloggeroutput":[53,1]
,"date":[53,3]
,"omitting":[53,1]
,"numberoflogfiles":[53,8]
,"rolled":[53,2]
,"rolling":[53,1]
,".4294967296":[53,2]
,"emalog_n.log":[53,1]
,"emalog":[53,1]
,"sequential":[53,2]
,"till":[53,2]
,"four":[53,1,92,1]
,"maxlogfilesize":[53,8]
,"scenario":[53,4]
,"defaults":[53,1,72,1,73,1,84,1,88,3,90,1]
,"grows":[53,3]
,"roll":[53,1,84,1,86,1]
,"1st":[53,1,92,1]
,"next":[53,1]
,"opened":[53,1,79,1]
,"events":[53,1]
,"severity":[53,2]
,"aggregate":[53,1]
,"higher":[53,1]
,"normally":[53,1]
,"printed":[53,1]
,":verbose":[53,1]
,":success":[53,1]
,":warning":[53,1]
,":error":[53,1]
,":nologmsg":[53,1]
,"mechanism":[53,1]
,":file":[53,1,80,1]
,":stdout":[53,1]
,"relating":[54,1]
,"accessed":[54,1]
,"3.9.1":[55,1]
,"3.9.2":[56,1]
,"loading":[56,1,92,1]
,"filedictionary":[56,1]
,"downloads":[56,1]
,"upstream":[56,1]
,"enumtypedef":[56,2]
,"enumtypedefitemname":[56,1,64,2,65,2,70,1,96,1]
,"rwfenum":[56,1,64,1,65,1,96,1]
,"infofilter.dictionariesprovided":[56,2]
,"infofilter.dictionariesused":[56,2]
,"rdmfielddictionaryitemname":[56,1,64,2,65,2,70,1,96,1]
,"rwffld":[56,1,64,1,65,1,96,1]
,"directorylist":[57,1,58,2,59,1,70,2,96,1]
,"define":[57,1,62,3]
,"relate":[57,1]
,"infofilter":[57,1,58,2,60,1,61,4,62,2,64,1,65,1,66,2,70,2,96,1]
,"statefilter":[57,1,58,2,60,1,61,4,67,3,69,1,70,2,96,1]
,"3.10.1":[58,1]
,"defaultdirectory":[58,1,59,2,70,1]
,"loadfilter":[58,2,61,3,68,3]
,"3.10.2":[59,1]
,"3.10.3":[60,1]
,"separate":[60,1]
,"3.10.4":[61,1]
,"resembles":[61,1]
,"rdm\u2019s":[61,1]
,"payload":[61,1]
,"filter":[61,2]
,"service\u2019s":[61,1,62,5,64,2,65,2,66,2,67,2,68,2,69,1]
,"3.10.5":[62,1]
,"overs":[62,1]
,"serviceid":[62,1,70,1,96,1]
,"identifier":[62,1,86,2]
,"issource":[62,1,70,1,96,1]
,"original":[62,2]
,"publisher":[62,2]
,"directly":[62,1]
,"consolidation":[62,1]
,"sources":[62,1]
,"capabilitiesentry":[62,1,63,4,70,2]
,"3.10.5.1":[62,1,63,1]
,"itemlist":[62,1,70,1,96,1]
,"symbollist":[62,1]
,"dictionariesprovided":[62,2,64,3,70,4,96,1]
,"dictionariesprovidedentry":[62,1,64,2,70,2]
,"makes":[62,1]
,"dictionary\u2019s":[62,2]
,"itemname":[62,2]
,"3.10.5.2":[62,1,64,1]
,"acceptingconsumerstatus":[62,1,96,1]
,"indicates":[62,3,68,1,79,1]
,"mirroring":[62,1]
,"dictionariesused":[62,2,65,2,70,2,96,1]
,"dictionariesusedentry":[62,1,65,3,70,1]
,"3.10.5.3":[62,1,65,1]
,"qosentry":[62,3,66,7,70,2]
,"sections":[62,1,66,2,84,1,86,1]
,"defining":[62,1]
,"timeliness":[62,1,66,4,70,2,96,2]
,"rate":[62,1,66,5,70,2,96,2]
,"3.10.5.4":[62,1,66,1]
,"supportsqosrange":[62,1,96,1]
,"ranges":[62,1]
,"supportsoutofbandsnapshots":[62,1,70,1,96,1]
,"openlimit":[62,2,68,1]
,"providers":[62,1,85,2,92,1]
,"emardm.h":[63,1]
,"mmt_market_price":[63,1,96,1]
,"parent":[66,1]
,":realtime":[66,1,70,1,96,1]
,"age":[66,1]
,"real":[66,1]
,"ommqos.h":[66,2]
,":tickbytick":[66,1,70,1,96,1]
,"3.10.6":[67,1]
,"communicates":[67,1,68,1]
,"servicestate":[67,1,70,1,96,1]
,"acceptingrequests":[67,1,70,1,96,1]
,"accepts":[67,2]
,"applies":[67,1,79,1]
,"3.10.7":[68,1]
,"loadfactor":[68,1]
,"workload":[68,1]
,"3.10.8":[69,1]
,"streamstate":[69,3,96,2]
,":open":[69,1,96,1]
,"acceptable":[69,2]
,"ommstate.h":[69,3]
,"datastate":[69,3,96,2]
,":ok":[69,1]
,"statuscode":[69,2,96,2]
,":none":[69,1,70,1]
,"codes":[69,1]
,"meanings":[69,1]
,"statustext":[69,3,96,1]
,"regarding":[69,1]
,"informational":[69,1]
,"encoded":[69,1]
,"32,767":[69,1]
,"3.10.9":[70,1]
,"1.0":[70,1]
,"emaconfig":[70,2,84,2,86,2]
,"provider_1":[70,2,96,2]
,"server_1":[70,2,96,2]
,"directory_1":[70,3,96,2]
,"testlab":[70,1]
,"dictionary_2":[70,2]
,"company":[70,1]
,"mmt_market_by_order":[70,1,96,1]
,"mmt_dictionary":[70,1]
,".itemlist":[70,1,96,1]
,":filedictionary":[70,2]
,"rdmfielddictionary_id2":[70,1]
,"enumtype_id2.def":[70,1]
,"rwffld_id2":[70,1]
,"rwfenum_id2":[70,1]
,"4.1":[71,1]
,"determined":[71,1]
,"customized":[71,1]
,"vectors":[71,2]
,"affect":[71,1]
,"takes":[71,1]
,"4.2":[72,1,78,2]
,"4.2.1":[72,1]
,"consumer-type":[72,1]
,"eventually":[72,1,73,1]
,"instantiate":[72,1,73,1]
,"constructors":[72,1,73,1]
,"constructor":[72,1,73,1,77,1,88,1]
,"modify":[72,1,73,1,78,1]
,"stored":[72,1,73,1,78,1]
,"working":[72,1,73,1,76,3,77,1,78,3,79,1]
,"4.3.1.2":[72,1,73,1,79,1]
,"instantiated":[72,1,73,1]
,"run-time":[72,1,73,1,84,1]
,"resulting":[72,1,73,1]
,"adheres":[72,1,74,1,75,1]
,"unlike":[72,1,74,1,75,1]
,"choosing":[72,1,74,1,75,1]
,"respective":[72,1,74,1,75,1]
,"instead":[72,1,74,1,75,1]
,"wants":[72,1,74,1,75,1]
,"explicitly":[72,1,74,1,75,1,84,1,90,1]
,"4.2.2":[73,1]
,"provider-type":[73,1]
,"ommprovider":[73,2,93,1,95,1,96,1]
,"ommproviderconfig":[73,3,83,1,86,1]
,"4.2.2.1":[74,1]
,"14003":[74,1]
,"4.2.2.2":[75,1]
,"4.3":[76,1]
,"installs":[76,1]
,"looks":[76,1]
,"functions":[76,1,88,1,90,3]
,"regards":[76,1]
,"paths":[76,1]
,"determines":[76,1]
,"wrap":[76,1]
,"illustrate":[76,1,77,1]
,"requirement":[76,1]
,"reading":[77,1,79,1]
,"checks":[77,1]
,"exists":[77,1,78,2,79,2,83,1,87,1]
,"searches":[77,1]
,"elsewhere":[77,1]
,"argument":[77,1,78,1,79,6]
,"path":[77,1,79,7,84,1,86,1]
,"4.3.1.1":[78,1]
,"lacks":[78,1]
,"malformed":[78,1]
,"exist":[78,1,79,1,84,1]
,"config":[78,2,79,2,84,2,85,1,86,1,93,2,95,2]
,"complete":[78,1]
,"100__marketprice__streaming":[78,1]
,"creates":[79,1,80,1,83,1]
,"represents":[79,3,93,1,95,1]
,"verifies":[79,2]
,"iceexception":[79,3]
,"neither":[79,1]
,"finds":[79,1]
,"errors":[79,2]
,"occur":[79,1,86,1]
,"during":[79,1,93,1,95,1]
,"invalid":[79,1,81,2,82,2]
,"preceding":[79,1]
,"happen":[79,1]
,"indicate":[79,1]
,"occurred":[79,1]
,"111":[79,1]
,"111__marketprice__userspecifiedfileconfig":[79,1]
,"4.3.2":[80,1]
,"correct":[80,2]
,"parts":[80,1]
,"emalogfile":[80,3]
,"logger_2":[80,2]
,"assume":[80,1]
,"relies":[80,1]
,"reverts":[80,1]
,"contained":[80,1]
,"4.3.3":[81,1]
,"emaconsumer":[81,2]
,"indicating":[81,1,82,1]
,"4.3.4":[82,1]
,"emaprovider":[82,2]
,"defaultprovider":[82,3]
,"4.4":[83,1]
,"standpoint":[83,1]
,"instantiating":[83,1]
,"ommniproviderconfig":[83,1,86,5,87,2]
,"defaultxml.h":[83,1]
,"altered":[83,1]
,"override":[83,1,84,5,86,1,88,6,90,1]
,"4.4.1.1":[84,1]
,"class":[84,2,85,2,86,2,88,1,89,2,90,4]
,"addadminmsg":[84,3,85,1,86,4]
,"const":[84,42,85,9,86,23,87,2,88,6,90,13]
,"reqmsg&":[84,4,86,2]
,"populates":[84,1,85,1,86,1]
,"part":[84,3,86,1,90,2]
,"specification":[84,1,85,1,86,1]
,"administrative":[84,1,86,2]
,"addloginmsgcredential":[84,3,89,1]
,"emastring&":[84,29,85,7,86,19,87,2,88,6,90,12]
,"ommlogincredentialconsumerclient&":[84,2]
,"void":[84,2]
,"closure":[84,4]
,"credentials":[84,5,88,2,89,4,90,4]
,"ommconsumerconfig\u0027s":[84,2]
,"comma":[84,2,90,1]
,"separated":[84,2,90,1]
,"singleopen":[84,1]
,"suspect":[84,1]
,"verification":[84,1]
,"options":[84,1,88,1,89,1]
,"ommlogincredentialconsumerclient":[84,2]
,"username":[84,8,86,1,90,3]
,"extended":[84,1]
,"members":[84,1,90,1]
,"session":[84,1,90,1]
,"pointer":[84,2]
,"returned":[84,2]
,":onlogincredentialrenewal":[84,1]
,"addoauth2credential":[84,3,89,1]
,"oauth2credential&":[84,3]
,"credential":[84,3]
,"ommoauth2consumerclient&":[84,2]
,"oauth":[84,4,89,1]
,"oauth2credential":[84,1,89,1,90,2]
,"password":[84,5,86,3,88,2,90,3]
,"clientid":[84,2,90,2]
,"clientsecret":[84,2,90,2]
,"referenced":[84,1]
,"ommoauth2consumerclient":[84,1]
,":oncredentialrenewal":[84,1]
,"applicationid":[84,3,86,1]
,"oauthclientcredential":[84,3,90,1]
,"connectiontypes":[84,1,86,1]
,":connectiontypeenum":[84,1,86,1]
,"clear":[84,1,85,1,86,1,90,1]
,"clears":[84,1,85,1,86,1,90,1]
,"provisioned":[84,3,90,3]
,"account":[84,3,90,3]
,"clientjwk":[84,1]
,"authenticate":[84,4,86,3]
,"secret":[84,1,90,1]
,"oauthpasswordgrant":[84,4,90,3]
,"data&":[84,1,85,1,86,1]
,"datadictionary":[84,4]
,"datadictionary&":[84,1]
,"bool":[84,3,86,1,88,3,90,2]
,"shouldcopyintoapi":[84,1]
,"mandatory":[84,1]
,"copied":[84,1]
,"passed":[84,1]
,"encryptedprotocol":[84,1,86,1]
,":encryptedprotocoltypeenum":[84,1,86,1]
,"libcurlname":[84,1,85,1,86,1,88,1]
,"libcurl":[84,1,85,1,86,1]
,"handling":[84,1]
,"operationmodel":[84,2,85,2,86,2]
,"operation":[84,1,85,1,86,1]
,"operationmodel.api_dispatch":[84,1]
,"operationmodel.user_dispatch":[84,1]
,"together":[84,1,90,1]
,"position":[84,3,86,2]
,"proxydomain":[84,1,86,2]
,"ntlm":[84,2,86,1]
,"kerberos":[84,4,86,5]
,"authenticated":[84,1]
,"proxypasswd":[84,1,86,1]
,"proxyusername":[84,1,86,1]
,"ommrestloggingclient&":[84,1]
,"ommrestloggingclient":[84,1]
,"restproxydomain":[84,2]
,"negotiate":[84,1,86,2]
,"realms":[84,1]
,"domain_realm":[84,1]
,"restproxypasswd":[84,1]
,"restproxyusername":[84,1]
,"servicediscoveryurl":[84,1,88,1]
,"api.refinitiv.com":[84,3]
,"pricing":[84,1]
,"sslcastore":[84,1,86,1]
,"takeexclusivesignoncontrol":[84,1,90,2]
,"exclusive":[84,1,90,1]
,"sign":[84,1]
,"control":[84,1,86,1,90,1]
,"sign-out":[84,1,90,1]
,"tokenscope":[84,1,90,2]
,"scope":[84,2,90,2]
,"limiting":[84,1,90,1]
,"generated":[84,1,90,1]
,"trapi.streaming.pricing.read":[84,1,90,1]
,"tokenserviceurlv1":[84,1,88,1]
,"perform":[84,2,88,2]
,"oauth2":[84,2,89,1]
,"tokenserviceurlv2":[84,1,88,1]
,"oauthclientcredentials":[84,1]
,"tunnelinglibcryptoname":[84,1,86,1]
,"libcrypto.so":[84,1]
,"shared":[84,2,85,1,88,3]
,"libcrypto":[84,1,85,1,86,1,88,1]
,"per":[84,2]
,"tunnelinglibsslname":[84,1,86,1]
,"libssl.so":[84,1]
,"libssl":[84,1,85,1,86,1,88,1]
,"tunnelingproxyhostname":[84,1,86,1]
,"tunnelingproxyport":[84,1,86,1]
,"tunnelingsecurityprotocol":[84,2,86,1]
,"int":[84,2,86,1]
,"cryptographic":[84,2,86,1]
,"handshake":[84,1,86,1]
,"ommconsumerconfig&":[84,1]
,"v1.2":[84,1,86,1]
,"v1.3":[84,1]
,":encryptedprotocoltypes":[84,1,86,1]
,"@param":[84,1]
,"cryptopgraphic":[84,1]
,"@return":[84,1]
,"extracted":[84,1]
,"4.4.1.2":[85,1]
,"ommiproviderconfig":[85,3,95,1,96,2]
,"refreshmsg":[85,1]
,"entirety":[85,1]
,"admincontroldictionary":[85,1,95,1]
,"admincontrol":[85,2,86,1]
,"controls":[85,2,86,1]
,"responding":[85,1]
,"apicontrolenum":[85,2,95,1]
,"admincontroldirectory":[85,1,86,1,95,1]
,"apithreadbind":[85,1,86,1]
,"cpustring":[85,1]
,"core":[85,3,86,6]
,"bind":[85,1,86,2]
,"p:x":[85,1,86,2]
,"c:y":[85,1,86,2]
,"t:z":[85,1,86,2]
,"suites":[85,1]
,"getproviderrole":[85,1,86,1]
,"retrieves":[85,1,86,1]
,"provider\u0027s":[85,1]
,"role":[85,1,86,1]
,"libcryptoname":[85,1,88,1]
,"cons":[85,1]
,"server-side":[85,1]
,"libsslname":[85,1,88,1]
,"apidispatchenum":[85,1,86,1]
,"emasttring":[85,1]
,"identifies":[85,1,86,1]
,"instance":[85,1,86,2]
,"4.4.1.3":[86,1]
,"refreshmsg&":[86,1]
,"requestmsg":[86,1]
,":apicontrolenum":[86,1]
,":usercontrolenum":[86,1]
,"models":[86,1]
,"ommniproviderconfig.h":[86,1]
,"authorization":[86,1]
,"257":[86,1]
,"site-specific":[86,1]
,"256":[86,1]
,"niprovider\u2019s":[86,1]
,"niprovider\u0027s":[86,1]
,"localhost:14003":[86,1,87,1]
,"instanceid":[86,1]
,"instance1":[86,1]
,"connecting":[86,1]
,"proxies":[86,1]
,"dipatch":[86,1]
,"\u0027realms":[86,1]
,"\u0027domain_realm":[86,1]
,"binding":[86,2]
,"effect":[86,1]
,"tunnelingobjectname":[86,1]
,"v.1.3":[86,1]
,"workerthreadbind":[86,1]
,"worker":[86,1]
,"processed":[87,1]
,"host:port":[87,2]
,"reset":[87,3]
,"syntax":[87,1]
,"hostvalue:portvalue":[87,2]
,"previously":[87,1]
,"observe":[87,1]
,"rules":[87,1]
,"updating":[87,1]
,"containing":[87,1]
,"followed":[87,1]
,"hostvalue":[87,2]
,"portvalue":[87,2]
,"4.4.3":[88,1]
,"4.4.3.1":[88,1]
,"serviceendpointdiscovery":[88,5]
,"query":[88,1]
,"interacts":[88,1]
,"results":[88,1]
,"communicated":[88,1]
,"serviceendpointdiscoveryclient":[88,1]
,"please":[88,1]
,"4.4.3.1.1":[88,1]
,"serviceendpointdiscoveryconfig":[88,4]
,"programmatically":[88,1,91,1,93,1,95,2]
,"passing":[88,1]
,"curl":[88,1]
,"restlogoutputstream":[88,1]
,"null":[88,1]
,"4.4.4":[89,1]
,"multi-credential":[89,1]
,"ommconsumers":[89,1]
,"associate":[89,1]
,"loginreq":[89,1]
,"assist":[89,1]
,"populating":[89,1]
,"implementation":[89,1]
,"480_mp_multicredentials":[89,1]
,"4.4.4.1":[90,1]
,"zeroes":[90,1]
,"sensitive":[90,1]
,"strings":[90,1]
,"getchannellist":[90,1]
,"optionally":[90,3]
,"getclientid":[90,1]
,"getclientsecret":[90,1]
,"getpassword":[90,1]
,"gettakeexclusivesignoncontrol":[90,1]
,"gettokenscope":[90,1]
,"getusername":[90,1]
,"sign-on":[90,1]
,"changing":[91,1]
,"structure":[91,1,92,2,93,2,95,2]
,"4.5.1":[92,1]
,"tiers":[92,1]
,"tier":[92,6]
,"2nd":[92,2]
,"3rd":[92,1]
,"4th":[92,2]
,"assigned":[92,1]
,"4.5.2":[93,1]
,"follow":[93,1,95,1]
,"hierarchy":[93,1,95,1]
,"maps":[93,1,95,1]
,"applied":[93,1,95,1]
,"application\u2019s":[93,1,95,1]
,"instantiation":[93,1,95,1]
,"4.5.3":[94,1]
,"illustrates":[94,1,96,1]
,".adduint":[94,19,96,27]
,"postacktimeout":[94,1]
,".addint":[94,6,96,3]
,"2000":[94,1]
,"4001":[94,1]
,"myxmltrace":[94,1,96,1]
,"50000000":[94,1]
,"50000":[94,1]
,"4.5.4":[95,1]
,"directory\u2019s":[95,1]
,"published":[95,2]
,"4.5.5":[96,1]
,"outermostmap":[96,2]
,"70000000":[96,1]
,"9696":[96,1]
,"outermostmap.addkeyascii":[96,5]
,"70000":[96,1]
,"logfileprov":[96,1]
,"servicemap":[96,2]
,"servicemap.addkeyascii":[96,1]
,".addelementlist":[96,3]
,".addarray":[96,3]
,"ommarray":[96,3]
,"130":[96,1]
,".addseries":[96,1]
,"series":[96,1]
,".add":[96,1]
,":suspect":[96,1]
,":dacsdown":[96,1]
,"dacsdown":[96,1]
,".config":[96,1]
},
"synonyms":
{
}
}
;Search.control.advance(info);
